GNU bug report logs - #70146
[PATCH rust-team 000/147] tree-sitter: Update to 0.22.2.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>; Keywords: patch; dated Tue, 2 Apr 2024 16:02:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 9 Apr 2024 10:43:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 09 06:43:33 2024
Received: from localhost ([127.0.0.1]:48429 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ru8wv-0003eQ-8q
	for submit <at> debbugs.gnu.org; Tue, 09 Apr 2024 06:43:33 -0400
Received: from mail-vk1-xa2b.google.com ([2607:f8b0:4864:20::a2b]:50456)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1ru8wr-0003dY-Hr
 for 70146 <at> debbugs.gnu.org; Tue, 09 Apr 2024 06:43:31 -0400
Received: by mail-vk1-xa2b.google.com with SMTP id
 71dfb90a1353d-4daa83054easo1119394e0c.1
 for <70146 <at> debbugs.gnu.org>; Tue, 09 Apr 2024 03:43:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712659396; x=1713264196; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=bP6822tHi5ntuttJaaBrP+ENkRYiU+L99X81lKDc3Ys=;
 b=KSLDClG/EoX9bWnpC4oRGg/Wf4fSGXUF8YxqfbW+Q4mQuRr2sFFpf6oVnmAsDRNlX/
 GQazrnkgxuBfglBf4eUyyRiICXQY1zRB3eipWcM/nFn9QaKtNRZL/RSO/3oi0yj5ijdb
 8mRj2zxKlTvAA9VBIwDYbHQP7Bp23SdB8yIRRBv/vz8DaITzbp0sCGjeX6B54Lc3jkTI
 5JQVrS9fyw+peeeusvJ4fsWgUxzL+cEe6Cgl4kpAyWFvfC+CwSWclR8ypsjOVJ3YmdfA
 GXSWXWyGbMgVRqVIWMt8BkwWP7NoSRLnj/QgVoWGYNYMsEhOLyfIZ56Qp1uz1yhFlbeY
 GHhA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712659396; x=1713264196;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=bP6822tHi5ntuttJaaBrP+ENkRYiU+L99X81lKDc3Ys=;
 b=eV1H7+80ysAHbNZr69p9ZobMsNFy4UC12erR0FjHdJupc+f9Q9ICgxM1+vepho8rFq
 fW0ClWkT8kU1L6DLWrUHvlGQHeg70xTCkxx2GHHZKjs1uWeB8QFu6SoIleoc2bV65ZWJ
 FhTya9TmhsIlwQ7jbM2K7FHioQRnu2vhldPAAqoYTolBg7tKVyly2nvorUU7ZpMpg3y8
 TtSVJoqsyI1+KxLMIzItR6KyN1bf+B/UetZp3zQCJzvBU0WYSNczvEzOmu4WNECgLt14
 9pbAWjUqZNJVsy4+rnanuSEbAD0h080gg3VjJjEg4VjKbh8XzSLdsq3Pft92JSwQuaiX
 qd1A==
X-Gm-Message-State: AOJu0YwwHfEAyXqJggNRXBY23Y4mVtu1Ywv4LAficBG1VH/1vqld2EA0
 +/Ovb4XBSkF3LQvi4bjf//Fqhit0IyduXfGsnoIi2pVDauG2Gqxc3jj1bIQ4vgsySCk1uT4Hmv9
 +ZoiEqjaldEYx3P1kuSRC6e2ZRzpUBgJmf0En4Q==
X-Google-Smtp-Source: AGHT+IGnYrNKpD1ulMQoZPgXgPAmd9wlDUQErz0fufAy1+F2tj47SdOqSMwtnvcNwCU+dlt05hL3B8EVwIQu6MMRkRk=
X-Received: by 2002:a05:6122:c96:b0:4d4:17c5:8605 with SMTP id
 ba22-20020a0561220c9600b004d417c58605mr9416914vkb.7.1712659395853; Tue, 09
 Apr 2024 03:43:15 -0700 (PDT)
MIME-Version: 1.0
References: <875xwy1alv.fsf@HIDDEN>
 <CAG1gdUqbGjQzbbJ-e8N6r6_ExEzYarqAsS3bLE1C2-+ns_8pSQ@HIDDEN>
 <871q7kx769.fsf@HIDDEN>
In-Reply-To: <871q7kx769.fsf@HIDDEN>
From: Jean-Pierre De Jesus Diaz <jean@HIDDEN>
Date: Tue, 9 Apr 2024 10:43:05 +0000
Message-ID: <CAG1gdUrZCaTg4jayuEp2a1j0=v2DWXqfzYCdF4yhvaxBm-uAXg@HIDDEN>
Subject: Re: Upstreaming wasmtime
To: Maya <maya@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: 70146 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>One way could probably be to share a git repository for the time being,
>with the shared code, so we can both upstream the relevant packages. I
>would probably base it on yours, as you have done more manual work in
>the way of adding descriptions and removed the ittapi.

I've made this branch:

https://github.com/Foundation-Devices/guix-mirror/tree/wip/tree-sitter

It currently contains all of the patches in the patch series including
the tree-sitter ones.

I'll probably end up making another branch to rebase on the rust-team
branch as that can
potentially reduce the number of patches needed as some I did are
already there I think.

On Fri, Apr 5, 2024 at 1:36=E2=80=AFPM Maya <maya@HIDDEN> wrote:
>
> On 2024-04-05 10:03, Jean-Pierre De Jesus Diaz wrote:
>
> > Sure, would like to, just not sure how to do it, I think it'd be
> > preferable to ask
> > comitters to merge yours first so that I can rebase and `inherit' from =
your
> > packages and not do it the other way around since it'd require more dif=
f
> > lines.
>
> One way could probably be to share a git repository for the time being,
> with the shared code, so we can both upstream the relevant packages. I
> would probably base it on yours, as you have done more manual work in
> the way of adding descriptions and removed the ittapi.
>
> But it is your call. I also cannot send more than 20 emails a day, due
> to my provider's limits, so 120 commits are not very manageable for me
> to send as a patch series.
>
> > I don't think I'll provide a wasmtime-cli for version 18 but the other =
crates
> > I'll do, unless you need it and I can then add those.
>
> I think the most packages are pretty much the same. Maybe some patch
> versions are bumped, which will need to bump them as well.
>
> The second option on the course of actions is to just upstream
> wasmtime-cli-18 after your patch series is merged, and bump the
> necessary packages later. I don't want to burden you, I just want to
> find a way for upstreaming both our work into guix.
>
> As I would appreciate having wasmtime available in guix, but it can
> wait. It was mostly an afternoon project of packaging and merging
> changes and then I found your patch.




Information forwarded to guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 5 Apr 2024 13:37:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 05 09:37:06 2024
Received: from localhost ([127.0.0.1]:35446 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rsjkg-0005G7-2B
	for submit <at> debbugs.gnu.org; Fri, 05 Apr 2024 09:37:06 -0400
Received: from out-170.mta0.migadu.com ([2001:41d0:1004:224b::aa]:15445)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maya@HIDDEN>) id 1rsjkc-0005Eu-Bb
 for 70146 <at> debbugs.gnu.org; Fri, 05 Apr 2024 09:37:04 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zenmaya.xyz; s=key1;
 t=1712324210;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=94A16osaQCpseI05iYz/OORDd4DpfcO8R6YElXjUiFM=;
 b=KXOOY61GrrJ6ZMuVaYCHVnn7CSY8u5FJt6g3RNUcGHlbEY4jy+LfWJFdNFjMjHv92ke62j
 BP4e1MWP1NXCVOyEk2u2gxMH1jkcuZWrkCUEScSUaArezCQALj8yAxYG//LADBhAHagdm/
 3zKLC84gvt4/7JPANUuz5hz8/JKbM99dGtrKmctSXZ/vytbxj0k0PjOtldfsfgjljMFPiH
 Dv08MPoXMPmsIrF7V5Ct2Li9JHMcv2t0QLcwNQhw4lgA3FYqmQkIow25ySD+YWWOUkrpoK
 lZHXUymjJhnMsG1klri3xfwKVnWcLKzrZ2B8a38AnebIfRYhdRyF5p482HuvDg==
From: Maya <maya@HIDDEN>
To: Jean-Pierre De Jesus Diaz <jean@HIDDEN>
Subject: Re: Upstreaming wasmtime
In-Reply-To: <CAG1gdUqbGjQzbbJ-e8N6r6_ExEzYarqAsS3bLE1C2-+ns_8pSQ@HIDDEN>
References: <875xwy1alv.fsf@HIDDEN>
 <CAG1gdUqbGjQzbbJ-e8N6r6_ExEzYarqAsS3bLE1C2-+ns_8pSQ@HIDDEN>
Date: Fri, 05 Apr 2024 15:36:46 +0200
Message-ID: <871q7kx769.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Migadu-Flow: FLOW_OUT
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: 70146 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

On 2024-04-05 10:03, Jean-Pierre De Jesus Diaz wrote:

> Sure, would like to, just not sure how to do it, I think it'd be
> preferable to ask
> comitters to merge yours first so that I can rebase and `inherit' from your
> packages and not do it the other way around since it'd require more diff
> lines.

One way could probably be to share a git repository for the time being,
with the shared code, so we can both upstream the relevant packages. I
would probably base it on yours, as you have done more manual work in
the way of adding descriptions and removed the ittapi.

But it is your call. I also cannot send more than 20 emails a day, due
to my provider's limits, so 120 commits are not very manageable for me
to send as a patch series.

> I don't think I'll provide a wasmtime-cli for version 18 but the other crates
> I'll do, unless you need it and I can then add those.

I think the most packages are pretty much the same. Maybe some patch
versions are bumped, which will need to bump them as well.

The second option on the course of actions is to just upstream
wasmtime-cli-18 after your patch series is merged, and bump the
necessary packages later. I don't want to burden you, I just want to
find a way for upstreaming both our work into guix.

As I would appreciate having wasmtime available in guix, but it can
wait. It was mostly an afternoon project of packaging and merging
changes and then I found your patch.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEszXKRHy2TUbC4XjGNgSh1KkHV5kFAmYP/m4ACgkQNgSh1KkH
V5mo9hAAhmc6wfWszAcIUbe57hpgCyQX+Gf+Fm1zIm7Ffa351vL1kCoB8bgdt6cR
G+NhytOiwraOrbc21t8YnASkgzOU+JYNJ+oYeeM2LLY9DDof2bxGXIsxY4Pu2z+s
pfTjguqz9x0kOybqnA1GmKr5lpZe142o7o73ZEbuV23u8u00zeks1sPBsPyiLLFf
1a/LNMsr+DVuM/5vKGtWS3dEPOIP1Vk2J/Peyy23uO+QA91D4LeMU7EbfFnJMSUp
/P7ijy2BoPcNUHkdaprB25ZfUin0oQ7ORnLsw/Zp0xtIeYgGvB9fc/ivcMrg1QTP
e++juiZv8FGGshkSiiVd1KvRRFm3Ja0979V3/Nq3EF/SIcfRla1UMlPRgYIo1JJA
6OmOSxy2I5lkTG26eZrBtbZflhiWuM/ReH2bJW+22sAxWuUsz3Dg5nYMpVQln/7v
UTyWKWHILuT3f1Kef3o8OhiHyIiDnMGusfQugItBDK/hNE2M9oIZTBdE520P1e9x
mvNc+fr8GlpkKCmRR4/T1O4LWeL5V+SJk0PLhj4OqSo+jiAt/iaw1840El0jE+Vm
9AwHQvrWWUp/yh/dOlUkYYl5k0rqzJ4O60Vn2zgkEI7ORc6mO6tny52DY4ufdViL
brWsgDjoF3o4/7HaKXfRJZuM1waq274SXWTpc40VbqxF+2quNlo=
=jndd
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 5 Apr 2024 10:03:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 05 06:03:54 2024
Received: from localhost ([127.0.0.1]:35238 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rsgQM-0008SY-EC
	for submit <at> debbugs.gnu.org; Fri, 05 Apr 2024 06:03:54 -0400
Received: from mail-vk1-xa2f.google.com ([2607:f8b0:4864:20::a2f]:61497)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rsgQI-0008Rj-A5
 for 70146 <at> debbugs.gnu.org; Fri, 05 Apr 2024 06:03:52 -0400
Received: by mail-vk1-xa2f.google.com with SMTP id
 71dfb90a1353d-4daa9ff4871so335742e0c.2
 for <70146 <at> debbugs.gnu.org>; Fri, 05 Apr 2024 03:03:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712311419; x=1712916219; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=NjmEbfcN4u395QjyZTwlWilBYo1zlBVD/u1UW/hUnYE=;
 b=XYMcHoQidm9JvGPmPglqJ9bNbBWsfhpNjls/zwJjulsx+CRj99l3z2t1v6DkZwywXY
 RwanVh0x0o32qZk/sa8hcN7QacMPierwfiGFV72czWIBZqWpKzSa6Do/rMuu/sBlnARL
 d/m2jYBiOGCU0qkXdT2pGUW7eB5Re7RSuQOexMGluhAEz2h7rESM2rU8c/viWjNmW2Hs
 PWT+yq8Nv8hIhc4jB85yX+Jcc/KnnnYC1+StjCdgGOE1+N78wwUl8AKqO4VvjHgBuxLO
 A0qVYDq303+2v4HNvxXRnZA53fktAqy+2SQamYsN/EYYj2Fg82avxMFbKKvvwitFxAeV
 hpRA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712311419; x=1712916219;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=NjmEbfcN4u395QjyZTwlWilBYo1zlBVD/u1UW/hUnYE=;
 b=ge/xXCuj2bCFbJMHhMWCHwcgwjqB91Wkpo2fjQKGzmTC3ZMPyzvn25lLeYLdXHQOb9
 MgGbzHpVTJDTuwq++tpnADTeEEDzs35xW2wqH7JZEZ+PR8VB1+OwVhIzvKVtu95SGJ5y
 /oOEKIfa38D6n1AyQZpHKxL+rLbKQmjlBtRKz17zrz9Nw+FaG2vi62KoEX5kIqrZbdRb
 3QEu0Esc1/IV/UXlbT20+ChkaY0HoIj9DBEHltT/vFooP8Ds0yNYMw0ztwycK1lOtczP
 3+lymz8sy/bbzJhm+GRtxyabX14AIH9Bv2JJek6qxPXPbvL9F6JsmKm4DMEl9mrSHoLm
 OL8w==
X-Gm-Message-State: AOJu0Yw1A9eUmQfUE4yULACIv0PNWDrOrMLS4CyIIr5pO2ARHNF5f5kO
 TP4nugwiUCOvhkCYd4hoVUdtJldpf1VWzzW3cXITRpJXYm0GvHAxB+BYqccqAKqez8iz1WO9XD4
 wJCcarNgeINwOpf3+u0K2vex6OSU6SazksvnodQ==
X-Google-Smtp-Source: AGHT+IEk6W7l5Y124d2zykSUNuKL6ObEfKL9U3Xtkbr7e1cnQvNEUrQ2W2Ol/dNxoSQEVXmt9q7IFRvsfNMsNZGc25w=
X-Received: by 2002:a1f:f208:0:b0:4d8:787c:4a6c with SMTP id
 q8-20020a1ff208000000b004d8787c4a6cmr911786vkh.5.1712311419120; Fri, 05 Apr
 2024 03:03:39 -0700 (PDT)
MIME-Version: 1.0
References: <875xwy1alv.fsf@HIDDEN>
In-Reply-To: <875xwy1alv.fsf@HIDDEN>
From: Jean-Pierre De Jesus Diaz <jean@HIDDEN>
Date: Fri, 5 Apr 2024 10:03:28 +0000
Message-ID: <CAG1gdUqbGjQzbbJ-e8N6r6_ExEzYarqAsS3bLE1C2-+ns_8pSQ@HIDDEN>
Subject: Re: Upstreaming wasmtime
To: maya@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: 70146 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

>Can we perhaps coordinate that patchset to this one? I opted for
>wasmtime-19 generally and also moved the ~100 packages into a new file
>called cargo-compilation, but generally the packages have a huge
>overlap.

Sure, would like to, just not sure how to do it, I think it'd be
preferable to ask
comitters to merge yours first so that I can rebase and `inherit' from your
packages and not do it the other way around since it'd require more diff
lines.

I think the patch for ittapi should also work for rust-wasmtime-19 as the
Cargo.toml is generated pre processed by Cargo and should be more or
less the same.

I don't think I'll provide a wasmtime-cli for version 18 but the other crat=
es
I'll do, unless you need it and I can then add those.

My patch series can wait a bit since I have to do some refactorings first.

Feel free to look at the synopses and descriptions of the packages though
since I changed them a bit from the default of the importer.

On Wed, Apr 3, 2024 at 7:59=E2=80=AFPM <maya@HIDDEN> wrote:
>
>
> Hi,
>
> I just noticed you posted a patch that includes the wasmtime library. I
> have just now finished a patch series on doing a similar thing (although
> the goal was to provide wasmtime-cli).
>
> I haven't noticed that you submitted the patch, since the last time I
> checked it was 2 days ago :D
>
> Can we perhaps coordinate that patchset to this one? I opted for
> wasmtime-19 generally and also moved the ~100 packages into a new file
> called cargo-compilation, but generally the packages have a huge
> overlap.
>
> Best regards,
> Maya
>
> PS. I also noticed that you remove the ittapi with a patch. That is
> something I haven't done myself.




Information forwarded to guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 4 Apr 2024 04:47:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 04 00:47:13 2024
Received: from localhost ([127.0.0.1]:60128 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rsF0K-00015P-SL
	for submit <at> debbugs.gnu.org; Thu, 04 Apr 2024 00:47:13 -0400
Received: from out-177.mta1.migadu.com ([95.215.58.177]:31143)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maya@HIDDEN>) id 1rs6lX-0008R7-Du
 for 70146 <at> debbugs.gnu.org; Wed, 03 Apr 2024 15:59:26 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zenmaya.xyz; s=key1;
 t=1712174351;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type;
 bh=kAMcVahzy0lXQqOC+qvR+ujzCTN2ZroNAOKJ9FlQ8LQ=;
 b=LteaXYQjktcNlSaFVFs07Iuq22E2hTTiqI5mO5ybocMrdptwQj3L0ntrVOPCxkKYyevsTB
 32exGBFh6r9VduzNRoHLnxMvg62rvtX/0vGRuriJzCn0NcixAVVjTETBb9ExmobL7LGtvf
 ZBbr2tlDLzRKRlByigG6gwvVxGO3JFLfBpuXP9dzezooxvH5Ls5uND9PI7tvndbIUSBuI/
 WcQ2KhN7QUPWYmhUPnPnj17BtrTHQmQRj/rX5nZuxjhg0B+u4TM9OHJ061HasyDimS6Xqt
 ZPTglF9uI+7Yg1IFJO+rksLtBhZajCysAtWlqA8slcvBjmwBr4D12xGOf8dXIQ==
From: maya@HIDDEN
To: 70146 <at> debbugs.gnu.org
Subject: Upstreaming wasmtime
Date: Wed, 03 Apr 2024 21:59:08 +0200
Message-ID: <875xwy1alv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Migadu-Flow: FLOW_OUT
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
X-Mailman-Approved-At: Thu, 04 Apr 2024 00:47:07 -0400
Cc: jean@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Hi,

I just noticed you posted a patch that includes the wasmtime library. I
have just now finished a patch series on doing a similar thing (although
the goal was to provide wasmtime-cli).

I haven't noticed that you submitted the patch, since the last time I
checked it was 2 days ago :D

Can we perhaps coordinate that patchset to this one? I opted for
wasmtime-19 generally and also moved the ~100 packages into a new file
called cargo-compilation, but generally the packages have a huge
overlap.

Best regards,
Maya

PS. I also noticed that you remove the ittapi with a patch. That is
something I haven't done myself.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEszXKRHy2TUbC4XjGNgSh1KkHV5kFAmYNtQwACgkQNgSh1KkH
V5mj9g/+LS7PebAoQtQPpGI4KyWpjmTezjoptjf8u6ApVecjVVjqnBxzU9vlUgt2
KeH/lhqiPpfcatMwLBrK3L9gfueQZqjArvT7tPD/r17BJEWJdwc9+dY8Tk0yFVPT
9pXefwFpidbJhUpY+e8+361/52vearOyUaPWItP5zSUGT0mMYlh2V3YxQACLRiUa
6cVvsj/wETXF84v1pw0rUR+mzP6xsFGAmy/Aqo1E/5k7qa23MsH2Ws7Vn3o6HmTu
oY1y/gYaK03oVfBNWk92SV7zG8qL+3YyDcooEnNMTlcBEeLpu9Bz04cv+aG1cWlW
HOcEaHiLQAAgrfrz04+KddyM50nshzE0Po/U+jfZCdwpHX2neyy8aEf0MaABA9pM
6xLJMz2gZEdT2MARMM0RFQUaqK1qM4pFASrSfz2pw1P98f1RHFXQ9KSSbuCovUzN
337nuINFGPQlGynaypmadSdhtFt89a0Cjfr4rE1cpcEIxsHZ6RwZvUb3w7IEpG6n
cY3NRcFaJTzlor+w7PnOFDFn2JFJq9sgISlhO9B6c1Us2MB3rcVZybQ5DyS8HDZ4
+HwsJRKK28wrpfiGOyhH2zjkmQj7a7RXDgBxg8whrHHaROk94MWyQrb7P4YkNjz2
Spgv0gaU3Vd/s02HV9wwhSH6Ifv8o3YWeY0G7K6NdBq3XaAdz2c=
=C+1z
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:30:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:30:22 2024
Received: from localhost ([127.0.0.1]:56059 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrh1g-0000sj-6M
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:30:22 -0400
Received: from mail-ua1-x92d.google.com ([2607:f8b0:4864:20::92d]:56552)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrh1c-0000qn-Mm
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:30:19 -0400
Received: by mail-ua1-x92d.google.com with SMTP id
 a1e0cc1a2514c-7e04e70c372so1642075241.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:30:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712075406; x=1712680206; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=jBq19u71qB2NqQUcB0S2etn/2rUnVH5CFQ8b+sGUEhw=;
 b=RbuUL0gFDPTuPtTp1pBjpD5hoAhuJpZln3N6PXyYeWqqzxBcryq74gNRWiOGp4aUTl
 p1IoLbPJ45Va7LLqG17888SptLTc4yhY16SiYpKDciXvKPNmScRisv7b5ts4sEY+erOx
 IhmTieSc87a4x/erjL8YErV1ykDjDOPx3+3PPPnKVHrpSDmhp5MkDK9CdO64IULams8E
 rBw+LW0JvKa50N850zlGa/XZYF4j5nEQETpxqvqdW6PkmJSK+Q9diW8PSO5P5dPCwjPk
 JVxBxzMCDDfGCKXyjoYEeuRwbfRn7M5I8rqYvnbAWr8+cYWJhSBIY52xGQMY9K8hiIXr
 R7hA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712075406; x=1712680206;
 h=content-transfer-encoding:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=jBq19u71qB2NqQUcB0S2etn/2rUnVH5CFQ8b+sGUEhw=;
 b=Ax3Om6TwBJBlVrSFUfbUcCiZcCVu5ZhWekHBTjvT1X40ArT2rmHBDRvaAHSOfjcFXH
 4+sVVq6fS1h7NG97qr/9bnIMqAoe0jX2o74cIUVozmvCN30JfCExZcy4kjkPPHzPA0fT
 Jqw9lDyKA2W3g8oGlQmx5IP1FzL/3SsndTbBNmqVPzPfcjtkRcc6mTHmVowzoGfZpcbv
 xJMNvtiCTrPq4OrkpZTBJsZYX8O6b6nYRpH5ugFQ1cecU8DC9JQQvgB0Yc12hgob4gAp
 9noiTsu5IoQfhsI38wuUcgQi295LKzevBTfn/T9hhixSRCjRYgZTqjlf8B1uIil2xCMj
 /rtw==
X-Forwarded-Encrypted: i=1;
 AJvYcCXeV+53YcfjsyRczqXa2fv1tRzEBj7quWHqP4f87CJauXACVKRVEEUVEF3F8w9ObVPt9JvP3uGmQDealb24puPULWBSrl8=
X-Gm-Message-State: AOJu0YzLX6s5enKe5gud3yrveWiVNnQyFJOnIS3RkztSxhBl6h1emhnY
 e8YCQWQsS6d5dW8E9FndCPSp8OXyoCgvPZDOlh4rPbj1+FDMpSATzs6rEdNOfV+AglO3+MXJYy2
 7a7z8s9aYxpJODnFVwanssg3Wtjy8YrPLY46cdg==
X-Google-Smtp-Source: AGHT+IHZ/XIiBGozvZoVbUU7UBmagDV9zJ5WUDlJK0ObigLUobop+PXj2ZVXG4G3FNc6skj9h5lcUM2ERDHXpEZsLj4=
X-Received: by 2002:a05:6102:114c:b0:478:411b:af4f with SMTP id
 j12-20020a056102114c00b00478411baf4fmr9954404vsg.6.1712075406106; Tue, 02 Apr
 2024 09:30:06 -0700 (PDT)
MIME-Version: 1.0
References: <cover.1712069369.git.jean@HIDDEN>
 <ZgwvPltF0x-jdCam@3900XT>
In-Reply-To: <ZgwvPltF0x-jdCam@3900XT>
From: Jean-Pierre De Jesus Diaz <jean@HIDDEN>
Date: Tue, 2 Apr 2024 16:29:55 +0000
Message-ID: <CAG1gdUrfXP74TmybzXHixG8TScHGf4bB95GRwUoMQdVs1YUzLw@HIDDEN>
Subject: Re: [bug#70146] [PATCH rust-team 000/147] tree-sitter: Update to
 0.22.2.
To: Efraim Flashner <efraim@HIDDEN>,
 Jean-Pierre De Jesus DIAZ <jean@HIDDEN>, 70146 <at> debbugs.gnu.org, 
 Andrew Tropin <andrew@HIDDEN>,
 Katherine Cox-Buday <cox.katherine.e+guix@HIDDEN>, 
 Liliana Marie Prikler <liliana.prikler@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>I have to admit I was looking at tree-sitter recently and wondering if
>it should be upgraded, and if all the grammars needed to be upgraded
>too at the same time.

I've updated the grammars that didn't build with the newer versions on the
same commit of tree-sitter update. Some required patches here and there
and they should be working fine. Haven't tested all of the parsers yet
in an editor.

Most of the errors were in the tests because this new version changed
how the highlight rules are prioritized so they need to be reordered in
the file.  Others because regex brace escaping changed.

>Another option if they're not all ready at the same time, can different
>grammars use different versions? Or in that case would it make more
>sense to prepare all the dependencies for the next tree-sitter version
>and then just not actually upgrade it until everything is ready?

I thought the same too, but I didn't know if it was suitable for Guix to do
that so that's why I opted into patching the grammars.

However looking at some of the grammars it seems that they don't have much
maintenance so looking at the future these grammars will be even harder
to compile in future versions so it'd make sense to have different versions=
 of
`tree-sitter-cli' to accomodate for this. (some grammars haven't seen
a commit in 2 years for example).

I think delaying until everything is working will be hard because of that.

I think I can update the patch series to have two tree-sitter-cli versions.

On Tue, Apr 2, 2024 at 4:16=E2=80=AFPM Efraim Flashner <efraim@HIDDEN=
il> wrote:
>
> On Tue, Apr 02, 2024 at 05:01:25PM +0200, Jean-Pierre De Jesus DIAZ wrote=
:
> > This patch series updates tree-sitter and tree-sitter-cli to the newest
> > packages released, it also updates the grammars if they didn't build
> > with this newer version.
> >
> > I don't think this patch series is fully ready as the tree-sitter
> > ecosystem is still catching up to speed with the new release so not all
> > grammars are updated yet to work.
> >
> > However this patch series provides fixes for most of these grammars and
> > the Rust patches I think could be applied in the meantime.
>
> I have to admit I was looking at tree-sitter recently and wondering if
> it should be upgraded, and if all the grammars needed to be upgraded
> too at the same time.
>
> Another option if they're not all ready at the same time, can different
> grammars use different versions? Or in that case would it make more
> sense to prepare all the dependencies for the next tree-sitter version
> and then just not actually upgrade it until everything is ready?
>
> > I based this patch series on the `master' branch instead of `rust-team'
> > let me know if it's easier and I can rebase to use that branch instead.
>
> I'll see how well the patches apply. I see a couple that are already on
> the rust-team branch.
>
> > I've decided to not package rust-ittapi and rust-ittapi-sys for
> > rust-wasmtime and provided a patch instead to opt-out since these
> > crates are only a facade to a library that needs to be loaded at
> > runtime by Intel=C2=AE VTune=E2=84=A2 which is closed source.
>
> Makes sense.
>
> > Jean-Pierre De Jesus DIAZ (147):
> >   gnu: rust-anyhow-1: Update to 1.0.80.
> >   gnu: Add rust-clap-lex-0.7.
> >   gnu: Add rust-strsim-0.11.
> >   gnu: rust-shlex-1: Update to 1.3.0.
> >   gnu: Add rust-anstyle-lossy-1.
> >   gnu: Add rust-anstyle-svg-0.1.
> >   gnu: Add rust-escape8259-0.5.
> >   gnu: Add rust-libtest-mimic-0.7.
> >   gnu: rust-snapbox-macros-0.3: Update to 0.3.8.
> >   gnu: Add rust-snapbox-0.5.
> >   gnu: rust-serde-spanned-0.6: Update to 0.6.5.
> >   gnu: Add rust-winnow-0.6.
> >   gnu: rust-indexmap-2: Update to 2.2.5.
> >   gnu: rust-serde-json-1: Update to 1.0.114.
> >   gnu: rust-toml-test-data-1: Update to 1.8.0.
> >   gnu: Add rust-toml-edit-0.22.
> >   gnu: Add rust-trycmd-0.15.
> >   gnu: Add rust-heck-0.5.
> >   gnu: rust-clap-4: Update to 4.5.3.
> >   gnu: rust-libc-0.2: Update to 0.2.153.
> >   gnu: Add rust-nix-0.28.
> >   gnu: rust-ctrlc-3: Update to 3.4.4.
> >   gnu: rust-filetime-0.2: Update to 0.2.23.
> >   gnu: rust-value-bag-sval2: Update to 1.8.1.
> >   gnu: rust-value-bag-sval2-1: Update to 1.8.1.
> >   gnu: rust-value-bag-1: Update to 1.8.1.
> >   gnu: rust-log-0.4: Update to 0.4.23.
> >   gnu: rust-regex-automata-0.4: Update to 0.4.6.
> >   gnu: rust-regex-1: Update to 1.10.3.
> >   gnu: rust-semver-1: Update 1.0.22.
> >   gnu: rust-serde-derive-1: Update to 1.0.197.
> >   gnu: rust-serde-1: Update to 1.0.197.
> >   gnu: rust-walkdir-2: Update to 2.5.0.
> >   gnu: Add rust-wasmparser-0.201.
> >   gnu: Add rust-wasmparser-0.121.
> >   gnu: Add rust-wasmparser-0.118.
> >   gnu: rust-webbrowser-0.8: Update to 0.8.13.
> >   gnu: rust-ctor-0.2: Update to 0.2.7.
> >   gnu: rust-rustix-0.38: Update to 0.38.31.
> >   gnu: rust-tempfile-3: Update to 3.10.1.
> >   gnu: rust-bumpalo-3: Update to 3.15.4.
> >   gnu: rust-derive-arbitrary-1: Update to 1.3.2.
> >   gnu: rust-arbitrary-1: Update to 1.3.2.
> >   gnu: rust-psm-0.1: Update to 0.1.21.
> >   gnu: Add rust-afl-0.11.
> >   gnu: Add rust-cpp-demangle-0.3.
> >   gnu: Add rust-leb128-0.2.
> >   gnu: Add rust-wasm-encoder-0.201.
> >   gnu: Add rust-wasm-encoder-0.41.
> >   gnu: Add rust-wast-201.
> >   gnu: Add rust-wast-35.
> >   gnu: Add rust-wat-1.
> >   gnu: Add rust-id-arena-2.
> >   gnu: Add rust-souper-ir-2.
> >   gnu: Add rust-fallible-iterator-0.3.
> >   gnu: Add rust-slice-group-by-0.3.
> >   gnu: Add rust-regalloc2-0.9.
> >   gnu: Add rust-capstone-sys-0.13.
> >   gnu: Add rust-capstone-0.9.
> >   gnu: Add rust-gimli-0.28.
> >   gnu: Add rust-cranelift-entity-0.105.
> >   gnu: Add rust-cranelift-bforest-0.105.
> >   gnu: Add rust-cranelift-codegen-shared-0.105.
> >   gnu: Add rust-cranelift-codegen-meta-0.105.
> >   gnu: Add rust-cranelift-control-0.105.
> >   gnu: Add rust-cranelift-isle-0.105.
> >   gnu: Add rust-cranelift-frontend-0.105.
> >   gnu: Add rust-cranelift-native-0.105.
> >   gnu: Add rust-cranelift-wasm-0.105.
> >   gnu: Add rust-cranelift-codegen-0.105.
> >   gnu: Add rust-memfd-0.6.
> >   gnu: Add rust-ruzstd-0.5.
> >   gnu: Add rust-object-0.32.
> >   gnu: Add rust-wasmprinter-0.2.
> >   gnu: Add rust-wasmtime-component-util-18.
> >   gnu: Add rust-wasmtime-types-18.
> >   gnu: Add rust-wasmtime-environ-18.
> >   gnu: Add rust-winch-codegen-0.16.
> >   gnu: Add rust-addr2line-0.21.
> >   gnu: Add rust-fxprof-processed-profile-0.6.
> >   gnu: Add rust-wasmtime-cache-18.
> >   gnu: Add rust-wit-parser-0.13.
> >   gnu: Add rust-wasmtime-wit-bindgen-18.
> >   gnu: Add rust-wasmtime-component-macro-18.
> >   gnu: Add rust-wasmtime-cranelift-shared-18.
> >   gnu: Add rust-wasmtime-versioned-export-macros-18.
> >   gnu: Add rust-wasmtime-cranelift-18.
> >   gnu: Add rust-wasmtime-asm-macros-18.
> >   gnu: Add rust-wasmtime-fiber-18.
> >   gnu: Add rust-wasmtime-jit-debug-18.
> >   gnu: Add rust-wasmtime-jit-icache-coherence-18.
> >   gnu: Add rust-wasmtime-wmemcheck-18.
> >   gnu: Add rust-wasmtime-winch-18.
> >   gnu: Add rust-wasmtime-runtime-18.
> >   gnu: Add rust-wasmtime-18.
> >   gnu: Add rust-arf-strings-0.7.
> >   gnu: Add rust-ambient-authority-0.0.2.
> >   gnu: Add rust-fs-set-times-0.20.
> >   gnu: Add rust-io-extras-0.18.
> >   gnu: Add rust-maybe-owned-0.3.
> >   gnu: Add rust-winx-0.36.
> >   gnu: Add rust-cap-primitives-2.
> >   gnu: Add rust-cap-std-2.
> >   gnu: Add rust-cap-fs-ext-2.
> >   gnu: Add rust-cap-rand-2.
> >   gnu: Add rust-windows-result-0.1.
> >   gnu: rust-windows-targets-0.52: Update to 0.52.4.
> >   gnu: Add rust-windows-core-0.52.
> >   gnu: rust-iana-time-zone-0.1: Update to 0.1.60.
> >   gnu: Add rust-cap-time-ext-2.
> >   gnu: Add rust-char-device-0.16.
> >   gnu: Add rust-fd-lock-4.
> >   gnu: Add rust-socketpair-0.19.
> >   gnu: Add rust-ssh2-0.9.
> >   gnu: Add rust-system-interface-0.26.
> >   gnu: Add rust-witx-0.9.
> >   gnu: Add rust-wiggle-generate-18.
> >   gnu: Add rust-wiggle-macro-18.
> >   gnu: Add rust-wiggle-18.
> >   gnu: Add rust-wasi-common-18.
> >   gnu: Add rust-wasmtime-c-api-macros-18.
> >   gnu: Add rust-cap-net-ext-2.
> >   gnu: Add rust-wasmtime-wasi-18.
> >   gnu: Add rust-wasmtime-c-api-impl-18.
> >   gnu: rust-cc-1: Update to 1.0.90.
> >   gnu: rust-thiserror-1: Update to 1.0.58.
> >   gnu: Add rust-smol-potat-macro-0.6.
> >   gnu: Add rust-smol-potat-1.
> >   gnu: Add rust-event-listener-5.
> >   gnu: Add rust-async-process-2.
> >   gnu: Add rust-async-fs-2.
> >   gnu: Add rust-smol-2.
> >   gnu: Add rust-fs4-0.8.
> >   gnu: libloading-0.8: Update to 0.8.3.
> >   gnu: rust-proc-macro2-1: Update to 1.0.79.
> >   gnu: rust-toml-0.8: Update to 0.8.12.
> >   gnu: tree-sitter: Update to 0.22.2.
> >   gnu: tree-sitter-html: Update to 0.20.2.
> >   gnu: tree-sitter-css: Update to 0.20.0-1.02b4ee7.
> >   gnu: tree-sitter-bash: Update to 0.21.0.
> >   gnu: tree-sitter-elm: Update to 5.7.0.
> >   gnu: tree-sitter-haskell: Update to 0.15.0.
> >   gnu: tree-sitter-json: Update to 0.20.2.
> >   gnu: tree-sitter-julia: Update to 0.20.0.
> >   gnu: tree-sitter-scheme: Update to 0.6.0-9.184e759.
> >   gnu: tree-sitter-racket: Update to 0.3.0-10.d9858a0.
> >   gnu: tree-sitter-lua: Update to 0.1.0.
> >
> >  gnu/local.mk                                  |    3 +
> >  gnu/packages/crates-io.scm                    | 2920 +++++++++++++++--
> >  gnu/packages/crates-windows.scm               |   74 +-
> >  .../rust-wasmtime-18-remove-ittapi.patch      |   46 +
> >  .../tree-sitter-org-package-json.patch        |   35 +
> >  .../tree-sitter-plantuml-package-json.patch   |   38 +
> >  gnu/packages/tree-sitter.scm                  |  586 ++--
> >  guix/build/tree-sitter-build-system.scm       |    4 +
> >  8 files changed, 3261 insertions(+), 445 deletions(-)
> >  create mode 100644 gnu/packages/patches/rust-wasmtime-18-remove-ittapi=
.patch
> >  create mode 100644 gnu/packages/patches/tree-sitter-org-package-json.p=
atch
> >  create mode 100644 gnu/packages/patches/tree-sitter-plantuml-package-j=
son.patch
> >
> >
> > base-commit: 7af70efd7633b0d70091762cf43ce01a86176e8e
> > --
> > 2.41.0
> >
> >
> >
> >
>
> --
> Efraim Flashner   <efraim@HIDDEN>   =D7=A8=D7=A0=D7=A9=D7=9C=D7=
=A4 =D7=9D=D7=99=D7=A8=D7=A4=D7=90
> GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
> Confidentiality cannot be guaranteed on emails sent or received unencrypt=
ed




Information forwarded to guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:16:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:16:17 2024
Received: from localhost ([127.0.0.1]:55818 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgo2-0007rG-Fm
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:16:17 -0400
Received: from mail-wr1-x431.google.com ([2a00:1450:4864:20::431]:59401)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim.flashner@HIDDEN>) id 1rrgnz-0007pp-2t
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:16:13 -0400
Received: by mail-wr1-x431.google.com with SMTP id
 ffacd0b85a97d-343719ce021so349728f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:16:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1712074561; x=1712679361; darn=debbugs.gnu.org;
 h=in-reply-to:content-disposition:mime-version:references
 :mail-followup-to:message-id:subject:cc:to:from:date:sender:from:to
 :cc:subject:date:message-id:reply-to;
 bh=ZMJkBFWzeiHtbBa/PNvAcaMqBr4jck2JVWEC9JNM4aI=;
 b=Fua85C62HQ0gpJzktDICydcydaWtdCEzo5P7JWrxAobZaDi/T8rQE/kJbmZwOQPWdB
 vxxNw3pV2dOtslA+cyDnVFyFYJUGD+U4jgcj6Lr3/hB1hp/OEeB1zYI/1kAzGZ+rmcIs
 mOJtEpxrQ0Q8+qvhlZP3txHX37OI39H7vyXCFYYrrk9rof3lxVCtaMzG02QvxCVtpX+x
 nPXmCAnAuOR1pD/6oUW2DjPJ9Jl0mThWPWrw2X+HZEIRX502JeoeZ4YS/dBrKCr8/v18
 O2TlfhYlX89f4CZbWvYqGR4u72BXvvgt0Jjm2KRrzzPNkfp8+xliBwUkTciO9BB0YTGy
 t+uA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074561; x=1712679361;
 h=in-reply-to:content-disposition:mime-version:references
 :mail-followup-to:message-id:subject:cc:to:from:date:sender
 :x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=ZMJkBFWzeiHtbBa/PNvAcaMqBr4jck2JVWEC9JNM4aI=;
 b=NyOShOHKYNlvxdmki9SqSQ/DZvx3B8/22yc86iDuz8EriR65qZQSejZDtqGFU1eQ6N
 12+h1EajwXGIzOIzUhVgIX+96abPEj3EiWoA/JC3Y3uIHCqZ5oyjJGvvWESqdymlQ3SD
 crc67dMuASGckb3jQrq6b3GSo9OT+6fQ4ne+JvsaQWdVGimuzeZEnSlm6W2z9uWicAcZ
 l/5J5yUfkZL647mWiPriKw/XKf0nXkYXzi1Ww/vpbr656pKb3LndnqUMJJjSi6PbmLzZ
 r8FFdhnsISGrm0gF/JjmpkUcq2yyRLUoYIV3raLl+XYzTxw+obDk8kJYX1VmgPRcnd73
 y4OA==
X-Gm-Message-State: AOJu0YxutRqqaQfU4t8WVaE+aOKlTU0nHZPDm4MU6uVsLc3tS/j37vd1
 egAuwcuy6HQOIS8oTs/Ctnv9VztTycv7To/v8CFUdiCYjmf6pf8/
X-Google-Smtp-Source: AGHT+IFtyDxPtBcWDrS7Z3WGVCzsqnmCDxH1hafJDofYLVT83pbVE8WwrumE/klXrL1uXrzRAmq/kQ==
X-Received: by 2002:adf:ecce:0:b0:341:c8c8:633a with SMTP id
 s14-20020adfecce000000b00341c8c8633amr9373602wro.9.1712074560180; 
 Tue, 02 Apr 2024 09:16:00 -0700 (PDT)
Received: from localhost ([141.226.12.177]) by smtp.gmail.com with ESMTPSA id
 u4-20020adff884000000b00341d9e8cc62sm14530695wrp.100.2024.04.02.09.15.59
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:15:59 -0700 (PDT)
Date: Tue, 2 Apr 2024 19:15:58 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
Subject: Re: [bug#70146] [PATCH rust-team 000/147] tree-sitter: Update to
 0.22.2.
Message-ID: <ZgwvPltF0x-jdCam@3900XT>
Mail-Followup-To: Efraim Flashner <efraim@HIDDEN>,
 Jean-Pierre De Jesus DIAZ <jean@HIDDEN>,
 70146 <at> debbugs.gnu.org, Andrew Tropin <andrew@HIDDEN>,
 Katherine Cox-Buday <cox.katherine.e+guix@HIDDEN>,
 Liliana Marie Prikler <liliana.prikler@HIDDEN>
References: <cover.1712069369.git.jean@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="M2dZmoqvR0DM+eHu"
Content-Disposition: inline
In-Reply-To: <cover.1712069369.git.jean@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 70146
Cc: Katherine Cox-Buday <cox.katherine.e+guix@HIDDEN>, 70146 <at> debbugs.gnu.org,
 Liliana Marie Prikler <liliana.prikler@HIDDEN>,
 Andrew Tropin <andrew@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


--M2dZmoqvR0DM+eHu
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Apr 02, 2024 at 05:01:25PM +0200, Jean-Pierre De Jesus DIAZ wrote:
> This patch series updates tree-sitter and tree-sitter-cli to the newest
> packages released, it also updates the grammars if they didn't build
> with this newer version.
>=20
> I don't think this patch series is fully ready as the tree-sitter
> ecosystem is still catching up to speed with the new release so not all
> grammars are updated yet to work.
>=20
> However this patch series provides fixes for most of these grammars and
> the Rust patches I think could be applied in the meantime.

I have to admit I was looking at tree-sitter recently and wondering if
it should be upgraded, and if all the grammars needed to be upgraded
too at the same time.

Another option if they're not all ready at the same time, can different
grammars use different versions? Or in that case would it make more
sense to prepare all the dependencies for the next tree-sitter version
and then just not actually upgrade it until everything is ready?

> I based this patch series on the `master' branch instead of `rust-team'
> let me know if it's easier and I can rebase to use that branch instead.

I'll see how well the patches apply. I see a couple that are already on
the rust-team branch.

> I've decided to not package rust-ittapi and rust-ittapi-sys for
> rust-wasmtime and provided a patch instead to opt-out since these
> crates are only a facade to a library that needs to be loaded at
> runtime by Intel=C2=AE VTune=E2=84=A2 which is closed source.

Makes sense.

> Jean-Pierre De Jesus DIAZ (147):
>   gnu: rust-anyhow-1: Update to 1.0.80.
>   gnu: Add rust-clap-lex-0.7.
>   gnu: Add rust-strsim-0.11.
>   gnu: rust-shlex-1: Update to 1.3.0.
>   gnu: Add rust-anstyle-lossy-1.
>   gnu: Add rust-anstyle-svg-0.1.
>   gnu: Add rust-escape8259-0.5.
>   gnu: Add rust-libtest-mimic-0.7.
>   gnu: rust-snapbox-macros-0.3: Update to 0.3.8.
>   gnu: Add rust-snapbox-0.5.
>   gnu: rust-serde-spanned-0.6: Update to 0.6.5.
>   gnu: Add rust-winnow-0.6.
>   gnu: rust-indexmap-2: Update to 2.2.5.
>   gnu: rust-serde-json-1: Update to 1.0.114.
>   gnu: rust-toml-test-data-1: Update to 1.8.0.
>   gnu: Add rust-toml-edit-0.22.
>   gnu: Add rust-trycmd-0.15.
>   gnu: Add rust-heck-0.5.
>   gnu: rust-clap-4: Update to 4.5.3.
>   gnu: rust-libc-0.2: Update to 0.2.153.
>   gnu: Add rust-nix-0.28.
>   gnu: rust-ctrlc-3: Update to 3.4.4.
>   gnu: rust-filetime-0.2: Update to 0.2.23.
>   gnu: rust-value-bag-sval2: Update to 1.8.1.
>   gnu: rust-value-bag-sval2-1: Update to 1.8.1.
>   gnu: rust-value-bag-1: Update to 1.8.1.
>   gnu: rust-log-0.4: Update to 0.4.23.
>   gnu: rust-regex-automata-0.4: Update to 0.4.6.
>   gnu: rust-regex-1: Update to 1.10.3.
>   gnu: rust-semver-1: Update 1.0.22.
>   gnu: rust-serde-derive-1: Update to 1.0.197.
>   gnu: rust-serde-1: Update to 1.0.197.
>   gnu: rust-walkdir-2: Update to 2.5.0.
>   gnu: Add rust-wasmparser-0.201.
>   gnu: Add rust-wasmparser-0.121.
>   gnu: Add rust-wasmparser-0.118.
>   gnu: rust-webbrowser-0.8: Update to 0.8.13.
>   gnu: rust-ctor-0.2: Update to 0.2.7.
>   gnu: rust-rustix-0.38: Update to 0.38.31.
>   gnu: rust-tempfile-3: Update to 3.10.1.
>   gnu: rust-bumpalo-3: Update to 3.15.4.
>   gnu: rust-derive-arbitrary-1: Update to 1.3.2.
>   gnu: rust-arbitrary-1: Update to 1.3.2.
>   gnu: rust-psm-0.1: Update to 0.1.21.
>   gnu: Add rust-afl-0.11.
>   gnu: Add rust-cpp-demangle-0.3.
>   gnu: Add rust-leb128-0.2.
>   gnu: Add rust-wasm-encoder-0.201.
>   gnu: Add rust-wasm-encoder-0.41.
>   gnu: Add rust-wast-201.
>   gnu: Add rust-wast-35.
>   gnu: Add rust-wat-1.
>   gnu: Add rust-id-arena-2.
>   gnu: Add rust-souper-ir-2.
>   gnu: Add rust-fallible-iterator-0.3.
>   gnu: Add rust-slice-group-by-0.3.
>   gnu: Add rust-regalloc2-0.9.
>   gnu: Add rust-capstone-sys-0.13.
>   gnu: Add rust-capstone-0.9.
>   gnu: Add rust-gimli-0.28.
>   gnu: Add rust-cranelift-entity-0.105.
>   gnu: Add rust-cranelift-bforest-0.105.
>   gnu: Add rust-cranelift-codegen-shared-0.105.
>   gnu: Add rust-cranelift-codegen-meta-0.105.
>   gnu: Add rust-cranelift-control-0.105.
>   gnu: Add rust-cranelift-isle-0.105.
>   gnu: Add rust-cranelift-frontend-0.105.
>   gnu: Add rust-cranelift-native-0.105.
>   gnu: Add rust-cranelift-wasm-0.105.
>   gnu: Add rust-cranelift-codegen-0.105.
>   gnu: Add rust-memfd-0.6.
>   gnu: Add rust-ruzstd-0.5.
>   gnu: Add rust-object-0.32.
>   gnu: Add rust-wasmprinter-0.2.
>   gnu: Add rust-wasmtime-component-util-18.
>   gnu: Add rust-wasmtime-types-18.
>   gnu: Add rust-wasmtime-environ-18.
>   gnu: Add rust-winch-codegen-0.16.
>   gnu: Add rust-addr2line-0.21.
>   gnu: Add rust-fxprof-processed-profile-0.6.
>   gnu: Add rust-wasmtime-cache-18.
>   gnu: Add rust-wit-parser-0.13.
>   gnu: Add rust-wasmtime-wit-bindgen-18.
>   gnu: Add rust-wasmtime-component-macro-18.
>   gnu: Add rust-wasmtime-cranelift-shared-18.
>   gnu: Add rust-wasmtime-versioned-export-macros-18.
>   gnu: Add rust-wasmtime-cranelift-18.
>   gnu: Add rust-wasmtime-asm-macros-18.
>   gnu: Add rust-wasmtime-fiber-18.
>   gnu: Add rust-wasmtime-jit-debug-18.
>   gnu: Add rust-wasmtime-jit-icache-coherence-18.
>   gnu: Add rust-wasmtime-wmemcheck-18.
>   gnu: Add rust-wasmtime-winch-18.
>   gnu: Add rust-wasmtime-runtime-18.
>   gnu: Add rust-wasmtime-18.
>   gnu: Add rust-arf-strings-0.7.
>   gnu: Add rust-ambient-authority-0.0.2.
>   gnu: Add rust-fs-set-times-0.20.
>   gnu: Add rust-io-extras-0.18.
>   gnu: Add rust-maybe-owned-0.3.
>   gnu: Add rust-winx-0.36.
>   gnu: Add rust-cap-primitives-2.
>   gnu: Add rust-cap-std-2.
>   gnu: Add rust-cap-fs-ext-2.
>   gnu: Add rust-cap-rand-2.
>   gnu: Add rust-windows-result-0.1.
>   gnu: rust-windows-targets-0.52: Update to 0.52.4.
>   gnu: Add rust-windows-core-0.52.
>   gnu: rust-iana-time-zone-0.1: Update to 0.1.60.
>   gnu: Add rust-cap-time-ext-2.
>   gnu: Add rust-char-device-0.16.
>   gnu: Add rust-fd-lock-4.
>   gnu: Add rust-socketpair-0.19.
>   gnu: Add rust-ssh2-0.9.
>   gnu: Add rust-system-interface-0.26.
>   gnu: Add rust-witx-0.9.
>   gnu: Add rust-wiggle-generate-18.
>   gnu: Add rust-wiggle-macro-18.
>   gnu: Add rust-wiggle-18.
>   gnu: Add rust-wasi-common-18.
>   gnu: Add rust-wasmtime-c-api-macros-18.
>   gnu: Add rust-cap-net-ext-2.
>   gnu: Add rust-wasmtime-wasi-18.
>   gnu: Add rust-wasmtime-c-api-impl-18.
>   gnu: rust-cc-1: Update to 1.0.90.
>   gnu: rust-thiserror-1: Update to 1.0.58.
>   gnu: Add rust-smol-potat-macro-0.6.
>   gnu: Add rust-smol-potat-1.
>   gnu: Add rust-event-listener-5.
>   gnu: Add rust-async-process-2.
>   gnu: Add rust-async-fs-2.
>   gnu: Add rust-smol-2.
>   gnu: Add rust-fs4-0.8.
>   gnu: libloading-0.8: Update to 0.8.3.
>   gnu: rust-proc-macro2-1: Update to 1.0.79.
>   gnu: rust-toml-0.8: Update to 0.8.12.
>   gnu: tree-sitter: Update to 0.22.2.
>   gnu: tree-sitter-html: Update to 0.20.2.
>   gnu: tree-sitter-css: Update to 0.20.0-1.02b4ee7.
>   gnu: tree-sitter-bash: Update to 0.21.0.
>   gnu: tree-sitter-elm: Update to 5.7.0.
>   gnu: tree-sitter-haskell: Update to 0.15.0.
>   gnu: tree-sitter-json: Update to 0.20.2.
>   gnu: tree-sitter-julia: Update to 0.20.0.
>   gnu: tree-sitter-scheme: Update to 0.6.0-9.184e759.
>   gnu: tree-sitter-racket: Update to 0.3.0-10.d9858a0.
>   gnu: tree-sitter-lua: Update to 0.1.0.
>=20
>  gnu/local.mk                                  |    3 +
>  gnu/packages/crates-io.scm                    | 2920 +++++++++++++++--
>  gnu/packages/crates-windows.scm               |   74 +-
>  .../rust-wasmtime-18-remove-ittapi.patch      |   46 +
>  .../tree-sitter-org-package-json.patch        |   35 +
>  .../tree-sitter-plantuml-package-json.patch   |   38 +
>  gnu/packages/tree-sitter.scm                  |  586 ++--
>  guix/build/tree-sitter-build-system.scm       |    4 +
>  8 files changed, 3261 insertions(+), 445 deletions(-)
>  create mode 100644 gnu/packages/patches/rust-wasmtime-18-remove-ittapi.p=
atch
>  create mode 100644 gnu/packages/patches/tree-sitter-org-package-json.pat=
ch
>  create mode 100644 gnu/packages/patches/tree-sitter-plantuml-package-jso=
n.patch
>=20
>=20
> base-commit: 7af70efd7633b0d70091762cf43ce01a86176e8e
> --=20
> 2.41.0
>=20
>=20
>=20
>=20

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=A8=D7=A0=D7=A9=D7=9C=D7=A4 =
=D7=9D=D7=99=D7=A8=D7=A4=D7=90
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--M2dZmoqvR0DM+eHu
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmYMLzsACgkQQarn3Mo9
g1HeHg//X3AXdz/4sxDsK322ps1sVqDBXzEdCcST0MdMSgvdLHDlnT7QNGhL3vAN
mopUEm1lXRBcp/8TMm+AxLyTEhiepNoMV0pc+z0EqPpJXmDELAhVMAwX6D4gg/76
OkygCRnSF5WYFpHwswR4qcoeUKg2dBHQ7xhq4av6qaODnMmuXIS4+C+sekhamdXy
4OgORyuzfmYcSuvu+9ZLu4cW3EOlKAE6ju06dZlimwpTTpq1MeKqu0C3o7qYnUBX
QfbW0B3jXApYUzorI6gx2O4n09lXnf10u5Qc6dKl8Bs0RDojrnpMIaCq2wtUJYvz
Mk+ajgeJXOPvl6Bu+J6GHFCjIEf3sMxX8StnqMGWjN1W5nsNJgxKDK4UpMBL9LzN
hRJEAQ97ZuzhigfRDNYLmZsAp6noPsPqTdUYCPMQkjvvJ9neOdJ6/SaU8V4g/O/v
F8mJCPb5pawV9JTQaZyHoxL0OnUKuvo9U8O0KQ1E/sSJGm0RxfxcKDKIX/L9TzRZ
0QrOjcUh4uVsNm0AhrFWj+w/+qUkkuukDLsiSsBS9ZVOZ8ISKRvazpwKnBWlc/xD
goEHLJCOuzwWM/nymRcUmsfE/wgOBxzGkUo3OsgHJE6OWUgBn2VAPBq402J6ajoy
h8FJoPMDlLjjyHAUtE+ft067VxNjL33ZPDKvRhBcHF3tQlGoTf4=
=D4Y7
-----END PGP SIGNATURE-----

--M2dZmoqvR0DM+eHu--




Information forwarded to guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:12:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:12:01 2024
Received: from localhost ([127.0.0.1]:55748 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjv-0007OI-E5
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:12:01 -0400
Received: from mail-wr1-x430.google.com ([2a00:1450:4864:20::430]:52706)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgh2-0006n1-80
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:02 -0400
Received: by mail-wr1-x430.google.com with SMTP id
 ffacd0b85a97d-34356f794a5so1187097f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074130; x=1712678930; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=uJMqfr7Md41skVdnboMVHG3fiyfSDCb2oGbIb0DRqqo=;
 b=VpI3phDoDa2pY7Su4MvKI52RBtdlEdBm0VUaBHwmGFP0FOGIgZ5hHmP02nkL44HkiV
 6XsNE1WP30RFL/mMlgJVOvZ/lJHfkk/eWjZBX70J6ADHerGqNFZqYEJSTYxa9uIVtAkS
 ZVrJu5F796uYgBRKu7HHw73Gaw5tVCVw6if4+X7GBShmJW/C4bgkt25/vfFjPvP1cEmk
 AEYhVz11Nqbc0L43dLTeddMDXIyFpcF/fV1E4rM7c7ngUN4ocTOVdL+2iBm87XlpEeoc
 XFD1OFOo3FCAERvagYApFbHlgRMi4L9bXExAGK+pPjHBqoZ3hWSyV8HP/uCSZkuYxIYL
 tKxg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074130; x=1712678930;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=uJMqfr7Md41skVdnboMVHG3fiyfSDCb2oGbIb0DRqqo=;
 b=ZPm9FdKCZrGhfA+fNIRC4ziTNoVPcEUbbznHvnK2K49SswdlGsC1mumBD6Z5YSVttJ
 U0W1XxK2HvXs0GRvo4l+QyXA7KPRXqIyy6vBP6QmaM8+VlnkI6lkKjC3r7O7c7TWtKc7
 qyJMvXt3/JoYL0s2gWG/XZ+gPqymDSuR3fU5AlgY7MhK9P9Pj2eze3+c70+IwIJX6iQS
 DDOPZyM+L5ujCC/PlFE4HJvTQMRD3a34D5iRmk6ybZNqjyUMzUV+GB7uVzN2kEv+x2NE
 zYrW0m8ymDkW7Z0+/1aAa3s8eD/ziNnCRPamj+ql3RFrAitifoQJGVTS525dOdbK4Uwn
 g9CA==
X-Gm-Message-State: AOJu0Yz81CaWL5YlwPe8cyaIqHPo4mvtnJ4eB0sg5wzB034p38jI5agk
 CCT1lhDT8GO4fiyQp9Gh+TzxFMvinlaX2V46e7w9FFyDUqDw3W292dadubc9UNxjMaSs/y99qPy
 a
X-Google-Smtp-Source: AGHT+IEro2GKLBLDstVExpl58IqbyaP+V48/HLnFyZ+ute5ZmlwrhrA+PBDMj1Q5VkLseUk28tCdog==
X-Received: by 2002:a5d:4f03:0:b0:341:d2f3:4cd with SMTP id
 c3-20020a5d4f03000000b00341d2f304cdmr1995672wru.60.1712074130583; 
 Tue, 02 Apr 2024 09:08:50 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.50
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:50 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 147/147] gnu: tree-sitter-lua: Update to 0.1.0.
Date: Tue,  2 Apr 2024 18:05:39 +0200
Message-ID: <9165805d90843814f75de73b1d428f8b01be9e14.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Andrew Tropin <andrew@HIDDEN>,
 Katherine Cox-Buday <cox.katherine.e+guix@HIDDEN>,
 Liliana Marie Prikler <liliana.prikler@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tree-sitter.scm (tree-sitter-lua): Update to 0.1.0.

Change-Id: Ifcfa17546e498ca2871e46e78a5e89c231a51b99
---
 gnu/packages/tree-sitter.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/tree-sitter.scm b/gnu/packages/tree-sitter.scm
index f08c94542c..9e9fbf8944 100644
--- a/gnu/packages/tree-sitter.scm
+++ b/gnu/packages/tree-sitter.scm
@@ -835,8 +835,8 @@ (define-public tree-sitter-plantuml
 (define-public tree-sitter-lua
   (tree-sitter-grammar
    "lua" "Lua"
-   "05irhg6gg11r9cnzh0h3691pnxjhd396sa1x8xrgqjz2fd09brf3"
-   "0.0.19"
+   "1184dazb4agqf3v55sz8i7xmynsn4rkddhbph3mgmh5qsnk88mmq"
+   "0.1.0"
    #:repository-url "https://github.com/MunifTanjim/tree-sitter-lua"))
 
 (define-public tree-sitter-scala
-- 
2.41.0





Information forwarded to andrew@HIDDEN, cox.katherine.e+guix@HIDDEN, liliana.prikler@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:59 2024
Received: from localhost ([127.0.0.1]:55746 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjt-0007O9-Ky
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:59 -0400
Received: from mail-wr1-x433.google.com ([2a00:1450:4864:20::433]:46563)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgh1-0006mj-6f
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:01 -0400
Received: by mail-wr1-x433.google.com with SMTP id
 ffacd0b85a97d-34005b5927eso3984676f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074129; x=1712678929; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=P5feXtdpW7fjWcSIqdBQAtnpeOGoJxV3WfL0lnMwnjg=;
 b=KXDuA4iBXL9d5v3RzTCzorHBC41DKlt36j+t3D//uqp0IgAeqnKVtIbi61UewpKw+e
 DqDiiPk63b80yBHNgVvkYJcZYY9WbFZC5d0g/vS2MhQMntVqflVZoKvq3GLXasTmyoPM
 l1nvGs/h/I/UFzeHQWTJKoq6n7E6SoDMFX9X0LOjMGCCdZbAWaIhMCBuOHvcnKXvmEX4
 Wm4kpkWOQET2potSTqSnE3ca4EB/9l9/qT+9fS33ymzozXxOaelVNJyk/Uvn/FqxTC5b
 ADXjuZJ8xUAnQqVLU7b4QiIGLySbnAQcFaiBPlKWzNVf7dTosG8QIEw1IvCsTYtWzKTr
 PgIQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074129; x=1712678929;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=P5feXtdpW7fjWcSIqdBQAtnpeOGoJxV3WfL0lnMwnjg=;
 b=q1mpQyyO6RK+yCtArrNykSeliMbAhKk6eayhX9wKa6n5wnKcSC2Zw1LLwDJXY1VgRs
 FdNrvo1kMmrdlM5R5Kyb9qdMW7CslOaPJL3OEGlqJNvEhxo1gNjJzUHTg9tVneHOGPJq
 HZZtHcROW5ia7ongX/ySD+h7++ncIQFR9yu1DxZrIBjZPA/fLPeuUxhPK42TmvdZwqyJ
 BoV2mfZtWKy3psc2Hi+jHheZcqVS2U5GfZoHF/NFxLEzCj9BFq5Dcl/6bAq+s0TruEa/
 r3n/ghMq+qtbuGYI6DDbmNkJ0mR4YHs3oKmmrgw6aUThTHmZnZ+Ckp+XVHZ59h4EJsZa
 d6kA==
X-Gm-Message-State: AOJu0YyFtvX4qDfQ1SHCzJBTaD8k7R8VGGnf1BGq8kUfhsssUU1Wd+MT
 ZHNwHsqsr5v9r3W1tpCbTTTBXKCTaciuOj69kpqJdAH71+wsbr5Gxd0X1EhgZKJSAtVYCA2NPXI
 r
X-Google-Smtp-Source: AGHT+IG/yPo8gxr/9DKLNiKdgGPdCX3NJcf+Yb1EL2Lr2aTt677zaVUFGZwnS6BK6YXNddUb8bnSYw==
X-Received: by 2002:a5d:6b8d:0:b0:341:bf1e:45a5 with SMTP id
 n13-20020a5d6b8d000000b00341bf1e45a5mr128482wrx.46.1712074129420; 
 Tue, 02 Apr 2024 09:08:49 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.48
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:49 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 146/147] gnu: tree-sitter-racket: Update to 0.3.0-10.d9858a0.
Date: Tue,  2 Apr 2024 18:05:38 +0200
Message-ID: <e38fc480889e2807d73e9c1d3dfe236baa3c8c44.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Andrew Tropin <andrew@HIDDEN>,
 Katherine Cox-Buday <cox.katherine.e+guix@HIDDEN>,
 Liliana Marie Prikler <liliana.prikler@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tree-sitter.scm (tree-sitter-racket): Update to
0.3.0-10.d9858a0.

Change-Id: Ic2b2eaba58d7abb629ef357354b53ee8840335ee
---
 gnu/packages/tree-sitter.scm | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/tree-sitter.scm b/gnu/packages/tree-sitter.scm
index 02aa52db99..f08c94542c 100644
--- a/gnu/packages/tree-sitter.scm
+++ b/gnu/packages/tree-sitter.scm
@@ -789,13 +789,13 @@ (define-public tree-sitter-scheme
      #:commit commit)))
 
 (define-public tree-sitter-racket
-  ;; No tags
-  (let ((commit "1a5df0206b25a05cb1b35a68d2105fc7493df39b")
-        (revision "0"))
+  ;; From `git describe --tags'.
+  (let ((commit "d9858a0f607578814f2d34662ad4bc21aa37a455")
+        (revision "10"))
     (tree-sitter-grammar
      "racket" "Racket"
-     "06gwn3i7swhkvbkgxjlljdjgvx8y1afafbqmpwya70r9z635593h"
-     (git-version "0.1.0" revision commit)
+     "00ls8aalxp9jxw65c7hmbjjzdngnl8y9bz3qzf2mq1lpazz7v8ai"
+     (git-version "0.3.0" revision commit)
      #:repository-url "https://github.com/6cdh/tree-sitter-racket"
      #:commit commit)))
 
-- 
2.41.0





Information forwarded to andrew@HIDDEN, cox.katherine.e+guix@HIDDEN, liliana.prikler@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:57 2024
Received: from localhost ([127.0.0.1]:55744 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjr-0007Ns-La
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:57 -0400
Received: from mail-wm1-x32f.google.com ([2a00:1450:4864:20::32f]:60464)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgh0-0006mO-15
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:59 -0400
Received: by mail-wm1-x32f.google.com with SMTP id
 5b1f17b1804b1-415515178ceso27098935e9.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074128; x=1712678928; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=niwhytSvtyBMXdPhx5uuPZ4REYzW5vGjM/++g5Kuci4=;
 b=f2+9hKwLk8aKOY2bWbgnqMmovxqIYxIQYa4oKhVNRqRgYYvJCsikX9OoJzixg98Bq1
 joH88QKUCRVx2SEmLLgMTj7xoPZfHqxbXgKb3/YaTUR4bofGLftgo5Yr2fFuuhH0LdXt
 LMF/b5oUjqOcCWHxDfvfjaEn2uGsjPqusZ8b445Qky5FOcEzTHuqFhzJiQaIxnfnOCKT
 cKr6t+dMa0558P078Zn9/hVRmWmjaOfEP7NZRN9oTDerjFsL0mKZWILTqlaCp2zBYNmi
 BDPnWfZ89shOt5ZYcGRgQWfkOY52iFY9bI9ZK+Y9lZiNld8sj9+OU+fCoMA6+lwpaF3i
 njVQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074128; x=1712678928;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=niwhytSvtyBMXdPhx5uuPZ4REYzW5vGjM/++g5Kuci4=;
 b=VDXQFjXwGQXvIm1XcnFI9rjYImfqL8J7A9Qnx96t/Qr1asH2xV5+e51ULAGuBJvt3y
 AavJQbxubvIbzG11B3Tz/VBrVPDqdCmgul3+CpmgQD5at+8K9ZlNPTrNbZEsCqjIbj1N
 /q/GSOR8ygA3P6/sVMrpObHlfyWbqK17WShhMBWbAP5qvvqkcimpq6I4OgczwOtxnUsv
 195ZnYCX5s9ShXBlLaDnh/g1PQorjTvmPF147II05xCMdakJptR2ovpxrPRFVW03AE6a
 u8yoaFxESAiJe/2tVZrrI3RzSplFRMBy4JSdQBB7mDS9RHbMAzDF4AmNP6FQJEmavXNs
 KYDw==
X-Gm-Message-State: AOJu0Ywi6orpMted1+i/Oj0HvMaEHH2mmyvTXPKB8hne6ey/HWiCwvVx
 iIAF9iBdlvbv/ruRDUU1Rq3qs7PFSzijc8fEP0meMKs+23A3iyc2biOdqItgR4FXqLDO1vyqZlb
 S
X-Google-Smtp-Source: AGHT+IHjTogkHJgJjQMPi3rn7Jph7CX8H0z2iKkoaG2jfHbn1mo0WTSzDJLGF7xTPtsonOf9OzGe6Q==
X-Received: by 2002:a05:600c:3c95:b0:412:dcab:7c79 with SMTP id
 bg21-20020a05600c3c9500b00412dcab7c79mr9351966wmb.10.1712074128464; 
 Tue, 02 Apr 2024 09:08:48 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:48 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 145/147] gnu: tree-sitter-scheme: Update to 0.6.0-9.184e759.
Date: Tue,  2 Apr 2024 18:05:37 +0200
Message-ID: <92fb4b81e0de3a9840778dbca775fdc711c8b710.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Andrew Tropin <andrew@HIDDEN>,
 Katherine Cox-Buday <cox.katherine.e+guix@HIDDEN>,
 Liliana Marie Prikler <liliana.prikler@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tree-sitter.scm (tree-sitter-scheme): Update to
0.6.0-9.184e759.

Change-Id: I9eeea2853af47bf2d62491b0790cfedf0ea1113b
---
 gnu/packages/tree-sitter.scm | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/tree-sitter.scm b/gnu/packages/tree-sitter.scm
index f74fcb35e3..02aa52db99 100644
--- a/gnu/packages/tree-sitter.scm
+++ b/gnu/packages/tree-sitter.scm
@@ -777,13 +777,14 @@ (define-public tree-sitter-org
                  (search-patches "tree-sitter-org-package-json.patch")))))))
 
 (define-public tree-sitter-scheme
-  ;; There are a lot of additions, the last tag was placed a while ago
-  (let ((commit "67b90a365bebf4406af4e5a546d6336de787e135")
-        (revision "0"))
+  ;; From `git describe --tags'. There are a lot of additions, the last tag
+  ;; was placed a while ago.
+  (let ((commit "184e7596ee0cbaef79230cae1b4ee5bb4fbad314")
+        (revision "9"))
     (tree-sitter-grammar
      "scheme" "Scheme (R5RS, R6RS)"
-     "1pvxckza1kdfwqs78ka3lbwldrwkgymb31f5x1fq5vyawg60wxk8"
-     (git-version "0.2.0" revision commit)
+     "0sqccw5az31di8jhb88v3afryiz7a4136g9a9xq8qni4znifw7y3"
+     (git-version "0.6.0" revision commit)
      #:repository-url "https://github.com/6cdh/tree-sitter-scheme"
      #:commit commit)))
 
-- 
2.41.0





Information forwarded to andrew@HIDDEN, cox.katherine.e+guix@HIDDEN, liliana.prikler@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:55 2024
Received: from localhost ([127.0.0.1]:55742 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjp-0007NM-Ou
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:55 -0400
Received: from mail-wm1-x32b.google.com ([2a00:1450:4864:20::32b]:47340)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggy-0006m9-Rz
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:58 -0400
Received: by mail-wm1-x32b.google.com with SMTP id
 5b1f17b1804b1-4155baa696eso19399815e9.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074127; x=1712678927; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=jAkuDWyYZ3ukVeAQe0G5vdsputMZDVIdlYYOyohEAbo=;
 b=ifd9WAn6Kd8eJaoddHhGvi9xoqqN4JuafwXYjlHe8N1SM7Tw8a4m8N3loAOs7xSb22
 1fJ4cH/kvJwA3cy8U/FryEUzY+CYeZAk3Ow2AahqCibExbzElkS6khkXUq89TGgkoCg6
 Z5i+k6ZwKCJKPbIuTD6eSHBQAJcHeyHyY7g3OEeuWXD7hZ4MF39n5NKcHO8svQPFJNx+
 rve44Bzw4JM4az6iGeNEd4+dbXbnPup97qHz1FxEJ8MqgU8kj8y3W2CpTu3WdrrGoNF2
 wEUzsExPBJghLE1mY4W2lxiOa28mc9grLTnBIDjYNPr2+w3UpNkE/JVhNjyT3zPDmGpe
 UZJw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074127; x=1712678927;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=jAkuDWyYZ3ukVeAQe0G5vdsputMZDVIdlYYOyohEAbo=;
 b=v5Lb4//z3eS6W3F74timmJ2y5O0w7LJAuPHY5TatOQwBfB0vUCGpuYmFR+CQM+yyAp
 A7FPgAXoHjagIEqknPu4d3x9XwtmYfbdsqB0dChQ4MV+JyK8RmbxDi/BzbNRQdzkhYG3
 CGoH41PhwxF+WRQKzwo/5wMBtW53WoJ7HCC3NLOyJzIdbDMBKWqk/8ku5q85BukuFMgS
 ffXeG3PGg1kjsQSPR+/tfRTXXT8dn6CN55bJ8qydlnyvRON6dxt6v09e1/IOXI5/sfRk
 IUQd8Un5xftcVILCM0xhVOlluikp7GhrO/0BuLK1H/nT8ePo0jlUNvabBkLp7UjbXwZN
 uJHQ==
X-Gm-Message-State: AOJu0Yz7a2mbFaslrzYUQeoZpCUyv7B5WapIs6y/gajtent6EC3UIFKU
 8ylrguE8hgLI3dIKQspvqnYZsKTBVs3uyi1Co9smXKUK0bsgqUdOPVbDou/hxCnRIc6vszVbANx
 e
X-Google-Smtp-Source: AGHT+IHdYDeSkZglbNtEQmezIDQW0x46N6kxYUs+FF6Bqe0DHATc5KZwvz0/aao3UJA8py9cAM3eTQ==
X-Received: by 2002:a05:600c:210d:b0:414:6ee:a37e with SMTP id
 u13-20020a05600c210d00b0041406eea37emr184817wml.19.1712074127258; 
 Tue, 02 Apr 2024 09:08:47 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.46
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:47 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 144/147] gnu: tree-sitter-julia: Update to 0.20.0.
Date: Tue,  2 Apr 2024 18:05:36 +0200
Message-ID: <36c40c72f339ae91cfb01cf0004602bb32622473.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Andrew Tropin <andrew@HIDDEN>,
 Katherine Cox-Buday <cox.katherine.e+guix@HIDDEN>,
 Liliana Marie Prikler <liliana.prikler@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tree-sitter.scm (tree-sitter-julia): Update to 0.20.0.

Change-Id: I1bd3f36cabe153c869fc4caf0e8ec11c56f11868
---
 gnu/packages/tree-sitter.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/tree-sitter.scm b/gnu/packages/tree-sitter.scm
index 9a447ced45..f74fcb35e3 100644
--- a/gnu/packages/tree-sitter.scm
+++ b/gnu/packages/tree-sitter.scm
@@ -582,8 +582,8 @@ (define-public tree-sitter-json
 (define-public tree-sitter-julia
   (tree-sitter-grammar
    "julia" "Julia"
-   "1pbnmvhy2gq4vg1b0sjzmjm4s2gsgdjh7h01yj8qrrqbcl29c463"
-   "0.19.0"))
+   "16l2flg1pzfcqd02k05y90ydmnki5vzp2m9rf2j2afr8slnawjaq"
+   "0.20.0"))
 
 (define-public tree-sitter-kdl
   (tree-sitter-grammar
-- 
2.41.0





Information forwarded to andrew@HIDDEN, cox.katherine.e+guix@HIDDEN, liliana.prikler@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:53 2024
Received: from localhost ([127.0.0.1]:55740 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjn-0007NH-SH
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:53 -0400
Received: from mail-lj1-x231.google.com ([2a00:1450:4864:20::231]:48489)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggy-0006m8-A5
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:58 -0400
Received: by mail-lj1-x231.google.com with SMTP id
 38308e7fff4ca-2d80baf621eso36135881fa.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074126; x=1712678926; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=xjoeXzLyQsJ9zX/7er71NUF/bzJS+CJZuQYp3vh2d6A=;
 b=eJJcJsz+lHk5FIXm3xBhG21rst7U9YoIjFeFMIBBSygwqVH00G+c7yW+Z8iXYraZ3M
 7SJCavdTo7MbMNa8V5Hf3YVLINEvsDhUSpgFOJPzpO5Wf620p+3OqwZqanSA1Cz6qCQR
 nyyT7NQTkh5/XHycg01efEoIrYdWfr05CWf46fWAgP9IZQ5+zFAz0TSSN1Kob4Id3Aj1
 OFxj1g9aSNJtTkTzy5OnAk4kyQhv+PXdCrWU5ToAtzLVYHIFhpzgYtrPosHk+8DGA5gY
 IsXWyqg78x+HnxOPtMP57bJfYbKlj8dtcxzsM3lVU0qHJxXECb9TIiH4qh1j8MUFdmJn
 SQ6w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074126; x=1712678926;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=xjoeXzLyQsJ9zX/7er71NUF/bzJS+CJZuQYp3vh2d6A=;
 b=F+rlTxeullEzT99nWggLwmR9juOMffkeGkkiCCeNH03tKzSoocEx3fAP5LMp3wP9Ra
 +pi9TTjMORQeX2ywMiC9vtdx3R45MppoaQDqalvikPPb0TSVQxECYj536b+OKrp4dml3
 CW9LEdXYRUSpInkmxbYYB5B9zlrzHybAdxQViDKpNedjj6JJ+e4MLcbewmEt/Z1qyZpc
 s5qA82BiTIPNmyPHBj7KEhBp1LPjj929SX6iFdPEC/L3dGOcZApyrZM5Z/XDLj6qivFp
 uog+UZxaWxL82j6fax69iII2VqWrki9c1c8vQmIbqvEO08v2KujWe+E+KPsrfOxG9iVw
 bgFw==
X-Gm-Message-State: AOJu0YxjRmzeU4r8QL50kyPoegOT7rh5fpRI4t7GFo71XaVGCASRkET3
 fiPeqyTAwlM2ceiYrMMOxUIApTOkaqldDLi7UN66SCboKpM1YaZTWPnGb3zhzF6jgo5cYM8I6GF
 Y
X-Google-Smtp-Source: AGHT+IHw0quu4q97Y/ynxyPp9pRcPd3cqCHggXDCgP+pfE1vr0DFRJGfXR7ne/cy6kB0ykhD3ob/ZQ==
X-Received: by 2002:a05:651c:3cf:b0:2d6:ff58:179c with SMTP id
 f15-20020a05651c03cf00b002d6ff58179cmr58343ljp.27.1712074126319; 
 Tue, 02 Apr 2024 09:08:46 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:46 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 143/147] gnu: tree-sitter-json: Update to 0.20.2.
Date: Tue,  2 Apr 2024 18:05:35 +0200
Message-ID: <0c18f4d258b470a34354b9881c2faa3a3d902705.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Andrew Tropin <andrew@HIDDEN>,
 Katherine Cox-Buday <cox.katherine.e+guix@HIDDEN>,
 Liliana Marie Prikler <liliana.prikler@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tree-sitter.scm (tree-sitter-json): Update to 0.20.2.

Change-Id: Iab5351eb1e63d5f828057dd73c3d9c62285f07d9
---
 gnu/packages/tree-sitter.scm | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/tree-sitter.scm b/gnu/packages/tree-sitter.scm
index 4acca3f6b3..9a447ced45 100644
--- a/gnu/packages/tree-sitter.scm
+++ b/gnu/packages/tree-sitter.scm
@@ -574,13 +574,10 @@ (define-public tree-sitter-java
      #:commit commit)))
 
 (define-public tree-sitter-json
-  ;; Not tagged
-  (let ((commit "5d992d9dd42d533aa25618b3a0588f4375adf9f3"))
-    (tree-sitter-grammar
-     "json" "JSON"
-     "08kxzqyyl900al8mc0bwigxlkzsh2f14qzjyb5ki7506myxlmnql"
-     "0.20.0"
-     #:commit commit)))
+  (tree-sitter-grammar
+   "json" "JSON"
+   "0cfmpfxr6dav0bzckzr03448x1k5a1vq21y6x4ynn8xqr19rby2l"
+   "0.20.2"))
 
 (define-public tree-sitter-julia
   (tree-sitter-grammar
-- 
2.41.0





Information forwarded to andrew@HIDDEN, cox.katherine.e+guix@HIDDEN, liliana.prikler@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:51 2024
Received: from localhost ([127.0.0.1]:55738 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjm-0007N4-1k
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:51 -0400
Received: from mail-wm1-x333.google.com ([2a00:1450:4864:20::333]:44475)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggx-0006lu-0v
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:57 -0400
Received: by mail-wm1-x333.google.com with SMTP id
 5b1f17b1804b1-4156c4fe401so11391775e9.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074125; x=1712678925; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=cdXLZsUAKplhE1nZI0b/OouhTbWKlTMGzWUwc5zBy8I=;
 b=ZAwcnML+iTyUssTjJqq2ybvF06A2k/QBCi+YTo2z+KAFvdZrykblWswxbuPb4K5jyk
 x59H7/yRCdU3KVcPMVZOF4lfTeKRVp5rBmidBz+dVSHzYIp67mtxvbjOh27x/bmh5Xrl
 4IFiIZsB66iPFaVks93vnbMZ6BiY4OIkLX8IV1Nc7lv4GMC+tZ2mfnxWKv/s3UC4RDIo
 HsOGbRdYI32gQxh0Q6U3KFkIjcqi2XgKOOcXrPbcMItR5z7narYM+9lDeo3DrEj+/3VX
 Hvv50VFpjDAyuAx0kHjqv1UPhRd2VkelX7C2wZoBnUqoQjTlQQQGeR+xWU0gU1LAm3FR
 WOpQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074125; x=1712678925;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=cdXLZsUAKplhE1nZI0b/OouhTbWKlTMGzWUwc5zBy8I=;
 b=gyXo8SxZH8VMtRoHX5b3PberHvc7Q/8QItkmNf9Ht+GJkc0bSoZXP3sba3Mw5kMOwU
 jDbgGAsb2BxrnpF7oi0qW4gOg3aM6FscvgnAUplYKcZ/oAEmSYhQt0rF3MVMybXcWwRB
 taNNzDVvsYA60wuRb4AQRGB0B6Mhd1+IDhWxJnLuEB7z+DTupzoSVXdgNusjXWlI+OeU
 THeWXOgC0OtXfpwBErghHr1zQvvaSck0+UA2LimOcJx914WR81naLJMTMNT7Tp03FXvm
 xivX01jaFFJUe+bIc3bnj4uRF+IcFZBpo5f8Bq/m5sCk/99bvgnmRlOFSxWTmVNlBPPp
 wqJw==
X-Gm-Message-State: AOJu0Ywk78/8A5p+axNLv52qmjTrmuPRBMSgKlTn8UMMbEuJExLlERpZ
 QiANAnftT9s+5IGeiQJmlKcrNLN53QcFND4rbbZPeX/Z3pgvXUAZ0+MgEHGlYsu+rQ4hZYhLUKL
 S
X-Google-Smtp-Source: AGHT+IEmds8UmB7XFgr/wW68rHl28tYtvuNrba89WxZqwthdnSNCBUp4frJJXfiGSaydIRHfUq6woA==
X-Received: by 2002:adf:cf10:0:b0:343:6fdb:9af7 with SMTP id
 o16-20020adfcf10000000b003436fdb9af7mr1270349wrj.12.1712074125200; 
 Tue, 02 Apr 2024 09:08:45 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.44
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:44 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 142/147] gnu: tree-sitter-haskell: Update to 0.15.0.
Date: Tue,  2 Apr 2024 18:05:34 +0200
Message-ID: <a6e5e55ef955896a1c83b0acf0e471c447eebdf3.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Andrew Tropin <andrew@HIDDEN>,
 Katherine Cox-Buday <cox.katherine.e+guix@HIDDEN>,
 Liliana Marie Prikler <liliana.prikler@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tree-sitter.scm (tree-sitter-haskell): Update to 0.15.0.

Change-Id: Ic64a2340ae0e30fa2edc530df78d7b18c8c7c66a
---
 gnu/packages/tree-sitter.scm | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/tree-sitter.scm b/gnu/packages/tree-sitter.scm
index e504ae9ed4..4acca3f6b3 100644
--- a/gnu/packages/tree-sitter.scm
+++ b/gnu/packages/tree-sitter.scm
@@ -549,14 +549,10 @@ (define-public tree-sitter-go
    "0.20.0"))
 
 (define-public tree-sitter-haskell
-  ;; There are a lot of additions, the last tag was placed more than 4 years ago
-  (let ((commit "3bdba07c7a8eec23f87fa59ce9eb2ea4823348b3")
-        (revision "0"))
-    (tree-sitter-grammar
-     "haskell" "Haskell"
-     "1hg19af1n510bndf5k5iri7dzb48xb527vispv1aapki4mvr98gx"
-     (git-version "0.14.0" revision commit)
-     #:commit commit)))
+  (tree-sitter-grammar
+   "haskell" "Haskell"
+   "08qzkvyc830k56j5lglfzmlp03ygixf9vlrpazbndqvqk20n56xa"
+   "0.15.0"))
 
 (define-public tree-sitter-hcl
   (tree-sitter-grammar
-- 
2.41.0





Information forwarded to andrew@HIDDEN, cox.katherine.e+guix@HIDDEN, liliana.prikler@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:50 2024
Received: from localhost ([127.0.0.1]:55736 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjj-0007Ms-OI
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:49 -0400
Received: from mail-wr1-x42c.google.com ([2a00:1450:4864:20::42c]:45257)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggv-0006lf-Po
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:56 -0400
Received: by mail-wr1-x42c.google.com with SMTP id
 ffacd0b85a97d-3437a1e8848so314951f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074124; x=1712678924; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=9TXMAn5t7bOyWYqxTJxWDwKPip7qiSdPqF1RlLYpmz0=;
 b=S01fDY/yNRbofcEz0zm6teMcwIE1iJkf+EtsnrpukCOHkRhJW3DuvWeXCxvxaPsLWx
 c6joFWd3XDMhNCyw3fzSERB3cWDbjgxapurrXrE9vUVGESC8Bg5LqOboNAMv3Rs2DuO9
 3ddgzy3ibkH04n6q0v8pW+DS8SWBf1hFPEGu3i3Apqe9Qkrgnt/YOyFeWXReITWANSDt
 qU3T6TZgEKNIaUgje78ZZxNJ476aTJBIcFMWYfZmF9XCRNRQPG1SIhbr/+I42xaXxlZ9
 4bOQJ6jJeYSmhhitb6yDQ3dFAE7v0Dk8vxS1bZirh4/9gJr8Kw1x0peIGA5ByPPAz5/V
 8mwA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074124; x=1712678924;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=9TXMAn5t7bOyWYqxTJxWDwKPip7qiSdPqF1RlLYpmz0=;
 b=jt1RaZ3hZWmKfNYt2PfpaFUUqsyl8JUay/R4wen6TLsjoffKEQALGAJFeY3UtNWIpD
 ROz/NcgL2ZtsAKP3LZCDGQYkn4uqLdiOHnomKtSC63btGhAO3w5rclJ9eGU26B5CWH1/
 GbNl47Vd78dT0de4IZM9oUZw0S/+2x1GW/2GewuxTBMPHNKIwiQPS4hjpevrjtp2w6x5
 SGcX+TKKf88jmKdDyUj4JXmB5gB2JtIYppKj8uMGglwJATk60ZFME9sKYUxqiTiGsiZy
 +JXAGLJbVdSPQ1cNy1EQgcULec3H1gWGbw6ZLX6JgzZQppSPx/BT4ly6HKLjW0tSAUqM
 ZInQ==
X-Gm-Message-State: AOJu0YzoSxuO9YDBmjJySgK49KVl1inp9+vJhXPHLuY2YReHXWE0OphP
 9o895e98gSwtfy4K5QArFk73SG96X6WcGXi8geYba4/HOhKpNO4cWLclfpQLBfbP4UE3D8PcteD
 k
X-Google-Smtp-Source: AGHT+IGbW5HbGJ3CHqIrDSG9rxgdc8RRMbf2CzUpJuu5N5gKgkx9X8JpTG8rkVB+0tmMy+PQpxsW0g==
X-Received: by 2002:a5d:6451:0:b0:33e:733b:cd11 with SMTP id
 d17-20020a5d6451000000b0033e733bcd11mr7834963wrw.53.1712074124144; 
 Tue, 02 Apr 2024 09:08:44 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:43 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 141/147] gnu: tree-sitter-elm: Update to 5.7.0.
Date: Tue,  2 Apr 2024 18:05:33 +0200
Message-ID: <81a8203d70bf6f5314353776d2fbfd96079c7fc4.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Andrew Tropin <andrew@HIDDEN>,
 Katherine Cox-Buday <cox.katherine.e+guix@HIDDEN>,
 Liliana Marie Prikler <liliana.prikler@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tree-sitter.scm (tree-sitter-elm): Update to 5.7.0.

Change-Id: Idc10c1dbd9c36f75c6135cf5dbfd55749afb4505
---
 gnu/packages/tree-sitter.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/tree-sitter.scm b/gnu/packages/tree-sitter.scm
index c9cbf5219a..e504ae9ed4 100644
--- a/gnu/packages/tree-sitter.scm
+++ b/gnu/packages/tree-sitter.scm
@@ -530,8 +530,8 @@ (define-public tree-sitter-dockerfile
 (define-public tree-sitter-elm
   (tree-sitter-grammar
    "elm" "Elm"
-   "0b5jpj8bnil1ylisyc4w48j8a30dyf3zylhidj73mlrb8rf7xm2s"
-   "5.6.3"
+   "1cbn5qiq2n607hcxg786jrhs2abln8fcsvkcab9wp9j8iw9pb0xx"
+   "5.7.0"
    #:article "an"
    #:repository-url "https://github.com/elm-tooling/tree-sitter-elm"))
 
-- 
2.41.0





Information forwarded to andrew@HIDDEN, cox.katherine.e+guix@HIDDEN, liliana.prikler@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:47 2024
Received: from localhost ([127.0.0.1]:55733 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjh-0007ML-O2
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:47 -0400
Received: from mail-wr1-x429.google.com ([2a00:1450:4864:20::429]:49271)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggu-0006lQ-PO
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:54 -0400
Received: by mail-wr1-x429.google.com with SMTP id
 ffacd0b85a97d-34372e3db28so445242f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074123; x=1712678923; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=cH3nMJHMNACtMs/+2kpBaqjkbV2WJ2DrOeZ4HkyqXUo=;
 b=atSrp8JmkTqqjlV4ViWAAbfqTWg5rAt7IyPhrgNMJ5Hek4FmjUsiBZMrNlYScwSboC
 hNPTyZDHz+qmQb923qupzAg6ptvO11NvLmOOTQdIiAGcqj8QFe/fJrNwVf8qUe2D976i
 9TBH2j494nnxYAK63gvq8aLRi/qGXElwLOhsD326IWSqGSXbEnw0M+8ObzIE254eqdvx
 fYZn5710J5IcBTYR5SxdAQws5TAW8pt9LDXDb26RrjqmpWTh6Gyia7F4kl5C82W2WyBy
 o1Q5q04UcaIUF10l82jJ69YGJJmX7EEywVzgfwa5ffXS9eQH71t3LbuJmxrLMf8+JiRE
 a8rQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074123; x=1712678923;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=cH3nMJHMNACtMs/+2kpBaqjkbV2WJ2DrOeZ4HkyqXUo=;
 b=GtfbH/kumtvZVFlFEtp/EoiJDiGamUUyak83qSCwnsyrgqdz2Snk7IZDPhb4OZi5jg
 IFwE9H++URAvxKw2iE8qhoCQbpd2TO0ycle40QKZP6fPXII+DRGujDn9P+77rVrDK7S8
 vrRrm9hooxEDcJoGHJLUgRO70jIaXVAEGSF3+3Q/JYNb7vH3MDwiyTP2gnUmy9rTWvGX
 TVk2RCRl5b2agxbTBNgB5iWoPUCEag/ln4A0U1915M5cliTACcC60NDnFe8BgWhiP6IO
 WX3F2OPP4LnZyDgB0CADue0r1qK3dQaN8WIBGF0Sspzm7i1+5FXQ4q8+b3dhSM8m8YIW
 MScw==
X-Gm-Message-State: AOJu0Ywu85iUNZyD1ndbXdtDjV0OXCNthbkKrBe3rXnKGloCy45hrOoP
 SSrGmm5pXXhwqIN9KwLn1YCgDYCq0hnCWNP7F2lhB2W5a2zQSptRC3fdYmxIOwIYzt2BAYXZOQI
 C
X-Google-Smtp-Source: AGHT+IGdsZwtcyTi9QU3MMClud+B7GsdeJ5UbB80qkGN+dRtTIwtG4hn2AjvD44ZpHMMqQCcCinI2g==
X-Received: by 2002:adf:fa4e:0:b0:343:59bd:113d with SMTP id
 y14-20020adffa4e000000b0034359bd113dmr126335wrr.51.1712074123118; 
 Tue, 02 Apr 2024 09:08:43 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.42
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:42 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 140/147] gnu: tree-sitter-bash: Update to 0.21.0.
Date: Tue,  2 Apr 2024 18:05:32 +0200
Message-ID: <57acf40e0d45b930ff4175d940391b715aa5806b.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Andrew Tropin <andrew@HIDDEN>,
 Katherine Cox-Buday <cox.katherine.e+guix@HIDDEN>,
 Liliana Marie Prikler <liliana.prikler@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tree-sitter.scm (tree-sitter-bash): Update to 0.21.0.

Change-Id: Ieaf96c7dc3303a4244b25284f7b3ab57555c83f7
---
 gnu/packages/tree-sitter.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/tree-sitter.scm b/gnu/packages/tree-sitter.scm
index edd0dfa455..c9cbf5219a 100644
--- a/gnu/packages/tree-sitter.scm
+++ b/gnu/packages/tree-sitter.scm
@@ -507,8 +507,8 @@ (define-public tree-sitter-heex
 (define-public tree-sitter-bash
   (tree-sitter-grammar
    "bash" "Bash"
-   "01sjympivwhr037c0gdx5fqw8fvzchq4fd4m8wlr8mdw50di0ag2"
-   "0.20.4"))
+   "13mizaf84snksr0hs3fhax4vayb9rrv64qqgr6q0sxisqs3z25z9"
+   "0.21.0"))
 
 (define-public tree-sitter-c-sharp
   (tree-sitter-grammar
-- 
2.41.0





Information forwarded to andrew@HIDDEN, cox.katherine.e+guix@HIDDEN, liliana.prikler@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:45 2024
Received: from localhost ([127.0.0.1]:55731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjf-0007MA-RO
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:45 -0400
Received: from mail-wr1-x436.google.com ([2a00:1450:4864:20::436]:49283)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggt-0006l4-N9
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:53 -0400
Received: by mail-wr1-x436.google.com with SMTP id
 ffacd0b85a97d-34372e3db28so445226f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074122; x=1712678922; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=CkmQJ/F3n8MIOMwy+ARdOByZYj/JZ9rV/DIy/aqPD1o=;
 b=jYXEZ0HEO4FabGyoIfDrtkDbKjdszkKQEVYNmTB2NKVEWa/PnbTzIXGJ3CDCy5oHBh
 021Dxzj4rBsEieP16lzgkMDZ+8Jso30vnQIzDSKodEKtUvCh37CGn9Va+xXcZOmU+q63
 Od2UpadGLc7wfGEkiHGwuBt/PrS2hraT6mby9ygdUI2Gvv2qtZQPqD5z2fOQ0vnaa+ik
 4n1JHNxaHnynl8XmPySZRUmXyJr6MeSoks6Li8xGYMelxvA2dUayYhtM0M9Ez8tIR8zk
 viQcYuKHfPxvRBrh2zC+Ea3+AiNHyH6cLKO8ycBo3MpYopZTC178GYoy4NgSBM+w+0qA
 MIJQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074122; x=1712678922;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=CkmQJ/F3n8MIOMwy+ARdOByZYj/JZ9rV/DIy/aqPD1o=;
 b=p6noEs6WDfgVmoUK+AbWYeGQYP8NwHc/OyDuRp3HjxPhSnKtD2J/HRIkQ+UO2N56B7
 iYF8glr9uFaKXaxzeeS9dDvzHJys/EsD5QNRKZjte/Kyn2EICb7+5bO7xYDdDbQONa8H
 Dg2DZKijRBevhZCNt5wwW4T7KHxLaKrzk5mHzoJmnTkcaWKyBOQzlYocfg4G/EIUVQHs
 1m3xF6yXcQVhg0KOaFYwgiscX68T/bgWbd9JCR94EUwn7cyCdiZZRSylvjjkYb04WKBV
 t38D/m8M7Chpq+V0FRw4ujTgSZNOsmfKT9pwdPv43fj80MWIf9cSDIQfuEj9Hi3HHD8L
 2LzA==
X-Gm-Message-State: AOJu0YwCgTwoP76HNjLFHa7wxU4nHxjHlaznvg3xxgUrN8twi77+M4oX
 cKKvW4sTFM0OdiCtmVw37U/W1yI+4Z9MWWwy/9Qk+G8/28yNEGfOHj9l/YwxVKSeQXExyBhzaJg
 Y
X-Google-Smtp-Source: AGHT+IE1by8P4ae7U7jyN2wFEC/x0i8uL0/+tk23/Sqzg0GX76Oq2iX9KvMECWECBfaV3jUA05AFEQ==
X-Received: by 2002:a05:6000:10cb:b0:33e:7a10:4d6e with SMTP id
 b11-20020a05600010cb00b0033e7a104d6emr137842wrx.32.1712074122011; 
 Tue, 02 Apr 2024 09:08:42 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:41 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 139/147] gnu: tree-sitter-css: Update to 0.20.0-1.02b4ee7.
Date: Tue,  2 Apr 2024 18:05:31 +0200
Message-ID: <65240dc85e3e1455ecfd9cb2ecd78eeb56b6f748.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Andrew Tropin <andrew@HIDDEN>,
 Katherine Cox-Buday <cox.katherine.e+guix@HIDDEN>,
 Liliana Marie Prikler <liliana.prikler@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tree-sitter.scm (tree-sitter-css): Update to
0.20.0-1.02b4ee7.

Change-Id: Ibaf312370cfeeae455ad285202cdf93d21739369
---
 gnu/packages/tree-sitter.scm | 26 ++++++++++++++++++++++----
 1 file changed, 22 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/tree-sitter.scm b/gnu/packages/tree-sitter.scm
index d3fa55b57b..edd0dfa455 100644
--- a/gnu/packages/tree-sitter.scm
+++ b/gnu/packages/tree-sitter.scm
@@ -418,10 +418,28 @@ (define-public tree-sitter-bibtex
      #:license license:expat)))
 
 (define-public tree-sitter-css
-  (tree-sitter-grammar
-   "css" "CSS"
-   "014jrlgi7zfza9g38hsr4vlbi8964i5p7iglaih6qmzaiml7bja2"
-   "0.19.0"))
+  (let* ((commit "02b4ee757654b7d54fe35352fd8e53a8a4385d42")
+        (revision "1")
+        (base (tree-sitter-grammar
+               "css" "CSS"
+               "0j1kg16sly7xsvvc3kxyy5zaznlbz7x2j2bwwv1r1nki2249ly12"
+               (git-version "0.20.0" revision commit)
+               #:commit commit)))
+    (package
+      (inherit base)
+      (arguments
+       (substitute-keyword-arguments (package-arguments base)
+         ((#:phases phases #~%standard-phases)
+          #~(modify-phases #$phases
+              ;; NOTE: Remove this once tree-sitter-cli is update to fix this
+              ;; error.
+              ;;
+              ;; See <https://github.com/tree-sitter/tree-sitter/issues/3238>.
+              (add-before 'check 'fix-failing-test
+                (lambda _
+                  (substitute* "test/corpus/selectors.txt"
+                    (("::slotted pseudo element")
+                     "slotted pseudo element")))))))))))
 
 (define-public tree-sitter-c
   (tree-sitter-grammar
-- 
2.41.0





Information forwarded to andrew@HIDDEN, cox.katherine.e+guix@HIDDEN, liliana.prikler@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:43 2024
Received: from localhost ([127.0.0.1]:55729 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjc-0007Lv-9r
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:43 -0400
Received: from mail-wm1-x332.google.com ([2a00:1450:4864:20::332]:54754)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggs-0006kY-06
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:53 -0400
Received: by mail-wm1-x332.google.com with SMTP id
 5b1f17b1804b1-4161b7d15c0so5903145e9.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074120; x=1712678920; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=pnpGBrKw3w/rw7pVcFhdjXWm7/lZzfLcSTlfeeuKKH8=;
 b=j4ctHHVIal209AlVE2Ndk8mi91o1ZlmZYikKbKrvB2FAb/j6t4xWuTxhcYRtJ+676V
 N8qZHKCh48FwkOtX7/pH9xMplvI5cUYh6mMLVQpeIwFHDwVxXUSEJdnhNefJesVEtKaW
 ECAvjHwYPUldfbfMd9EWLRuv/Sdu6WYTCaEkcjKNaDUYZO52rw2/Yv6jdEWCKp68zvHz
 paZnRl4LFo0xiSCV10dGZlux9zBTKPczEQnPs6S5eF4hSVCknwlU2rE90FTCh8S3roOG
 SkGrIu19kuX5Jidy81tK9hDOmlyXnCMhWnnwzsyI3He22rgBjv7UgTFyusVkdNGUUYQs
 xDhQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074120; x=1712678920;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=pnpGBrKw3w/rw7pVcFhdjXWm7/lZzfLcSTlfeeuKKH8=;
 b=iH+BLqJM4Ltn5+JQ0FKcOc+zM1yBNHD4uFjmFrJZwUy7CnZTjeBjIGj2BlOQP9xP9t
 ggX/4aKkcn2nRCxcx2u9Tazojq89mBEIsmt2e0niS+tH3yRpQQfvjao5OUPRRWdtWMjj
 FstcTpL0n44ek29fEn9fQ23AT89faEfi6TnWVIakG3QkoLIzn+a05YqTYFx97QTWfbuB
 vPNywuI3KsJYsAlOEyVrYyjrZr3zR4PN7rMgQnXmjVU/Td6+f81BW9707IZY3ontT25J
 ER1/xH8mMi1dt0FBT+cGJdO3aNfLBNb29maExZyx6pPgNW/QQJU9mdySKAoYDZjKwlZ6
 uH6g==
X-Gm-Message-State: AOJu0YwPM2JCSx+WQZIDgstAg1E8oWVORssO6LuTRjpAyrcFiv/mMx16
 i/DDAnAcpn3+R2zfWguDWMHpL9gY8vhimV88o2rBE0QfmuIA0QFnE4PpRORnCpmQoiXrxwY2NVK
 O
X-Google-Smtp-Source: AGHT+IHZOQ0LHdJbfg5guNrGQTwlGtpyMuDj/GK9ojgS3JFqvywQiR6w8REBxqRJyRrkwsdSryNnoQ==
X-Received: by 2002:adf:eb82:0:b0:341:a13d:4f73 with SMTP id
 t2-20020adfeb82000000b00341a13d4f73mr9527816wrn.0.1712074119868; 
 Tue, 02 Apr 2024 09:08:39 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:39 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 137/147] gnu: tree-sitter: Update to 0.22.2.
Date: Tue,  2 Apr 2024 18:05:29 +0200
Message-ID: <0d06834fbf889a9140b2087cf0b3a9fa1b5ab38f.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Andrew Tropin <andrew@HIDDEN>,
 Katherine Cox-Buday <cox.katherine.e+guix@HIDDEN>,
 Liliana Marie Prikler <liliana.prikler@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

* gnu/local.mk (dist_patch_DATA): Add
tree-sitter-org-package-json.patch and
tree-sitter-plantuml-package-json.patch.
* gnu/packages/patches/tree-sitter-org-package-json.patch: New
patch.
* gnu/packages/patches/tree-sitter-plantuml-package-json.patch: New
patch.
* gnu/packages/tree-sitter.scm
(tree-sitter): Update to 0.22.2.
(tree-sitter-cli): Update to 0.22.2.
(tree-sitter-javascript): Update to 0.20.4.
(tree-sitter-typescript): Update to 0.20.6.
(tree-sitter-c): Update to 0.21.0.
(tree-sitter-cpp): Update to 0.20.5 and disable highlight tests.
(tree-sitter-elixir): Update to 0.1.1, patch grammar file and
disable highligh tests.
(tree-sitter-dockerfile): Update to 0.1.2-29.33e22c3.
(tree-sitter-gomod): Update to 1.0.2.
(tree-sitter-java): Update to 0.20.2.
(tree-sitter-markdown): Update to 0.2.3-3.4401749 and disable failing
tests.
(tree-sitter-markdown-gfm): Remove variable. GitHub Flavored Markdown is
now implemented in tree-sitter-markdown. This package does not compile
with the updated tree-sitter-cli.
(tree-sitter-ocaml): Fix compilation.
(tree-sitter-php): Update to 0.22.2.
(tree-sitter-python): Update to 0.21.0.
(tree-sitter-r): Update to 0.0.1-1.c55f8b4 and patch grammar.
(tree-sitter-ron): Fix compilation with updated tree-sitter.
(tree-sitter-ruby): Update to 0.20.1-2.9d86f37 and disable highlight
tests.
(tree-sitter-rust): Update to 0.20.4-25.3a56481.
(tree-sitter-meson): Update to 1.2.1.
(tree-sitter-org): Update to 1.3.1-3.64cfbc2 and apply patch.
(tree-sitter-plantuml): Update to 1.0.0-1.c7361a1, apply patch
and fix grammar.
(tree-sitter-scala): Update to 0.21.0.
* guix/build/tree-sitter-build-system.scm
(patch-dependencies): Drop `peerDependencies' from package.json.
(install): Add `src' to include directories in order for external
scanners to find `tree_sitter/parser.h'.

Change-Id: I5dc0114c6fb645362b4cae033f0d483182708d48
---
 gnu/local.mk                                  |   2 +
 .../tree-sitter-org-package-json.patch        |  35 ++
 .../tree-sitter-plantuml-package-json.patch   |  38 ++
 gnu/packages/tree-sitter.scm                  | 497 ++++++++++++------
 guix/build/tree-sitter-build-system.scm       |   4 +
 5 files changed, 405 insertions(+), 171 deletions(-)
 create mode 100644 gnu/packages/patches/tree-sitter-org-package-json.patch
 create mode 100644 gnu/packages/patches/tree-sitter-plantuml-package-json.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index dd505b0654..ff7085c812 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -2114,6 +2114,8 @@ dist_patch_DATA =						\
   %D%/packages/patches/tpetra-remove-duplicate-using.patch	\
   %D%/packages/patches/transcode-ffmpeg.patch	\
   %D%/packages/patches/transmission-4.0.5-fix-build.patch	\
+  %D%/packages/patches/tree-sitter-org-package-json.patch	\
+  %D%/packages/patches/tree-sitter-plantuml-package-json.patch	\
   %D%/packages/patches/trytond-add-egg-modules-to-path.patch	\
   %D%/packages/patches/trytond-add-guix_trytond_path.patch	\
   %D%/packages/patches/ttf2eot-cstddef.patch			\
diff --git a/gnu/packages/patches/tree-sitter-org-package-json.patch b/gnu/packages/patches/tree-sitter-org-package-json.patch
new file mode 100644
index 0000000000..b8d332984d
--- /dev/null
+++ b/gnu/packages/patches/tree-sitter-org-package-json.patch
@@ -0,0 +1,35 @@
+From bdb16fc7157ad410cfc0c15235861a7e5a01783b Mon Sep 17 00:00:00 2001
+From: Jean-Pierre De Jesus DIAZ <me@HIDDEN>
+Date: Tue, 2 Apr 2024 16:39:55 +0200
+Subject: [PATCH] package.json: Add tree-sitter section.
+
+Needed by newer tree-sitter versions.
+---
+ package.json | 13 ++++++++++++-
+ 1 file changed, 12 insertions(+), 1 deletion(-)
+
+diff --git a/package.json b/package.json
+index f1557ba..f0ea705 100644
+--- a/package.json
++++ b/package.json
+@@ -27,5 +27,16 @@
+   "license": "MIT",
+   "bugs": {
+     "url": "https://github.com/milisims/tree-sitter-org/issues"
+-  }
++  },
++  "tree-sitter": [
++    {
++      "scope": "none",
++      "file-types": [
++        "org"
++      ],
++      "highlights": [
++        "queries/highlights.scm"
++      ]
++    }
++  ]
+ }
+-- 
+2.41.0
+
diff --git a/gnu/packages/patches/tree-sitter-plantuml-package-json.patch b/gnu/packages/patches/tree-sitter-plantuml-package-json.patch
new file mode 100644
index 0000000000..b56a565746
--- /dev/null
+++ b/gnu/packages/patches/tree-sitter-plantuml-package-json.patch
@@ -0,0 +1,38 @@
+From badd0f313ca4f2478cfcb6484eb03ab1536c54f0 Mon Sep 17 00:00:00 2001
+From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
+Date: Tue, 2 Apr 2024 16:28:29 +0200
+Subject: [PATCH] package.json: Add tree-sitter section.
+
+SPDX-FileCopyrightText: © 2024 Foundation Devices, Inc. <hello@HIDDEN>
+SPDX-License-Identifier: MIT
+
+Needed by newer tree-sitter versions.
+---
+ package.json | 13 ++++++++++++-
+ 1 file changed, 12 insertions(+), 1 deletion(-)
+
+diff --git a/package.json b/package.json
+index 7b31335..8597474 100644
+--- a/package.json
++++ b/package.json
+@@ -19,5 +19,16 @@
+   "devDependencies": {
+     "tree-sitter-cli": "^0.20.6",
+     "prettier": "^2.7.1"
+-  }
++  },
++  "tree-sitter": [
++    {
++      "scope": "source.wsd",
++      "file-types": [
++          "pu",
++          "puml",
++          "iuml",
++          "plantuml"
++      ]
++    }
++  ]
+ }
+-- 
+2.41.0
+
diff --git a/gnu/packages/tree-sitter.scm b/gnu/packages/tree-sitter.scm
index 7515461993..46234665a0 100644
--- a/gnu/packages/tree-sitter.scm
+++ b/gnu/packages/tree-sitter.scm
@@ -7,6 +7,7 @@
 ;;; Copyright © 2023, 2024 Nicolas Graves <ngraves@HIDDEN>
 ;;; Copyright © 2023 Zheng Junjie <873216071@HIDDEN>
 ;;; Copyright © 2023 Raven Hallsby <karl@HIDDEN>
+;;; Copyright © 2024 Foundation Devices, Inc. <hello@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -26,9 +27,11 @@
 (define-module (gnu packages tree-sitter)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (gnu packages)
+  #:use-module (gnu packages containers)
   #:use-module (gnu packages crates-graphics)
   #:use-module (gnu packages crates-io)
   #:use-module (gnu packages crates-web)
+  #:use-module (gnu packages crates-vcs)
   #:use-module (gnu packages graphviz)
   #:use-module (gnu packages icu4c)
   #:use-module (gnu packages node)
@@ -99,16 +102,16 @@ (define-public python-tree-sitter
 (define-public tree-sitter
   (package
     (name "tree-sitter")
-    (version "0.20.10")                 ;untagged
+    (version "0.22.2")
     (source (origin
               (method git-fetch)
               (uri (git-reference
                     (url "https://github.com/tree-sitter/tree-sitter")
-                    (commit "0e4ff0bb27edf37b76fc7d35aa768b02cf4392ad")))
+                    (commit (string-append "v" version))))
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "1bai4gdhf8w5p1i9np2kl2ms0jq6rgq98qpiipipzayb9jjjlxcy"))
+                "1dbndz3r9h11mr2nsivbf4v6snm3v37rp74ynf5wfvq21d53f4s6"))
               (modules '((guix build utils)))
               (snippet #~(begin
                            ;; Remove bundled ICU parts
@@ -118,7 +121,16 @@ (define-public tree-sitter
     (arguments
      (list #:phases
            #~(modify-phases %standard-phases
-               (delete 'configure))
+               (delete 'configure)
+               ;; The library uses -fvisibility=hidden to compile, but this
+               ;; symbol is needed by the Rust bindings.
+               (add-after 'unpack 'patch-_ts_dup-visibility
+                 (lambda _
+                   (substitute* "lib/src/tree.c"
+                     (("int _ts_dup")
+                       (string-append
+                         "int __attribute__ ((visibility (\"default\"))) "
+                         "_ts_dup"))))))
            #:tests? #f ; there are no tests for the runtime library
            #:make-flags
            #~(list (string-append "PREFIX=" #$output)
@@ -151,18 +163,21 @@ (define-public tree-sitter-cli
               (inherit (package-source tree-sitter))
               (snippet
                #~(begin
-                   ;; Remove the runtime library code and dynamically link to
+                   ;; Don't build the runtime library and dynamically link to
                    ;; it instead.
-                   (delete-file-recursively "lib/src")
                    (delete-file "lib/binding_rust/build.rs")
                    (with-output-to-file "lib/binding_rust/build.rs"
                      (lambda _
-                       (format #t "fn main() {~@
+                       (format #t "use std::{env, fs, path::{Path, PathBuf}};~@
+                              fn main() {~@
+                              let out_dir =
+                              PathBuf::from(env::var(\"OUT_DIR\").unwrap());~@
+                              fs::copy(\"src/wasm/stdlib-symbols.txt\",~@
+                              out_dir.join(\"stdlib-symbols.txt\"))
+                              .unwrap();~@
                               println!(\"cargo:rustc-link-lib=tree-sitter\");~@
                               }~%")))))))
     (build-system cargo-build-system)
-    (inputs
-     (list tree-sitter graphviz node-lts))
     (arguments
      (list
       #:cargo-test-flags
@@ -185,55 +200,99 @@ (define-public tree-sitter-cli
          "--skip=tests::tags_test"
          "--skip=tests::test_highlight_test"
          "--skip=tests::test_tags_test"
-         "--skip=tests::tree_test")
+         "--skip=tests::tree_test"
+         "--skip=tests::async_context_test"
+         "--skip=tests::text_provider_test"
+         "--skip=tests::detect_language"
+         "--skip=tests::language_test"
+         "--skip=tests::parser_hang_test")
       ;; We're only packaging the CLI program so we do not need to install
       ;; sources.
       #:install-source? #f
       #:cargo-inputs
       `(("rust-ansi-term" ,rust-ansi-term-0.12)
+        ("rust-anstyle" ,rust-anstyle-1)
         ("rust-anyhow" ,rust-anyhow-1)
-        ("rust-atty" ,rust-atty-0.2)
-        ("rust-clap" ,rust-clap-2)
+        ("rust-cc" ,rust-cc-1)
+        ("rust-clap" ,rust-clap-4)
+        ("rust-ctor" ,rust-ctor-0.2)
+        ("rust-ctrlc" ,rust-ctrlc-3)
         ("rust-difference" ,rust-difference-2)
-        ("rust-dirs" ,rust-dirs-3)
+        ("rust-dirs" ,rust-dirs-5)
+        ("rust-filetime" ,rust-filetime-0.2)
+        ("rust-fs4" ,rust-fs4-0.8)
+        ("rust-git2" ,rust-git2-0.18)
+        ("rust-glob" ,rust-glob-0.3)
+        ("rust-heck" ,rust-heck-0.4)
         ("rust-html-escape" ,rust-html-escape-0.2)
-        ("rust-libloading" ,rust-libloading-0.7)
-        ("rust-path-slash" ,rust-path-slash-0.2)
-        ("rust-rand" ,rust-rand-0.8)
+        ("rust-indexmap" ,rust-indexmap-2)
+        ("rust-indoc" ,rust-indoc-2)
+        ("rust-lazy-static" ,rust-lazy-static-1)
+        ("rust-libloading" ,rust-libloading-0.8)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-memchr" ,rust-memchr-2)
+        ("rust-regex" ,rust-regex-1)
+        ("rust-regex-syntax" ,rust-regex-syntax-0.8)
         ("rust-rustc-hash" ,rust-rustc-hash-1)
         ("rust-semver" ,rust-semver-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-serde-json" ,rust-serde-json-1)
         ("rust-smallbitvec" ,rust-smallbitvec-2)
         ("rust-thiserror" ,rust-thiserror-1)
         ("rust-tiny-http" ,rust-tiny-http-0.12)
         ("rust-toml" ,rust-toml-0.5)
         ("rust-walkdir" ,rust-walkdir-2)
-        ("rust-webbrowser" ,rust-webbrowser-0.8)
-        ("rust-which" ,rust-which-4))
+        ("rust-wasmparser" ,rust-wasmparser-0.201)
+        ("rust-wasmtime" ,rust-wasmtime-18)
+        ("rust-wasmtime-c-api-impl" ,rust-wasmtime-c-api-impl-18)
+        ("rust-webbrowser" ,rust-webbrowser-0.8))
       #:cargo-development-inputs
-      `(("rust-ctor" ,rust-ctor-0.1)
-        ("rust-pretty-assertions" ,rust-pretty-assertions-0.7)
+      `(("rust-ctor" ,rust-ctor-0.2)
+        ("rust-pretty-assertions" ,rust-pretty-assertions-1)
         ("rust-rand" ,rust-rand-0.8)
         ("rust-tempfile" ,rust-tempfile-3)
         ("rust-unindent" ,rust-unindent-0.2))
       #:phases
       #~(modify-phases %standard-phases
+          (add-after 'unpack 'delete-.cargo/config.toml
+            (lambda _
+              (delete-file ".cargo/config.toml")))
           (add-after 'unpack 'patch-node
             (lambda _
               (substitute* "cli/src/generate/mod.rs"
-                (("Command::new\\(\"node\"\\)")
-                 (string-append
-                  "Command::new(\"" #$node-lts "/bin/node\")")))))
+                (("js_runtime\\.unwrap_or\\(\"node\"\\)")
+                 (format #f "js_runtime.unwrap_or(\"~a/bin/node\")"
+                         #$(this-package-input "node"))))))
           (add-after 'unpack 'patch-dot
             (lambda _
               (substitute* "cli/src/util.rs"
                 (("Command::new\\(\"dot\"\\)")
-                 (string-append
-                  "Command::new(\"" #$graphviz "/bin/dot\")")))))
+                 (format #f "Command::new(\"~a/bin/dot\")"
+                         #$(this-package-input "graphviz"))))))
+          (add-after 'unpack 'patch-podman
+            (lambda _
+              (substitute* "cli/loader/src/lib.rs"
+                (("Command::new(\"podman\")")
+                 (format #f "Command::new(\"~a/bin/podman\")"
+                         #$(this-package-input "podman"))))))
+          (add-after 'unpack 'relax-version-requirements
+            (lambda _
+              (substitute* "Cargo.toml"
+                (("git2 = \"0.18.2\"") "git2 = \"0.18\""))
+              ;; Relax rust-syn-2 version
+              (substitute* "cli/src/tests/proc_macro/Cargo.toml"
+                (("2\\.0\\.52") "2"))))
           (replace 'install
             (lambda _
               (let ((bin (string-append #$output "/bin")))
                 (mkdir-p bin)
                 (install-file "target/release/tree-sitter" bin)))))))
+    (inputs
+     (list tree-sitter
+           graphviz
+           node-lts
+           podman))
     (description "Tree-sitter is a parser generator tool and an incremental
 parsing library.  It can build a concrete syntax tree for a source file and
 efficiently update the syntax tree as the source file is edited.
@@ -318,35 +377,32 @@ (define-public tree-sitter-html
    "0.19.0"))
 
 (define-public tree-sitter-javascript
-  ;; Commit required by tree-sitter-typescript 0.20.3.
-  (let ((commit "f772967f7b7bc7c28f845be2420a38472b16a8ee")
-        (revision "22"))
-    (tree-sitter-grammar
-     "javascript" "JavaScript(JSX)"
-     "0vp7z57scpbcvyxpya06lnpz9f5kjdb66wjlkrp684xwjjgq1wxd"
-     (git-version "0.20.0" revision commit)
-     #:commit commit
-     #:get-cleanup-snippet
-     (lambda (grammar-directories)
-       #~(begin
-           (use-modules (guix build utils))
-           (delete-file "tree-sitter-javascript.wasm")
-           (delete-file "binding.gyp")
-           (delete-file-recursively "bindings")
-           (for-each
-            (lambda (lang)
-              (with-directory-excursion lang
-                (delete-file "src/grammar.json")
-                (delete-file "src/node-types.json")
-                (delete-file "src/parser.c")
-                (delete-file-recursively "src/tree_sitter")))
-            '#$grammar-directories))))))
+  ;; Keep version in synchronization with tree-sitter-typescript.
+  (tree-sitter-grammar
+   "javascript" "JavaScript(JSX)"
+   "1mvvc6cv46zyhxhdjycmj7746hbss7lxcxks61bzrh229nlrh6hy"
+   "0.20.4"
+   #:get-cleanup-snippet
+   (lambda (grammar-directories)
+     #~(begin
+         (use-modules (guix build utils))
+         (delete-file "tree-sitter-javascript.wasm")
+         (delete-file "binding.gyp")
+         (delete-file-recursively "bindings")
+         (for-each
+          (lambda (lang)
+            (with-directory-excursion lang
+              (delete-file "src/grammar.json")
+              (delete-file "src/node-types.json")
+              (delete-file "src/parser.c")
+              (delete-file-recursively "src/tree_sitter")))
+          '#$grammar-directories)))))
 
 (define-public tree-sitter-typescript
   (tree-sitter-grammar
    "typescript" "TypeScript and TSX"
-   "08k785q3cy8byrb3zrg93mfidnj1pcx1ggm1xhd8rgmfs2v6jns5"
-   "0.20.3"
+   "1lv3w5wxpzjbq629b7krnbww2hba6vk4s7y3l8p4jm4kaw9v0sxq"
+   "0.20.6"
    #:inputs (list tree-sitter-javascript)
    #:grammar-directories '("typescript" "tsx")))
 
@@ -370,15 +426,25 @@ (define-public tree-sitter-css
 (define-public tree-sitter-c
   (tree-sitter-grammar
    "c" "C"
-   "00mhz2rz98pxssgyhm0iymgcb8cbv8slsf3nmfgyjhfchpmb9n6z"
-   "0.20.6"))
+   "01w26hv024grc79wif26y655iy7w8p0zyfj5bhr6zxx8bbjbcypz"
+   "0.21.0"))
 
 (define-public tree-sitter-cpp
-  (tree-sitter-grammar
-   "cpp" "C++"
-   "0fsb6la0da3azh7m9p1w3w079bpg6074dy8jisjw1yq1w1r9grxy"
-   "0.20.3"
-   #:inputs (list tree-sitter-c)))
+  (let ((base (tree-sitter-grammar
+               "cpp" "C++"
+               "0fjxjm3gjqvcjqgjyq6lg6sgyy0ly69dinq33rmy56806da45lq9"
+               "0.20.5"
+               #:inputs (list tree-sitter-c))))
+    (package
+      (inherit base)
+      (arguments
+       (substitute-keyword-arguments (package-arguments base)
+         ((#:phases phases #~%standard-phases)
+          #~(modify-phases #$phases
+             ;; Highlight tests have not been updated yet for tree-sitter-cli@HIDDEN
+              (add-before 'check 'delete-highligh-tests
+                (lambda _
+                  (delete-file-recursively "test/highlight"))))))))))
 
 (define-public tree-sitter-cmake
   (tree-sitter-grammar
@@ -388,17 +454,30 @@ (define-public tree-sitter-cmake
    #:repository-url "https://github.com/uyha/tree-sitter-cmake"))
 
 (define-public tree-sitter-elixir
-  ;; No tags at all, version in the source code is 0.19.0
-  (let ((commit "b20eaa75565243c50be5e35e253d8beb58f45d56")
-        (revision "0"))
-    (tree-sitter-grammar
-     "elixir" "Elixir"
-     "1i0c0xki3sv24649p0ws7xs2jagbwg7z7baz1960239bj94nl487"
-     (git-version "0.19.0" revision commit)
-     #:article "an"
-     #:repository-url "https://github.com/elixir-lang/tree-sitter-elixir"
-     #:commit commit
-     #:license (list license:asl2.0 license:expat))))
+  (let ((base (tree-sitter-grammar
+               "elixir" "Elixir"
+               "1fqsvqdjscmjj7vaq3mgs6j49m3412g5i9jrm1r61n1d8yrg3mzy"
+               "0.1.1"
+               #:article "an"
+               #:repository-url "https://github.com/elixir-lang/tree-sitter-elixir"
+               #:license (list license:asl2.0 license:expat))))
+    (package
+      (inherit base)
+      (arguments
+       (substitute-keyword-arguments (package-arguments base)
+         ((#:phases phases #~%standard-phases)
+         #~(modify-phases #$phases
+             (add-after 'unpack 'fix-grammar-error
+               (lambda _
+                 (substitute* "grammar.js"
+                   (("x\\{\\[0-9a-fA-F\\]\\+\\}")
+                    "x\\{[0-9a-fA-F]+\\}")
+                   (("u\\{\\[0-9a-fA-F\\]\\+\\}")
+                    "u\\{[0-9a-fA-F]+\\}"))))
+             ;; Highlight tests have not been updated yet for tree-sitter-cli@HIDDEN
+             (add-before 'check 'delete-highligh-tests
+               (lambda _
+                 (delete-file-recursively "test/highlight"))))))))))
 
 (define-public tree-sitter-heex
   (tree-sitter-grammar
@@ -420,11 +499,15 @@ (define-public tree-sitter-c-sharp
    "0.20.0"))
 
 (define-public tree-sitter-dockerfile
-  (tree-sitter-grammar
-   "dockerfile" "Dockerfile"
-   "0kf4c4xs5naj8lpcmr3pbdvwj526wl9p6zphxxpimbll7qv6qfnd"
-   "0.1.2"
-   #:repository-url "https://github.com/camdencheek/tree-sitter-dockerfile"))
+  ;; From `git describe --tags'.
+  (let ((commit "33e22c33bcdbfc33d42806ee84cfd0b1248cc392")
+        (revision "29"))
+    (tree-sitter-grammar
+     "dockerfile" "Dockerfile"
+     "1zhrg9ick72m1ywvnvab8kw4a2ncfsxl2hkrnckx0by96r6v68mq"
+     (git-version "0.1.2" revision commit)
+     #:repository-url "https://github.com/camdencheek/tree-sitter-dockerfile"
+     #:commit commit)))
 
 (define-public tree-sitter-elm
   (tree-sitter-grammar
@@ -437,9 +520,9 @@ (define-public tree-sitter-elm
 (define-public tree-sitter-gomod
   (tree-sitter-grammar
    "gomod" "Go .mod"
-   "1hblbi2bs4hlil703myqhvvq2y1x41rc3w903hg2bhbazh7x8yyf"
-   "1.0.0"
-   #:repository-url "https://github.com/camdencheek/tree-sitter-go-mod.git"))
+   "1clw1wyjxiicdjav5g2b9m9q7vlg5k1iy1fqwmf2yc4fxrfnmyrq"
+   "1.0.2"
+   #:repository-url "https://github.com/camdencheek/tree-sitter-go-mod"))
 
 (define-public tree-sitter-go
   (tree-sitter-grammar
@@ -467,10 +550,14 @@ (define-public tree-sitter-hcl
    #:license license:asl2.0))
 
 (define-public tree-sitter-java
-  (tree-sitter-grammar
-   "java" "Java"
-   "0440xh8x8rkbdlc1f1ail9wzl4583l29ic43x9lzl8290bm64q5l"
-   "0.20.1"))
+  ;; From `git describe'. The latest tag (0.20.2) fails tests.
+  (let ((commit "2aae502017d3aed587ba85e3c7e0cbc138f3e07a")
+        (revision "3"))
+    (tree-sitter-grammar
+     "java" "Java"
+     "1ajaqvm547k6m5rrjb0awh06gb1xlkx2y97di8wysvkg1c6jjcsk"
+     (git-version "0.20.2" revision commit)
+     #:commit commit)))
 
 (define-public tree-sitter-json
   ;; Not tagged
@@ -497,59 +584,101 @@ (define-public tree-sitter-kdl
 (define-public tree-sitter-ocaml
   (tree-sitter-grammar
    "ocaml" "OCaml (.ml and .mli)"
-   "021vnbpzzb4cca3ncd4qhzy583vynhndn3qhwayxrpgdl61m44i6"
-   "0.20.1"
-   #:grammar-directories '("ocaml" "interface")))
+   "04vscg6lkhdnzs15r1yqwwmc2lj73x4h3nf4mfpkwq6g870i04wj"
+   "0.22.0"
+   #:grammar-directories '("grammars/ocaml" "grammars/interface")))
 
 (define-public tree-sitter-php
-  ;; There are a lot of additions, the last tag was placed more than 1 year ago
-  (let ((commit "f860e598194f4a71747f91789bf536b393ad4a56")
-        (revision "0"))
+  ;; From `git describe' as some improvements have happened since 0.22.2.
+  (let ((commit "29838ad107f50b1f5f51a0beefa9c9d834fce2b3")
+        (revision "17"))
     (tree-sitter-grammar
      "php" "PHP"
-     "02yc5b3qps8ghsmy4b5m5kldyr5pnqz9yw663v13pnz92r84k14g"
-     (git-version "0.19.0" revision commit)
-     #:commit commit)))
+     "1wxysbw2c5xrm99z4255x69p0phnaq08dsgxr95hmgpsgbc4rcg5"
+     (git-version "0.22.2" revision commit)
+     #:commit commit
+     #:grammar-directories '("php" "php_only"))))
 
 (define-public tree-sitter-python
   (tree-sitter-grammar
    "python" "Python"
-   "1sxz3npk3mq86abcnghfjs38nzahx7nrn3wdh8f8940hy71d0pvi"
-   "0.20.4"))
+   "0wv59wfbxqp8b64fy36vd5n3ifs15zlzkjdfxgb9zkg0cvs7h3v5"
+   "0.21.0"))
 
 (define-public tree-sitter-r
   ;; No tags
-  (let ((commit "80efda55672d1293aa738f956c7ae384ecdc31b4")
-        (revision "0"))
-    (tree-sitter-grammar
-     "r" "R"
-     "1n7yxi2wf9xj8snw0b85a5w40vhf7x1pwirnwfk78ilr6hhz4ix9"
-     (git-version "0.0.1" revision commit)
-     #:commit commit)))
+  (let* ((commit "c55f8b4dfaa32c80ddef6c0ac0e79b05cb0cbf57")
+         (revision "1")
+         (base (tree-sitter-grammar
+                "r" "R"
+                "0si338c05z3bapxkb7zwk30rza5w0saw0jyk0pljxi32869w8s9m"
+                (git-version "0.0.1" revision commit)
+                #:repository-url "https://github.com/r-lib/tree-sitter-r"
+                #:commit commit)))
+    (package
+      (inherit base)
+      (arguments
+       (substitute-keyword-arguments (package-arguments base)
+         ((#:phases phases #~%standard-phases)
+          #~(modify-phases #$phases
+              (add-after 'unpack 'fix-grammar-error
+                (lambda _
+                  (substitute* "grammar.js"
+                    (("u\\{\\[0-9a-fA-F\\]\\+\\}")
+                     "u\\{[0-9a-fA-F]+\\}")))))))))))
 
 (define-public tree-sitter-ron
-  (tree-sitter-grammar
-   "ron" "RON"
-   "1la5v0nig3xp1z2v3sj36hb7wkkjch46dmxf457px7ly43x4cb83"
-   "0.2.0"
-   #:repository-url "https://github.com/tree-sitter-grammars/tree-sitter-ron"
-   #:license (list license:asl2.0 license:expat)))
+  (let ((base (tree-sitter-grammar
+               "ron" "RON"
+               "1la5v0nig3xp1z2v3sj36hb7wkkjch46dmxf457px7ly43x4cb83"
+               "0.2.0"
+               #:repository-url "https://github.com/tree-sitter-grammars/tree-sitter-ron"
+               #:license (list license:asl2.0 license:expat))))
+    (package
+      (inherit base)
+      (arguments
+       (substitute-keyword-arguments (package-arguments base)
+         ((#:phases phases #~%standard-phases)
+          #~(modify-phases #$phases
+              (add-after 'unpack 'fix-grammar-error
+                (lambda _
+                  (substitute* "grammar.js"
+                    (("u\\{\\[0-9a-fA-F\\]\\+\\}")
+                     "u\\{[0-9a-fA-F]+\\}")))))))))))
 
 (define-public tree-sitter-ruby
-  ;; There are a lot of additions, the last tag was placed more than 1 year ago
-  (let ((commit "206c7077164372c596ffa8eaadb9435c28941364")
-        (revision "0"))
-    (tree-sitter-grammar
-     "ruby" "Ruby"
-     "1pqr24bj68lgi1w2cblr8asfby681l3032jrppq4n9x5zm23fi6n"
-     (git-version "0.19.0" revision commit)
-     #:commit commit)))
+  ;; This commit fixes grammar issues, the last tag doesn't contain the fix.
+  ;;
+  ;; Obtained from: `git describe'.
+  (let* ((commit "9d86f3761bb30e8dcc81e754b81d3ce91848477e")
+         (revision "2")
+         (base (tree-sitter-grammar
+                "ruby" "Ruby"
+                "0qzwgx6hs9bx7wbgyrazsrf6k69fikcddcmqiqxlq2jnjgxyxdr1"
+                (git-version "0.20.1" revision commit)
+                #:commit commit)))
+    (package
+      (inherit base)
+      (arguments
+       (substitute-keyword-arguments (package-arguments base)
+         ((#:phases phases #~%standard-phases)
+          #~(modify-phases #$phases
+              ;; Highlight tests have not been updated yet for
+              ;; tree-sitter-cli@HIDDEN
+              (add-before 'check 'delete-highligh-tests
+                (lambda _
+                  (delete-file-recursively "test/highlight"))))))))))
 
 (define-public tree-sitter-rust
-  (tree-sitter-grammar
-   "rust" "Rust"
-   "1pk4mb3gh62xk0qlhxa8ihhxvnf7grrcchwg2xv99yy6yb3yh26b"
-   "0.20.4"))
+  ;; From `git describe' as the latest tag does not build with the
+  ;; tree-sitter version.
+  (let ((commit "3a56481f8d13b6874a28752502a58520b9139dc7")
+        (revision "25"))
+    (tree-sitter-grammar
+     "rust" "Rust"
+     "12806974pngxqv1brj4r15yqzp2fdvid926n7941nylgmdw9f4z9"
+     (git-version "0.20.4" revision commit)
+     #:commit commit)))
 
 (define-public tree-sitter-ungrammar
   ;; No releases yet.
@@ -571,26 +700,33 @@ (define-public tree-sitter-clojure
    #:repository-url "https://github.com/sogaiu/tree-sitter-clojure"))
 
 (define-public tree-sitter-markdown
-  ;; No tags
-  (let ((commit "ef3caf83663ea97ad9e88d891424fff6a20d878d")
-        (revision "0"))
-    (tree-sitter-grammar
-     "markdown" "Markdown (CommonMark Spec v0.30)"
-     "0p9mxpvkhzsxbndda36zx5ycd6g2r2qs60gpx4y56p10lhgzlyqj"
-     "0.1.1"
-     #:repository-url "https://github.com/MDeiml/tree-sitter-markdown"
-     #:grammar-directories '("tree-sitter-markdown"
-                             "tree-sitter-markdown-inline")
-     #:commit commit)))
-
-(define-public tree-sitter-markdown-gfm
-  ;; Not updated for more than 1 year, can be deprecated when gfm will be
-  ;; implemented in tree-sitter-markdown
-  (tree-sitter-grammar
-   "markdown-gfm" "Markdown (CommonMark Spec v0.29-gfm)"
-   "1a2899x7i6dgbsrf13qzmh133hgfrlvmjsr3bbpffi1ixw1h7azk"
-   "0.7.1"
-   #:repository-url "https://github.com/ikatyang/tree-sitter-markdown"))
+  ;; From `git describe --tags'.
+  (let* ((commit "44017499c51cb6431635ed51d5080e1fd05c2c21")
+         (revision "3")
+         (base (tree-sitter-grammar
+                "markdown" "Markdown (CommonMark Spec v0.31.2)"
+                "1n9kf2kvqrj9s0fd5nhy31l4g8cbzzvjihsvch301rcm7dy1xbv7"
+                (git-version "0.2.3" revision commit)
+                #:repository-url "https://github.com/MDeiml/tree-sitter-markdown"
+                #:grammar-directories '("tree-sitter-markdown"
+                                        "tree-sitter-markdown-inline")
+                #:commit commit)))
+    (package
+      (inherit base)
+      (arguments
+       (substitute-keyword-arguments (package-arguments base)
+         ((#:phases phases #~%standard-phases)
+          #~(modify-phases #$phases
+              (add-before 'check 'delete-failing-tests
+                (lambda _
+                  (for-each
+                    (lambda (file)
+                      (delete-file (string-append
+                                     "tree-sitter-markdown-inline"
+                                     "/test/corpus/" file ".txt")))
+                    '("extension_wikilink"
+                      "spec"
+                      "tags")))))))))))
 
 (define-public tree-sitter-matlab
   (let ((commit "79d8b25f57b48f83ae1333aff6723b83c9532e37")
@@ -604,27 +740,30 @@ (define-public tree-sitter-matlab
      #:license license:expat)))
 
 (define-public tree-sitter-meson
-  ;; tag 1.2 is Aug 24,2022  this commit is Feb 28,2023
-  (let ((commit "3d6dfbdb2432603bc84ca7dc009bb39ed9a8a7b1")
-        (revision "0"))
-    (tree-sitter-grammar
-     "meson" "Meson"
-     "1rn7r76h65d41354czyccm59d1j9nzybcrjvjh934lpr59qrw61m"
-     (git-version "1.2" revision commit)
-     #:repository-url "https://github.com/Decodetalkers/tree-sitter-meson"
-     #:commit commit
-     #:license license:expat)))
+  (tree-sitter-grammar
+   "meson" "Meson"
+   "1ykyzz8rng0l4qd9jpziigxfbnvi30h1lvsgks5lv84n1w4a26pr"
+   "1.2.1"
+   #:repository-url "https://github.com/Decodetalkers/tree-sitter-meson"
+   #:commit "1.2.1"))
 
 (define-public tree-sitter-org
-  ;; There are a lot of additions, the last tag was placed a while ago
-  (let ((commit "081179c52b3e8175af62b9b91dc099d010c38770")
-        (revision "0"))
-    (tree-sitter-grammar
-     "org" "Org"
-     "0h9krbaq9j6ijf86sg0w221s0zbpbx5f7m1l0whzjahbrqpnqgxl"
-     (git-version "1.3.1" revision commit)
-     #:repository-url "https://github.com/milisims/tree-sitter-org"
-     #:commit commit)))
+  ;; From `git describe --tags'. There are a lot of additions, the last tag
+  ;; was placed a while ago.
+  (let* ((commit "64cfbc213f5a83da17632c95382a5a0a2f3357c1")
+         (revision "3")
+         (base (tree-sitter-grammar
+                "org" "Org"
+                "1l62p4a3b22pa7b5mzmy497pk5b8w01hx6zinfwpbnzg2rjdwkgz"
+                (git-version "1.3.1" revision commit)
+                #:repository-url "https://github.com/milisims/tree-sitter-org"
+                #:commit commit)))
+    (package
+      (inherit base)
+      (source (origin
+                (inherit (package-source base))
+                (patches
+                 (search-patches "tree-sitter-org-package-json.patch")))))))
 
 (define-public tree-sitter-scheme
   ;; There are a lot of additions, the last tag was placed a while ago
@@ -650,20 +789,36 @@ (define-public tree-sitter-racket
 
 (define-public tree-sitter-plantuml
   ;; No tags
-  (let ((commit "bea443ef909484938cb0a9176ebda7b8a3d108f7")
-        (revision "0"))
-    (tree-sitter-grammar
-     "plantuml" "PlantUML"
-     "0swqq4blhlvvgrvsb0h4cjl3pnfmmdpfd5r5kg9rpdwk0sn98x3a"
-     (git-version "1.0.0" revision commit)
-     #:repository-url "https://github.com/Decodetalkers/tree_sitter_plantuml"
-     #:commit commit
-     #:get-cleanup-snippet
-     (lambda _
-       #~(begin
-           (use-modules (guix build utils))
-           (delete-file "binding.gyp")
-           (delete-file-recursively "bindings"))))))
+  (let* ((commit "c7361a1d481dc1ff6700b14ea1d5efc549b72713")
+         (revision "1")
+         (base (tree-sitter-grammar
+                "plantuml" "PlantUML"
+                "0apmv0dad58ixhxhzxkwlm9wgbphj7lxilbh427rpxy1y5hrml0f"
+                (git-version "1.0.0" revision commit)
+                #:repository-url "https://github.com/Decodetalkers/tree_sitter_plantuml"
+                #:commit commit
+                #:get-cleanup-snippet
+                (lambda _
+                  #~(begin
+                      (use-modules (guix build utils))
+                      (delete-file "binding.gyp")
+                      (delete-file-recursively "bindings"))))))
+    (package
+      (inherit base)
+      (source
+       (origin
+         (inherit (package-source base))
+         (patches
+          (search-patches "tree-sitter-plantuml-package-json.patch"))))
+      (arguments
+       (substitute-keyword-arguments (package-arguments base)
+         ((#:phases phases #~%standard-phases)
+          #~(modify-phases #$phases
+              (add-after 'unpack 'fix-grammar-error
+                (lambda _
+                  (substitute* "grammar.js"
+                    (("u\\{\\[0-9a-fA-F\\]\\+\\}")
+                     "u\\{[0-9a-fA-F]+\\}")))))))))))
 
 (define-public tree-sitter-lua
   (tree-sitter-grammar
@@ -675,5 +830,5 @@ (define-public tree-sitter-lua
 (define-public tree-sitter-scala
   (tree-sitter-grammar
    "scala" "Scala"
-   "0hs6gmkq5cx9qrmgfz1mh0c34flwffc0k2mhwf13laawswnywfkz"
-   "0.20.2"))
+   "1j2ivdm21c5db54rcff00n7bqcfrfjc91jwlfl4a2cm363hbrym2"
+   "0.21.0"))
diff --git a/guix/build/tree-sitter-build-system.scm b/guix/build/tree-sitter-build-system.scm
index 4106728bdf..e7426bc239 100644
--- a/guix/build/tree-sitter-build-system.scm
+++ b/guix/build/tree-sitter-build-system.scm
@@ -1,5 +1,6 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2022 Pierre Langlois <pierre.langlois@HIDDEN>
+;;; Copyright © 2024 Foundation Devices, Inc. <hello@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -51,6 +52,8 @@ (define* (patch-dependencies #:key inputs #:allow-other-keys)
     (map (match-lambda
            (("dependencies" @ . _)
             '("dependencies" @))
+           (("peerDependencies" @ . _)
+            '("peerDependencies" @))
            (("devDependencies" @ . _)
             `("devDependencies" @
               ,@(filter-map (match-lambda
@@ -115,6 +118,7 @@ (define* (install #:key target grammar-directories outputs #:allow-other-keys)
                    "-O2"
                    "-g"
                    "-o" ,(string-append lib "/libtree-sitter-" lang ".so")
+                   "-Isrc"
                    ;; An additional `scanner.{c,cc}' file is sometimes
                    ;; provided.
                    ,@(cond
-- 
2.41.0





Information forwarded to andrew@HIDDEN, cox.katherine.e+guix@HIDDEN, liliana.prikler@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:40 2024
Received: from localhost ([127.0.0.1]:55727 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgja-0007Lb-9K
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:40 -0400
Received: from mail-wr1-x436.google.com ([2a00:1450:4864:20::436]:50243)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggs-0006kn-JK
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:52 -0400
Received: by mail-wr1-x436.google.com with SMTP id
 ffacd0b85a97d-341c7c8adf3so3732603f8f.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074121; x=1712678921; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=hdtsUzb23Gj7SpAdhS2lfJZ8iELmJm59dUD6iE8W60Q=;
 b=YP51ihQWV8rV+YQFNzBwL9a5zaUMeXOB8Kas6L7GDt82nZwipqQh3V8EgRNUArwwWy
 GGOrLzbWOxAJs3jSUib4dTamOZME/Buy68tppBD0GRSjRR8itgz2QzOGRlz2gcOtTMZe
 Tz/1xp1HI5grtg3Kafz0mkUUT+kwT5itN6CNMntdG8baYxJRej77F0eElyeCZfuMjr4t
 8QEsTHSWplNTWyGHRmBIEDETfJ9CrvtVzqb6+1UXcw6SkpHYG6klLc2HtetIm0q9L2p0
 IzLMVqvzupNN3xB1PCSWT05j4XYD3kE4Saf67U8WwEQONfxMYS3HUiArVnWYzy9zFcp/
 D96w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074121; x=1712678921;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=hdtsUzb23Gj7SpAdhS2lfJZ8iELmJm59dUD6iE8W60Q=;
 b=XDH21i6yj1rGMZg7LSuToGJg3X4WXcPphleX9AUUWw5QVGBnn6fvEqkJ/fgmWF3XBT
 hVj5DGI5GbdYrUOtM3sk0z+hqQDVidbDg7G8mV66lDu9Ulv6yiTctiwa6+9LKxX6/uu4
 +DecEqVzMO1DdQJ4hA2HsPOUpcAHDflf1vH+JhjWK+Dfw5WVtVuMpfJfBOirJJLikedW
 mkBu8jWEpjXvVIhy8fwHFgAJ9I45uFhRPKx3/KQHtUZA4Lrppog2u2/8PRTeEzZkfLaT
 PPf4X22A9P9Y9rlPQ4QkdNKlFmF8zmhbVYY0tzVxJVjf10ht8eDVQDj6ZRa3HmrkZISE
 yRYQ==
X-Gm-Message-State: AOJu0Yyd5MjaOk18wJdXjb6B/Rs7Y0JNSPnEbsvYn2WIIVlc7a80yiSV
 E2kAtrVXGf9M6dQsWB3g1Op3MEY3KVkL9eSOg/G4QNHjvnnhF/6/lyeAZe/hElOWCogvltOXMrc
 d
X-Google-Smtp-Source: AGHT+IHX1AGSfHVTJMV77vbiS5gQh9Dw+dalKcPu1EjP2+AERSEjE5ljlqNaz2/IXM4lrPWRn1jjtg==
X-Received: by 2002:a5d:514e:0:b0:33d:886d:bb51 with SMTP id
 u14-20020a5d514e000000b0033d886dbb51mr8148915wrt.60.1712074120978; 
 Tue, 02 Apr 2024 09:08:40 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.40
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:40 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 138/147] gnu: tree-sitter-html: Update to 0.20.2.
Date: Tue,  2 Apr 2024 18:05:30 +0200
Message-ID: <5a4487441d13b773e05819282a02571a874f2d45.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Andrew Tropin <andrew@HIDDEN>,
 Katherine Cox-Buday <cox.katherine.e+guix@HIDDEN>,
 Liliana Marie Prikler <liliana.prikler@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tree-sitter.scm (tree-sitter-html): Update to 0.20.2.

Change-Id: I239b6f3f734679587c13d25ee29c4321c24ee2bf
---
 gnu/packages/tree-sitter.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/tree-sitter.scm b/gnu/packages/tree-sitter.scm
index 46234665a0..d3fa55b57b 100644
--- a/gnu/packages/tree-sitter.scm
+++ b/gnu/packages/tree-sitter.scm
@@ -373,8 +373,8 @@ (define* (tree-sitter-grammar
 (define-public tree-sitter-html
   (tree-sitter-grammar
    "html" "HTML"
-   "1hg7vbcy7bir6b8x11v0a4x0glvqnsqc3i2ixiarbxmycbgl3axy"
-   "0.19.0"))
+   "07nx2xkhadici5h7j5wyqnxwydr86lp9x07cgrn5kapqf03nn6cq"
+   "0.20.2"))
 
 (define-public tree-sitter-javascript
   ;; Keep version in synchronization with tree-sitter-typescript.
-- 
2.41.0





Information forwarded to andrew@HIDDEN, cox.katherine.e+guix@HIDDEN, liliana.prikler@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:38 2024
Received: from localhost ([127.0.0.1]:55725 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjY-0007L4-6Y
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:38 -0400
Received: from mail-wr1-x433.google.com ([2a00:1450:4864:20::433]:50240)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggq-0006kR-F3
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:50 -0400
Received: by mail-wr1-x433.google.com with SMTP id
 ffacd0b85a97d-341c7c8adf3so3732571f8f.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074119; x=1712678919; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=CqHEoilh4YrewSSzBQ3A1MEarJIpdzYrSXvpFKX4Lcg=;
 b=TsmoupUTjHpIe3Jsv7PnuFfwA683uccXWIzfCGUdqWxiGJ5szyKEfgMsVgjRD6cOYz
 s50F4GD8425s0FjXomStsJFCmRt1MiaKZHKd7zBLRaZ+R9UhK29SkkD6cMHAKCyTiD7Q
 9NMRvCTaUpZUFjB91d0RWjKXFoTk/wVMHbz1Bo2MU6VJvYGCXl5xEmR1jVIm29nHcCcl
 6hBj+WCTeJv7nYK+8mMP65v8bvFgBeNzeddSF1AFG5eGTC+XhaGJtAYTGm6X7q3jJoOi
 S3Gi+39WmSbXUyQ/sR9uNd4tr063kT1cCkmntrQCwJdUOiZxuLaat8XwOWkxBqZcZyxC
 txAA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074119; x=1712678919;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=CqHEoilh4YrewSSzBQ3A1MEarJIpdzYrSXvpFKX4Lcg=;
 b=Vh7L7aCvY7ZeYqfeaYfBnMV4L4IVyA0DLsKwzxVIhWiC3Pvfggw+RMT7Yp5nZ4UPiD
 iZ6DmWLnfeEpA3wtCA8YyTsmzRkOqadfq6lQcnD2IOn5AZVtoi69VKWlqh3PNRn2i2Nh
 VseevS38P3k5d+HT+QgFknxYDQ7u20qmL+IRwJMsME16TwnPu4Psupo8IQ6/m1cw2rlZ
 mo2VKEVnQKTkJXUeoL/vT00H9Gmf4AeMDvQpY6Ng7rEC5dchvZxsYDlv4fsapUFRI+e+
 3lJkFmnskhhIow8U0cVKmzzRqMmKPZqHWNZPV5dkuHusXhVP03++ocXs/v+RSHumO71C
 HdfQ==
X-Gm-Message-State: AOJu0YyzhTDDyVdM2RBRwbwIHTYzl+CvpXVgfvgf3LrtuPLqSTatl9Rr
 FdvoRUMbHj44v7wr1qK1kLM7tsIhBtegwp/kKbqXzGt72/FhJ+eyi/6R1WN6WvZBMV2GYZ2aRWk
 U
X-Google-Smtp-Source: AGHT+IFdFxNvUrndgSwcIJwh1jMMA1G/IIvWBVUN4DAgQ6d8vFCIDV7YERR8oWgP5OebCWWmf3ZHeA==
X-Received: by 2002:adf:c801:0:b0:33e:bf71:3665 with SMTP id
 d1-20020adfc801000000b0033ebf713665mr9449659wrh.8.1712074118835; 
 Tue, 02 Apr 2024 09:08:38 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:38 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 136/147] gnu: rust-toml-0.8: Update to 0.8.12.
Date: Tue,  2 Apr 2024 18:05:28 +0200
Message-ID: <2335ea5eb7fa1514c641a6e507208f589db1585f.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-toml-0.8): Update to 0.8.12.

Change-Id: I69a1a4163aaaae6d3b3adf2f51ef4f9bd852e53b
---
 gnu/packages/crates-io.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index a2bb6ea941..9e2a615081 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -74115,21 +74115,21 @@ (define-public rust-tokio-vsock-0.3
 (define-public rust-toml-0.8
   (package
     (name "rust-toml")
-    (version "0.8.8")
+    (version "0.8.12")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "toml" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "0ddbahcrrxf9374mkn3c1h2a2g6a883qx23kywl6k8lxikn9b8d1"))))
+        (base32 "18rs8cbzmapwcxf0lpdwz84fmsgp9h5vv6xay5d4m2r0x12ibpg9"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-indexmap" ,rust-indexmap-2)
                        ("rust-serde" ,rust-serde-1)
                        ("rust-serde-spanned" ,rust-serde-spanned-0.6)
                        ("rust-toml-datetime" ,rust-toml-datetime-0.6)
-                       ("rust-toml-edit" ,rust-toml-edit-0.21))
+                       ("rust-toml-edit" ,rust-toml-edit-0.22))
        #:cargo-development-inputs
        (("rust-serde" ,rust-serde-1)
         ("rust-serde-json" ,rust-serde-json-1)
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:36 2024
Received: from localhost ([127.0.0.1]:55723 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjW-0007Kz-A6
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:36 -0400
Received: from mail-wr1-x435.google.com ([2a00:1450:4864:20::435]:47249)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggp-0006kI-GF
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:49 -0400
Received: by mail-wr1-x435.google.com with SMTP id
 ffacd0b85a97d-34339f01cd2so3186836f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074118; x=1712678918; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=fa0kYjFja8y+iALTq13UJGmtVFl/0egkyNx6rzd4JNg=;
 b=ovJvAT023GxjZNNmckqBXMJDgRHJHpkTHpRPX5bp5/EyIXTq6To15o43YWxyTNFVm1
 egelQLu3AcBMFcNnA4G4romsA4lm0O5jyvm7RLBJrBejsC7Le3EqkjaJAT6YoD4/e7AN
 XXJKLp/Qo3rJDuZqbKJ4SMBy1OGWQcF5Jk5zGZlK9SjdsC8bcBRLFApy5Ls3vz5mkPdE
 0vNV3mKIavN2WT0j/pLkivvO6Zn4updnXCxxDPXxEuvMvHJYKWWftLTnZyToI+Bi9KU/
 pEww/iH81fqSZrANSzLD5U+IQwoJ3rYVhvDMWFjTuN/1WX3WoewgqHcT/OpCCdniTaZB
 8UFA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074118; x=1712678918;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=fa0kYjFja8y+iALTq13UJGmtVFl/0egkyNx6rzd4JNg=;
 b=hyhNUVitZR+bVRbcXV5KImPBIrmShr4hDaMi0mo+l9Pl1ZHyXuWWxYOBDoEsiCAfv0
 2G6i/q/KjIxlODhbOhl3hjF1Q5ySjjHCnnCosWUyB9XiB7oB7kFjoXL4SP9lminf1UUe
 TLWC4x9fVy5Xc15K4Ksr0fKfEiy8Kykr/T9qaSz/DK9ovgb++bzuO4Zs4jLphUhqFL+m
 O07m8iDkmzJJHeGB7gzGmngp2+3pc0zXhk5Dxadz4M+OIBO4v2xIIbLEZsOviumimJDu
 6W/Ui0BfsC+WXDo0hm3/86ztsSul0ZlmRjB3I6qwW4pWVE7Qk7MTzKjIxtcIZRoBKxR8
 0/Kw==
X-Gm-Message-State: AOJu0YytW0zEaXj9S7BcCMcWOftO6JrI2jxNYxstAIpheW6IpQcFmZ9D
 rRRe/7zx4Di5TWQP79V2lrNUszIAOKkgtqWrcP++IpP01AoQ94bAuA0JQt8WPCJoewbVmZ/9WFS
 9
X-Google-Smtp-Source: AGHT+IFo2T6EmKZS4zu7UrFA5DWrXxzlZ2etxyPS/0CBK44LaOv7jN3Mw8SZmJV7RVvI25AtU/7stA==
X-Received: by 2002:adf:f5c8:0:b0:33e:be35:d449 with SMTP id
 k8-20020adff5c8000000b0033ebe35d449mr160117wrp.44.1712074117889; 
 Tue, 02 Apr 2024 09:08:37 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.37
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:37 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 135/147] gnu: rust-proc-macro2-1: Update to 1.0.79.
Date: Tue,  2 Apr 2024 18:05:27 +0200
Message-ID: <df0184a3c0b0686a3c5936bd06c9dcb18b581b3e.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-proc-macro2-1): Update to 1.0.79.

Change-Id: Ia26e2250139fc4c09fd456a6acce1280210cc548
---
 gnu/packages/crates-io.scm | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 213320e143..a2bb6ea941 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -50715,22 +50715,25 @@ (define-public rust-proc-macro-nested-0.1
 (define-public rust-proc-macro2-1
   (package
     (name "rust-proc-macro2")
-    (version "1.0.76")
+    (version "1.0.79")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "proc-macro2" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "136cp0fgl6rg5ljm3b1xpc0bn0lyvagzzmxvbxgk5hxml36mdz4m"))))
+        (base32 "0bn004ybzdqid81cqppr5c9jrvqsxv50x60sxc41cwpmk0igydg8"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-test-flags '("--lib")
        #:cargo-inputs
        (("rust-unicode-ident" ,rust-unicode-ident-1))
        #:cargo-development-inputs
-       (("rust-quote" ,rust-quote-1)
-        ("rust-rustversion" ,rust-rustversion-1))))
+       (("rust-flate2" ,rust-flate2-1)
+        ("rust-quote" ,rust-quote-1)
+        ("rust-rayon" ,rust-rayon-1)
+        ("rust-rustversion" ,rust-rustversion-1)
+        ("rust-tar" ,rust-tar-0.4))))
     (home-page "https://github.com/dtolnay/proc-macro2")
     (synopsis "Stable implementation of the upcoming new `proc_macro` API")
     (description "This package provides a stable implementation of the upcoming new
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:34 2024
Received: from localhost ([127.0.0.1]:55721 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjU-0007Kp-5S
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:34 -0400
Received: from mail-wr1-x436.google.com ([2a00:1450:4864:20::436]:55375)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggo-0006kB-F6
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:49 -0400
Received: by mail-wr1-x436.google.com with SMTP id
 ffacd0b85a97d-34100f4f9a2so3657532f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074117; x=1712678917; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=4iVsZKzdxxTSnZd3aljNvOHt55Fa0RVwL8jFlrqcQZU=;
 b=uBbwl/SJ8X4jnxr0ro0yxWb1vQT/KdV5AclHTWf8IVBAWb5XcKKoJVnEHV94Krcnx0
 5N9jKKgD7gSlLaaKnCQmt4n71v70a6M38UF7XkepgbrJydXwQ2I4N3yg/uKYWaDZK+b0
 PIzbvbYHyAUMsrcMHHv2gO6sYPbWq9F3JWTcjI+JzAunqkXZF9FuOHZoYDzdIE1m4ImU
 t7nXt/XRYn80Zur5CjiAFXLz4yuQ5JcBp+Xq7IANMnRv7rAp56E6QFJY3HN6HanMU31r
 zkWO2uwk3mJ2+IV7o3i4b2n1GPthuY498SizgzgBrT8d0nGk+xQwJ9N1duCYNxaXgcKR
 moCA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074117; x=1712678917;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=4iVsZKzdxxTSnZd3aljNvOHt55Fa0RVwL8jFlrqcQZU=;
 b=WSYfnNH7KyP/DjCjh5uAVBtrfbATG5PWOm2gB7AqJvGAuNkaVg/4RhTumLCOpTNKFX
 eexdko30TzezpcKoPz5ZTo0za2Iw30v17wArHQJNI1xASCUTlNuUXcA4SF2kf9iOeXAY
 GXozMVJKll0gMEg8U4qbPI/314VDA+7ofwV2Yz3TcFz8I6f7/791r8P5IkRQYpHfUN5i
 BV8JuqY7QzU92r7ax7IQkt9G6oXivM1j22lPgMTkjMWlXJjCdbZHut78jpLtJJYMVu+r
 xX6XhchMDPiSfB9MuSt65XJo2KfHpFev/z4dxhu5lmLa5MpVIveFW32gYB1xFpRV1jW/
 w7kQ==
X-Gm-Message-State: AOJu0Yx7PHkTfSXfxA5kPwGq1d2HjlZnUptQ+gLPK7M/mOA8mLvVaBA1
 iAbn8ipgvLW92vCzI2Gt/1Jsas+YlChnXnfe0SI+wV6tci9NhmTOfcx/X7fht8nZPe7hkbN7vEY
 D
X-Google-Smtp-Source: AGHT+IHRim0/tBF2HmpS0FXSfs++16ihga5XyV9c57fycSS7e0qs7I1ek7TTr/DrCyyQx/jXMVs8Bg==
X-Received: by 2002:a5d:598a:0:b0:343:3a4a:c7f0 with SMTP id
 n10-20020a5d598a000000b003433a4ac7f0mr9593506wri.12.1712074116831; 
 Tue, 02 Apr 2024 09:08:36 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:36 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 134/147] gnu: libloading-0.8: Update to 0.8.3.
Date: Tue,  2 Apr 2024 18:05:26 +0200
Message-ID: <b5ad9a98c1d845335ac4d1b1b8b180e71940d8c9.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (libloading-0.8): Update to 0.8.3.

Change-Id: I66dabf63b7c9c87e12d805be318d6fcf994712ed
---
 gnu/packages/crates-io.scm | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index b9770c9194..213320e143 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -34706,14 +34706,14 @@ (define-public rust-libfuzzer-sys-0.3
 (define-public rust-libloading-0.8
   (package
     (name "rust-libloading")
-    (version "0.8.1")
+    (version "0.8.3")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "libloading" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "0q812zvfag4m803ak640znl6cf8ngdd0ilzky498r6pwvmvbcwf5"))
+        (base32 "06awqx9glr3i7mcs6csscr8d6dbd9rrk6yglilmdmsmhns7ijahc"))
        (modules '((guix build utils)))
        (snippet
         '(begin (for-each delete-file
@@ -34722,10 +34722,11 @@ (define-public rust-libloading-0.8
     (arguments
      `(#:cargo-inputs
        (("rust-cfg-if" ,rust-cfg-if-1)
-        ("rust-windows-sys" ,rust-windows-sys-0.48))
+        ("rust-windows-targets" ,rust-windows-targets-0.52))
        #:cargo-development-inputs
        (("rust-libc" ,rust-libc-0.2)
-        ("rust-static-assertions" ,rust-static-assertions-1))))
+        ("rust-static-assertions" ,rust-static-assertions-1)
+        ("rust-windows-sys" ,rust-windows-sys-0.52))))
     (home-page "https://github.com/nagisa/rust_libloading/")
     (synopsis "Safer binding to dynamic library loading utilities")
     (description "This package provides a safer binding to dynamic library
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:32 2024
Received: from localhost ([127.0.0.1]:55719 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjS-0007Kg-4I
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:32 -0400
Received: from mail-wm1-x332.google.com ([2a00:1450:4864:20::332]:54382)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggn-0006k0-GX
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:47 -0400
Received: by mail-wm1-x332.google.com with SMTP id
 5b1f17b1804b1-4156a2d1a44so12913205e9.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074116; x=1712678916; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=/mPP/5zpQeXIJCG8DZpkh/EOjeDVopnqY+JbKUAOBfI=;
 b=PIEc6whdC2G1TEq6x9V+OMVFPK+5gLJjyAEQMmfQ4pzS3BONN2/RHy6jmyUnVRMJFM
 w/4l/NHjCk0ffomcW3BHqpUk3rYauUDQfgXsu1ge4joXjqUKdTKrmGSmRgkF3oYmb97P
 /DpGSs/WfAQPvAjAnUdfBcdma61vl6PNvrIi9MIeAo2aXT2h1vdkJgI+afjSKRLK2T7F
 VJKfUg/AwQZwMKjEB2D9sQcxjzbl8/R5I9LqDoq2FH8Aa2fgxCE4hqP1uv4mHLuZROO9
 3GSB4OuCN2eQTEbHiBtSBdv+fYdDYPx8voDkiH+WqIK762Og4E/4jqR4P6ZfC/pfgxOD
 gDmQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074116; x=1712678916;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=/mPP/5zpQeXIJCG8DZpkh/EOjeDVopnqY+JbKUAOBfI=;
 b=pjJQSFIht9KGUtldm2upxkZ+UbctoRPbbkY3Ol1tYsu9ywWOerxYsRPPUGldD6ku7I
 mk1PqmicBiPiq6s4/jR+Rs2ny2QOXeRf1P/A+SNUxn7IwaSpNnGdlLVjeNltm8ajlVzk
 5esuTDtTNr1TxKSdi3V5pOEC1W+E8myyodH0P+R2hZVXFBoFE1G00sjq2DKdrBvd4iHJ
 5j5kl0bEFVFTPRquGHhIVbq1mxSQcqUwpXfhw3HTLYwhOsJc5GSh5xZTsqVIwwGQhspW
 l9H9xpdwdkUZ7V9cnXBzkWa7rLKyWpvuZZEPGxNBGKOPeYd7NLiPV+7KKatJJvSth/NZ
 a5Cg==
X-Gm-Message-State: AOJu0Yw1cdPdpaUiBdJrYM6OyjTZzlrT3Mgo5I3yE0C6VB/yLgja5ZIq
 JCQeRnPG91s0PTUK5ah2sNNxKT5a5QDPhMYss6JWee0xsUviNqdaFv77y9Gqb+ZcrsJCdUv896t
 1
X-Google-Smtp-Source: AGHT+IEDn1rGP24lTBufWlEyD0xpABJN3aTYiFgvNM6mLKecEiwGd7FqulpBAmmzasCwUymSn2TcgQ==
X-Received: by 2002:a05:600c:1c07:b0:413:ff06:83cd with SMTP id
 j7-20020a05600c1c0700b00413ff0683cdmr8918628wms.3.1712074115908; 
 Tue, 02 Apr 2024 09:08:35 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.35
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:35 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 133/147] gnu: Add rust-fs4-0.8.
Date: Tue,  2 Apr 2024 18:05:25 +0200
Message-ID: <72c36f8656c9831693206868826466b029d9162f.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-fs4-0.8): New variable.

Change-Id: Ib82d04f31d1653e9bf075825aae22bbdd2b8d936
---
 gnu/packages/crates-io.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 2a378599d6..b9770c9194 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -25581,6 +25581,37 @@ (define-public rust-fs2-0.4
 duplication.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-fs4-0.8
+  (package
+    (name "rust-fs4")
+    (version "0.8.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fs4" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1r7zmrg7xdn32ybxdk3pdjw6c0mx81s4j8cq618h2zwx6r7f7cap"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f ;; "#![feature] may not be used on the stable release channe"
+       #:cargo-inputs (("rust-async-std" ,rust-async-std-1)
+                       ("rust-async-trait" ,rust-async-trait-0.1)
+                       ("rust-rustix" ,rust-rustix-0.38)
+                       ("rust-smol" ,rust-smol-2)
+                       ("rust-tokio" ,rust-tokio-1)
+                       ("rust-windows-sys" ,rust-windows-sys-0.52))
+       #:cargo-development-inputs (("rust-async-std" ,rust-async-std-1)
+                                   ("rust-libc" ,rust-libc-0.2)
+                                   ("rust-smol-potat" ,rust-smol-potat-1)
+                                   ("rust-tempdir" ,rust-tempdir-0.3)
+                                   ("rust-tokio" ,rust-tokio-1))))
+    (home-page "https://github.com/al8n/fs4-rs")
+    (synopsis "Cross-platform file locks")
+    (description "This package provides cross-platform file locks, originally
+based on the @code{fs2} library.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-fs-at-0.1
   (package
     (name "rust-fs-at")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:30 2024
Received: from localhost ([127.0.0.1]:55717 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjP-0007KU-Vt
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:30 -0400
Received: from mail-wm1-x334.google.com ([2a00:1450:4864:20::334]:52346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggl-0006jU-A8
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:47 -0400
Received: by mail-wm1-x334.google.com with SMTP id
 5b1f17b1804b1-415644aca59so20051605e9.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074113; x=1712678913; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=ChmamK92yD7hbMx/6aCJ6zkXDC3laCdBHmfyqWn6Dtk=;
 b=t4kwUSTILiVdpjqFIUXUmUuAT7y9Zxe8o4gBOKb17bkPG3R1yHpdjn+XlQbiSWYn0D
 06u/oYxwfftHyf6vCzasVGWSqruOM6lbJj9MXVyDsZtgoI6OH725tEMHMPwi+K7e6QvS
 Ii8T6kbUdiioUFvD301XkdZ5YPo4IO/irHZ6sDcQekx1TpQ6ciKck2/VaAlkSaa9dBqB
 YRLER8j0qTI8fAPXUXweQGcdZs2LChYC4mqjO/givMnLQl8yorWB6FSQ70FS2TJVqEGq
 JB8ACXryYhC1twtIi1N+EHBgfpmpF6UEqCgB5MwYhpXG9+B1NMu0TYPsuIJgaZr2ZKRX
 gRlA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074113; x=1712678913;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=ChmamK92yD7hbMx/6aCJ6zkXDC3laCdBHmfyqWn6Dtk=;
 b=FvpoFyMgZi+/L1eO3WnSWOVbqBJO4dUkoWyZfX61l9gtLcDwBKMyZu/Y3tkyZiCzLS
 thnBPHxdFCtvrF3HCunapafwRZrUANuQy60HzhMrcx6ckMxNC5N3ADyqqikuprLnklRD
 PRoKNhXxs3/UsK5npc5GmgnajqlbWQZbwRhjAWl9rLOYbV/+uz/e0TYWcb1lposNGljg
 WQQT5i5VlgWFjIB2UzB+wkDck4+tXWF9bkPWoE6Ev42xmu1kerWsqS52Jb/opFmd4MBm
 6sbgrrq+PAVPJNgZnf3eTAFvvP74kZhZnbx2bB52qjJagCGnlr15fwOpkuR7B7BIb356
 379w==
X-Gm-Message-State: AOJu0YxOmH0gPceNsmwH3HYAEcJUDdMGrXAPOsg4VYL0Y6M753ieolpx
 znfMSQN0hZCKvPCLjlSHO95JDWXQc+BDV1nwPSV38H9rcr324QpzZNsnM4Jjf6WuorzKPt2/swf
 i
X-Google-Smtp-Source: AGHT+IF1syBMI5/IYENP3c8FiHuDjDCoik1x8JvsZwn7DIxE+juIbFQa1cL5f+O38ho7s9TtApkBUw==
X-Received: by 2002:a05:600c:314f:b0:414:227:fc66 with SMTP id
 h15-20020a05600c314f00b004140227fc66mr2163159wmo.2.1712074113672; 
 Tue, 02 Apr 2024 09:08:33 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.33
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:33 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 131/147] gnu: Add rust-async-fs-2.
Date: Tue,  2 Apr 2024 18:05:23 +0200
Message-ID: <f1037c43044df140d670169e8f63fe8083969906.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-async-fs-2): New variable.
(rust-async-fs-1): Inherit from rust-async-fs-2.

Change-Id: Ifcb121ce34b60e2c905e2136de7d05950d3069d2
---
 gnu/packages/crates-io.scm | 30 ++++++++++++++++++++++++------
 1 file changed, 24 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index f75c012ddc..4cfcb13fd4 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -4310,8 +4310,31 @@ (define-public rust-async-executor-1
     (description "This library provides async executors.")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-async-fs-2
+  (package
+    (name "rust-async-fs")
+    (version "2.1.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "async-fs" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "18dbwan238f3xdisb5x6pnrw6j95xp97srq54hgr51zjf4qnh6dw"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-async-lock" ,rust-async-lock-3)
+                       ("rust-blocking" ,rust-blocking-1)
+                       ("rust-futures-lite" ,rust-futures-lite-2))))
+    (home-page "https://github.com/smol-rs/async-fs")
+    (synopsis "Async filesystem primitives")
+    (description "This package provides async filesystem primitives.")
+    (license (list license:asl2.0 license:expat))))
+
 (define-public rust-async-fs-1
   (package
+    (inherit rust-async-fs-2)
     (name "rust-async-fs")
     (version "1.6.0")
     (source
@@ -4321,18 +4344,13 @@ (define-public rust-async-fs-1
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
         (base32 "01if2h77mry9cnm91ql2md595108i2c1bfy9gaivzvjfcl2gk717"))))
-    (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-async-lock" ,rust-async-lock-2)
                        ("rust-autocfg" ,rust-autocfg-1)
                        ("rust-blocking" ,rust-blocking-1)
                        ("rust-futures-lite" ,rust-futures-lite-1))
        #:cargo-development-inputs (("rust-libc" ,rust-libc-0.2)
-                                   ("rust-winapi" ,rust-winapi-0.3))))
-    (home-page "https://github.com/smol-rs/async-fs")
-    (synopsis "Async filesystem primitives")
-    (description "This package provides async filesystem primitives.")
-    (license (list license:asl2.0 license:expat))))
+                                   ("rust-winapi" ,rust-winapi-0.3))))))
 
 (define-public rust-async-global-executor-2
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:27 2024
Received: from localhost ([127.0.0.1]:55715 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjN-0007KK-S4
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:27 -0400
Received: from mail-wr1-x42f.google.com ([2a00:1450:4864:20::42f]:53541)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggm-0006jh-Cc
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:46 -0400
Received: by mail-wr1-x42f.google.com with SMTP id
 ffacd0b85a97d-3417a3151c4so4969007f8f.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074114; x=1712678914; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=5ZHDMZJFCiHrxk1dPsm/C0hSK5qSHxxBxPpLIw3VecA=;
 b=C3O05RfK2R/Jls2IxqZIuOsapsZegKrA9CjXtT0mLk6TBaOj/pHifi68JBBcrfK8SY
 QWQ4IoLEc3WnX+FiT0UvoDMgF+vYiCm2bbhsTKaNou55FFZAwsqTzClOTFSduUXP40KB
 nJgnfw8TRvq2V9b8bjGUie54PQ23dmnNc97ox8gEPjWAVEh90eNOwBjvklhSlDvAraJl
 8uFFAx0IGgOFnSGAfmBlgCZlOOHJLR8Hg/GhHpa1nckzK40h2pPV/172cpwfHeCfJBFv
 dd5SC9CEImg3iCT9d6SNzjJ/4H/eo6pToFHH8yCK3FrBAKkQnsP8cxtQpncs4Qf0WnLQ
 3a0A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074114; x=1712678914;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=5ZHDMZJFCiHrxk1dPsm/C0hSK5qSHxxBxPpLIw3VecA=;
 b=Ol26G3bUzgeOczWw3n7hREEx7th8ZNLtvoBCUBpY2eRiB+/tmdu3hf/xUd8wmvKoUT
 egLXrjl8u1QjRncbdRqp7D7lMbiDmyaPOnlPrqemj/yt9zYwyRqwQ1wXh8ta7cnORHDC
 hiT/TqHwTJKqojMtVbjzO1BfKFLfHjvO9Gkc32jz9J9WBf519d5mdrAmVtJio0G8xj4L
 /AxQIlBMFq+gRKAC94iuPVZ+7Se7xkoPfnvUWaePIcqkgLNFgWa0e1YBSFkU+/IDhgq8
 sy9r5LzqJcEp2mbmdw1eBJNO2D2cxkNFZF4tr8bKyaoHdtiHcCXe0fBIKP1Ju5CSTSA5
 H2Sw==
X-Gm-Message-State: AOJu0YzBL8aCcmGC57YV+M4kx4pqjDKINiy+vhA0Tfm8uWF84Max9Qtx
 xbYITYn18oWNJLe6dx2vP2KVCX2fiwiriTHZ7VlhC9c3ypwkdWGeUaaJhH9YUP+xhTKv3ZN6IyS
 L
X-Google-Smtp-Source: AGHT+IG+SHVegpAIPU/4MOcvh9hlVTt2C6n7M/jON7XBLlWgS5loI/LWsdpm/K7Uq+mo85M/x8AtEw==
X-Received: by 2002:a5d:530c:0:b0:341:d33e:da1b with SMTP id
 e12-20020a5d530c000000b00341d33eda1bmr2359842wrv.31.1712074114761; 
 Tue, 02 Apr 2024 09:08:34 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:34 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 132/147] gnu: Add rust-smol-2.
Date: Tue,  2 Apr 2024 18:05:24 +0200
Message-ID: <b0d65352169ca12f58b7228fd27dceca5fa0e2b5.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-smol-2): New variable.
(rust-smol-1): Inherit from rust-smol-2.

Change-Id: I101ad11c1b2bfdc86aad96a5f5c6cdfffc6bb1c4
---
 gnu/packages/crates-io.scm | 37 +++++++++++++++++++++++++++++++------
 1 file changed, 31 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 4cfcb13fd4..2a378599d6 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -64338,8 +64338,38 @@ (define-public rust-smawk-0.3
 monotone matrix.")
     (license license:expat)))
 
+(define-public rust-smol-2
+  (package
+    (name "rust-smol")
+    (version "2.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "smol" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1bbws2bsp00fd5x6k23ja13p158vk76s2adaqxdgh7p5b6936dg6"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-async-channel" ,rust-async-channel-2)
+        ("rust-async-executor" ,rust-async-executor-1)
+        ("rust-async-fs" ,rust-async-fs-2)
+        ("rust-async-io" ,rust-async-io-2)
+        ("rust-async-lock" ,rust-async-lock-3)
+        ("rust-async-net" ,rust-async-net-2)
+        ("rust-async-process" ,rust-async-process-2)
+        ("rust-blocking" ,rust-blocking-1)
+        ("rust-futures-lite" ,rust-futures-lite-2))))
+    (home-page "https://github.com/smol-rs/smol")
+    (synopsis "Small and fast async runtime")
+    (description "This package provides a small and fast async runtime.")
+    (license (list license:asl2.0 license:expat))))
+
 (define-public rust-smol-1
   (package
+    (inherit rust-smol-2)
     (name "rust-smol")
     (version "1.2.5")
     (source
@@ -64349,7 +64379,6 @@ (define-public rust-smol-1
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
         (base32 "1r45zng0hymqx1kb2dmxkapbin7f9rhgrdcssz0q7rzka59kpkw5"))))
-    (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -64362,11 +64391,7 @@ (define-public rust-smol-1
         ("rust-async-process" ,rust-async-process-1)
         ("rust-blocking" ,rust-blocking-1)
         ("rust-futures-lite" ,rust-futures-lite-1)
-        ("rust-once-cell" ,rust-once-cell-1))))
-    (home-page "https://github.com/stjepang/smol")
-    (synopsis "Small and fast async runtime")
-    (description "This package provides a small and fast async runtime.")
-    (license (list license:asl2.0 license:expat))))
+        ("rust-once-cell" ,rust-once-cell-1))))))
 
 (define-public rust-smol-0.1
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:25 2024
Received: from localhost ([127.0.0.1]:55713 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjL-0007KC-Sa
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:25 -0400
Received: from mail-wm1-x330.google.com ([2a00:1450:4864:20::330]:50630)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggj-0006j9-1b
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:45 -0400
Received: by mail-wm1-x330.google.com with SMTP id
 5b1f17b1804b1-415584360c0so20834855e9.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074111; x=1712678911; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=RkvJsJKT6YZKjVjcrFI46ZwSbEbz7eiotI22Ka6ANXc=;
 b=H/RsdI8YEH2bZpc7rjUlg5IPJwFU4gQBw2QGUbBgiO9yMw8YC5E7PMzPZi4ZGDYf97
 zdZ0hk15MfjSsGmGS0UFb6CH5TfYmZE+86UJFVEfb0cf6KT+bssj0IVenQdLZqp1ygYs
 lNrnCSQbf/MWCIqtDqCtZtdGjiBM6Iqeqmi+w+JDv/d7IxwoYpT/s1m5qp8QMeWZbZXL
 DQKNTlsDAjenpJSxKtbPI67saNMKoiqK0NEPvxLeLoSsqQzfnPkv6LY8os8gqrICE7bU
 5KxMIaar3ZRaJWjV2yaG9I0q2Uhgw4OeHgkd3ZMHxMiiOyCxZrjX6xWaIuFnuTxWMQhJ
 rZvA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074111; x=1712678911;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=RkvJsJKT6YZKjVjcrFI46ZwSbEbz7eiotI22Ka6ANXc=;
 b=IZPaOyhcEUZk819jKrqfosgSBgt28n/8NoF6YGlF5ZEiT4DurliaggGE06k1wcSCKO
 jbDrOuDUxRzoMkC7kO4XAxKdubwlEr7NwJGgzWyeElSFODGPjIFYut0/eIwx38hKDmSG
 a4f1Ttdc+OpowxILA/KTbX1xWb9RdmBpilmCr6OD1+bxPh1WdKDU8Vm0ElmKmVrvNEh5
 S8fb+RbxCbDhm1+JkddJqMsls/o+YKsVm/WMMJwarfnAPnq9umtrBMNELb8N2e3QQ3Wy
 aenSKvs+C1nu4cnuHXOKqC+qLrw6kqLwNcM0tfQBvHtOldlylxJrA7yzxS4ZqdGm5vNF
 MFNw==
X-Gm-Message-State: AOJu0YxktC3LhZrSE4+mBTTMf/+DLouma27qX4iysPv/xy5UyvEXSE8Y
 3VJcuXm0dpaKfyH0QksBPLzcwqAFC+uhj1SwOCBp/04cX4GNDj/Jq5XcY5Z9zU5Jel2YyoltH4v
 A
X-Google-Smtp-Source: AGHT+IFLjMbxBVm3N4Zr938D4srTJ/FGreJVPh5HMo3anBkflYHB/Hv7kt6BWalpPJHePkwaGwpBnA==
X-Received: by 2002:a05:600c:1712:b0:416:1e4d:497a with SMTP id
 c18-20020a05600c171200b004161e4d497amr843302wmn.25.1712074111382; 
 Tue, 02 Apr 2024 09:08:31 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.30
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:30 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 129/147] gnu: Add rust-event-listener-5.
Date: Tue,  2 Apr 2024 18:05:21 +0200
Message-ID: <1f1e54d7008f28a004c19a839fa104ace13a9600.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-event-listener-5): New variable.
(rust-event-listener-4): Inherit from rust-event-listener-5.

Change-Id: If25f099019a0cf43bda0bbf04298991cc2a6e287
---
 gnu/packages/crates-io.scm | 39 +++++++++++++++++++++++++++++---------
 1 file changed, 30 insertions(+), 9 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 850321ea52..9f1d311f6d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -22982,8 +22982,37 @@ (define-public rust-evdev-0.12
     (description "This package provides evdev interface for Linux.")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-event-listener-5
+  (package
+    (name "rust-event-listener")
+    (version "5.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "event-listener" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "14fcnjgpfl22645nhc3hzkdq3a1v0srqacc3kfassg7sjj8vhprb"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-concurrent-queue" ,rust-concurrent-queue-2)
+        ("rust-parking" ,rust-parking-2)
+        ("rust-pin-project-lite" ,rust-pin-project-lite-0.2)
+        ("rust-portable-atomic" ,rust-portable-atomic-1)
+        ("rust-portable-atomic-util" ,rust-portable-atomic-util-0.1))))
+    (home-page "https://github.com/smol-rs/event-listener")
+    (synopsis "Notify async tasks or threads")
+    (description
+     "This is a synchronization primitive similar to @code{eventcounts}.
+You can use this crate to turn non-blocking data structures into async or
+blocking data structures.")
+    (license (list license:asl2.0 license:expat))))
+
 (define-public rust-event-listener-4
   (package
+    (inherit rust-event-listener-5)
     (name "rust-event-listener")
     (version "4.0.3")
     (source
@@ -22993,7 +23022,6 @@ (define-public rust-event-listener-4
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
         (base32 "0vk4smw1vf871vi76af1zn7w69jg3zmpjddpby2qq91bkg21bck7"))))
-    (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
        (("rust-concurrent-queue" ,rust-concurrent-queue-2)
@@ -23005,14 +23033,7 @@ (define-public rust-event-listener-4
        (("rust-criterion" ,rust-criterion-0.5)
         ("rust-futures-lite" ,rust-futures-lite-2)
         ("rust-waker-fn" ,rust-waker-fn-1)
-        ("rust-wasm-bindgen-test" ,rust-wasm-bindgen-test-0.3))))
-    (home-page "https://github.com/smol-rs/event-listener")
-    (synopsis "Notify async tasks or threads")
-    (description
-     "This is a synchronization primitive similar to @code{eventcounts}.
-You can use this crate to turn non-blocking data structures into async or
-blocking data structures.")
-    (license (list license:asl2.0 license:expat))))
+        ("rust-wasm-bindgen-test" ,rust-wasm-bindgen-test-0.3))))))
 
 (define-public rust-event-listener-3
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:23 2024
Received: from localhost ([127.0.0.1]:55711 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjJ-0007K3-M0
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:23 -0400
Received: from mail-wm1-x32b.google.com ([2a00:1450:4864:20::32b]:51293)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggj-0006jG-Rx
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:43 -0400
Received: by mail-wm1-x32b.google.com with SMTP id
 5b1f17b1804b1-41569f1896dso12720545e9.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074112; x=1712678912; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=pvnJf0aJ+ekS/wZ+mAwZHjPA1JVXvN+2eCjVhp4Meo8=;
 b=EqznsvxXWc90FMwHXPDHYgaWDIkcTyAOOYaoFbAemjAiJuLpr5IF11a8XHCMRWIgRm
 wWh9n47wAkcYgsVQpA7ojz6A0Bmyc5sEyjHjz/E/Ubk3PhAa+KYKC+gT15UdZqyQvYzs
 ee7idZ0E8FQ5sLrBULJAZ3VsVDpQWc+0cxPXCq1Y2YfKI/H0YZHrN/CzQi+uMj20zK/I
 4cjEfnDH922RFL5yC0wXdYn7//butrzaLAJeGts1fDNGtJwslsOiIxIB7F7RAY2QfGTp
 hfdrfgOD3fNPyWOd4WYhq/GWoGDuKZ5Mwt1NBbI8qtOX9NXC3n8oCn4gCgOFNMyqaafQ
 TCkg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074112; x=1712678912;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=pvnJf0aJ+ekS/wZ+mAwZHjPA1JVXvN+2eCjVhp4Meo8=;
 b=XhHOefsJ5TNgrAeTdHt1GVlO97WTarX3nqfjVOD1vuyqy8A7xV6yo5XllYHR7pUU0u
 KKWR7aZJqdDo9BhpZCulQJeWj0eOP503aAQ7Vx39BEfw6Z3qRxzsLrWVTdVUCSR0TOFs
 J9AmQHqWSC/lzL22xwV9GHzaPpU/ZGrarEYYd2Zz+v28Pmy88W22Tqyw/dltZmbUYDs5
 YwjainjWyHTkbjcuhOVw700KguLU90OF2N+K+VwNKn0xWu4aDzVXchQFFoqBToLh0xQH
 kQfpky1MwKXGVj2MmW8H2Tmryo309xXVpVuqragiVWtotOpacfpE1/p3tya5WlVX6ayL
 pODg==
X-Gm-Message-State: AOJu0YzqIMtxYR5dOPOHopk8Pfj94qj/oh2geS/wdOovEJXlJ4Ed8UN7
 9bfDfwG13WJaqo3aZ/kkKzZUuePpNitq1ZqygE/Vq7znmPd5RTGV6ZfbwJw+DdbWvfPFylFEnn6
 z
X-Google-Smtp-Source: AGHT+IFW4wM0nsv10jWr0D8bO+CZpUq1Pr4bhAOMsxDz8jnIuPrbUyZ/JMJtjFGEEU7I5AgEQhaiIw==
X-Received: by 2002:a05:600c:1793:b0:415:6ea0:fb26 with SMTP id
 x19-20020a05600c179300b004156ea0fb26mr2477197wmo.20.1712074112127; 
 Tue, 02 Apr 2024 09:08:32 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.31
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:31 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 130/147] gnu: Add rust-async-process-2.
Date: Tue,  2 Apr 2024 18:05:22 +0200
Message-ID: <fda286c1e6b5f68cf16b753d362487727ed6b989.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-async-process-2): New variable.
(rust-async-process-1): Inherit from rust-async-process-2.

Change-Id: I87e01f19b2c39023ecb055f82de53144e08260a3
---
 gnu/packages/crates-io.scm | 51 ++++++++++++++++++++++++++++----------
 1 file changed, 38 insertions(+), 13 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9f1d311f6d..f75c012ddc 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -4722,8 +4722,45 @@ (define-public rust-async-pidfd-0.1
 asynchronously (via the AsyncPidFd type).")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-async-process-2
+  (package
+    (name "rust-async-process")
+    (version "2.1.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "async-process" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1j0cfac9p3kq5dclfzlz6jv5l29kwflh9nvr3ivmdg8ih3v3q7j5"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-async-channel" ,rust-async-channel-2)
+                       ("rust-async-io" ,rust-async-io-2)
+                       ("rust-async-lock" ,rust-async-lock-3)
+                       ("rust-async-signal" ,rust-async-signal-0.2)
+                       ("rust-blocking" ,rust-blocking-1)
+                       ("rust-cfg-if" ,rust-cfg-if-1)
+                       ("rust-event-listener" ,rust-event-listener-5)
+                       ("rust-futures-lite" ,rust-futures-lite-2)
+                       ("rust-rustix" ,rust-rustix-0.38)
+                       ("rust-windows-sys" ,rust-windows-sys-0.52))))
+    (home-page "https://github.com/smol-rs/async-process")
+    (synopsis "Async interface for working with processes")
+    (description
+     "This crate is an async version of @code{std::process}.  A background
+thread named @code{async-process} is lazily created on first use, which waits
+for spawned child processes to exit and then calls the @code{wait()} syscall
+to clean up the ``zombie'' processes.
+
+This is unlike the process API in the standard library, where dropping
+a running Child leaks its resources.")
+    (license (list license:asl2.0 license:expat))))
+
 (define-public rust-async-process-1
   (package
+    (inherit rust-async-process-2)
     (name "rust-async-process")
     (version "1.8.1")
     (source
@@ -4733,7 +4770,6 @@ (define-public rust-async-process-1
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
         (base32 "126s968lvhg9rlwsnxp7wfzkfn7rl87p0dlvqqlibn081ax3hr7a"))))
-    (build-system cargo-build-system)
     (arguments
      `(#:cargo-test-flags
        '("--release" "--"
@@ -4751,18 +4787,7 @@ (define-public rust-async-process-1
                        ("rust-futures-lite" ,rust-futures-lite-1)
                        ("rust-rustix" ,rust-rustix-0.38)
                        ("rust-windows-sys" ,rust-windows-sys-0.48))
-       #:cargo-development-inputs (("rust-async-io" ,rust-async-io-1))))
-    (home-page "https://github.com/smol-rs/async-process")
-    (synopsis "Async interface for working with processes")
-    (description
-     "This crate is an async version of @code{std::process}.  A background
-thread named @code{async-process} is lazily created on first use, which waits
-for spawned child processes to exit and then calls the @code{wait()} syscall
-to clean up the ``zombie'' processes.
-
-This is unlike the process API in the standard library, where dropping
-a running Child leaks its resources.")
-    (license (list license:asl2.0 license:expat))))
+       #:cargo-development-inputs (("rust-async-io" ,rust-async-io-1))))))
 
 (define-public rust-async-ready-3
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:21 2024
Received: from localhost ([127.0.0.1]:55709 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjH-0007Jt-Ro
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:21 -0400
Received: from mail-wr1-x434.google.com ([2a00:1450:4864:20::434]:46563)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggh-0006iq-J6
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:41 -0400
Received: by mail-wr1-x434.google.com with SMTP id
 ffacd0b85a97d-34005b5927eso3984442f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074109; x=1712678909; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=VuFgQUSncEosO5Jiq71AxiQkcalhMcqDRWOjVIw88ME=;
 b=B85ywGoo7FytUPSRwnmOQWm/8GKth2OFtsu4Gn7juN9WkLzrHgHClb+WURMpksDOFi
 x5aF2/PXGyt596vkneX937Wrg+5Nm+zBF1C32qr2EFFsxS5h0i6geX/H0f56k/eKdQkp
 d3zAQoubFWCs6g7ULE7j1wN4JXRihCXx2Ivicyvk05O0XmBY3Y3kZWoB2EI9YH3qtRa3
 OLgAzjnYuEqr8ilHgCM0NlWqBAmdGy/6xfpGeXrBDq/Zyi2ktruQs001VykEnf1Zhhz8
 Y741S+muVS5d+KtmZfLJnNsAFu0cCb0sdHmcwkGH1NloVwWlHSH3ws9QRLcENA5cfg8z
 TUcg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074109; x=1712678909;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=VuFgQUSncEosO5Jiq71AxiQkcalhMcqDRWOjVIw88ME=;
 b=K2GmprYx0GoZU0bZrgqimfNk8Mm4jnSiEZpmyTOSALNwREZu6Z8NT5Bf+WcUgdGMKp
 UmTvtGaNKTDpjSMyuitEUkIpIN/EfacxqYb4GXLf1DZxL5zf/jAzgwC81HxiIwq+FQxY
 w1NEs2sluOflJlex+QUnTXgkxOm7tOLJyhBkWXg/rPbc45zFx0PdgLQC52xMKWZUFyFX
 z3kYm5DPRj8V9N7lgmu89E0r0rwyoYRSQiNLriE3FUuzbg+iVXzi7GCGrb59eVX4+uNM
 OUqJhoG0X/HV7r9IrYlYh1YeDUlaIkigcenxsTq0kxH/D5o2+GTPCafwzco/l5WMR9G4
 //2g==
X-Gm-Message-State: AOJu0Yx9+Pzj4SvueF3Xaqqud4WYQY8jTH2fpML5TzT9oYyU3xD/SWG3
 dIujPaxyOOsND8TVUihU1aiyxhItNlpK/Z5U5VEKvxJ9mMRMwzXJgIpb8Fo4XO7bXGBWXqyfbcK
 H
X-Google-Smtp-Source: AGHT+IE1+zAFoRJXa7de/JJKwbAa3HbN/HVqa/nhoBmIYnTx+zw0EcXnxJ40HfKCFBFfiegyy+QixA==
X-Received: by 2002:a05:6000:1085:b0:343:2d7a:143e with SMTP id
 y5-20020a056000108500b003432d7a143emr127567wrw.48.1712074109750; 
 Tue, 02 Apr 2024 09:08:29 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:29 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 128/147] gnu: Add rust-smol-potat-1.
Date: Tue,  2 Apr 2024 18:05:20 +0200
Message-ID: <946603d2972246f19626beeba10f39b391303cf6.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-smol-potat-1): New variable.

Change-Id: I623c8542db238b142dca39487412bf3f6a525b6c
---
 gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index d1cb9e962f..850321ea52 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -64340,6 +64340,29 @@ (define-public rust-smol-0.1
         ("rust-piper" ,rust-piper-0.1)
         ("rust-tempfile" ,rust-tempfile-3))))))
 
+(define-public rust-smol-potat-1
+  (package
+    (name "rust-smol-potat")
+    (version "1.1.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "smol-potat" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "13nqzzqjscav3flc9jhwiabw8vnb22mv2accgilsn3swmxhzlkw9"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-async-io" ,rust-async-io-1)
+                       ("rust-num-cpus" ,rust-num-cpus-1)
+                       ("rust-smol-potat-macro" ,rust-smol-potat-macro-0.6))))
+    (home-page "https://github.com/wusyong/smol-potat")
+    (synopsis "Macros to initalize the @code{smol} asynchronous runtime.")
+    (description "This package provides a Rust procedural macro to simplify
+initialization of the @code{smol} asynchronous runtime in final binaries.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-smol-potat-macro-0.6
   (package
     (name "rust-smol-potat-macro")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:19 2024
Received: from localhost ([127.0.0.1]:55699 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjF-0007J4-Qq
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:19 -0400
Received: from mail-wr1-x430.google.com ([2a00:1450:4864:20::430]:55369)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggg-0006iX-7y
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:39 -0400
Received: by mail-wr1-x430.google.com with SMTP id
 ffacd0b85a97d-34100f4f9a2so3657387f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074108; x=1712678908; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=YZwXdhL4ZUtJ4ILGcQbC8SG0n/GB57N0oQfjboey+WY=;
 b=pxYSSk4/crF7MAp4UoTeVpN5TUrrDFt339GFo8uKjGfEpGPNdUWQTMGFKNFg8zzbQE
 vfTl2lrb9tsYPplN1rcGz82hPCyNu8Ij7xgrdKlLnfWLajskVqe3QMlwYPF0qhrgWWrF
 AO8LGyxH0+LZKPWFKXrGvKKhqMPdLv86IrSA3I9TF/q7dNh/SUO7ZY7s8+2akbSL48Ma
 HjhOmLpFjWx8NifyCk1PEKFggoe9Tn4c2esMJhJ5U/fycLAQPEOJW8CQUinvOr286KQt
 oz6IfqkKTzhU8d52WpkYVtK1Sn9up+bLxrCAxFXTt9IqXA6qgZPDAbIPoh80LdrperPI
 A0wg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074108; x=1712678908;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=YZwXdhL4ZUtJ4ILGcQbC8SG0n/GB57N0oQfjboey+WY=;
 b=kvvL5C/XSG0tWRfGgEayoaX1PIFDbSK7CHKUS8CnqZ+yyHENTU2B64T1bVPdwxEN7i
 iJPoMswRTxqr/KKX+LiEFO1ua8Z1BwOwMNAid6XTno2M0ezItqjphUccNQBzV3Z3c+lp
 pU/WVt+Xrsa7T+yqV8z3uHi9DpuIeV4L8+MSPg9cueNmQ6y2sjGhSQst4A0SYgd17EcC
 OfKoWurMcFG++QYaHCu5eRHhxM1S7nJn49gVvZiVkfo3tjLhSITGZ30uHH62tgIstLlI
 VfPx9GqeYMdsPMo+Z9RWHtkh252Y7l8ZaWqWkNqx+dUAG+KNPT98TtmYPpwbYK+sD3oT
 USxg==
X-Gm-Message-State: AOJu0Yzh3nIed0wEhrquzgls4ATVH1Lhp8pCRNzoPZaonZ/8L0km9tvW
 6s1gkOPxMiMoZ24mZl0h/SfjRNC9BHzRRJZPGtgqCitUv5BFABp6RGemW17qwncrpRKPJRVDtCh
 n
X-Google-Smtp-Source: AGHT+IFDUlxnh5FnE4lAdta9VOLe+aEvNB8gPRMFqVuUBLOo3L8J50eJc1sb5BpzWW214rNw6cRqcg==
X-Received: by 2002:a5d:5888:0:b0:341:c766:fbc9 with SMTP id
 n8-20020a5d5888000000b00341c766fbc9mr9548999wrf.1.1712074108613; 
 Tue, 02 Apr 2024 09:08:28 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.28
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:28 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 127/147] gnu: Add rust-smol-potat-macro-0.6.
Date: Tue,  2 Apr 2024 18:05:19 +0200
Message-ID: <bbf0b288e76e4a57ec1a84b401ddd53d2f1eb774.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-smol-potat-macro-0.6): New variable.

Change-Id: I5aaf148ad666e740dcdabf015793b0bed5f1685b
---
 gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 12268fa3b2..d1cb9e962f 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -64340,6 +64340,29 @@ (define-public rust-smol-0.1
         ("rust-piper" ,rust-piper-0.1)
         ("rust-tempfile" ,rust-tempfile-3))))))
 
+(define-public rust-smol-potat-macro-0.6
+  (package
+    (name "rust-smol-potat-macro")
+    (version "0.6.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "smol-potat-macro" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0cirpy1309cr3n6zbmia66miyidih88sinpanj2r61hqk89dhz3b"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-quote" ,rust-quote-1)
+                       ("rust-syn" ,rust-syn-1))))
+    (home-page "https://github.com/wusyong/smol-potat")
+    (synopsis "Macros to initalize the @code{smol} asynchronous runtime.")
+    (description "This package provides a Rust procedural macro to simplify
+initialization of the @code{smol} asynchronous runtime in final binaries.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-smol-str-0.2
   (package
     (name "rust-smol-str")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:17 2024
Received: from localhost ([127.0.0.1]:55689 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjE-0007IQ-10
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:17 -0400
Received: from mail-lf1-x12e.google.com ([2a00:1450:4864:20::12e]:54300)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgge-0006iF-BY
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:39 -0400
Received: by mail-lf1-x12e.google.com with SMTP id
 2adb3069b0e04-513d717269fso6390072e87.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074106; x=1712678906; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=dr/atIK2ctgQaa+e2RlZ7i6u4taH4hkx+H9aISG6/Ik=;
 b=UrAr1SByXzTl1NAy4tTMTC7W2YtYJBW8Uv0W+mJF8tQMaTTUss900Vt+g5u9n+4Y7y
 dBGuDEnyEZdHRHGQA8ePnc88Bg0oRPnRGH4NiVi5L0gDsgoPZAEoy7b4QdWqcraIQMHc
 ZcvhqEB0/QuqCKtWcpIvHBiLLerr4k4b5p3sHbMxNhz6JmKJ3zX8r0/+XxP2mFPRHdHP
 V595VFN9WSV4H0XKZA44w2V3QJuOrWQ45F3D6W8jZjfaRgAsBgbUx4EJjHD0yFGlLsKW
 8z//5pl7ChrYX0vIygcXj+X0Helizl2zhBxWWeuPYp1cdDum10y7ilVHn+gtYzEntspg
 /cNA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074106; x=1712678906;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=dr/atIK2ctgQaa+e2RlZ7i6u4taH4hkx+H9aISG6/Ik=;
 b=HjIeuO3cHoXQ0dLFjg3pO86zCEhke2CcehEjlRg2Kt3cQLl5zGDC+mHTWT2kwZWS/w
 HX6mxbkBEoXauRBcdu//WmjnDZKBiCOB3xfuf8fsh+N8ioixeNuJBOvZ0iXmzrwXTd2f
 PKRRKrfIL6jN7OlOcAlaQjkkSOIqSpv6nCbBmKz1GHolKEV5ZWRxT3kvKB+fbPm51/lU
 Pgz+c6ajp9qQwnUSO0x/laZ9sb6GDuvNnBmT1FvasIHZRjsnmvnMAs4ZM4leuGseSsvI
 6Aywd0gkRbRLRncLh2OPn+PAECmUwyTA5vXM4dXJ9RJgozMz8g/yylsDm4mjDxwD80Ve
 CWCA==
X-Gm-Message-State: AOJu0YzLAXIyhKtM6BWWtUrD2O6aQ7mA9gfj9MpKfqd64lHCyzO2Ko4V
 wY/nS3FH1BuiLDYz4yaz3ggG2WFllfiKaeukNyFsKEec2wIL0AXpM7SMVAx8zbA9XFxdPWTn9Um
 n
X-Google-Smtp-Source: AGHT+IHW43IPlNUZXSfGS7hc4oKqFG+eNJr58t9soBXKuwsezqqjNpGxYrFOfw5ckZU1VzbRrjRH3w==
X-Received: by 2002:a05:6512:4016:b0:515:b827:8d05 with SMTP id
 br22-20020a056512401600b00515b8278d05mr10054987lfb.7.1712074105875; 
 Tue, 02 Apr 2024 09:08:25 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.25
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:25 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 124/147] gnu: Add rust-wasmtime-c-api-impl-18.
Date: Tue,  2 Apr 2024 18:05:16 +0200
Message-ID: <2264e1b9ea52de1c816ea49eefdf38923c81a0e2.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmtime-c-api-impl-18): New
variable.

Change-Id: I8c8fefccc26018bd66f3fca1da836cc10c4ae338
---
 gnu/packages/crates-io.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 7cecb0e942..63b3f74e81 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -79091,6 +79091,37 @@ (define-public rust-wasmtime-asm-macros-18
 functions in Wasmtime.")
     (license license:asl2.0))) ;; With LLVM exception.
 
+(define-public rust-wasmtime-c-api-impl-18
+  (package
+    (name "rust-wasmtime-c-api-impl")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmtime-c-api-impl" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "07l3s3jd3rxd8fghkpi4zs41mr88gg4vcjcky2mpzlklz13n1y8p"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-anyhow" ,rust-anyhow-1)
+        ("rust-cap-std" ,rust-cap-std-2)
+        ("rust-env-logger" ,rust-env-logger-0.10)
+        ("rust-futures" ,rust-futures-0.3)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-once-cell" ,rust-once-cell-1)
+        ("rust-tracing" ,rust-tracing-0.1)
+        ("rust-wasi-common" ,rust-wasi-common-18)
+        ("rust-wasmtime" ,rust-wasmtime-18)
+        ("rust-wasmtime-c-api-macros" ,rust-wasmtime-c-api-macros-18)
+        ("rust-wasmtime-wasi" ,rust-wasmtime-wasi-18)
+        ("rust-wat" ,rust-wat-1))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Wasmtime runtime C bindings")
+    (description "This package provides bindings of Wasmtime from Rust to C.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wasmtime-c-api-macros-18
   (package
     (name "rust-wasmtime-c-api-macros")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:16 2024
Received: from localhost ([127.0.0.1]:55679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgjC-0007Hn-29
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:15 -0400
Received: from mail-wr1-x432.google.com ([2a00:1450:4864:20::432]:54337)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggf-0006iV-IR
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:39 -0400
Received: by mail-wr1-x432.google.com with SMTP id
 ffacd0b85a97d-34175878e3cso4020148f8f.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074108; x=1712678908; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=kk9K6FTtzbWy83FB+S45kxNT0ThC252jpE1vIxI837A=;
 b=Xrd8wHsmGydnAOdFJosIufB/yxnI2LAFu9jydYIstTbxgwyr0TqZ0gCHxeUOK0glmp
 flAKv8Gkr9O0dEhzYhAe0wwSB8tTUgn58YShe81tcpnfXRbTURX5V45Y7eO5ULY+M8ov
 Wxskm3dwS01UpqyeNKMuMHegWA4fe1+f2WixUHfkjLycjBk3Kh/XLztYb2eUdWTiQgTI
 kkqSZ48ApYRGe4DzeUApBkXFuf9EsMuY06pJc6LtXJoabBMWvLKVZDH4TZgECWIbOGRn
 ILmcPaoGffCe28ajtx+HosrcbHNxpRWhA2+32Jx+ulm8PNSzb6cpuGT9U5MvKJpF6JZn
 aAoQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074108; x=1712678908;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=kk9K6FTtzbWy83FB+S45kxNT0ThC252jpE1vIxI837A=;
 b=pXZIhdpjUh/xSehCLFdOSiDMI6mtAEHcg5E/tfwrhMpK1kyV/U3yMzZ9kDVfZfEuWb
 P6bnvuslGfrmaLiaCORigv6gCasN5eeZJJGEhQdomaH2OzMwIUjInvqAYhar0K8IDara
 4cZdTNuPVP3ZzGY2xnUFZ4Wm4fnsH7Fn9r/D8Hutg/Ldzu0UONiFiF6cDZUceKZE1h99
 jnfXOrD8xFl5YH8LoJmgLoPh4zKMno2xeqye5kRVStfNE26RNqrhckfB7/BgvbTCke/Z
 Byn15z+yQ1CgTDduqtrR+hAZAvj+F/eMmRZ/gbfcd9mqVOt7QMzvNkH9CiUWV/ZwYaY9
 9Qvw==
X-Gm-Message-State: AOJu0Yy+mk9jazKyB9TJ1SB5Mauk5hV57mBpFhp1bCzfbCA3Wu9mnTuc
 x28sA+Y9HUeBCa1/EUp+tkrtL6oS0xOF7uZUbIv4UX1vqdpskeSW63eq/hiSDRmZOz3TQGba0Dg
 G
X-Google-Smtp-Source: AGHT+IEZrCq9ZMbteOKa50yuFgf//+B063XIx9Mu03iePR1hAiXgBs+9BbYwfJhLSgk2Xj5iZADsEA==
X-Received: by 2002:a5d:6102:0:b0:341:bdd7:89cb with SMTP id
 v2-20020a5d6102000000b00341bdd789cbmr8540544wrt.3.1712074107886; 
 Tue, 02 Apr 2024 09:08:27 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:27 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 126/147] gnu: rust-thiserror-1: Update to 1.0.58.
Date: Tue,  2 Apr 2024 18:05:18 +0200
Message-ID: <c7940c41f3983af53f0ebafe66039152a94ccede.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-thiserror-1): Update to 1.0.58.
(rust-thiserror-impl-1): Ditto.

Change-Id: I752184faeaa2f42de2e1260ba59266a9ec37f48d
---
 gnu/packages/crates-io.scm | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 46c05b66c0..12268fa3b2 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -70982,14 +70982,14 @@ (define-public rust-thin-slice-0.1
 (define-public rust-thiserror-1
   (package
     (name "rust-thiserror")
-    (version "1.0.56")
+    (version "1.0.58")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "thiserror" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1b9hnzngjan4d89zjs16i01bcpcnvdwklyh73lj16xk28p37hhym"))))
+        (base32 "15rjgd1abi2mzjgzfhrvmsxf9h65n95h6sp8f4s52q4i00wqhih3"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -71052,14 +71052,14 @@ (define-public rust-thiserror-core-impl-1
 (define-public rust-thiserror-impl-1
   (package
     (name "rust-thiserror-impl")
-    (version "1.0.56")
+    (version "1.0.58")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "thiserror-impl" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "0w9ldp8fa574ilz4dn7y7scpcq66vdjy59qal8qdpwsh7faal3zs"))))
+        (base32 "1xylyqcb8rv5yh2yf97hg4n4kg27qccc0ijafr1zqklrhahkn7y6"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:14 2024
Received: from localhost ([127.0.0.1]:55671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgj9-0007H1-Tm
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:13 -0400
Received: from mail-wm1-x32f.google.com ([2a00:1450:4864:20::32f]:52341)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgge-0006iO-Gm
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:38 -0400
Received: by mail-wm1-x32f.google.com with SMTP id
 5b1f17b1804b1-415644aca59so20050565e9.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074107; x=1712678907; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=z1kzSrxu2xxqYCKIFXTNUwK31iq4SON7jDe0wS3kY5c=;
 b=qRlPkA9JvgrZbFtMaAwklhsCbWGlcKXIHDCaaXxgGkk2LFVW6VNKiocipDDApzQuT/
 R2nQSnD3xW3GR22RnPy+JRmQBqN+ENj2lulT/ZMMPfO0DqMnXotsSw77nn2WIAhXWca6
 vk5kmmf+g/FV81j3yxImRwitNhvu+/zXeJbUwk/oWLCUvsXqmtB+Huf5tApxrvTRaUZG
 MardTd/Nj4um3FmZAKZYNffTI2amRGUbJyp7UyWI/Yr7J2uaNwoBAtZSX6R82VWBGjaL
 m+wrNlQxfosLmat1am4his29b4wcdCrxqIrsBfR7GkXKeZLffMLtN7UD0OFjXmXKXKrT
 jjHQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074107; x=1712678907;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=z1kzSrxu2xxqYCKIFXTNUwK31iq4SON7jDe0wS3kY5c=;
 b=pYugM69Zxk1+tMOh2OFzEOCWyFmcKpJjAAddOw6ymNhw8S+5jljwvscTAdK+QUY6N7
 AdUzG+Qot02cVaZS7JauIGdtyccM3H6t6l1h8wrCmiid9V0spu8AZWlXfxeNCxEuO0GE
 skv+Ae6Lq8/5haTEt5LxGyaXuryw+DGPDr7T1AjPJ4aHQIOtWHfsM7NxHlEmX/3UYVZb
 AEgHYMo4xf4b7b1+rMeBFsqyQ7Xh9XUkSterWat/AIdAeSpo1imvQ7n+yewiuRmBIDbu
 Zt5Ug5ol4Ic28N2Uh4hyvRaaifvud+/kos7LROxY0p54m/NDRUfodzUbyhiUbX+jZVhj
 EG4w==
X-Gm-Message-State: AOJu0YyvM1FxPggG3z9TCPKZo6/SMykPlXjIwtHmBT6fXGIEsrXGi2iJ
 aS1mxH0UlsEe3oOOXhuJvUXhTtRB2xHykO/vWXGGqiczqXcXDB1n9C33Ex5NlD0YQNz5rWb7LmJ
 Q
X-Google-Smtp-Source: AGHT+IGUWvNF4EnvQ39CLriMNwemzQio02MdDSemierwD60NV7ewKOs2aqyuYDpn2afxudhwmtE5Pw==
X-Received: by 2002:a5d:400a:0:b0:343:6512:20fa with SMTP id
 n10-20020a5d400a000000b00343651220famr1704627wrp.12.1712074106785; 
 Tue, 02 Apr 2024 09:08:26 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.26
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:26 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 125/147] gnu: rust-cc-1: Update to 1.0.90.
Date: Tue,  2 Apr 2024 18:05:17 +0200
Message-ID: <8605600b9e4c45703765c32ed73fdd7fafa8485c.1712070309.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-cc-1): Update to 1.0.90.

Change-Id: I01786f1552979af8e9aae8b7179587a61c2b5ec8
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 63b3f74e81..46c05b66c0 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -10717,7 +10717,7 @@ (define-public rust-cblas-sys-0.1
 (define-public rust-cc-1
   (package
     (name "rust-cc")
-    (version "1.0.83")
+    (version "1.0.90")
     (source
      (origin
        (method url-fetch)
@@ -10725,7 +10725,7 @@ (define-public rust-cc-1
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "1l643zidlb5iy1dskc5ggqs4wqa29a02f44piczqc8zcnsq4y5zi"))))
+         "1xg1bqnq50dpf6g1hl90caxgz4afnf74pxa426gh7wxch9561mlc"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:11 2024
Received: from localhost ([127.0.0.1]:55661 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgj8-0007GK-0i
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:11 -0400
Received: from mail-wm1-x331.google.com ([2a00:1450:4864:20::331]:59579)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggc-0006i0-Ir
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:36 -0400
Received: by mail-wm1-x331.google.com with SMTP id
 5b1f17b1804b1-41551639550so24724005e9.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074105; x=1712678905; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=UqtRRrGyxkqhIszz9g8OMRQFf7FQ7rMkVnZzZ8blXjo=;
 b=IVZJE/aAvVmmt0GFLb/hwMdOfELu+kzX+suVjNtPTdjPoROwba+c2B6AQgeCqrN4Gx
 DzMKTH91/M19LGicCIpwpRt8FIA+gYiynLHzv+gwMHxoJ0CHqglhbT4fOAkK8EExxmR8
 cdh4FaBxySYpSsbLVPKkSkUrDOm5+AiJyP2edBaGTKbblM39CDlRPgTJLiSlzOL1kCn5
 7/JdGRikO2RkIBN1xgP4khQZFR8fm59KtClJaiJwuRj/0G3EU2FMJepEVrLcOLLBHe4B
 z+NV5I8wP/JqglZHSTMxGmOeDDy6liA1x7RMFvKKBlnHoclgz3haBPV0d6comimsLP/s
 pYOQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074105; x=1712678905;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=UqtRRrGyxkqhIszz9g8OMRQFf7FQ7rMkVnZzZ8blXjo=;
 b=HsZ2yvbKrlIdPM7tXdWafGG+vn/8mo0S9ilHPNxgkBYRHHxoaz1sw1nokcjsydKB4P
 88M2HsDaV2mCzuNbjfLfPOl8zPzTa7cApOEG5EfT3rsDLgQDiJ5bPPnJIfI/Eb9t72x2
 JII473X56BYLvYPTJLFB3BbIIk6fXCGMyfS724lbmn3A1q/OQe/jhxacUcR/YqGo+NrO
 OF68AR5Co4yNcle6nLXLYvX5CEHUXeuo3OXHC4Q09Wjt0ct8W4v6lVQMCEUIu7M5tFMS
 rJqx3JAFv7GXtjx6M4vcjjH2HfD0mJEV1kipEpjurzrZSTus2hCuZ6dt2WZGEHT21zUH
 F3pQ==
X-Gm-Message-State: AOJu0YwR7ng2mJUBb6RHt8C5Kf8iXjUbLki+GLacD2mgB1xfIcKgZ4Mm
 DVz4m4RXrzvxl/4t9q+fn+vTrbQsoJ5mZ6sJ4KFb2ZOx8pacxnOZfQY/Txwx4MaWVGdskkB16qh
 A
X-Google-Smtp-Source: AGHT+IE+lrKAXypc0gJLVcjQVoSR4vg1j5aPVISec/RNRViznyhdgsjO/9hquCYR4syvtRiSYmHhjA==
X-Received: by 2002:a5d:49c4:0:b0:343:8026:1180 with SMTP id
 t4-20020a5d49c4000000b0034380261180mr414070wrs.4.1712074104933; 
 Tue, 02 Apr 2024 09:08:24 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.24
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:24 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 123/147] gnu: Add rust-wasmtime-wasi-18.
Date: Tue,  2 Apr 2024 18:05:15 +0200
Message-ID: <f60e6f1be4a7b89d71664633ef729721319f0f61.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmtime-wasi-18): New variable.

Change-Id: I1ba83cdc609c80ddfc4ec7e3ea78caf3bce5c59d
---
 gnu/packages/crates-io.scm | 45 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index cbaffc1f7e..7cecb0e942 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -79466,6 +79466,51 @@ (define-public rust-wasmtime-versioned-export-macros-18
 exports in Wasmtime.")
     (license license:asl2.0))) ;; With LLVM exception.
 
+(define-public rust-wasmtime-wasi-18
+  (package
+    (name "rust-wasmtime-wasi")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmtime-wasi" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0y4h0wl5ls6bw5p72z048ggsqjmkaik2qrdpbb98n609lfyi5acw"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-anyhow" ,rust-anyhow-1)
+                       ("rust-async-trait" ,rust-async-trait-0.1)
+                       ("rust-bitflags" ,rust-bitflags-2)
+                       ("rust-bytes" ,rust-bytes-1)
+                       ("rust-cap-fs-ext" ,rust-cap-fs-ext-2)
+                       ("rust-cap-net-ext" ,rust-cap-net-ext-2)
+                       ("rust-cap-rand" ,rust-cap-rand-2)
+                       ("rust-cap-std" ,rust-cap-std-2)
+                       ("rust-cap-time-ext" ,rust-cap-time-ext-2)
+                       ("rust-cfg-if" ,rust-cfg-if-1)
+                       ("rust-fs-set-times" ,rust-fs-set-times-0.20)
+                       ("rust-futures" ,rust-futures-0.3)
+                       ("rust-io-extras" ,rust-io-extras-0.18)
+                       ("rust-io-lifetimes" ,rust-io-lifetimes-2)
+                       ("rust-log" ,rust-log-0.4)
+                       ("rust-once-cell" ,rust-once-cell-1)
+                       ("rust-rustix" ,rust-rustix-0.38)
+                       ("rust-system-interface" ,rust-system-interface-0.26)
+                       ("rust-thiserror" ,rust-thiserror-1)
+                       ("rust-tokio" ,rust-tokio-1)
+                       ("rust-tracing" ,rust-tracing-0.1)
+                       ("rust-url" ,rust-url-2)
+                       ("rust-wasi-common" ,rust-wasi-common-18)
+                       ("rust-wasmtime" ,rust-wasmtime-18)
+                       ("rust-wiggle" ,rust-wiggle-18)
+                       ("rust-windows-sys" ,rust-windows-sys-0.52))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "WASI implementation")
+    (description "WASI implementation in Rust")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wasmtime-winch-18
   (package
     (name "rust-wasmtime-winch")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:10 2024
Received: from localhost ([127.0.0.1]:55655 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgj5-0007Fj-Vh
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:09 -0400
Received: from mail-wr1-x433.google.com ([2a00:1450:4864:20::433]:43515)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggb-0006hj-Ll
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:36 -0400
Received: by mail-wr1-x433.google.com with SMTP id
 ffacd0b85a97d-3436b096690so611794f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074104; x=1712678904; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=obqJT63c5XhUWAjT1RP93moDVaxT/5VEfnFd1ilodZc=;
 b=Q2stGm/HWeNFWOMG2IWY6qcoI2nGVukwuhU0yxzHdJvigFCsmgGHYyObBYKtTYcF8N
 cCPlW1vOcBrQILlu4nSiOOFsc9pKyUA8odmxBhsnRE4ODOQEuHEfE6efFn54WYmZUBNv
 q8OYDz+m3FusIbO9dAAiUugesfEPEDZYi7YhT2giX7BsCmUOAVjJqqPc0lXvL9fqG81n
 z+1eoGeF1P2Ql9S+0nw1720PgVt5bM0DBFlz5a3aXA1paQxOa7llO5mAqMvaHWVXzYsm
 KWCwYwS8T91sQKIRG4oII7AEX6OG/Y+ZZ7MnPE1AZ4QAMCwpQiNcUFbQDqiQpapuYfGT
 nqlA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074104; x=1712678904;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=obqJT63c5XhUWAjT1RP93moDVaxT/5VEfnFd1ilodZc=;
 b=uCYkItT+28cDhmcZNi0mwaY+C8wPnb+c0JWZaNI8NTRXlylnglAMi+SvgGr/9Va5ek
 8r9tnAf9YHq6FyW26v9QeXef5tsYwdsZuKR54Mu2KdZPREwwZgbWEcqDd2tcg+koZirV
 zJNtR/x79q8ywF9Mk1SLRiuwVrV0yNMAK6BG1v6/ZkFPzUuDlL9oLEWLFXjMezrT6IxJ
 fi/+VFsgVYJb0noU2H1Ba185AQ5zzwtsUbKeqDMoB0JAL0foK3ITrVa0GpP2BaByX6bp
 n5B8aoFBQb9wqp+DXgRAjoDPD4FcOjVu9f0PGPavBRA53JuuenDgm5E0mXfHZ5OF3/U+
 84iw==
X-Gm-Message-State: AOJu0YzThl86McM4JmSgVIbItKfZdnW8KX1S076UyC+CtdCU5uDBbqAE
 V4on9AmNDGE9IMxP8eSmLpY1v4io4zhTDDOEBLgVI8j+nkEwvw3Q0bUrHYv/rKavdYcjeXbfaxg
 z
X-Google-Smtp-Source: AGHT+IGyvecfW1wLOLFSC9MiBIrjBpag5RdCil6O20c+tRcIv4ltdHk1gY/pxLkPgYFtvxVE9YYiSQ==
X-Received: by 2002:adf:fd44:0:b0:343:69e7:32ec with SMTP id
 h4-20020adffd44000000b0034369e732ecmr2105009wrs.14.1712074104070; 
 Tue, 02 Apr 2024 09:08:24 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:23 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 122/147] gnu: Add rust-cap-net-ext-2.
Date: Tue,  2 Apr 2024 18:05:14 +0200
Message-ID: <39613102dc461f8a9929ac9da88193210ef91fc7.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-cap-net-ext-2): New variable.

Change-Id: I30eb000767da83fc8f9a6b8f01fb586513ddc510
---
 gnu/packages/crates-io.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index a1ea0c8bcc..cbaffc1f7e 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -9612,6 +9612,30 @@ (define-public rust-cap-fs-ext-2
 cap-std's file-system module.")
     (license (list license:asl2.0 license:expat)))) ;; With LLVM exception.
 
+(define-public rust-cap-net-ext-2
+  (package
+    (name "rust-cap-net-ext")
+    (version "2.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cap-net-ext" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1adpbanxbs9rzajp4s7liqrxpmzn7yz9l0q4887my19kcpz6hha3"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-cap-primitives" ,rust-cap-primitives-2)
+                       ("rust-cap-std" ,rust-cap-std-2)
+                       ("rust-rustix" ,rust-rustix-0.38)
+                       ("rust-smallvec" ,rust-smallvec-1))))
+    (home-page "https://github.com/bytecodealliance/cap-std")
+    (synopsis "Extension traits for networking APIs")
+    (description "This packag provides a library with extension traits for:
+@code{TcpListener}, @code{Pool}, etc.")
+    (license (list license:asl2.0 license:expat)))) ;; With LLVM exception.
+
 (define-public rust-cap-primitives-2
   (package
     (name "rust-cap-primitives")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:08 2024
Received: from localhost ([127.0.0.1]:55651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgj3-0007F6-VA
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:07 -0400
Received: from mail-wr1-x42e.google.com ([2a00:1450:4864:20::42e]:59680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgga-0006hR-Pc
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:35 -0400
Received: by mail-wr1-x42e.google.com with SMTP id
 ffacd0b85a97d-341cf28e013so3808414f8f.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074103; x=1712678903; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=h3LBENuKOEA74SfYo6SYZt/MQQyup3eejrlrMbUtAgM=;
 b=KXlVQCz+TJKqROKIFFTk8gBu5r8IdqWlrmayFvS100Gp1nY76gMzzgpADFF3EIy1hQ
 MdvWavQd8G7axu27E7b81USDz4WFXOFENLW67Kr1mdl2gx1f0QCET6VtnfM68dl4MzyR
 eIZhhL0PkqlDcyMcMsCLjRV10Q42pyxFtQyHsgBi5E9niu/xkYoCeOvvbeGf7qtl5AUD
 0TuceC+TWQXsecg7K+2IHta+QPaZwhQxndnCEQu7UEjlgGd0OKXgwnZZcYQtNZbRAOtF
 GDuEOITbt4lqMDWF9lVskDXtWKANeCh4NygfwJfoIhMZ4nA2LZZrhMhxwyM6l/u89zF7
 tQfg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074103; x=1712678903;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=h3LBENuKOEA74SfYo6SYZt/MQQyup3eejrlrMbUtAgM=;
 b=Emxl4/1M4lqRrIzNvUuu/AUOJV4VLvfqnDARRU6MctWey8KzwhiOKpdQOa8alB8RyP
 xGU5k/pUWfkxIin6aOA/G9I29Qp6GjDNIQTNBWtmVvSzhzUpypmfzulcJrLoNuSXKtmb
 48d7LZHpetXoQX4mRZkg9CEQWwT8BFEKjlLwM+cRkTUQ4BbU7Kf3S8ZeU8UZxewnoAvq
 cwv+24i4SiZr1mq5PkjuttklJ5DfphX4ayViJMwPPQC71MTH6gQOBv8WFl2D6o/pFEgK
 BlzIJ1j9FQF68R7nCMo+Es7nBkPbP58xg8KglilgKHzHZiET/8jbI+YM1Y1LhN3//I6b
 5eRQ==
X-Gm-Message-State: AOJu0YzBaTL4Dwovos8LNz7wG4ElAhNiv+Vp/7qn+o9bwgQROdJ62i7y
 kIVaAdRHlK6IZKjV8UwbLaz/iqHbDA4cEjfjbPyXaf7a1zTCIbnLDE0Fc9So9vK9TiyKLtfyQOx
 U
X-Google-Smtp-Source: AGHT+IGmjoeOTpIJiiqpzLUvfeEYawI8aQ09uc5R6FhOm0/amXVjo7TcqEk652emuqmKcX5UOC+JrA==
X-Received: by 2002:adf:e008:0:b0:341:cfd6:42af with SMTP id
 s8-20020adfe008000000b00341cfd642afmr10024716wrh.31.1712074103114; 
 Tue, 02 Apr 2024 09:08:23 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.22
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:22 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 121/147] gnu: Add rust-wasmtime-c-api-macros-18.
Date: Tue,  2 Apr 2024 18:05:13 +0200
Message-ID: <788881cceed5ecb000c7994d63a6335afd610310.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmtime-c-api-macros-18): New
variable.

Change-Id: I25dd93ac302aac96643ebbe1a574436f90b94368
---
 gnu/packages/crates-io.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 84d6ca8ea8..a1ea0c8bcc 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -79067,6 +79067,28 @@ (define-public rust-wasmtime-asm-macros-18
 functions in Wasmtime.")
     (license license:asl2.0))) ;; With LLVM exception.
 
+(define-public rust-wasmtime-c-api-macros-18
+  (package
+    (name "rust-wasmtime-c-api-macros")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmtime-c-api-macros" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1h4428v7b4vvmdba9lqirf7qnn1xh47x6qkn10yxbdj5yxirwm6r"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-quote" ,rust-quote-1))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Support macros for Wasmtime C bindings")
+    (description "This package provides a library with support macros for the
+Wasmtime C bindings library.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wasmtime-cache-18
   (package
     (name "rust-wasmtime-cache")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:06 2024
Received: from localhost ([127.0.0.1]:55641 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgj2-0007EO-3o
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:05 -0400
Received: from mail-lj1-x232.google.com ([2a00:1450:4864:20::232]:61490)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgga-0006hE-3n
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:34 -0400
Received: by mail-lj1-x232.google.com with SMTP id
 38308e7fff4ca-2d6ff0422a2so73526221fa.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074102; x=1712678902; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=oYR3hJwD2g4NUzG2jPXr/kNttkE/1hFLSXIuBR6lEto=;
 b=RuPBvV9NGh5OHDRgeXVZar0HvqvZ9kF+Aup7Gv4rKi9ShUZXqsB56pTMHJb3k7bcMs
 2GmD7u21lRfz9R3fePbDeJUtb/H5yGytcAldkvWkbf3ai56ym3Njw+P6s/0jb5DrpjBx
 TZ6e35pIgskEGFeRW88FqCbtbpl2ApoUYWt3gll+c2yVkXnRmeK9qg8sfHun9sqN7yMZ
 zCNtD8iG+zNshxGrmvD9dfy5clTKdH24uB6W0Zx6k0PsAgPgAO63iTdtV4JjECOLtmcs
 ZhWjriYn6UIzoCLkjlNBU/U25mbgGY47/5H4Z1gcBEsF8mv8IdJs3vQnTtr0lrw5DroH
 KKVA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074102; x=1712678902;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=oYR3hJwD2g4NUzG2jPXr/kNttkE/1hFLSXIuBR6lEto=;
 b=dSEAXjrB3E20bsFS+x1Fo8JdaJa3pNE/POFYJZbIUzBy66cYqyfTRcVWv0vsRWukt2
 Z4nRZF54cOI+gXhhTfMAJUAdiwZ0g2i8tXgAYDhjYa+D6cyMB1wbT7U8ukK5nb/IFglb
 WPScFsdFAVxr5dHHHsk0gGaIh2hipQMA9JRC3SLZCTIt2JN46lBGID7iQHFQ/vl/49lQ
 pdDpFCEpmj2YTxXqmbDMrIMtFVY7vn7kQzwVNx9hqxVSocTHqpa1202RB543cTsxRQay
 KdlRmFK9pPTXlNcF9toon80APo4ag3rTB9R8mezSnEgwtghdwqAIKqytZxDzABklDWOD
 jHhQ==
X-Gm-Message-State: AOJu0YwDi2SeC3OTDAbDtkYAb2Xol0u9cTS/HiTLGU+qmaYRixDVx67r
 cD93kI2qlD7cABMMdz4oO/iu7dUTRwXnXYiksxUiOHpL87xFOHdKwuDzEXYDFVHuVz9VN+E0jXR
 I
X-Google-Smtp-Source: AGHT+IHkIYA7P3dGT+NSPpJIl92ks2YUYwmrbRHvgv2OHHmyB3PwDVB0CvQC9/493FeG7C0ltkEG3A==
X-Received: by 2002:a2e:944d:0:b0:2d8:2762:54de with SMTP id
 o13-20020a2e944d000000b002d8276254demr1795805ljh.14.1712074102284; 
 Tue, 02 Apr 2024 09:08:22 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.21
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:22 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 120/147] gnu: Add rust-wasi-common-18.
Date: Tue,  2 Apr 2024 18:05:12 +0200
Message-ID: <45824e0ef44c8f2f741a181e97dcbdb51be687b8.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasi-common-18): New variable.

Change-Id: Ifd5608e2527c07f174fe05d73995d022b74414ab
---
 gnu/packages/crates-io.scm | 40 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index f0fc4539f8..84d6ca8ea8 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78413,6 +78413,46 @@ (define-public rust-wasi-0.9
                (base32
                 "06g5v3vrdapfzvfq662cij7v8a1flwr2my45nnncdv2galrdzkfc"))))))
 
+(define-public rust-wasi-common-18
+  (package
+    (name "rust-wasi-common")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasi-common" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0b1xisd9rhw8w3gjb3d6qjhf1ydbj40hx3wa1b6g8snmkb125q4m"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-anyhow" ,rust-anyhow-1)
+                       ("rust-bitflags" ,rust-bitflags-2)
+                       ("rust-cap-fs-ext" ,rust-cap-fs-ext-2)
+                       ("rust-cap-rand" ,rust-cap-rand-2)
+                       ("rust-cap-std" ,rust-cap-std-2)
+                       ("rust-cap-time-ext" ,rust-cap-time-ext-2)
+                       ("rust-fs-set-times" ,rust-fs-set-times-0.20)
+                       ("rust-io-extras" ,rust-io-extras-0.18)
+                       ("rust-io-lifetimes" ,rust-io-lifetimes-2)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-log" ,rust-log-0.4)
+                       ("rust-once-cell" ,rust-once-cell-1)
+                       ("rust-rustix" ,rust-rustix-0.38)
+                       ("rust-system-interface" ,rust-system-interface-0.26)
+                       ("rust-thiserror" ,rust-thiserror-1)
+                       ("rust-tokio" ,rust-tokio-1)
+                       ("rust-tracing" ,rust-tracing-0.1)
+                       ("rust-wasmtime" ,rust-wasmtime-18)
+                       ("rust-wiggle" ,rust-wiggle-18)
+                       ("rust-windows-sys" ,rust-windows-sys-0.52))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "WASI implementation common library")
+    (description "This package provides a library with common code for the
+Wasmtime @acronym{WASI, WebAssembly System Interface} implementation.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wasm-bindgen-0.2
   (package
     (name "rust-wasm-bindgen")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:04 2024
Received: from localhost ([127.0.0.1]:55633 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgj0-0007Do-Bj
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:04 -0400
Received: from mail-wr1-x431.google.com ([2a00:1450:4864:20::431]:43513)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggY-0006go-4d
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:34 -0400
Received: by mail-wr1-x431.google.com with SMTP id
 ffacd0b85a97d-3436b096690so611749f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074100; x=1712678900; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=JfeOASsK8COSDeatgJ1+Nug0OOeKcyUMdtyhw2xedPU=;
 b=rJKYU6+nksmS7wgs48gCWISnAeT123v5UMB6Yoj4AKxArkGAjLCnVFxK0IIXFD93EY
 GNSQbpggwIcv3M8Yx61LAjbFZ9o43Aq0g3aMD91vBcwzYiZkFbagm6PHU0esvdxFgIBg
 r1Db3U7J7ziptZVgiuSxLpmzpIj8y/m84ipFhvqMZV5Fu1fqCXLnpPlCa2ZrKCAz0+Ur
 zCIPXbPHs8SZS3ryFamcUd3yrVFPeT7g279fA0SsAnBKt0R4lK58sPkNPOBsekrb3i1S
 sm0go7ud6rRpWE5SVSLFETNL6OI0SGrADumthQHp9OXvHF4Gt4N+piYMdNQjLpLDM9x/
 K10g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074100; x=1712678900;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=JfeOASsK8COSDeatgJ1+Nug0OOeKcyUMdtyhw2xedPU=;
 b=vekLJxXe58YeB4yeIBzJMUGYXP5zZlxxtCagxZz54Bc7X+qKE0neOXh1gdJ0jihl+j
 hrzEoyiApuuazFnqqF48r09zs2Txj1f89NQ6XLVZnaYzumHEsGKNLGB0bHvPnGW5Je1h
 wBoaFptNTGzLq7J3AfefNhOU8NRfzUcCt/tTJJnICyfDjfz4hK+4rkubwf1Ce+fzaWNJ
 /Lmf6lDuiUrc5hnJJm6/CAMArv4J+Vxk+smicWdo3GThbL1UgLN0gRyN5iEmYKHTZLFU
 euaYv6GFrDaRh+4h9OzjolreEWajuy9zjBhA/lV3zeVopatUwtoMswPM9pzVb7qwgQBm
 VNsQ==
X-Gm-Message-State: AOJu0YzN/uZb04gmvddj9HFRxeHQJZ1lhYeXVdHNteijyMgf9QlSrWNL
 QWiCu1573eFXug/uw7m82d81Pt2t4OYkpOjp43KxUCH23A0XM90f0gGV+w8IOezU9X2leJBw+tS
 v
X-Google-Smtp-Source: AGHT+IFpHki1x8qbvwo5YDWJSTdBJsyZJID6rnDuZrUIP/rwR33bloSdT7DhzIxMEraKkOlwzHfCRA==
X-Received: by 2002:a5d:52c3:0:b0:33e:9f3d:6910 with SMTP id
 r3-20020a5d52c3000000b0033e9f3d6910mr11368206wrv.31.1712074100486; 
 Tue, 02 Apr 2024 09:08:20 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.19
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:20 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 118/147] gnu: Add rust-wiggle-macro-18.
Date: Tue,  2 Apr 2024 18:05:10 +0200
Message-ID: <7ff267fe3788ea23d44e496bd20fa22281efd55d.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wiggle-macro-18): New variable.

Change-Id: Ie5077f10eaf44d78978d76bfdd632e2859825685
---
 gnu/packages/crates-io.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index add90e8454..8e16eb49c4 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -80080,6 +80080,30 @@ (define-public rust-wiggle-generate-18
 generate code.")
     (license license:asl2.0))) ;; With LLVM exception.
 
+(define-public rust-wiggle-macro-18
+  (package
+    (name "rust-wiggle-macro")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wiggle-macro" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0n2rjpb4yll4vc6hs3s51iwvl98f4fyl1gx2y517in50q78k2gyq"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-quote" ,rust-quote-1)
+                       ("rust-syn" ,rust-syn-2)
+                       ("rust-wiggle-generate" ,rust-wiggle-generate-18))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Macros for the Wiggle code generator")
+    (description "This package provides macros for use with the Wiggle
+code generator.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wild-2
   (package
     (name "rust-wild")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:02 2024
Received: from localhost ([127.0.0.1]:55631 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgiy-0007DI-CX
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:02 -0400
Received: from mail-wr1-x431.google.com ([2a00:1450:4864:20::431]:58721)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggY-0006gx-V0
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:33 -0400
Received: by mail-wr1-x431.google.com with SMTP id
 ffacd0b85a97d-34378a6994cso330596f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074101; x=1712678901; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=B+97HxvqaIfYCWihYC34YqFC5gTtXfBpMerrHN9B8FY=;
 b=HqkCUEhyxv2g/lX0KdHIpfeZfJdO90qRj8tvtfsbISISvLXyVVv+jLQQOkM93T9s85
 I/FHFfMY1TtCe8x/vM0VoSfWV5ziAjvISQSazvyRvZGYi+scorF7JQoyW/kDuVL6IKq6
 YxG8XkP4EWDfby0ujTGmuqJpINqQLR2zu6sTQqihUcDcCThdbcs15NMhgkzE3dgrKkEv
 iLWy5hh92IXvV19yMpO/t/TjWqcs7PdIHedwuQ5yPGyC9F0gskljVj0iYfoThvNzwXoH
 OVZHQkQNTggWcPiXBBJfB1MwKaA9prlQp+3YMMuOPUGUJR4NDeHCisjFi++59PswS/+R
 uYsQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074101; x=1712678901;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=B+97HxvqaIfYCWihYC34YqFC5gTtXfBpMerrHN9B8FY=;
 b=T9rCL6BWeSYt/rRXD4ABv+ITxDkqHKvwrldLvPES5xASr82uGYiu7F3Pomz9CZignj
 IWZg++svH9H9z0jO606A64Mm2axevrIz+32ZXO90rsExaDztpluT7GaMMOZfchHiC8pz
 qm7uW6+RxrlOWTqEBNrUa32MawuGEZ9MK+1ACwHmy3UcarsPH+XtggF0Do70eqr6IXZc
 36s54GQpe5M7CyEMgCqJBDIBKtdf1JF2N4jhtllb9QuWVewREwDV7u7XBudTXZjAx6hl
 L/0S7NKB7PpU09NPGIGXOdy9G+N2C4lEGGZ8ZRVLW8mpKXAzWpD57fvtq1tHzSlODRvo
 URBA==
X-Gm-Message-State: AOJu0YxBF8iwYXeGyK2nSKS3SGhxN+XlD9gFwkZHenDd3ZRFioA6yKeA
 Dg1UikkR/09K0GLmKQrzu5LPNRe/4YBtZ8scdOzE5SET+GSIFAJM1YiWNha476OV7CnE6Bp7A2j
 w
X-Google-Smtp-Source: AGHT+IFt0yBHSqGWhDs/d5sZCH+y4B6AdhhMhBR4WESo83dVxOPMP4aU0wAhfRcs0Be2Gl11FmP9dw==
X-Received: by 2002:a05:6000:1818:b0:341:c15c:64d2 with SMTP id
 m24-20020a056000181800b00341c15c64d2mr10360760wrh.32.1712074101350; 
 Tue, 02 Apr 2024 09:08:21 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.20
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:21 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 119/147] gnu: Add rust-wiggle-18.
Date: Tue,  2 Apr 2024 18:05:11 +0200
Message-ID: <62f0128a6e9695f32f4a5d8ae6f3b0941323a91c.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wiggle-18): New variable.

Change-Id: I51ec851afc6a2ae88dbd504ed1098dd067487a0a
---
 gnu/packages/crates-io.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 8e16eb49c4..f0fc4539f8 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -80053,6 +80053,34 @@ (define-public rust-widestring-0.4
      `(#:cargo-development-inputs
        (("rust-winapi" ,rust-winapi-0.3))))))
 
+(define-public rust-wiggle-18
+  (package
+    (name "rust-wiggle")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wiggle" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "050fyl6www5324pk9n8a3s08c7d17nhh3814zn62g8gv3xpcszks"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-anyhow" ,rust-anyhow-1)
+                       ("rust-async-trait" ,rust-async-trait-0.1)
+                       ("rust-bitflags" ,rust-bitflags-2)
+                       ("rust-thiserror" ,rust-thiserror-1)
+                       ("rust-tracing" ,rust-tracing-0.1)
+                       ("rust-wasmtime" ,rust-wasmtime-18)
+                       ("rust-wiggle-macro" ,rust-wiggle-macro-18)
+                       ("rust-witx" ,rust-witx-0.9))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Runtime components of the Wiggle code generator")
+    (description "This package provides a library with the runtime components
+of the wiggle code generator.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wiggle-generate-18
   (package
     (name "rust-wiggle-generate")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:11:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:11:00 2024
Received: from localhost ([127.0.0.1]:55629 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgiw-0007Cx-GK
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:11:00 -0400
Received: from mail-wm1-x32e.google.com ([2a00:1450:4864:20::32e]:52619)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggW-0006gS-F6
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:33 -0400
Received: by mail-wm1-x32e.google.com with SMTP id
 5b1f17b1804b1-4161d73d855so5280515e9.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074098; x=1712678898; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=r1ocwMs/LireRv5Kbgp9aDi0NGEOrTF5HzX3q8pOpro=;
 b=CuYgpxEUwA0emKjWxlDw+ZjSsH7HxFN4YOp1EY2sMVA9hc8N+K5NQ1HIpGzB9ObibM
 ExG/K2AzzVlNDUuUzdatD7aLpcEFo6cGF50FRyFO1N/btLrdDxQcAXlMTTwecbHFLqbO
 z2w4sZhVG1A66vebM/GPJDcXui3TAIqCRHFO4t2I4c9DtdhuicrVcyvvEdvzuoliPTWG
 ZUOjyrcdG2ZTtJ+43lorJmtBaqTGM1g0aBT478c//+hunfMN0UjZg8oscGkhiZ+tZw5z
 QOgG14EnvODiOoykuZEMQkjdi2middQYNU7DLQOBc9R+32U94JjjDctgAIkyoaeGv1vx
 Gnng==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074098; x=1712678898;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=r1ocwMs/LireRv5Kbgp9aDi0NGEOrTF5HzX3q8pOpro=;
 b=UUJo0ADVf9Be+YkF33Kyh0IG7Lk4Bn4GdRJ9e6s3dKogk49BIhvBDxIOSH5xz88pUe
 7j+CJ8q3lq3hE/Ra8P4jDCdiv5lsXAzJJjozupIQyi5m254blPU2aAF0as8SG2j2+nz0
 U7DaCVXLFZhbHhYEU2TDfrjZ0xUSVYcd1NVivA1EwbfQYA50qMFtUj6A94cmMTsXyR4U
 8EajU+tP74x+vcKOZWUT6lxoy72yWPkIkv0zZmJs05qby55adX9U0m7Yd8Rj+CAMVo9N
 MFNyMtG5uTFrzae6Ihx7bf3NXpMTpy/LWVNLrU5yNj/XHswYNSc4ampwXaDZutmLiq1U
 /j/w==
X-Gm-Message-State: AOJu0YxqnGbGSwGiysPGCjtQdplNYjzZOW2fF0r86EmShSs304zzB3O8
 lbeBADG7B/ho1zCsnI0Qsofc45XBHcJwg/YQmQnM4fbT79O2ZoibkvlEJWCpev/7kU8HkqQGms8
 M
X-Google-Smtp-Source: AGHT+IGjqQRE5wr7OVSo0vt66S1u1IBQ1nS5032yrPKWKZJdYlVrnG3j9lVtoFhtKudsaqblMHdfJg==
X-Received: by 2002:adf:f60e:0:b0:341:be17:2554 with SMTP id
 t14-20020adff60e000000b00341be172554mr1894039wrp.36.1712074098769; 
 Tue, 02 Apr 2024 09:08:18 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.18
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:18 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 116/147] gnu: Add rust-witx-0.9.
Date: Tue,  2 Apr 2024 18:05:08 +0200
Message-ID: <781c6c772a14bfd1b351e3ab765fe9acdbf6ffb8.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-witx-0.9): New variable.

Change-Id: Id3658fc79f78883720cd46190877160386b11faa
---
 gnu/packages/crates-io.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index d8b6023e10..dbbc402bb5 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -80222,6 +80222,30 @@ (define-public rust-wit-parser-0.13
 @acronym{WIT, WebAssembly Interface Type}.")
     (license license:asl2.0))) ;; With LLVM exception.
 
+(define-public rust-witx-0.9
+  (package
+    (name "rust-witx")
+    (version "0.9.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "witx" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0jzgmayh2jjbv70jzfka38g4bk4g1fj9d0m70qkxpkdbbixg4rp3"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-anyhow" ,rust-anyhow-1)
+                       ("rust-log" ,rust-log-0.4)
+                       ("rust-thiserror" ,rust-thiserror-1)
+                       ("rust-wast" ,rust-wast-35))))
+    (home-page "https://github.com/WebAssembly/WASI")
+    (synopsis "Parse and validate WITX files")
+    (description "This package provides a library to parse and validate
+WITX files.")
+    (license license:asl2.0)))
+
 (define-public rust-wycheproof-0.5
   (package
     (name "rust-wycheproof")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:58 2024
Received: from localhost ([127.0.0.1]:55627 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgiu-0007Ck-KB
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:58 -0400
Received: from mail-wr1-x434.google.com ([2a00:1450:4864:20::434]:57799)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggX-0006ge-A1
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:31 -0400
Received: by mail-wr1-x434.google.com with SMTP id
 ffacd0b85a97d-34175878e30so3987473f8f.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074099; x=1712678899; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=GI4LusBF0fb0p0DbQgmedlcWwulAaf9R5vlGjjN4Bt4=;
 b=CWDVBHt9G3K/xkAh8pMpyCSYAHB7fVxxfhTbRJ+vXF0H8Dyew6ZTo4ejqzBFNQmLwa
 Fu72xJk2blMU4adQQffaWavi884oJqvpNyF/JrHACoF8ogte3npaz30fJop9VLwip0vX
 dm7xPdWYNvg643qi/YuFQlIjfQUcUV5nkrVWkuPNqjTa2Kfm4qsbOvcABDY78HJZ6s1Q
 UzV46p7hYAe1zoW15HMLkW1A6byqMZSXCXIYjEopV9tGJgS6B4uKUBYyN46VsLqZVsg+
 JCSZK4YEFAhljJUPCp7HOcRIbPL9J7DOETZ8H0/2UuVbr6kwmjMRqzyF6imSGYWSgYNM
 S2uA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074099; x=1712678899;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=GI4LusBF0fb0p0DbQgmedlcWwulAaf9R5vlGjjN4Bt4=;
 b=U00QobBizEtDhC88c7MD2wH6QdUgkoaxCKhpG6bnE6lS4LpV44Buirma7VEn68KKLg
 2xno4gCWjd+aInDTRGDORK9sb2/2sQCfobQuXLFlJ4alqfm1KiobUf8p9SVi72NzvOwB
 2FhRCWGjXf8nAjtGh00tmr3dxOA1gQa+zsyJTdRIO8VA5nz0vfJ58sCsMvx4AoHA2h3d
 YV4TOBBP4oT+y80dXLdcWJ1PO98OqvMIp+Opb/KS9QgeitjrkwvvAICJ1CQLpyLCgBiF
 W6Dudkk8c1hJ7j+xOwCbdIoW4mtu1/geOh9leJTIOO/YJTEX8ir1M7VdlLzw8JzAD/1T
 1e0g==
X-Gm-Message-State: AOJu0Yw+irUCyXgNcN+Vzhb8eoqb647vUzPA/WMBdPTjXaZYaknlZ2Yf
 NEa1kwt8CQtA/KMHtLuYLnQB180qr0Bwe3+/3ueWGP0yZCa+gUne/SHz6Ar7wST+ZyIJZHaVSgx
 3
X-Google-Smtp-Source: AGHT+IEejLGJxAsVCe7AnMIjU90WriBYAq4+Wogbhggahh4qg+1hDgg1urZvhkLpG3VIVh82YDRPWQ==
X-Received: by 2002:adf:cd90:0:b0:341:e4d7:4eb7 with SMTP id
 q16-20020adfcd90000000b00341e4d74eb7mr10303958wrj.20.1712074099627; 
 Tue, 02 Apr 2024 09:08:19 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.19
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:19 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 117/147] gnu: Add rust-wiggle-generate-18.
Date: Tue,  2 Apr 2024 18:05:09 +0200
Message-ID: <49449830c899553897c83b8d33b07de54d29a097.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wiggle-generate-18): New variable.

Change-Id: I551ebba8353d3aa24ecc45e280519f3ba7284d65
---
 gnu/packages/crates-io.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index dbbc402bb5..add90e8454 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -80053,6 +80053,33 @@ (define-public rust-widestring-0.4
      `(#:cargo-development-inputs
        (("rust-winapi" ,rust-winapi-0.3))))))
 
+(define-public rust-wiggle-generate-18
+  (package
+    (name "rust-wiggle-generate")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wiggle-generate" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1kjm1bsa4lndqa0ldljvbhidvmnazf8j9zgjsi071mimg94r0m3c"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-anyhow" ,rust-anyhow-1)
+                       ("rust-heck" ,rust-heck-0.4)
+                       ("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-quote" ,rust-quote-1)
+                       ("rust-shellexpand" ,rust-shellexpand-2)
+                       ("rust-syn" ,rust-syn-2)
+                       ("rust-witx" ,rust-witx-0.9))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Code generation back-end for Wasmtime")
+    (description "This package provides a library specific to Wasmtime to
+generate code.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wild-2
   (package
     (name "rust-wild")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:56 2024
Received: from localhost ([127.0.0.1]:55625 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgis-0007CU-Ur
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:56 -0400
Received: from mail-wm1-x329.google.com ([2a00:1450:4864:20::329]:59882)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggV-0006gD-JL
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:31 -0400
Received: by mail-wm1-x329.google.com with SMTP id
 5b1f17b1804b1-4161eb1a9fcso2978325e9.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074098; x=1712678898; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=coC51ASU2tcSO5r4pPAWYs71UZVU9JV8M0iteCMEy6w=;
 b=Mn55snT7eHEySDSCPZbUUuWOJNHP7g5ssv0uoV86U81bc+Fb+p/jHA4Dd621ad+i7S
 vyejQ/j6QoqJLy1jo5+eBV4H7Ps7Awr/WPId3Emq8nAu6R83tY3xRxb7GzOWjV/unNuW
 +kGfZD2vA4DeeTbghVknHV0224HqLTem8wDjBlcXT+vvoNN7ZEVBu0Hry5B3ivn7bebf
 ojI1Iu9+HraQuJXtv4sKS2G1e7PFDrnQNd38YT64OZIFNcN4HNIPhMBt17gs23ZKE35p
 GAAldQVxA3u/99PU0pdHC8lR6Py7dxFuQL2uTPGQZsQ3tJGgcsDQmHY26WTCxTIY7f/3
 hYJg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074098; x=1712678898;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=coC51ASU2tcSO5r4pPAWYs71UZVU9JV8M0iteCMEy6w=;
 b=IbqMzzcDK0KL9a3tnBiK2bGqCng6a7m3fwouuhyiggTTGADS23+DGeNGUuPGRO1Wvo
 hjZaxluqGrAOwbmG9uMX1U7kIwxRgTjiKWN0wcnx5DRF7Vj+8Yluk7iCX98JOFbegzMO
 0UHEoiCYZEV7+2FPSho/OhrLItM5Js0msx1XqW3th6VmBFjESP2Y2egRyKoPfjU5tDiE
 ICz9RY28c6CVpnBjokcF+f4K/NhiSm1Avx/5v8sQY2e3fSdEmwi3A6+Tc0Mc5Hwr0Moq
 34zEdpCyiL8c74k56cOD4MsDH1W+yxKxRq8C27RvNox5SN+IwFHUpu3V5MwfuWHMz7L3
 AcFQ==
X-Gm-Message-State: AOJu0YxvIlJUZ5UF/O7rw2neBIlJUyjKd0QlIzH/7U2r2WoXC/DEy+Jc
 vI2ZHc9TyYPF7eXr/9mOLeD9O/Mq1q4jX1JoSkDBr76SM1abipbbPhxCgxqXt8gHunGjCO5nkZd
 /
X-Google-Smtp-Source: AGHT+IEhTM1bda58b3YSydR7G+MFuNG8nv0HQxKdIlSRvtPiSIruW7osHXErZdPj/7fHxbQoPaKoDA==
X-Received: by 2002:a05:600c:4fcd:b0:415:67ac:3245 with SMTP id
 o13-20020a05600c4fcd00b0041567ac3245mr4398928wmq.28.1712074097879; 
 Tue, 02 Apr 2024 09:08:17 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.17
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:17 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 115/147] gnu: Add rust-system-interface-0.26.
Date: Tue,  2 Apr 2024 18:05:07 +0200
Message-ID: <2f7a0d3d7421473b0358fac8f53aae09e0665ded.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-system-interface-0.26): New variable.

Change-Id: I7a9a30327381758c29481f02a6425f16a1fd5ff1
---
 gnu/packages/crates-io.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 7cbef0a67c..d8b6023e10 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -68924,6 +68924,38 @@ (define-public rust-system-deps-1
        #:cargo-development-inputs
        (("rust-itertools" ,rust-itertools-0.9))))))
 
+(define-public rust-system-interface-0.26
+  (package
+    (name "rust-system-interface")
+    (version "0.26.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "system-interface" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0n0z5cf98178n8pw39nln5aaiacr14caq8v658wiwxrmvl3f10h6"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-bitflags" ,rust-bitflags-2)
+        ("rust-cap-fs-ext" ,rust-cap-fs-ext-2)
+        ("rust-cap-std" ,rust-cap-std-2)
+        ("rust-char-device" ,rust-char-device-0.16)
+        ("rust-fd-lock" ,rust-fd-lock-4)
+        ("rust-io-lifetimes" ,rust-io-lifetimes-2)
+        ("rust-os-pipe" ,rust-os-pipe-1)
+        ("rust-rustix" ,rust-rustix-0.38)
+        ("rust-socketpair" ,rust-socketpair-0.19)
+        ("rust-ssh2" ,rust-ssh2-0.9)
+        ("rust-windows-sys" ,rust-windows-sys-0.52)
+        ("rust-winx" ,rust-winx-0.36))))
+    (home-page "https://github.com/bytecodealliance/system-interface")
+    (synopsis "Extensions to the Rust standard library")
+    (description "Extensions to the Rust standard library")
+    (license (list license:asl2.0 license:expat)))) ;; With LLVM exception.
+
 (define-public rust-tabwriter-1
   (package
     (name "rust-tabwriter")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:55 2024
Received: from localhost ([127.0.0.1]:55623 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgiq-0007By-Vc
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:54 -0400
Received: from mail-wr1-x435.google.com ([2a00:1450:4864:20::435]:42161)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggT-0006fg-5c
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:28 -0400
Received: by mail-wr1-x435.google.com with SMTP id
 ffacd0b85a97d-33d90dfe73cso7672f8f.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074093; x=1712678893; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=Kv/Rl4OPAxFYal2et6aIYNN9NBoYNaeOyOi5KlZsOsQ=;
 b=LbalJLdUf90mZV2N89t3jY/tu6X51odGY1dSVMXDYKsGeGQjnqONnUL2vzt1tKHj5p
 QmWNx+aN8543uwhJbKauHg8HglyYrjXFxgxNksK0b45hByGW+e/REv+kiH+URnlTo2/i
 RigJWcI68fEFCyKu1UFZDX2aaMRa8QR68eLqI2tYcDyTquSQbh9XzLqzqDd610rE/zKy
 XB5pc3uGQR73Ib+w7zwj3EIDClvChf6PDeo9oGoDAVwRil+av9YR/l3y5TFOrWgZU1Y2
 QGSHzgiDkbIVgF0iqimUtkzwtteOGE/hwp9nzNm9CulgSA72AKQ1ckyIlKU+AqSsgmTP
 vR4w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074093; x=1712678893;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=Kv/Rl4OPAxFYal2et6aIYNN9NBoYNaeOyOi5KlZsOsQ=;
 b=a0duda2fOktCkNDXn1qLA2H9tdYjy4tyTeng2swq5vbgfzBOnPBmWwGE84MYq6QYlc
 Y9xeoT6vEQDTutlIA0+G4yqV1OYcVzstPHWNCSenxJHCFoGcpj1Wu9WR4S8UFNeSdEep
 KB5mB6u5CuLjpnnGMEDOgjNPssXeikUza6ksOx5YheD2WF5FyKrFEv6y2/tYHOo1yJY7
 ePvZWYI3mhcy1VUsmw0VIJv1QjqEsfz40LNP+ZxuV9m1tvbzyGbOqoErPM+lW37NBhiD
 WTeD9tHpRdjFF57b7B2B4KwLJXzhRKyKudT1XgrviM0Tf2qy5jrhqUbnwCdesQn6Xy62
 O4bQ==
X-Gm-Message-State: AOJu0Yw+w2sIpaJiV2catCqAg39FWkPKIvbxfelchdtRw2/Bnvn6XJ6t
 cxrpF0N1LGtwKEacFHOvh3nVA5aUxd36rCsr/InlrIFjjZTr+/ys27DzxjIWxiaD8Le3z6BZ2BY
 M
X-Google-Smtp-Source: AGHT+IEI1AY3D6LINeoO1TchfsZcvBn9VjFNodD1MAekMLLMjk5zoWVSJesJzaBK5dFvZgJY6VyROg==
X-Received: by 2002:a5d:4a4e:0:b0:343:7bc9:4361 with SMTP id
 v14-20020a5d4a4e000000b003437bc94361mr838851wrs.22.1712074093530; 
 Tue, 02 Apr 2024 09:08:13 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.13
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:13 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 110/147] gnu: Add rust-cap-time-ext-2.
Date: Tue,  2 Apr 2024 18:05:02 +0200
Message-ID: <deeadab9f8a81cc0e2b14bd068eb8b790fda9a09.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-cap-time-ext-2): New variable.

Change-Id: I86ec068aa355a67a76c4c30f8cd35800ad7520be
---
 gnu/packages/crates-io.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index cc2c3f63c1..0ceffc630f 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -9692,6 +9692,34 @@ (define-public rust-cap-std-2
 library (@code{std}) based on capabilities.")
     (license (list license:asl2.0 license:expat)))) ;; With LLVM exception.
 
+(define-public rust-cap-time-ext-2
+  (package
+    (name "rust-cap-time-ext")
+    (version "2.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cap-time-ext" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0aq05yqg8mjc039cs5zm534mn9i8g228rwrn191jbx4iy8q1c9h3"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-ambient-authority" ,rust-ambient-authority-0.0.2)
+        ("rust-cap-primitives" ,rust-cap-primitives-2)
+        ("rust-cap-std" ,rust-cap-std-2)
+        ("rust-iana-time-zone" ,rust-iana-time-zone-0.1)
+        ("rust-once-cell" ,rust-once-cell-1)
+        ("rust-rustix" ,rust-rustix-0.38)
+        ("rust-winx" ,rust-winx-0.36))))
+    (home-page "https://github.com/bytecodealliance/cap-std")
+    (synopsis "Extension traits for the cap-std's time module")
+    (description "This packge provides a library with extension traits for
+cap-std's time module.")
+    (license (list license:asl2.0 license:expat)))) ;; With LLVM exception.
+
 (define-public rust-capnp-0.14
   (package
     (name "rust-capnp")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:53 2024
Received: from localhost ([127.0.0.1]:55621 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgip-0007Bm-2E
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:52 -0400
Received: from mail-wr1-x42f.google.com ([2a00:1450:4864:20::42f]:53432)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggU-0006fz-QV
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:28 -0400
Received: by mail-wr1-x42f.google.com with SMTP id
 ffacd0b85a97d-3437efea211so273078f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074097; x=1712678897; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=XSKVcJGj6B2UrOeiGBtkXXIVpPSK0PgKQl9dxA9R0Ms=;
 b=rK1vbKEMjtoOf//jVClrk80cf4Qleizh38E1nJkHoSd/RkQTosFkvgoLYHBSvvkI5F
 5s+OOtB7xVHYy+buwMPN813eUq0jZ2zWHO8UNkaeUWlhCxug7RO4H4ox2Tjfd0+fcrew
 zJ9F2kRR5YibNDD3Dl+ynsFBakv/bX4ai8FWGUILv8O72zIgOy1FDkFomnUv0+sbs25z
 0RGYm1oGBu6IDxKfBQASoNecZD7r+BJX3dRg0PC+8o7Fj16gx7ZOW/h7rpSSuFZ6FZ/s
 VOAxGPxF0119WFUqLbbyB05hinA1beXrmz72Q7JaQfuFYTCB31l/RQFsSCOv0G92VksV
 tcJQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074097; x=1712678897;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=XSKVcJGj6B2UrOeiGBtkXXIVpPSK0PgKQl9dxA9R0Ms=;
 b=cs6LIk9iFqIWPNAKwBteqqRZfbXgyPLkaSBMAeBsck+rGxa1BJHTkzGTsrD6KXGdQE
 0Dfav6sLygSl6J8IDHPE53OHuJHrvZfO81hFL/p5L24lVjK1wuUJ7/6rJQ4WegVDj9tF
 5q+Zk5NVrbsGdSbthzlO8AusL1V5kteQzpkn9hTuviojNeJ+0rIaJo1CxZyyeH8+cXMC
 PKwciiDzObj7xgKzbiLnirpD+rvu2/46WscVJeAK83JW6/LvVw5dNkvKIFYX5FDoMhhq
 bXCXbb0CXetd+tSA8xciw9etqSt9QZ/M/m4/VJ0Yy4TDCHERSiylKDEuKL5RoEWc7DYB
 pSug==
X-Gm-Message-State: AOJu0YwCSQVkFT5hTNLSGEyp/meb80xTI7ETxGTOFpQXIMmHLvgphGe1
 cLPKnYZhNCAlrtefllWSdUnrQpCW3HYXiKp3k9B0yn6ChT6vqp8GoiKGDpPvjlSwffMBw3BCJgC
 c
X-Google-Smtp-Source: AGHT+IFvKXQ1jfepJ49CbR7okB2t/1BXlhlovYSjoTq5Fd95H2UrxpwU1UIfmTJS4NVwV/IVWgBbAQ==
X-Received: by 2002:a5d:6809:0:b0:341:e5d1:d353 with SMTP id
 w9-20020a5d6809000000b00341e5d1d353mr2084482wru.14.1712074096997; 
 Tue, 02 Apr 2024 09:08:16 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.16
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:16 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 114/147] gnu: Add rust-ssh2-0.9.
Date: Tue,  2 Apr 2024 18:05:06 +0200
Message-ID: <1e9f92d98310aa15b49c0580b9691c624974f9e5.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-ssh2-0.9): New variable.

Change-Id: I70b785e8780d32a6bb1a073f2a44077349d17e29
---
 gnu/packages/crates-io.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 6f650e37a4..7cbef0a67c 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -65504,6 +65504,31 @@ (define-public rust-sqlite3-sys-0.13
        (("rust-libc" ,rust-libc-0.2)
         ("rust-sqlite3-src" ,rust-sqlite3-src-0.3))))))
 
+(define-public rust-ssh2-0.9
+  (package
+    (name "rust-ssh2")
+    (version "0.9.4")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ssh2" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0malilb9lbzlh3i24nb6s61lmz5as801swy30ib6v7sm20cldzp7"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-bitflags" ,rust-bitflags-1)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-libssh2-sys" ,rust-libssh2-sys-0.3)
+                       ("rust-parking-lot" ,rust-parking-lot-0.11))))
+    (home-page "https://github.com/alexcrichton/ssh2-rs")
+    (synopsis "High-level bindings of libssh2 for Rust")
+    (description "This package provides high-level idiomatic bindings to
+libssh2 for interacting with SSH servers and executing remote commands,
+forwarding local ports, etc.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-st-map-0.1
   (package
     (name "rust-st-map")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:51 2024
Received: from localhost ([127.0.0.1]:55619 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgin-0007BX-4D
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:50 -0400
Received: from mail-wr1-x433.google.com ([2a00:1450:4864:20::433]:54337)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggS-0006fb-T4
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:28 -0400
Received: by mail-wr1-x433.google.com with SMTP id
 ffacd0b85a97d-34175878e3cso4019935f8f.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074095; x=1712678895; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=ABEIQuSRQL8nCpv3f6Cz/YBrjmam+JYZISKr8SjWSOI=;
 b=ZMxs1fJj7hBp7E2FHP5rQ8QcZF+y6cRN6bfj3KRfXBG56Pk0Ni+GYf9xGiwxkHapBj
 Wz4OM9y2ou0aSxfmJxM2yfcauaoTkUvS5P7M2eoFmRS+60t2B2g4x7NJl3bHV0LZOpoj
 8GvLpdFuNZpvQcXPCheRUUSkG2fSgpKozBSrXJvs5LLUyxY9J/aKb729FmDV8z4i69Dh
 qIhGGrTF4cTQVUBlP7TRRnwkUYJ/soAU8BvROf8g/ea8R8Iy0NjC2mJecA/XO9bOcMcC
 R0JJvRRH+76Evcf1Zq4RKwxe2ZkI69caVjm3Lycer4P+38DrkWStTZ40cKTGcT9OKYAP
 7kSg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074095; x=1712678895;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=ABEIQuSRQL8nCpv3f6Cz/YBrjmam+JYZISKr8SjWSOI=;
 b=J3i5zQZiE5YTG5mFpeDRz0R1JBvyffJPi9dWmwcv4xfe5+AuNBZfR9Il7N5tYWQOgG
 IndZD+pAru+v1/YdWREykkMhDm1komVxUzjIRIuujAfWwFXy+KTdJuYQ3FmyozrMCGCH
 4WhUJhWVNPaKMpeh8yDGBBgmsukvjdxKUoNh0L/KA8uVEeFqhK0/TICJ9aAStpIYBExr
 qaH8Yqu4pY67UswX1E0ya95kmzGSipaQFuTxWOr+lR8Mu1V7Z3KiFPf0Y80NxpxahTiX
 S7Whv4UHV9cvIYV1ROv+3uOcHMQ2BT8+BlU8tlEFSfFf4oLB1Mm3t6eQ86XaCmH4jJtA
 X2Cw==
X-Gm-Message-State: AOJu0YzApuO9333XD/i9Zu6ZFvXaFdEmUtO6dJl6Sgtzakh3TgPWMr2/
 OA/YGf8M0rKQb4lY+wkc2WMdJYTGAi7xhJegUEthfoZJbU/lbIzQP7FMJF18UQLeyRu+8WSiQAM
 i
X-Google-Smtp-Source: AGHT+IGsUdT3aoDSEsbgq6nh7BiugMfpx/2hxuA5e1Gx44+5ohnQwGiqVwVLj6FwG6vYAfTCQ4xBZQ==
X-Received: by 2002:adf:e8d0:0:b0:343:3034:743b with SMTP id
 k16-20020adfe8d0000000b003433034743bmr8347470wrn.48.1712074095339; 
 Tue, 02 Apr 2024 09:08:15 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.14
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:15 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 112/147] gnu: Add rust-fd-lock-4.
Date: Tue,  2 Apr 2024 18:05:04 +0200
Message-ID: <5b7a080a2917b94aba6e64dfe70c59525f0fa8e2.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-fd-lock-4): New variable.
(rust-fd-lock-3): Inherit from rust-fd-lock-3.

Change-Id: I4abb1fb1162e663b5aa7e7687c599e9db73dac2a
---
 gnu/packages/crates-io.scm | 35 +++++++++++++++++++++++++++--------
 1 file changed, 27 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index b013200f40..3117e6ef8d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -23697,25 +23697,24 @@ (define-public rust-fastrand-1
         ("rust-wasm-bindgen-test" ,rust-wasm-bindgen-test-0.3)
         ("rust-wyhash" ,rust-wyhash-0.5))))))
 
-(define-public rust-fd-lock-3
+(define-public rust-fd-lock-4
   (package
     (name "rust-fd-lock")
-    (version "3.0.12")
+    (version "4.0.2")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "fd-lock" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "0hlnn1302p37qlc9xl2k5y0vw8q8id5kg59an6riy89hjlynpbir"))))
+        (base32 "0ixrsd19k2cpl773p9hd0yk3hac684d9aphbxy0jq9q64bd6hmvy"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:cargo-inputs
+     `(#:skip-build? #t
+       #:cargo-inputs
        (("rust-cfg-if" ,rust-cfg-if-1)
-        ("rust-rustix" ,rust-rustix-0.37)
-        ("rust-windows-sys" ,rust-windows-sys-0.48))
-       #:cargo-development-inputs
-       (("rust-tempfile" ,rust-tempfile-3))))
+        ("rust-rustix" ,rust-rustix-0.38)
+        ("rust-windows-sys" ,rust-windows-sys-0.52))))
     (home-page "https://github.com/yoshuawuyts/fd-lock")
     (synopsis "Advisory lock on a file")
     (description
@@ -23723,6 +23722,26 @@ (define-public rust-fd-lock-3
 it.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-fd-lock-3
+  (package
+    (inherit rust-fd-lock-4)
+    (name "rust-fd-lock")
+    (version "3.0.12")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fd-lock" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0hlnn1302p37qlc9xl2k5y0vw8q8id5kg59an6riy89hjlynpbir"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-cfg-if" ,rust-cfg-if-1)
+        ("rust-rustix" ,rust-rustix-0.37)
+        ("rust-windows-sys" ,rust-windows-sys-0.48))
+       #:cargo-development-inputs
+       (("rust-tempfile" ,rust-tempfile-3))))))
+
 (define-public rust-fd-lock-2
   (package
     (inherit rust-fd-lock-3)
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:49 2024
Received: from localhost ([127.0.0.1]:55617 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgil-0007B7-5M
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:49 -0400
Received: from mail-wr1-x432.google.com ([2a00:1450:4864:20::432]:47479)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggT-0006fn-Sk
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:28 -0400
Received: by mail-wr1-x432.google.com with SMTP id
 ffacd0b85a97d-33edbc5932bso3858874f8f.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074096; x=1712678896; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=yWCb5aRJ6lXg0QcdXb/GRmyL+1QaUJMMtw5Q0cGWTBw=;
 b=JQaR5exCfoZdZCPO0igawWtWapSQVcm+wkuCT8i20gm0Dv/VIJ7p9L3r3S9IxQPoVW
 jCIscCFVof7VZLc+Izf9Cw7srbIU3K1CVNnXHrw8y+Ir/pTqZXriuFy42+ZaCD3GjYXs
 GgsiHm8HyEFXAEL3YqKCSSboGcQ93A8oyXv20vGhuA9RcDV/D6C1IhIBqUM2nEnUX/yl
 M2WHEt7WM9szd9nJopKDWRX7MzxDu4jNlVlSviiGK3fNEF96drXt3ojISrkvbU63bgTz
 y/bG8ZwLoA5C+LksjymGm1XmS9jCI6VCsrEQAPYZ19FHrr92L6rgm31ge4jAwelc4uIn
 FFvg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074096; x=1712678896;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=yWCb5aRJ6lXg0QcdXb/GRmyL+1QaUJMMtw5Q0cGWTBw=;
 b=g2V9WMvvkUSJN3/sSqo2vPg9zdyscuax8k4JBJ+buX1tjx596W6vhHeoIRiSCdjWhj
 ubgXMTr5UB40JSOQpMxLXc1phzsq2DEUIsjSeiNK7Y2qyE8k953Alq6INtWpoIS8ymdW
 ZSEKk1xlHRlR/Witl/Ghit2ysnWlsVgK+CuU+XoXZqS4GGYOKrgpJQaBfFW20K5Y3AGk
 UYdfLJh8BAr+3RPF8kD00lGZ3OuEETXz2jIt6cBvOR45qb6Iaf9f8PI09K8QczCBQeYY
 eB+vnoKFtIG1QxuatVwDbeKwDxQ71g0vWUIOaswOcO9ySEpQdsjeFT2VjANLDNxgbC/H
 b2Sw==
X-Gm-Message-State: AOJu0YxtxF/hp8dsgZeLnTqCTys+GHGXrGFcjHLhZ0ftkWSvM1emBKGo
 COrzqIcHsW8vd4uJee9EdEobBiZATk1wn4/wFyb0ppqbQTLyK3IEgbBHPvsayyKT2RIXGan2uTg
 m
X-Google-Smtp-Source: AGHT+IHMKpp7NQntrKsFVCit3lXTSC/HXeF7nlN9wpvbMhPDdYdcEAkysTivrU9moSaxuF/eYZRSTA==
X-Received: by 2002:a05:6000:d12:b0:33e:b68b:4edd with SMTP id
 dt18-20020a0560000d1200b0033eb68b4eddmr122804wrb.64.1712074096189; 
 Tue, 02 Apr 2024 09:08:16 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.15
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:15 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 113/147] gnu: Add rust-socketpair-0.19.
Date: Tue,  2 Apr 2024 18:05:05 +0200
Message-ID: <c9878c3376b42095358fe2325d62dc7d6f78c9b6.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-socketpair-0.19): New variable.

Change-Id: I051893a4272c98b6e85fe0aeb17b352032524705
---
 gnu/packages/crates-io.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 3117e6ef8d..6f650e37a4 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -64761,6 +64761,34 @@ (define-public rust-socket2-0.3
        #:cargo-development-inputs
        (("rust-tempdir" ,rust-tempdir-0.3))))))
 
+(define-public rust-socketpair-0.19
+  (package
+    (name "rust-socketpair")
+    (version "0.19.4")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "socketpair" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0xln407qisgd1rrq54ff7b9dbm0mjwvkl17ry6bph4clz2vhvicx"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-async-std" ,rust-async-std-1)
+                       ("rust-io-extras" ,rust-io-extras-0.18)
+                       ("rust-io-lifetimes" ,rust-io-lifetimes-2)
+                       ("rust-rustix" ,rust-rustix-0.38)
+                       ("rust-tokio" ,rust-tokio-1)
+                       ("rust-uuid" ,rust-uuid-1)
+                       ("rust-windows-sys" ,rust-windows-sys-0.52))))
+    (home-page "https://github.com/sunfishcode/socketpair")
+    (synopsis "Cross-platform @code{socketpair} implementation")
+    (description "This package provides a library with a cross-platform
+implementation of the @code{socketpair} functionality.  On Windows emulates
+this interface using @code{CreateNamedPipe}.")
+    (license (list license:asl2.0 license:expat)))) ;; With LLVM exception.
+
 (define-public rust-socks-0.3
   (package
     (name "rust-socks")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:47 2024
Received: from localhost ([127.0.0.1]:55615 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgij-0007Ak-85
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:47 -0400
Received: from mail-wr1-x42f.google.com ([2a00:1450:4864:20::42f]:55367)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggQ-0006f8-6x
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:26 -0400
Received: by mail-wr1-x42f.google.com with SMTP id
 ffacd0b85a97d-34100f4f9a2so3657085f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074092; x=1712678892; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=OnSn4S2S12G0VCLo0NwQ1hUBXvtzcRwFFwovs2G0xVM=;
 b=UxefuCOKHcbXw3nWAKKeK3aevom4nYgBRqyrdgzM/sJeDztHyIu7oXr3tPNBFfoD39
 xve5T7Vv0vXJzPNQnDXOdzQtqWR24bVWZ9KIjDpOOxgvjFPzc3DSOu6h8K9DWT6DXaA8
 vAxiV+a/JIz1F2ok9uX+dw4SvRwDHd++5DrkAifFYhkJMGANcSaGp21Iuy4DiCI/jzfH
 vicCLz420mSbeO/enpq62yY/JOa0eT0PCk0WFPLzXl3mo634UrNOzn9325FexnUu2v1c
 0kgEoqXc3Yzk8PAbVscxYPJMSLkXrnmFV5qYNnUCrWAGW+d8m+Hlr875sN4QYDT7Se4v
 h7Pw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074092; x=1712678892;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=OnSn4S2S12G0VCLo0NwQ1hUBXvtzcRwFFwovs2G0xVM=;
 b=IPCCjJSBrU3H/Hwk6nuwGVyU6ORs/gJidCUvAeWRD3wQSpFjHDCJjnd0DRfg3U896S
 NXfVrqAGlDV+SWaol/k/CABG1nSWLqLA96+t74s1N47+1qBOKt8GyQm2oHu5TKSqfQBQ
 fIk6pGiIwekOMJSGnciVDLjn7Iegqa6XDF7Ph7MOJkYlD1ia2JnYk7f2I1U/MlMbj3+k
 1dY1w+FFWsnsIxIN59Z2XzmpIyYF1Agj+FnXwwAAcVJNtinrIcdA1vKqfs+B9wQZgco1
 CEMQoANVQrBrQijw6Q1XPtr7K2T0vvuWloE3b1NnuCLQv1CRrex7FA8ady8zIsHxNJhs
 D16g==
X-Gm-Message-State: AOJu0YzIM+cJuvH0CeNqhmd4Jr/uGtRiUAmLecbrP8UhxfYAOWV7QwvR
 RfULhhrg6H5dy7UomRDHQygji21+P/InJ7NrUOfkBMWJ1caQ2G/WS3DcvA5fsSkJSvIGpA9Mkt6
 5
X-Google-Smtp-Source: AGHT+IHbiOOHeXKMckOtNZ7Jh25FDGIjj511AXwo0FB3Lc/eQvHiTlV58EFWUhbyUtC+9zluf/6R+g==
X-Received: by 2002:adf:e8d0:0:b0:343:3034:743b with SMTP id
 k16-20020adfe8d0000000b003433034743bmr8347390wrn.48.1712074092635; 
 Tue, 02 Apr 2024 09:08:12 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.12
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:12 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 109/147] gnu: rust-iana-time-zone-0.1: Update to 0.1.60.
Date: Tue,  2 Apr 2024 18:05:01 +0200
Message-ID: <8a96c2285fa7b6ddc8fefe42463160541b35215c.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-iana-time-zone-0.1): Update to
0.1.60.

Change-Id: Ic32c5044ca0369fc2a0bfcd2a94332f7610ec75c
---
 gnu/packages/crates-io.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9796aca96e..cc2c3f63c1 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -30147,14 +30147,14 @@ (define-public rust-iana-time-zone-haiku-0.1
 (define-public rust-iana-time-zone-0.1
   (package
     (name "rust-iana-time-zone")
-    (version "0.1.53")
+    (version "0.1.60")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "iana-time-zone" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "0ra7nvai8n3alvljswacjbnhfcpivpi7xqbc5n048w18gdk25hb4"))))
+                "0hdid5xz3jznm04lysjm3vi93h3c523w0hcc3xba47jl3ddbpzz7"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f                      ; Not all files included.
@@ -30164,7 +30164,7 @@ (define-public rust-iana-time-zone-0.1
         ("rust-iana-time-zone-haiku" ,rust-iana-time-zone-haiku-0.1)
         ("rust-js-sys" ,rust-js-sys-0.3)
         ("rust-wasm-bindgen" ,rust-wasm-bindgen-0.2)
-        ("rust-winapi" ,rust-winapi-0.3))
+        ("rust-windows-core" ,rust-windows-core-0.52))
        #:cargo-development-inputs
        (("rust-wasm-bindgen-test" ,rust-wasm-bindgen-test-0.3))))
     (home-page "https://github.com/strawlab/iana-time-zone")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:45 2024
Received: from localhost ([127.0.0.1]:55613 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgih-0007Aa-7f
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:45 -0400
Received: from mail-wr1-x432.google.com ([2a00:1450:4864:20::432]:56364)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggS-0006fT-31
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:26 -0400
Received: by mail-wr1-x432.google.com with SMTP id
 ffacd0b85a97d-3437efea0ecso207517f8f.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074094; x=1712678894; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=+gw2LhZiMr1byzt1nJFz4lnneBQZQPkqmYKr2tpUm3Y=;
 b=qZQGkUs1nkBiqfedmzmoey40dQXA3ebQBkK/SPnj6VFdmCCKBHLYCbpCPdUbX4qC37
 2gsWXz4WNEZBelS7YM+NXZIj+dnf2FOlS6vhDmx/a4OaTpdWtZLLSuClKStm8xmsTBHj
 R7568tX2TURSB7OYQr2g177Fn7RUn2kwwvg/5Mwpxx2TlGLAo8FA04ToxNiP0oXBAebD
 gkn2n03S0k/eocStUlI3x5CKgjjteGO9eOLHUgCcsBBuP7MaLnpqGE+iRAKK5hIIs+Ik
 F/el0D73U+k8w2pEkxpiB5mc4GVhepK+nTXNwlqE0E6c/rRcVm+x7QkiJGr2DXgCZeZ/
 SKrA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074094; x=1712678894;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=+gw2LhZiMr1byzt1nJFz4lnneBQZQPkqmYKr2tpUm3Y=;
 b=wzIgy7gUefP1GB9l/iyQFFwbM2cIgLT/CObFKXtYHkwyQMG/zx3YiCYCzpDeD3CSXi
 T4bcJ4ByvvSo7yMmh67jSt1hIq7hM4h5S65LnOlt44hgD1IcM3uTlOGl832SdWB9Lcj6
 D2iXA9tYzBaLrk6sSAt9FXiQl6ZeJz+ppyw8DPU66JowlT131xbbWOSg2ahXWoWEDzfa
 +FhuACMA62UMrmzwvrrvMdNijr0ehNQUz6bC8R+99Cx6Y+GEvZsHo8/2Yo/LXBtnLwyh
 JOXzxiBrSeRA5IR1CkoQXFMBtH49NYINxr6vWKwfjMKkOnVndJUD3ZSqlXy9dmfg4Zet
 IC3A==
X-Gm-Message-State: AOJu0YzlhcZU2AJOYEEBZIoJkmf4tuLR9Lu8QXm31RdD+fvJ1K29gnWT
 zvq+9IYKsK3M5HZB5yU2Bf2KgXEWHXyl5dRO1gt6vRuZZLuPOlJp3mfhZMixv6cTfru/t/EFNnw
 r
X-Google-Smtp-Source: AGHT+IHwTaAhSX1ME5DkmQiLUEuyH0hOxwAk0qigN1vyUpyuuo9MzjuKFX0CntOIVzEIMk4y1ZUdHQ==
X-Received: by 2002:a05:6000:1143:b0:341:ba31:b8bf with SMTP id
 d3-20020a056000114300b00341ba31b8bfmr9152656wrx.58.1712074094444; 
 Tue, 02 Apr 2024 09:08:14 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.13
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:14 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 111/147] gnu: Add rust-char-device-0.16.
Date: Tue,  2 Apr 2024 18:05:03 +0200
Message-ID: <371421633e5406aed98063026b4bb88f98b7b6e6.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-char-device-0.16): New variable.

Change-Id: I6ebfd8dea08b73eacac9e9db678340f322dee58c
---
 gnu/packages/crates-io.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 0ceffc630f..b013200f40 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -11047,6 +11047,32 @@ (define-public rust-chalk-solve-0.75
      "This package provides a combines the chalk-engine with chalk-ir.")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-char-device-0.16
+  (package
+    (name "rust-char-device")
+    (version "0.16.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "char-device" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "04rbxrjq32hbhyj1ddyixz2w42vvrnzvma7kkxlrwipa4f0ysm6y"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-async-std" ,rust-async-std-1)
+                       ("rust-io-extras" ,rust-io-extras-0.18)
+                       ("rust-io-lifetimes" ,rust-io-lifetimes-2)
+                       ("rust-rustix" ,rust-rustix-0.38)
+                       ("rust-tokio" ,rust-tokio-1)
+                       ("rust-winx" ,rust-winx-0.36))))
+    (home-page "https://github.com/sunfishcode/char-device")
+    (synopsis "Character Device I/O")
+    (description "This packag provides a wrapper around @code{std::fs::File}
+to specifically interact with character devices such as @code{/dev/tty}.")
+    (license (list license:asl2.0 license:expat)))) ;; With LLVM exception.
+
 (define-public rust-charset-0.1
   (package
     (name "rust-charset")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:43 2024
Received: from localhost ([127.0.0.1]:55611 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgif-0007AN-CB
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:43 -0400
Received: from mail-wm1-x333.google.com ([2a00:1450:4864:20::333]:43171)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggP-0006ex-EC
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:24 -0400
Received: by mail-wm1-x333.google.com with SMTP id
 5b1f17b1804b1-415446af364so87275e9.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074092; x=1712678892; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=NASTiJL6Yb/mcCqNBR4CLUejwPyt7p430p5Jy19r/Zc=;
 b=ld8xuI7hZWHXqgAdpo4wLjpLAmRRpAOMGBIcvRshOjHeTazlU3Ui63pl605MekLrHq
 dx95C0KHEJYqqPFRmfO2yjGLllY+TxhAu960IkaCkwtKOlY0xBd2z/jtiHsFBng2OU9E
 kZ2/9CzqgYDFKOGvp17XJ9dmosbJvhEsFmxJ8jZq2LdpHZt+HCuHPttrKS1m1r/A4+LY
 VPiKYOeridM/U5VINzBS2CbqRfKrnSk2sQmZxKfnEnCyueesAaEIxmUrlD+qdprlxywk
 oZH87Ocvlw2O/kT0y3f51nDb9PDGgB0oBFfF9CbL9fufsG0Q4Q4ur3Yg+yBTNOXx3hqT
 1e+w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074092; x=1712678892;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=NASTiJL6Yb/mcCqNBR4CLUejwPyt7p430p5Jy19r/Zc=;
 b=dbpyGe2EQkB1sgf8q81RiJkPDJZ1Ti80I3K4XzhWIKw9Y0SGrb3+u6smajSQ0iOnw8
 wVh50dNBhzaqIE7PtFJfAMPTAEzOjbI2QjFHt/+yuEbS8Rf5dAzE/xvB7dw9HE2irKTG
 +QX+WGFis4XIrajSiOzZIRoaclvJyzmbIGkxU/nRvDWzzj1H8uM5+kgIcVF9D4SGZFuG
 +Yyu9jtkfmlK9Z19RDHhR1xmLzni2t2g6cZZAApi+G65keoc9I4lDqe5jn4Hrqg7DBNz
 p/+zoqJX9TuEmZc1phO3L31ZNMm4crynLN8bX1PtcpKY5I+qdsFe2TRA0Q/1hbmUTV4I
 vgCg==
X-Gm-Message-State: AOJu0YzGqVwU0SGs4L3sGdCMx5A5Vce59f+7JA7L6xtNz7UiNxnVxjAs
 QecsDsumGEb7HwLTr4kBjm22D+jajtwyRBaaTpuc/6ZD66V3iajhLwEmDvahHVErBSr6wHbf3EJ
 m
X-Google-Smtp-Source: AGHT+IHfpYGsLdi4VEVuBpMPVNkzvib2G53B0SNIfjnX21XvdAimvNZaDKYiR1dnG8N9rL3AH6R5Hw==
X-Received: by 2002:a5d:52c3:0:b0:33e:9f3d:6910 with SMTP id
 r3-20020a5d52c3000000b0033e9f3d6910mr11367617wrv.31.1712074091812; 
 Tue, 02 Apr 2024 09:08:11 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.11
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:11 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 108/147] gnu: Add rust-windows-core-0.52.
Date: Tue,  2 Apr 2024 18:05:00 +0200
Message-ID: <b4586c0477e5ce1a3863956756c30f04e4ef7344.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-windows.scm (rust-windows-core-0.52): New
variable.

Change-Id: I3d65339ae40df6b81542b8762d14780cf2ab4263
---
 gnu/packages/crates-windows.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/crates-windows.scm b/gnu/packages/crates-windows.scm
index 857150c3b0..0309228e49 100644
--- a/gnu/packages/crates-windows.scm
+++ b/gnu/packages/crates-windows.scm
@@ -1568,6 +1568,28 @@ (define-public rust-windows-bindgen-0.51
                        ("rust-syn" ,rust-syn-2)
                        ("rust-windows-metadata" ,rust-windows-metadata-0.51))))))
 
+(define-public rust-windows-core-0.52
+  (package
+    (name "rust-windows-core")
+    (version "0.52.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "windows-core" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1nc3qv7sy24x0nlnb32f7alzpd6f72l4p24vl65vydbyil669ark"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-windows-result" ,rust-windows-result-0.1)
+                       ("rust-windows-targets" ,rust-windows-targets-0.52))))
+    (home-page "https://github.com/microsoft/windows-rs")
+    (synopsis "Windows base types for Rust")
+    (description "This package provides a library with base types
+of Windows.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-windows-i686-gnu-0.52
   (package
     (name "rust-windows-i686-gnu")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:41 2024
Received: from localhost ([127.0.0.1]:55609 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgid-0007AF-Cw
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:41 -0400
Received: from mail-wr1-x42c.google.com ([2a00:1450:4864:20::42c]:57498)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggO-0006ei-LH
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:23 -0400
Received: by mail-wr1-x42c.google.com with SMTP id
 ffacd0b85a97d-3436fec6a70so491156f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074091; x=1712678891; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=PbA5TFM0OGh1QLkYiV/sX8yarbjZfQS7VvlXLdzjhK4=;
 b=GexnSBgwHThiDhDQ5mIRG2kw/X6SCAFF7CJ8DD9KakMT43YcUqOAG0yfaulWiM+FBM
 T+cBKSbmhn/Me+uuIypIyI1CYtwr0iL9LvBqTquHELhKz+0h4jOgOAok383M5ZNYbVSO
 zUG4ItrCtPtOX1077CYxLiBY29c9YF/eTP//p3Kr7eI5Kc80iSCAKYpYO2XB2gEQ8ajl
 TTLF37jqyB+EWCPiQtDVr3Jn4CQSXbDi9dNNSBjcz0Mf0E5YZhpkVQrvpbrIkJJRzCqI
 oclw2WTEGqN3VMdXTFNe+9wcWU5B8OxCb6vghtUyEYco9JCjXJfXuEbGP3uR/Q7AgCOS
 LOQg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074091; x=1712678891;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=PbA5TFM0OGh1QLkYiV/sX8yarbjZfQS7VvlXLdzjhK4=;
 b=I2KhN5BE41vhX9uFpxJyK+Vn22RlFAmcTJgSpATsq8YdSwTYp8u4UorDS2VMbZyRIb
 VISPUEXNR0y/kIL7MCxWEym/m6nxhfirsse1DbWeWboiYUTMCcR0wYnTeKZTF4pJv7Ig
 eIsbACdgRBJif+N3JPKxPrIuWg7WYXe+t9R8BNS6lgTn2os3yUOKa3DKTPJHEBRSTEti
 b+BRAOD0qLxVnV5dOmRlgkX132Bn2hjVeKsJIPrnQwWHDHZYxO3NSf2OO4SWiFVq1ViE
 8KAxSQci8Tg0nlWkBjghMelsbxK6MQN1qzsyB0WKdrQ5CeFsM04VraolEQCesS+JOfsZ
 QUzQ==
X-Gm-Message-State: AOJu0YzWhcpVnmqMgJEf2vcPv72jHGuE3sd74WAN2uWJjjXkRAbPFa9j
 gDBgYEHynzQOEVQwCNri+MThktb+tnjv1c3thXBTO7UrgBghupC4O1OlxwiSKFNnQd/zReT146z
 q
X-Google-Smtp-Source: AGHT+IGnwkoCpaa1z9Ijk4Wjw8V44R2IS7QQ/VZEdsHKxjV8JfvHeb8EHVxqGPcxilILODk/XVv1xQ==
X-Received: by 2002:adf:f983:0:b0:343:8661:a820 with SMTP id
 f3-20020adff983000000b003438661a820mr41189wrr.43.1712074090911; 
 Tue, 02 Apr 2024 09:08:10 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.10
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:10 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 107/147] gnu: rust-windows-targets-0.52: Update to 0.52.4.
Date: Tue,  2 Apr 2024 18:04:59 +0200
Message-ID: <9a317068dd4ae2d9fe7dc29da27769d06bb1d38a.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-windows.scm (rust-windows-targets-0.52): Update to 0.52.4.
(rust-windows-aarch64-gnullvm-0.52): Ditto.
(rust-windows-aarch64-msvc-0.52): Ditto.
(rust-windows-i686-gnu-0.52): Ditto.
(rust-windows-i686-msvc-0.52): Ditto.
(rust-windows-x86-64-gnu-0.52): Ditto.
(rust-windows-x86-64-gnullvm-0.52): Ditto.
(rust-windows-x86-64-msvc-0.52): Ditto.

Change-Id: I8985d777f3e2aafe855a09f43733cacdbdae28a1
---
 gnu/packages/crates-windows.scm | 32 ++++++++++++++++----------------
 1 file changed, 16 insertions(+), 16 deletions(-)

diff --git a/gnu/packages/crates-windows.scm b/gnu/packages/crates-windows.scm
index 095f2f0142..857150c3b0 100644
--- a/gnu/packages/crates-windows.scm
+++ b/gnu/packages/crates-windows.scm
@@ -1366,14 +1366,14 @@ (define-public rust-windows-0.9
 (define-public rust-windows-aarch64-gnullvm-0.52
   (package
     (name "rust-windows-aarch64-gnullvm")
-    (version "0.52.0")
+    (version "0.52.4")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "windows_aarch64_gnullvm" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1shmn1kbdc0bpphcxz0vlph96bxz0h1jlmh93s9agf2dbpin8xyb"))
+        (base32 "1jfam5qfngg8v1syxklnvy8la94b5igm7klkrk8z5ik5qgs6rx5w"))
        (snippet
         '(delete-file "lib/libwindows.0.52.0.a"))))
     (build-system cargo-build-system)
@@ -1420,14 +1420,14 @@ (define-public rust-windows-aarch64-gnullvm-0.42
 (define-public rust-windows-aarch64-msvc-0.52
   (package
     (name "rust-windows-aarch64-msvc")
-    (version "0.52.0")
+    (version "0.52.4")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "windows_aarch64_msvc" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "1vvmy1ypvzdvxn9yf0b8ygfl85gl2gpcyvsvqppsmlpisil07amv"))
+                "0xdn6db0rk8idn7dxsyflixq2dbj9x60kzdzal5rkxmwsffjb7ys"))
               (snippet
                '(delete-file "lib/windows.0.52.0.lib"))))
     (build-system cargo-build-system)
@@ -1571,14 +1571,14 @@ (define-public rust-windows-bindgen-0.51
 (define-public rust-windows-i686-gnu-0.52
   (package
     (name "rust-windows-i686-gnu")
-    (version "0.52.0")
+    (version "0.52.4")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "windows_i686_gnu" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "04zkglz4p3pjsns5gbz85v4s5aw102raz4spj4b0lmm33z5kg1m2"))
+                "1lq1g35sbj55ms86by4c080jcqrlfjy9bw5r4mgrkq4riwkdhx5l"))
               (snippet
                '(delete-file "lib/libwindows.0.52.0.a"))))
     (build-system cargo-build-system)
@@ -1682,14 +1682,14 @@ (define-public rust-windows-i686-gnu-0.28
 (define-public rust-windows-i686-msvc-0.52
   (package
     (name "rust-windows-i686-msvc")
-    (version "0.52.0")
+    (version "0.52.4")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "windows_i686_msvc" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "16kvmbvx0vr0zbgnaz6nsks9ycvfh5xp05bjrhq65kj623iyirgz"))
+                "00lfzw88dkf3fdcf2hpfhp74i9pwbp7rwnj1nhy79vavksifj58m"))
               (snippet
                '(delete-file "lib/windows.0.52.0.lib"))))
     (build-system cargo-build-system)
@@ -2168,14 +2168,14 @@ (define-public rust-windows-macros-0.9
 (define-public rust-windows-targets-0.52
   (package
     (name "rust-windows-targets")
-    (version "0.52.0")
+    (version "0.52.4")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "windows-targets" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "1kg7a27ynzw8zz3krdgy6w5gbqcji27j1sz4p7xk2j5j8082064a"))))
+                "06sdd7fin3dj9cmlg6n1dw0n1l10jhn9b8ckz1cqf0drb9z7plvx"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -2272,14 +2272,14 @@ (define-public rust-windows-tokens-0.32
 (define-public rust-windows-x86-64-gnu-0.52
   (package
     (name "rust-windows-x86-64-gnu")
-    (version "0.52.0")
+    (version "0.52.4")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "windows_x86_64_gnu" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "1zdy4qn178sil5sdm63lm7f0kkcjg6gvdwmcprd2yjmwn8ns6vrx"))
+                "00qs6x33bf9lai2q68faxl56cszbv7mf7zqlslmc1778j0ahkvjy"))
               (snippet
                '(delete-file "lib/libwindows.0.52.0.a"))))
     (build-system cargo-build-system)
@@ -2383,14 +2383,14 @@ (define-public rust-windows-x86-64-gnu-0.28
 (define-public rust-windows-x86-64-gnullvm-0.52
   (package
     (name "rust-windows-x86-64-gnullvm")
-    (version "0.52.0")
+    (version "0.52.4")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "windows_x86_64_gnullvm" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "17lllq4l2k1lqgcnw1cccphxp9vs7inq99kjlm2lfl9zklg7wr8s"))
+                "0xr13xxakp14hs4v4hg2ynjcv7wrzr3hg7zk5agglj8v8pr7kjkp"))
               (snippet
                '(delete-file "lib/libwindows.0.52.0.a"))))
     (build-system cargo-build-system)
@@ -2436,14 +2436,14 @@ (define-public rust-windows-x86-64-gnullvm-0.42
 (define-public rust-windows-x86-64-msvc-0.52
   (package
     (name "rust-windows-x86-64-msvc")
-    (version "0.52.0")
+    (version "0.52.4")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "windows_x86_64_msvc" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "012wfq37f18c09ij5m6rniw7xxn5fcvrxbqd0wd8vgnl3hfn9yfz"))
+                "1n0yc7xiv9iki1j3xl8nxlwwkr7dzsnwwvycvgxxv81d5bjm5drj"))
               (snippet
                '(delete-file "lib/windows.0.52.0.lib"))))
     (build-system cargo-build-system)
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:39 2024
Received: from localhost ([127.0.0.1]:55607 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgib-00079p-GY
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:39 -0400
Received: from mail-wr1-x42f.google.com ([2a00:1450:4864:20::42f]:54333)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggM-0006ee-W5
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:22 -0400
Received: by mail-wr1-x42f.google.com with SMTP id
 ffacd0b85a97d-34175878e3cso4019822f8f.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074089; x=1712678889; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=lHqnDPLabPXLNuaSUEzUQGqTsn0GmzcxXHUjXBjnt38=;
 b=TNXMLM+ZzNrngqy2hDBHHIIUSTPChBBb9cRGR88ZDudbxJEBVt7iACxgQGa7FICiEZ
 Ghoid4m/1dG42NN9ucd9oBTIfYhs3EP5aoEn2tZAWlvmIXO7pEaGlAUEPjkUdjKi7eM5
 0GEj5bA6u2ZlXQsXLR1ebXRieJVTWWMCSysRX1XfBjuRHtBrRVOp2AXN7d1X6PJPy/Jj
 SXE8nigKmEaXAz5K3FzCZ6mNa/lmUvXb/zr0lliTEAJWnynwmZpAU2MCLt1BvF5p2qMn
 HQsxak6fvyYhGWd4E8O0iKBp6s/KFddkCTa9vALAbj8/h+NBilPN9eppE/BtquM8me6P
 xH4w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074089; x=1712678889;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=lHqnDPLabPXLNuaSUEzUQGqTsn0GmzcxXHUjXBjnt38=;
 b=NMBLvw1Go5zioN/OLI4jLJYuJljqqkc1/5c608U3pHvsYb6J8T6z9OdCYKLihvgj/I
 s6gJTN6d7mayMqhat/EDttFdWOSlwEkYtbu/zxEZv4yJzmOXwY0Qd4tioOUkuKxhb80N
 2cPG6bZY6S0oBMBpihiY7eI32OWysgI3OpcVatJ1VDSwpPk8exCOHuEwFDz9wheHJywM
 +bbC/qyzwywC2q1gJJOrAdzs+6Pz0zY3cZfzw9zOeT7iWgz2E49iqtGO1edLfy1VLzup
 ZlEsxDvlq1YxzxTfFli+f9jM/T0eKWPhputnLXAzkigkDlECXPmyNFsDaF3aPXgQM6iV
 UnhA==
X-Gm-Message-State: AOJu0Yx6xqhGX6d7eQFfs2vqE/5kdgCzJ+eB8U5DnvoYu0WNSPgOlTWU
 OiDS6OZaS5p+kt5k9ZHJTxC06HTltoZfhsIDg+zuzScbfEGQ5hCbISk9DeLQ2xE4tmrq7lROlaj
 7
X-Google-Smtp-Source: AGHT+IHpUnAfoy0R0YVSdSoRolO7RtrCGgJXaE3WXArYas9wUd+cWb/72Di2L/uWb7g3LqlxwVzVnw==
X-Received: by 2002:a05:6000:156d:b0:343:740c:5d14 with SMTP id
 13-20020a056000156d00b00343740c5d14mr1985635wrz.31.1712074089200; 
 Tue, 02 Apr 2024 09:08:09 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:08 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 105/147] gnu: Add rust-cap-rand-2.
Date: Tue,  2 Apr 2024 18:04:57 +0200
Message-ID: <8d5d310a445feefd9ad5b975562b903cb7fcf0b7.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-cap-rand-2): New variable.

Change-Id: If742e2c319e4e7b174fd705ada569a31a79248c1
---
 gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 14960b09ca..9796aca96e 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -9643,6 +9643,29 @@ (define-public rust-cap-primitives-2
 @code{cap-std} crate. ")
     (license (list license:asl2.0 license:expat)))) ;; With LLVM exception.
 
+(define-public rust-cap-rand-2
+  (package
+    (name "rust-cap-rand")
+    (version "2.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cap-rand" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1jm4iw7jlricrpi0ngmp5dvhwm4p6lr70w9wph373kghcmankr90"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-ambient-authority" ,rust-ambient-authority-0.0.2)
+        ("rust-rand" ,rust-rand-0.8))))
+    (home-page "https://github.com/bytecodealliance/cap-std")
+    (synopsis "Capability-based random number generators")
+    (description "This package provides a library for capability-based random
+number generators.")
+    (license (list license:asl2.0 license:expat)))) ;; With LLVM exception.
+
 (define-public rust-cap-std-2
   (package
     (name "rust-cap-std")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:37 2024
Received: from localhost ([127.0.0.1]:55605 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgiZ-00079R-HJ
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:37 -0400
Received: from mail-wm1-x332.google.com ([2a00:1450:4864:20::332]:61748)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggN-0006eg-P8
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:21 -0400
Received: by mail-wm1-x332.google.com with SMTP id
 5b1f17b1804b1-41569865b2fso14238485e9.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074090; x=1712678890; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=o46VkYG3Iqcs4hF10ZvEhQ3hdFHr29BW5CRIVQomGtQ=;
 b=mx9spExqq5i7zfJRiOuOxz0m5/YtnIteHuOfb0QmP9b4Y6ksPc2QGgkZrb8kXA4uPg
 qsCa4JAnPG3LgbYgt+v9Law32JKSEsJBS/keAt9jnuMChFgqC91QjFllCCw+ZmoQrgvW
 OcOdDiz6E3OBprPm81evrXPYmKhkGb0sMrgwN7R3E8wifLzFig0JBnFFxfKR/S3teV21
 kxDRavv6nCMoJzGGSUU9gy70WuVRKDnEEQnK+brtNsyvHbynO8dqIwKOBHTa1CTk73sa
 JlFLYmhcsbXTyCIDUCtR4BzLc89STCmScJ7U9Mrxql0+Xl3BD3nWzIAaea56f+1KiEWf
 kJZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074090; x=1712678890;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=o46VkYG3Iqcs4hF10ZvEhQ3hdFHr29BW5CRIVQomGtQ=;
 b=qL/6Nb43tkZqnfoQJK3i3jJvvt9nziVg2DBSFuSASbaE+zGhYk8VtAJ3HIYjL6LGdS
 nAwSjLHDAsFkevA+gN5ItFD3ICtOtGVvjuibSd3P/XOAFxSPL9foJD8aZ7e7s+rh2Rmb
 o+8E8RZO5sJnJb4XqYy63i+syWf52DgPJwVt07iohWI7N2PwyFfcSWx7oXiOZa01uUhn
 RT9Xr0GuW4JtXWS4T4Ut5d/DCnRGwGjAW7NHyy8lHHji+KC82k+5y1mu7nPvnJMNjdRT
 xEPUGFgcEgruKiqYwZQ03si5jDszu6ByttElyXu/Fb+EeEgkQLoR7t024xXeZee+5j/S
 bbpQ==
X-Gm-Message-State: AOJu0YzZvjpmmtTBDpGjJk2uvrsBLme31QLkzOManAYsx+kyACSs5kWW
 o0Chl1m6NN0RIXpjN2kcZ+WWHEJFgvsSRggbYqlonzn13b++tQUaQE/B1KOhAH2AjlNzOE3EoqZ
 L
X-Google-Smtp-Source: AGHT+IF5mbwX5kVpPdQS27UBNr4Iohef2aKHFragXYGHxV99DMri15qSF1Kf2p0ndfBCS7o1y3a+Rw==
X-Received: by 2002:a05:6000:1184:b0:343:6f88:5e2 with SMTP id
 g4-20020a056000118400b003436f8805e2mr1257564wrx.47.1712074090039; 
 Tue, 02 Apr 2024 09:08:10 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.09
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:09 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 106/147] gnu: Add rust-windows-result-0.1.
Date: Tue,  2 Apr 2024 18:04:58 +0200
Message-ID: <65b9a80df0522e9a8bb05029c85737ae5dd5915a.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-windows.scm (rust-windows-result-0.1): New
variable.

Change-Id: I7d79fb373c315298f0ec73118e28dc43779b2ea6
---
 gnu/packages/crates-windows.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/crates-windows.scm b/gnu/packages/crates-windows.scm
index e50c63f80f..095f2f0142 100644
--- a/gnu/packages/crates-windows.scm
+++ b/gnu/packages/crates-windows.scm
@@ -14,6 +14,7 @@
 ;;; Copyright © 2023 Jaeme Sifat <jaeme@HIDDEN>
 ;;; Copyright © 2023 Daniel Ziltener <dziltener@HIDDEN>
 ;;; Copyright © 2024 Tomas Volf <~@wolfsden.cz>
+;;; Copyright © 2024 Foundation Devices, Inc. <hello@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1985,6 +1986,26 @@ (define-public rust-windows-metadata-0.51
        (sha256
         (base32 "03h0c6qs1yyl0z69p4k1hdq636j868qdxnri1dy47nprjvckacbm"))))))
 
+(define-public rust-windows-result-0.1
+  (package
+    (name "rust-windows-result")
+    (version "0.1.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "windows-result" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0r1z5903al7pzv1jsvbmnqnsn8nlp38x2hy3xl5gp38nwmwdy6fd"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-windows-targets" ,rust-windows-targets-0.52))))
+    (home-page "https://github.com/microsoft/windows-rs")
+    (synopsis "Windows error handling")
+    (description "This package provides types to manage Windows APIs errors.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-windows-sys-0.52
   (package
     (name "rust-windows-sys")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:35 2024
Received: from localhost ([127.0.0.1]:55603 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgiX-00079F-Kd
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:35 -0400
Received: from mail-wr1-x429.google.com ([2a00:1450:4864:20::429]:53426)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggL-0006eX-Te
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:19 -0400
Received: by mail-wr1-x429.google.com with SMTP id
 ffacd0b85a97d-3437efea211so272953f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074088; x=1712678888; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=yYbO7qhNyk2rN5Or3Axr6kw/Nr4ErGED2EhB8FFuk+A=;
 b=ROIyA542cegSd1Pq9Wtam8L7KAjva828bvb+0V+OjYJmPzAH1dk4iZ3M4GVtMBing+
 iZRTBDmp/pipoftmFXNgL3SpfZ+K7dEfd4bXJJMIfwjeARRDA4BmW0Yob6OdBTnGhmyB
 Y2V6kmKmo8vlLeWUiYm4rl/7esd4dDgTQGDLbCLUgqHF64E0UDrjTm59ErgdXJWn6w6V
 RvH6j9C44QwpQEMxwnZg+1F8O2aRs0Cb0SKQi9Tsld+sS+LDLcofTdAR/rZl/Ny3xJqt
 wKc4eD8eFCl1YUnQMyN/r/xrd7A/pf9Ph/SdlHRgpNqWk9iYB8VTqVocj0xVtQTRmNjs
 iD0Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074088; x=1712678888;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=yYbO7qhNyk2rN5Or3Axr6kw/Nr4ErGED2EhB8FFuk+A=;
 b=WTgc2qa3XevLpNCG8EMYEZx9cYBxLtkn2IaEcNp5ux/1UPsYg9XtfXHMvC99Qu6yLQ
 IPaEjK2rV8RfpvH8dnoXtMksVaxzZ9I2Q24jZna24qbc6TSTYZPHfIFDypQ1xRMgI1DX
 Kvx/Qi1TWRocWbbfMB64TZrfVieBe37Tia9UuUIA4Ul4vBIj73Jstb7OrlvDaDe7ThTp
 qxUjkwu6XxxGEYjAycsDbC5MwYOTz24g/a0RpfeZVS9/78ikYMZ4+jej2NT3lzMF4OqM
 LB/9AnpqONXjdqWx7xYNeNSn2k/Jspil+ZsOA+OwBPsbHG2oHvkvJiNUaqBd2SThUeEF
 aDAw==
X-Gm-Message-State: AOJu0YyJ91CjYJmXRpTGGl4MJzxZWM6LPf7rLFn7q8e4HAMFG2AAtWq3
 ek554lJwG7nYqSqbisSKJUuHFYzZD7Z4V9NxSes1kJnJ13ZDy0Zr6WjE34z/X+k75yGcwJjUyWj
 E
X-Google-Smtp-Source: AGHT+IHkbVGflZo9YVXGoloUDWyP7LujWT574RJS6xP3+nO63mlUpdbaKZbYXY5GSxZPnDvf8cdxnA==
X-Received: by 2002:a5d:640d:0:b0:33e:bfd0:335c with SMTP id
 z13-20020a5d640d000000b0033ebfd0335cmr1812773wru.51.1712074088306; 
 Tue, 02 Apr 2024 09:08:08 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.07
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:08 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 104/147] gnu: Add rust-cap-fs-ext-2.
Date: Tue,  2 Apr 2024 18:04:56 +0200
Message-ID: <c0e230dd3e6cd261527f65f279f226e3098823cd.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-cap-fs-ext-2): New variable.

Change-Id: Ic6b625e67b3d833554bb5d674b09061a6493b263
---
 gnu/packages/crates-io.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 001080e653..14960b09ca 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -9586,6 +9586,32 @@ (define-public rust-cap-0.1
 tracking memory usage and enabling limits to be set.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-cap-fs-ext-2
+  (package
+    (name "rust-cap-fs-ext")
+    (version "2.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cap-fs-ext" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0rj878djc7dwhlrf5k831vjazvd1l5jff2v0rsnrl0n1bb8l3qw8"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-arf-strings" ,rust-arf-strings-0.7)
+                       ("rust-camino" ,rust-camino-1)
+                       ("rust-cap-primitives" ,rust-cap-primitives-2)
+                       ("rust-cap-std" ,rust-cap-std-2)
+                       ("rust-io-lifetimes" ,rust-io-lifetimes-2)
+                       ("rust-windows-sys" ,rust-windows-sys-0.52))))
+    (home-page "https://github.com/bytecodealliance/cap-std")
+    (synopsis "Extension traits for cap-std's file-system module")
+    (description "This package provides a library with extension traits for
+cap-std's file-system module.")
+    (license (list license:asl2.0 license:expat)))) ;; With LLVM exception.
+
 (define-public rust-cap-primitives-2
   (package
     (name "rust-cap-primitives")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:33 2024
Received: from localhost ([127.0.0.1]:55601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgiV-000795-R1
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:33 -0400
Received: from mail-wr1-x435.google.com ([2a00:1450:4864:20::435]:53437)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggJ-0006dv-5p
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:19 -0400
Received: by mail-wr1-x435.google.com with SMTP id
 ffacd0b85a97d-3437efea211so272911f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074085; x=1712678885; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=EokfnY7KKziK3EIo7uzZudoUnf66tu8IdgA0o5s6sRk=;
 b=QlyNV3zUL5QWHP34e36zBkS9NWAF/Q7ehVqrl9PyA74lYwlXh1wIzOkXmYmq5fZuN+
 MHuqJ3BTZv8MyCmEVyhzaEhAayK8jWXdvBACFs9mUvYo078qImvLNjgbvtfCVGNx3gy8
 z1INDBTnGwAUfmjF1/nWDolqQAvQ929VS5Jpc/8yOOYmH7BjfUMxzlacqkMmq0iVTUlZ
 Zbj73T1nuFmJRZZU4JufW7i5140F+dI3NgRhUev+g8BOQFbtmJaOv0etri/YhbIl6V7i
 kxUz6CKXraIZq1bVfAW9XZ1wwoD6FfVtLSh8CFPT3Z0WXVRD5HlEOR7TB9btqJ7UzoGN
 vaGw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074085; x=1712678885;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=EokfnY7KKziK3EIo7uzZudoUnf66tu8IdgA0o5s6sRk=;
 b=lPAYUvfZCXcLLCHds6TVV29toK/xNZik9Ydmd6r3Jyb8wK0aB+R9Nwx36HTsdPwh3L
 i+GeT71nmU4cE3pue3oh6ZAJfBpSMUozcNzDkJQIFbyxn7MpHnRrEW9YFHbKRRZDh1ma
 FAigQI23L8Kevu83rl59kfh6rGMg/QShDsbB8RDjJohqaay7/VrYuT3V/BhUwLBWXNjD
 KQ0bnpAW+RNObQ/whqd+RlvtEl7TjCgqCXHnPv8KMWqwZE2lFjE/rgVEX0UloYYJSg7Z
 aGHsE+i675Y3VTuCg0NiVRse2YeTmuzhcCzCV+xKPwowb1Ti97dNkq7FPuGYDOISgpPW
 l6kQ==
X-Gm-Message-State: AOJu0YyVpEXBGh6kSj82lCX+P7KKhIJZwWLneksLWfGzeHvdPy1NxW1e
 LHyJMD8Ox7Q1LDx8ldNSV2X6ClCyyKBFcpzp1lMtIXFL+NMzHuVW7mpQftmjYsUfpRt+W/xgvF9
 f
X-Google-Smtp-Source: AGHT+IFQr1VclR3/qsl7PGUtxY3N5amQuEfghQn5+m4Y6Wy6VPKQy7qfXo4LkpHjUInb03PObZGOIw==
X-Received: by 2002:adf:ed8d:0:b0:33e:c264:8ad2 with SMTP id
 c13-20020adfed8d000000b0033ec2648ad2mr1861792wro.59.1712074085583; 
 Tue, 02 Apr 2024 09:08:05 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.05
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:05 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 101/147] gnu: Add rust-winx-0.36.
Date: Tue,  2 Apr 2024 18:04:53 +0200
Message-ID: <2e1afb1dafe006582117e43c7f36f82fb922c094.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-winx-0.36): New variable.

Change-Id: I2896859514b20f43b2fd919ebc0fabfe069659e3
---
 gnu/packages/crates-io.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 296c98a78d..88034d39a1 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -79908,6 +79908,27 @@ (define-public rust-winnow-0.4
                        ("rust-memchr" ,rust-memchr-2)
                        ("rust-terminal-size" ,rust-terminal-size-0.2))))))
 
+(define-public rust-winx-0.36
+  (package
+    (name "rust-winx")
+    (version "0.36.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "winx" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0ikk6cnlfiq7dm36jqwrczxa8jyh9m2zmrdbxi3d430cha1knr7r"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-bitflags" ,rust-bitflags-2)
+                       ("rust-windows-sys" ,rust-windows-sys-0.52))))
+    (home-page "https://github.com/sunfishcode/winx")
+    (synopsis "Windows API helper library")
+    (description "Windows API helper library")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wit-parser-0.13
   (package
     (name "rust-wit-parser")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:31 2024
Received: from localhost ([127.0.0.1]:55599 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgiT-00078k-P4
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:31 -0400
Received: from mail-wr1-x434.google.com ([2a00:1450:4864:20::434]:58723)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggL-0006eQ-1s
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:18 -0400
Received: by mail-wr1-x434.google.com with SMTP id
 ffacd0b85a97d-34378a6994cso330420f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074087; x=1712678887; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=xfxaBlYjpo08tSSD8wEmKqpAD3nIMm2vOxiNjVD/5D8=;
 b=fCdn5hT8u7n6y2aPRkJhA5mbjPwCIV2T7bmoncOiJO1M1WH5i9nylk0YLKrmi8xEON
 rve6Ecv6vdTB2KuXKJjTx9W6iTRfaUh+Eg+Af61WTczf09Okbd9k5wguf4QzNvVz2Nkq
 ZUPE0L/Tdkh5lzyvLEipFBYmV+qI+kYhel6Egxso+95/42YcTOarIIGC1IYaNcaaKGQR
 0SCjwEtriR3xcsfTTUV2nua8f9KG3Ugs+A+TlAGO50B+mq+5IW4+MXO+0MieJo+yqEDp
 QXjKuOrbOSpWJwO0nwjskICZ+rNKhpS2EUl/oyHxEnkWjXhEKwey+QP+vzsHsc57FSo9
 RfVQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074087; x=1712678887;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=xfxaBlYjpo08tSSD8wEmKqpAD3nIMm2vOxiNjVD/5D8=;
 b=O4Ocz8uZ20+nKVpgIxi3cGkVEzuP52IrQcjZXydesk9fCAqOarX3NDld8wv+CNTfYK
 TRy/7A5woE15FnUMau1zBt8kwhKfngXKqzWX0zSpkq3vu/vUFtw/7eaPt31YMvtn+99q
 4Nsfl6MblDUeKGigUxBrQ2mPIci0GU7JBcLFX2rgzUN2bZpLTDxZUs2v1EBEEnvBdGCN
 KB8UEAQYldxlshDdN+sH8zHB64QoqdFf5WbOw0SAy7eSShZovOVilH7jBwnicbvZfwmZ
 ctl39H8qch7+iB//FQWjVdQstAFYDiLi8ipjr3qfLX+sZ909tOthD8H1Y1H8+K1cgStI
 yaHg==
X-Gm-Message-State: AOJu0YwZy4BVPucVBRqYYwDpYPrUfayoCl3S+qdKO8y7NdsdmDwPLZwn
 I1XZRSxkRlMD2MwqqzOozVhD+T+rw6otWxNPvLQknMOJZiqUeLGm1/jAjT4v/rzumoVQznWp/U7
 u
X-Google-Smtp-Source: AGHT+IFBPDv5M8w7VMseHzuqkee3dd2yAoLVnURuOfke2uv5ls/8DQJFeuYZ7WNfVQX+i63xeAYGaQ==
X-Received: by 2002:a5d:510b:0:b0:341:c775:68b8 with SMTP id
 s11-20020a5d510b000000b00341c77568b8mr9084523wrt.57.1712074087433; 
 Tue, 02 Apr 2024 09:08:07 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:07 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 103/147] gnu: Add rust-cap-std-2.
Date: Tue,  2 Apr 2024 18:04:55 +0200
Message-ID: <9854bba7daaa6170bdf4e6b9100703d02a7b29ed.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-cap-std-2): New variable.

Change-Id: Ibac9cd54104d8c66241b93fff8e0ecc94f77f900
---
 gnu/packages/crates-io.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index a0af4663bd..001080e653 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -9617,6 +9617,32 @@ (define-public rust-cap-primitives-2
 @code{cap-std} crate. ")
     (license (list license:asl2.0 license:expat)))) ;; With LLVM exception.
 
+(define-public rust-cap-std-2
+  (package
+    (name "rust-cap-std")
+    (version "2.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cap-std" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0c6k36hmpn4si6hlxfd3jd7j3hs9i1qyxrxshhr2vxji9h7b4gar"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-arf-strings" ,rust-arf-strings-0.7)
+                       ("rust-camino" ,rust-camino-1)
+                       ("rust-cap-primitives" ,rust-cap-primitives-2)
+                       ("rust-io-extras" ,rust-io-extras-0.18)
+                       ("rust-io-lifetimes" ,rust-io-lifetimes-2)
+                       ("rust-rustix" ,rust-rustix-0.38))))
+    (home-page "https://github.com/bytecodealliance/cap-std")
+    (synopsis "Capability-based version of the Rust standard library")
+    (description "This package provides a version like of the Rust standard
+library (@code{std}) based on capabilities.")
+    (license (list license:asl2.0 license:expat)))) ;; With LLVM exception.
+
 (define-public rust-capnp-0.14
   (package
     (name "rust-capnp")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:29 2024
Received: from localhost ([127.0.0.1]:55597 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgiR-00078D-Qj
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:29 -0400
Received: from mail-wr1-x430.google.com ([2a00:1450:4864:20::430]:47243)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggK-0006e8-Dz
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:18 -0400
Received: by mail-wr1-x430.google.com with SMTP id
 ffacd0b85a97d-34339f01cd2so3186439f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074086; x=1712678886; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=Q/qiEPQS7y70kKrOv3pK0yKHvby6NBT/OoUJ8KT0PYQ=;
 b=E+Zi69uAQLMjllRar2HixL5Q1yXhD1sO1rTOvBjmFrdwMJFT9E3/U5fT3NBfwsbpmM
 Z0rgQnoJ4kyxjUT6dXUpkqRWf7nwEkvsPXDpTeu+2KItEfgliaS9G4kDPQrMn8qdjFDI
 SxhoXR+CfwYDO5PnWd/v/70C4jDVWYJqRU7s1TuVLlEb5vcrcbyItnELP2WjbMBMnT9i
 H3xSBYQ9dpmxLpw3+mQZ6tiWrbUGPrzQE6Bum/2V7cpfZAU/HxxZAhg6twVf6F7SOQ42
 MJgRjdb2+SoqHcAb1oC/bOBmwKSz6IK3xuKgsY2oAlsR+mg1K+aT3PAwJnIdv3qQGFFU
 x1Gg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074086; x=1712678886;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=Q/qiEPQS7y70kKrOv3pK0yKHvby6NBT/OoUJ8KT0PYQ=;
 b=FmOMgLCOs7vtAmzVQUx/ZEuDQxWdcO5lpjTXffHIKRW5exdfRgz4MFDoa4JcZ0SM1B
 DzhmuMxz06Uc5Ef/hajQc2L4971NBmydP/Sc2FxOg6TXJwggKF8lFPF8Oq/F+mf9c+PN
 uAzkNPRHQzueEH9Me4LFxUvGEXTuIH0CnGSkwO018iLm++f+EyhwR59175MHHXFrNxDM
 qbA1O0OJk7oh87T5BfNxkDqEi6TzOvuQcoRMGteZ6C33DuBPc7kbyIhemVHnGnkpNvjx
 ysDiadTBzZxEZ9Xsoimcg3pqqclMfXyxlmi7bjmXLEQCYIFmYPPR/vyDGyGR+8CZfo96
 FvVw==
X-Gm-Message-State: AOJu0Yzq/K77GL562onJkap0LrZ4qwwM3ltEIuH7cTLKJG4HQoE5WyEk
 FPcMeu75akHnY6/ItoCqkEDwjUys9tjd3Nf/WPZ9mi8kNmUOoyVbTRjaPb36lB87UHNkhbe7MZa
 q
X-Google-Smtp-Source: AGHT+IH8zjZI2+0sy/a1zl8bMPKak3pPT3w1OjQARP4VhYkYnTHhXvVpJmJwLcUvLErYEhqLBFTVMQ==
X-Received: by 2002:a5d:414b:0:b0:341:dddb:5fdc with SMTP id
 c11-20020a5d414b000000b00341dddb5fdcmr160116wrq.2.1712074086521; 
 Tue, 02 Apr 2024 09:08:06 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:06 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 102/147] gnu: Add rust-cap-primitives-2.
Date: Tue,  2 Apr 2024 18:04:54 +0200
Message-ID: <4c247dcf3a6a6ce599e1de21674bdbbd3aec8a61.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-cap-primitives-2): New variable.

Change-Id: I1881b85b747dac0d52e0e89abc7f6746af6d3874
---
 gnu/packages/crates-io.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 88034d39a1..a0af4663bd 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -9586,6 +9586,37 @@ (define-public rust-cap-0.1
 tracking memory usage and enabling limits to be set.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-cap-primitives-2
+  (package
+    (name "rust-cap-primitives")
+    (version "2.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cap-primitives" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1fvsyrp239bpbxpbjm7b2ywnl8hwp1v7ashdy3qx7rpfv1z7c5py"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-ambient-authority" ,rust-ambient-authority-0.0.2)
+        ("rust-arbitrary" ,rust-arbitrary-1)
+        ("rust-fs-set-times" ,rust-fs-set-times-0.20)
+        ("rust-io-extras" ,rust-io-extras-0.18)
+        ("rust-io-lifetimes" ,rust-io-lifetimes-2)
+        ("rust-ipnet" ,rust-ipnet-2)
+        ("rust-maybe-owned" ,rust-maybe-owned-0.3)
+        ("rust-rustix" ,rust-rustix-0.38)
+        ("rust-windows-sys" ,rust-windows-sys-0.52)
+        ("rust-winx" ,rust-winx-0.36))))
+    (home-page "https://github.com/bytecodealliance/cap-std")
+    (synopsis "Capability-based standard library primitives")
+    (description "This package provides an internal library of the
+@code{cap-std} crate. ")
+    (license (list license:asl2.0 license:expat)))) ;; With LLVM exception.
+
 (define-public rust-capnp-0.14
   (package
     (name "rust-capnp")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:27 2024
Received: from localhost ([127.0.0.1]:55595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgiP-000782-Uk
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:27 -0400
Received: from mail-wm1-x333.google.com ([2a00:1450:4864:20::333]:52340)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggG-0006cm-DM
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:16 -0400
Received: by mail-wm1-x333.google.com with SMTP id
 5b1f17b1804b1-415644aca59so20046185e9.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074083; x=1712678883; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=7p/nXa2i68FK39pYG1+p4KWUk1MT+HOB2jEfsYsjor4=;
 b=N2wV9bFN4BtoqbdnYnB05Tc6kO2rex5kk2OO3/7YHXX7Syr2pfcg0UxTSUpQr+IXkM
 5eH5LkuCJJT+3Cbb9WujUKgQh+D8DMHUW7yRWL5tTjLZkpX+OI1RNqf52c/SiAeRvOSj
 RKdUpuUR6du6yThEqi0sSalMJz7wp6iHIJk4UJxb9yVfnVd7fVLjpow0ZmhGTn82feka
 A2mJ2XUd7+Goi6U5DmSC0ZEEtGGQ7nCqnQoNk+ezBLwboEBmTLoLoy5GhUyBbVRA2Wk8
 nTu8OGpJv5dpp6I6Dlv0R2M7LaqsOjpDeb7qploZmA3OaQePkNRzlRDYXlB39Kre0H5x
 Cevw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074083; x=1712678883;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=7p/nXa2i68FK39pYG1+p4KWUk1MT+HOB2jEfsYsjor4=;
 b=RPTc9bJ/NAC9NlS1Go2PNggLGinhqFuaYLyIgimTS/3iMlNQHs+ubLEKXywv14K5No
 QjQKZ5wtffDdDrOkxB43ZMXWuawnh/w9lv99ikaTzLhwOAFQ/xrb+z3hxhXQsTiTBSOZ
 xkEfTX0ZhND/BmaqTHHYIM6pKQeN2ieK5cJnQbkADYgLdLhaqo9QRcdtuzhTUQHJTN6T
 Fr2IVnQnydTO+sNqofzvps4vGqrttnyfHiBysUt6DT7ax6r5ZoZUf6CBUCfqtZ/tPa1n
 WP77fKxcXdoBWbCIGPdjyPv4z9/k2yoz3M581MGJFojHarECxzDdiIq9lEHMhE4bfW2C
 OwSg==
X-Gm-Message-State: AOJu0YxHBanfgP8TwpMTrPXA0Dzun/IiQEUyGMq1r+xXkOCvHjfZEXbc
 YpzxQ1mFAoNOuBehmfsqLC+oX2u1Whp+ZFogKDZtA7HJjQ3IhINO8AUJvHyMu66dD7Q4SZBp8q0
 R
X-Google-Smtp-Source: AGHT+IGwTxDZSWlXlie33/iGQlac99DGgmCO6JwqFcx+4dK4GvKWkk+86oa1Vwa2RGf2s998753meA==
X-Received: by 2002:a05:600c:da:b0:415:691c:f83c with SMTP id
 u26-20020a05600c00da00b00415691cf83cmr1848559wmm.36.1712074082822; 
 Tue, 02 Apr 2024 09:08:02 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.02
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:02 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 098/147] gnu: Add rust-fs-set-times-0.20.
Date: Tue,  2 Apr 2024 18:04:50 +0200
Message-ID: <70ca46b45c742d5a33a328adc78a33acaa5d01a9.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-fs-set-times-0.20): New variable.
(rust-fs-set-times-0.19): Inherit from rust-fs-set-times-0.20.

Change-Id: I3a24fd53fef201d766b40cd116d60e972e39373a
---
 gnu/packages/crates-io.scm | 30 ++++++++++++++++++++++++------
 1 file changed, 24 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index f5c2d98550..c7ce1ad2a7 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -25426,8 +25426,31 @@ (define-public rust-fsio-0.4
 @end enumerate")
     (license license:asl2.0)))
 
+(define-public rust-fs-set-times-0.20
+  (package
+    (name "rust-fs-set-times")
+    (version "0.20.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fs-set-times" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1yxqkl8khk1593ribn4s9v60vf375gi9sgw9hq6nk5svf9yk6fq3"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-io-lifetimes" ,rust-io-lifetimes-2)
+                       ("rust-rustix" ,rust-rustix-0.38)
+                       ("rust-windows-sys" ,rust-windows-sys-0.52))))
+    (home-page "https://github.com/bytecodealliance/fs-set-times")
+    (synopsis "Set filesystem timestamps")
+    (description "Set filesystem timestamps")
+    (license (list license:asl2.0 license:expat))))
+
 (define-public rust-fs-set-times-0.19
   (package
+    (inherit rust-fs-set-times-0.20)
     (name "rust-fs-set-times")
     (version "0.19.1")
     (source (origin
@@ -25437,16 +25460,11 @@ (define-public rust-fs-set-times-0.19
               (sha256
                (base32
                 "0qc822hifnwvrfd706wnx5xhajqfsc4kn2lmalfda4x02pqx0cvq"))))
-    (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
        (("rust-io-lifetimes" ,rust-io-lifetimes-1)
         ("rust-rustix" ,rust-rustix-0.37)
-        ("rust-windows-sys" ,rust-windows-sys-0.48))))
-    (home-page "https://github.com/bytecodealliance/fs-set-times")
-    (synopsis "Set filesystem timestamps")
-    (description "Set filesystem timestamps")
-    (license (list license:asl2.0 license:expat))))
+        ("rust-windows-sys" ,rust-windows-sys-0.48))))))
 
 (define-public rust-fs-utils-1
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:25 2024
Received: from localhost ([127.0.0.1]:55593 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgiO-00077t-0H
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:25 -0400
Received: from mail-wr1-x430.google.com ([2a00:1450:4864:20::430]:42438)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggI-0006dZ-Ar
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:16 -0400
Received: by mail-wr1-x430.google.com with SMTP id
 ffacd0b85a97d-33ddd1624beso3356868f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074084; x=1712678884; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=EOIywQ5CrsgdmVfmLgIb86uEYJAoqXMO4vCyB0CNfCI=;
 b=dY1p44jdznE6659IRKU01zLcn+Ci13TTtSiLJYF51b08kPJlqJYZi8Rk6V2niSYxHG
 yBTGY5/fuN/GyHVyqTHec7TuhXONWjMMFZm+PFgJGrwxwNED+wTMz+nEi77uNxFvdoW1
 hdeGs9aa8+c36+xUqaTWpf0doBBD77X0z4/BqRajpDB69utyL5kjo6MZ94hRZjTW2k2Z
 uIso/82brEm7AzhHd+uUh3+LMgaM21Q6y9D/NhICD9+lMwGFzslKokLdfzQPq9iXIcAy
 vC5YZ+djmlQSdKPOX3h4UJMSMusgjsIcCL0qVOlyvxK7PD9tyBXmIVGlFJ09+F4BbPie
 6F+A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074084; x=1712678884;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=EOIywQ5CrsgdmVfmLgIb86uEYJAoqXMO4vCyB0CNfCI=;
 b=fLi/XtagfcjWb2plZQTlGrIX9oEzR078SDTZQZuwgwevMhvKdSvusnwLfuqopGceiP
 xUj5e7YjJPapWOXp0AxO/ByROMNlX8mrDZOuumAGXSMSms3OaAwoGSlHkmxiVyPUdTC5
 z7tzKIKZgSnoSDeidh3Od6jLS1NJxd/BpZujZEfqgSVi5s9xV/RqEDiG4YGooOpBio+4
 wDAz3nqBMYugBlOkC/tWHx/3iA5oXj3F7ctn2agibHxD7IpY0aX1rmnqXc5wifo9WP9w
 /gZqiGcCpZvMaWylDp+yB2n6qftch1EK16kzR4UhUlaaQHHIgpTURuvzNuYJT9h/u7wD
 pIbg==
X-Gm-Message-State: AOJu0YzLrbF2S2c4O6fjdy8bS3reZxR5rzjVZ/vttQ/tl8n+nveGo9wf
 s6li0w9awuB8t3buuLuzLmy7RCDD9nHFyqZIOtBMJR8j/RQDeKjQzPKiw/U72eMURi6jHXGuosY
 f
X-Google-Smtp-Source: AGHT+IGC9veuIxsi/UhpVaO1EHTHlT0YzFoIEmm4E5l3g4SQ6dI049NmQwZl+ykrnWiO9hB9I5AVsA==
X-Received: by 2002:adf:e501:0:b0:343:72f7:3cf0 with SMTP id
 j1-20020adfe501000000b0034372f73cf0mr1585039wrm.29.1712074084628; 
 Tue, 02 Apr 2024 09:08:04 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.04
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:04 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 100/147] gnu: Add rust-maybe-owned-0.3.
Date: Tue,  2 Apr 2024 18:04:52 +0200
Message-ID: <f1ffd01f27d7d941a596a7d8a65568df88742a8e.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-maybe-owned-0.3): New variable.

Change-Id: Ifb9737d55e15ddf5ef3a5f2e46cc91f0274dfd92
---
 gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index df5d634191..296c98a78d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -37697,6 +37697,29 @@ (define-public rust-maybe-async-0.2
 async code in Rust.")
     (license license:expat)))
 
+(define-public rust-maybe-owned-0.3
+  (package
+    (name "rust-maybe-owned")
+    (version "0.3.4")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "maybe-owned" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1d3sqiv59i06k73x6p7mf294zgdfb2qkky127ipfnjj9mr9wgb2g"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-serde" ,rust-serde-1))))
+    (home-page "https://github.com/rustonaut/maybe-owned")
+    (synopsis "Alternative implementation of Rust's @code{Cow} type")
+    (description "This package provides an alternative approach of the implementation
+of the Rust's @code{Cow} type: @code{MaybeOwned} and @code{MaybeOwnedMut} but
+implementing the traits @code{From<T>} and @code{From<&'a T>} and does not require
+@code{ToOwned}.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-maybe-rayon-0.1
   (package
     (name "rust-maybe-rayon")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:24 2024
Received: from localhost ([127.0.0.1]:55587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgiM-00077E-0o
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:23 -0400
Received: from mail-wm1-x32d.google.com ([2a00:1450:4864:20::32d]:54748)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggH-0006dA-DM
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:15 -0400
Received: by mail-wm1-x32d.google.com with SMTP id
 5b1f17b1804b1-4161b7d15c0so5898995e9.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074083; x=1712678883; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=Q2gvNIKBV0OqKR1MwYH0RU1QT3n+4Tf/UlX2Kd9Q7vM=;
 b=Ef5w8faUwE7lOEuV1tAFrWlrDdQ5dBGB6Rq3AzqxO9GiagORrcGjSBDIPoBorm22IV
 8WXsc0Z49EwoLKKReF0zLUZlCt+iLDLetjqFI2jhsz/mVjsT5QPXKGOesWFZgmK2JC6u
 Cybm1XFPzxkeCPRpGIeOk2PNCqJj7cl7BuuPhyySVHlm6kX/ZVFMJKEngrFluNte6iMn
 qN9xNRSgj9W1t/Wv0wQAXZT7ExrRk5+LJpVOolK7Gj65vZqxdSNc9LWEn5NuSrc4uJQP
 kTC671mxuo2li0b26r4RYeFPNKFqZ/ZJibtpyMOYlLKefEyrRvENwiDjVzn7SFkdEFoo
 lCGA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074083; x=1712678883;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=Q2gvNIKBV0OqKR1MwYH0RU1QT3n+4Tf/UlX2Kd9Q7vM=;
 b=jgRO8s0YZ3PORrWkP/vw6bA+shs/DVjYtpFrQQQLvMZBW2YoWQLyeeG5mOZJESp204
 cBBQXQjD1AQptwnKYxoNhcxIhjtbzcbfJ7qZQkGkXn1MS8WKdfTYk/15Io/Fyqr3HMMk
 DcyZdSU/zHriGOX+w2QoTxfoD+ImV72jaNYi8gjYABa3WSLvu+3X/faUfruZd0XR8XXY
 RLQ52HNMsF8UZTO+FF3EqRsd+EOyFZ948O4dsPhg/a9CCmlEW5eHOj4WFoYbIXsEcn8M
 7uq/4YQkx3aNIgR+5FUXVVqfzZZoEwiDxScflP0lqop1phtSvVuK/LiSlcsfggzrflGG
 rytw==
X-Gm-Message-State: AOJu0YxvRrws+xCyGy+ADhmRMKUdtf2j8xsEWtDEzP+04thDvyqBzv5+
 I/F2v3kZ4v8aRpfpHLsp44SvFHZB+KOL0fVi9nA4O/RaNJx0WNN4BnDVKQQwmq8AI6t6oJz8/PD
 N
X-Google-Smtp-Source: AGHT+IFHlGhboHe8oQBHYgVQLO9eycvWUdgNAGul3T/ytf8mZ3U/7k6euF80DNRhzPatTE+GwtWkEQ==
X-Received: by 2002:adf:e8d0:0:b0:343:3034:743b with SMTP id
 k16-20020adfe8d0000000b003433034743bmr8347124wrn.48.1712074083769; 
 Tue, 02 Apr 2024 09:08:03 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.03
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:03 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 099/147] gnu: Add rust-io-extras-0.18.
Date: Tue,  2 Apr 2024 18:04:51 +0200
Message-ID: <c787e902c1c75c6fa23b48801d2a5816b4d8bf5d.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-io-extras-0.18): New variable.

Change-Id: I06b153d9127eaad24db2461d527e096a39b54400
---
 gnu/packages/crates-io.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index c7ce1ad2a7..df5d634191 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -31658,6 +31658,33 @@ (define-public rust-io-close-0.3
 @code{BufWriter}.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-io-extras-0.18
+  (package
+    (name "rust-io-extras")
+    (version "0.18.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "io-extras" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1vfi3dm8667naalicaaq1lqp8pvnjp805x5903k2k2hfp4zyf0f3"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-async-std" ,rust-async-std-1)
+                       ("rust-io-lifetimes" ,rust-io-lifetimes-2)
+                       ("rust-mio" ,rust-mio-0.8)
+                       ("rust-os-pipe" ,rust-os-pipe-1)
+                       ("rust-socket2" ,rust-socket2-0.4)
+                       ("rust-tokio" ,rust-tokio-1)
+                       ("rust-windows-sys" ,rust-windows-sys-0.52))))
+    (home-page "https://github.com/sunfishcode/io-extras")
+    (synopsis "Miscellaneous I/O utilities")
+    (description "This package provides a library with a few miscellaneous
+utilities for I/O.")
+    (license (list license:asl2.0 license:expat))))
+
 (define-public rust-io-lifetimes-2
   (package
     (name "rust-io-lifetimes")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:22 2024
Received: from localhost ([127.0.0.1]:55583 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgiJ-00076c-Ta
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:21 -0400
Received: from mail-wr1-x433.google.com ([2a00:1450:4864:20::433]:43514)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggF-0006cR-FE
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:13 -0400
Received: by mail-wr1-x433.google.com with SMTP id
 ffacd0b85a97d-3436b096690so611439f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074082; x=1712678882; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=94MtMQ5k0MYBAfD8mj8iGtoUIKl6kiM7f81Bz0Dn22U=;
 b=TuvCZdgPlCAjdpZUGn2NbimXh/cxZKqLtut6KIneKauQsmQ9Srx497UFIauq/n2Igr
 AOt+Fbbq/9m//2O/kYQ42StVFtWZudZYzxGuXB8pkrSc6bwByBalLm00q5QJsw0oOCSp
 0iqKHOQecKKysExwPlpH/8XLi/C8EHJgbCVQ9RHQ6X04YJIUlCUWT85guh0WI75hQwxm
 m7tszjmurn6duDrTta33Lh/0cD57MNXYPuqZBy1R9cD2Is0W33A250yvw8O1DDq2sy6y
 pMqJsegZAvvKGPJRXElecjiBzeDJASYaIyNr/4KxtC6LkQgYIrJMKWEGZvUCYsKu94xC
 PJeQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074082; x=1712678882;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=94MtMQ5k0MYBAfD8mj8iGtoUIKl6kiM7f81Bz0Dn22U=;
 b=lOmXD+/LuUUb/G5ahkyCp6k9lmdTdACtFDGc9eWeX9lD/HjRpNVgHPZDKDuZHXl+e7
 jRLnAmyJ6WQvEOxSit0/cLYwF7PTbhdv33EbijNSbF7/Azta4rBCiH42V38zSuyVV9Oe
 zKHtgPZivuOFhXc02WOGRMJGO6c3DLVDjZ/AxqlVxu55wi4q2Z9srp5SaVBELdb7QkMo
 JzxdiKAhxp9HMlbcPJF8iAVaJv8bCiLHuEl2FHxcT/NfFwbpFoqivNOR16OIIalPfRSi
 InnXPbW9QModuw9Rs/y8Rs7+cP3K6g1SoBxzRaiJS5G24qRe9JB0JUada6sVAQGyvTl1
 cDLg==
X-Gm-Message-State: AOJu0YyfhUE9/r1iIVBtygZ/JrJvv4joQc07s10h+dHbBtB91yjc7MrR
 o7pXbAFdXnUFVD72crNXAqgy6X9TOxiEE02rPHbIW/vbDx+aT8lnKHI/qABx/izz8nKVVqpyLfp
 c
X-Google-Smtp-Source: AGHT+IGjaCDrglSn4q0KGLi3G/dMxBw3iyFDlCvmbrx9wrVRl2dCD2m3hwk1o9/JvuM1w527EAfWkA==
X-Received: by 2002:adf:ec02:0:b0:343:7ed6:765a with SMTP id
 x2-20020adfec02000000b003437ed6765amr639464wrn.20.1712074081861; 
 Tue, 02 Apr 2024 09:08:01 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:01 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 097/147] gnu: Add rust-ambient-authority-0.0.2.
Date: Tue,  2 Apr 2024 18:04:49 +0200
Message-ID: <b398963f19fc8e640d4ce09cc2974bf8e12dff2b.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-ambient-authority-0.0.2): New
variable.

Change-Id: Iaf0e0647d47bb5c8db25d2c93e61649ad9685543
---
 gnu/packages/crates-io.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index ef8894397c..f5c2d98550 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -1298,6 +1298,28 @@ (define-public rust-alto-3
      "Rust bindings for OpenAL 1.1 and extensions (including EFX).")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-ambient-authority-0.0.2
+  (package
+    (name "rust-ambient-authority")
+    (version "0.0.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ambient-authority" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0fxsfyhy64jx7zrkb85h1vhr5nfqncja3pwpikid471d8w6yxm79"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t))
+    (home-page "https://github.com/sunfishcode/ambient-authority")
+    (synopsis "Types representing capabilities provided by the environment")
+    (description "This package provides a library with a token type
+(@code{AmbientAuthority}) that can be used to represent that a function
+interacts with the environment without an explicit capability.")
+    ;; With LLVM exception.
+    (license (list license:asl2.0 license:asl2.0 license:expat))))
+
 (define-public rust-android-activity-0.5
   (package
     (name "rust-android-activity")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:19 2024
Received: from localhost ([127.0.0.1]:55575 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgiH-00075u-Tc
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:19 -0400
Received: from mail-wr1-x42d.google.com ([2a00:1450:4864:20::42d]:56359)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggE-0006by-HT
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:12 -0400
Received: by mail-wr1-x42d.google.com with SMTP id
 ffacd0b85a97d-3437efea0ecso207356f8f.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074081; x=1712678881; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=JHmt2dQrLG6pl0qGyRBTUBfTBwm1gzctgjn6dZcH5Do=;
 b=NFMQy7tq+bU2lB9rxht+HKVuzK+pkEERVUw1C+M0dCL0cz3BIJ2Qziszpsp4XYY9CQ
 MxPJ0brsOQIEqPcoDIzwrJolZxO1KS/rMzWw4hwWO/hr4Bid4voiLxqkvR4sJXjypxlK
 lm8UZsrDXihOUGPVIRKrO3nwFwmNhO4osat3yJ2JIja8qlMX2oathhEx9gtPJ6QG13Rs
 Wp1iSiyeqsXY66CYdr1iT452YY8jYIxI93oHrBX4PDJGUz7JAwPoY/f4QDkaMZYWzTg4
 Xf2KKsdQv7LhNpUVC6oqRyCK099Ytk/M3wbXNn8GfYha86tO2H7r/EIPvRtjlWWXljvo
 zTVw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074081; x=1712678881;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=JHmt2dQrLG6pl0qGyRBTUBfTBwm1gzctgjn6dZcH5Do=;
 b=P+FvmHO8BUHrrrbdWHsJE2oIRS0dP0CSsatl+2lEcYKnX3Ed26i4usHNaheOnA1/pB
 9kf7jikgTDPf7fb7//RRxd2OW2S2lYi+wDoW146xKoHSe5e32ypDjDQ5gbSGLpUc9sKk
 3JNazo/CGXo3F/ovwa08KVrWvOWXEvWoHO1Gi2DArB4KhKVHmDhXIfGPl0z7XU/4+XD7
 u/wA5MgalahYg0WA8yr55oGTcqiRv+h0JTZPHrPJ5wdEOLz/QbxYHgtFr53OYjFBCH2I
 c/nsLxcVZ2xlncoXeQOEG3pglHrKlonI00XPqwaAADzXev8oe49JT4DZgR0cJXLf5Mle
 a7CA==
X-Gm-Message-State: AOJu0Yz/naRab4WFH2LQflJK2wZFMItygxE80vl8yULu7C5r+R+6IYM5
 b0roiHs+S0mabW62GPUA329pzl121iuPFOfYR/ETOWBLJTIettWhL7Ey7NFTJSLwxDEjQOO3kHk
 4
X-Google-Smtp-Source: AGHT+IFNCGfxnRMBHzrIM0iu0tEUHNrEamJ2AgjwCwRyDVesxKghZT8FVWJ+ZEldmjQh68kpalr9Cw==
X-Received: by 2002:a5d:58cc:0:b0:33d:c572:7641 with SMTP id
 o12-20020a5d58cc000000b0033dc5727641mr10617592wrf.14.1712074080873; 
 Tue, 02 Apr 2024 09:08:00 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.08.00
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:08:00 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 096/147] gnu: Add rust-arf-strings-0.7.
Date: Tue,  2 Apr 2024 18:04:48 +0200
Message-ID: <71cd60e0ff9af5ba3d127706e8f0b470fdd5d681.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-arf-strings-0.7): New variable.

Change-Id: Ie7428dbffc3741cbef377f52fc743e857e459b1a
---
 gnu/packages/crates-io.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 5cd8e0cd38..ef8894397c 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -2230,6 +2230,28 @@ (define-public rust-archery-1
 the pointer type is parameterizable.")
     (license license:mpl2.0)))
 
+(define-public rust-arf-strings-0.7
+  (package
+    (name "rust-arf-strings")
+    (version "0.7.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "arf-strings" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0ncy11j7bk0ji94yb8nafyr5wvfg90q6vcbzcanpdbgyk4cy9szx"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-rustix" ,rust-rustix-0.38))))
+    (home-page "https://github.com/bytecodealliance/arf-strings")
+    (synopsis "ARF encoding and decoding")
+    (description "This package provides a library to encode and decode
+@acronym{ARF, Alternative Representation for Filenames} strings.")
+    ;; With LLVM exception.
+    (license (list license:asl2.0 license:asl2.0 license:expat))))
+
 (define-public rust-arg-enum-proc-macro-0.3
   (package
     (name "rust-arg-enum-proc-macro")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:17 2024
Received: from localhost ([127.0.0.1]:55563 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgiF-000757-NN
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:17 -0400
Received: from mail-wr1-x435.google.com ([2a00:1450:4864:20::435]:47247)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggD-0006bh-Mn
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:11 -0400
Received: by mail-wr1-x435.google.com with SMTP id
 ffacd0b85a97d-34339f01cd2so3186344f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074080; x=1712678880; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=T3VKV/wWYOvq6otV2O1DAOwKoMzivcBLwLGqtYbpfk4=;
 b=VpeuYL8XM0xHQtxkNdY0w9CbzNeVgoTSK99thumlydwS0gsnyFBlvj9U5BkuBC5Vfy
 pXq/AUlwsBChuXbHhfuIaqxdlYmGGpY/c2/lRHkDMowIABIXi+tm7caYuEpUTRWf8ZE0
 /hUOU79YgAkgxykfuEGgS557/R7GrjZagueKRsGthinBvjpoXjss952wif3SdqnVRoPM
 n6apEWMIA6XmhUJbEoXLvRN5c00R/ZYKz54VAnwmMJVArFF28ICIGyZS/8ruqh0IS5pS
 C+G5V+jsfa3SdaYU2L1hUcI4cRVQ/ABr/exZCNuX4aC/1uJN0dneB7ILJKSG7HoHmhPp
 Goag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074080; x=1712678880;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=T3VKV/wWYOvq6otV2O1DAOwKoMzivcBLwLGqtYbpfk4=;
 b=Y3rXspKX5+Fh73VYFWyaKFx1PJj/KGpyf/qh8a5c80YT0B4TnrhBGdieFVNph33MR1
 fCun4yZid62EiYN5VCR5Xt/UONi9JRmnJE9L31C7G2udHF5YA11euwMEWlgsvLt4xxN7
 BPeoz9LO/8cqxysr8zKXgAAKdc+adcwk9iRNuV8oXY2F8ur4PwfzRae03raOawmNu1nj
 j3U+CLKsEdNvYHZu17Ik5FFYBNdXD6mn8R5lm/nfPx7zyaSEFkUeAxRpKvT5hJbWFEjW
 Ud+/Uahh0/jkYk5+K+/lCbEp0xdETmfFQocF7ka1RIpSyLqyOM11PfE3wzQ39MwJAzw4
 k+Wg==
X-Gm-Message-State: AOJu0YzJFPW7OJHvroXJGnU5foIwmfa5Dbicm0XdPhAJMKY7S7icPN9e
 cNTonSIa+yMZVJLaNaf169xfrdL+7XqAZuIZbC1VnvMdT7rOSiUkF/wttCxQNte2NUnyj4ReP1g
 o
X-Google-Smtp-Source: AGHT+IEPSM7kL5bhEvOnpAYzZGkswU9IAcbeXg1Rtah7buD/0NEA+Ce99xJtfIBXxvS3xM3sG2Z2kg==
X-Received: by 2002:a5d:4e48:0:b0:343:354a:88f8 with SMTP id
 r8-20020a5d4e48000000b00343354a88f8mr135685wrt.67.1712074080036; 
 Tue, 02 Apr 2024 09:08:00 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.59
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:59 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 095/147] gnu: Add rust-wasmtime-18.
Date: Tue,  2 Apr 2024 18:04:47 +0200
Message-ID: <0627c13a59a7369a23f0d25db92411d6560e33e7.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/patches/rust-wasmtime-18-remove-ittapi.patch: New patch.
* gnu/packages/crates-io.scm (rust-wasmtime-18): New variable.
* gnu/local.mk (dist_patch_DATA): Add rust-wasmtime-18-remove-ittapi.patch.

Change-Id: I359b25ceebdd2abf8b6589c1f715a7fdc5981c39
---
 gnu/local.mk                                  |  1 +
 gnu/packages/crates-io.scm                    | 59 +++++++++++++++++++
 .../rust-wasmtime-18-remove-ittapi.patch      | 46 +++++++++++++++
 3 files changed, 106 insertions(+)
 create mode 100644 gnu/packages/patches/rust-wasmtime-18-remove-ittapi.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index f2b480bded..dd505b0654 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -2024,6 +2024,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/rust-nettle-disable-vendor.patch		 \
   %D%/packages/patches/rust-rspec-1-remove-clippy.patch	\
   %D%/packages/patches/rust-trash-2-update-windows.patch	\
+  %D%/packages/patches/rust-wasmtime-18-remove-ittapi.patch	\
   %D%/packages/patches/rust-webbrowser-remove-unsupported-os.patch	\
   %D%/packages/patches/rust-wl-clipboard-rs-newer-wl.patch      \
   %D%/packages/patches/rw-igraph-0.10.patch			\
diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9724c4bd07..5cd8e0cd38 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78571,6 +78571,65 @@ (define-public rust-wasmprinter-0.2
 WebAssembly binary format to the text format.")
     (license license:asl2.0))) ;; With the LLVM exception.
 
+(define-public rust-wasmtime-18
+  (package
+    (name "rust-wasmtime")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmtime" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0x4p8kwlix5qdixzvwmspz40yvz40dxwqbg282wvrlb35p9df1l1"))
+       (patches
+        (search-patches "rust-wasmtime-18-remove-ittapi.patch"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f ;; use of undeclared crate or module `wasi_common`.
+       #:cargo-inputs
+       (("rust-addr2line" ,rust-addr2line-0.21)
+        ("rust-anyhow" ,rust-anyhow-1)
+        ("rust-async-trait" ,rust-async-trait-0.1)
+        ("rust-bincode" ,rust-bincode-1)
+        ("rust-bumpalo" ,rust-bumpalo-3)
+        ("rust-cfg-if" ,rust-cfg-if-1)
+        ("rust-encoding-rs" ,rust-encoding-rs-0.8)
+        ("rust-fxprof-processed-profile" ,rust-fxprof-processed-profile-0.6)
+        ("rust-gimli" ,rust-gimli-0.28)
+        ("rust-indexmap" ,rust-indexmap-2)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-object" ,rust-object-0.32)
+        ("rust-once-cell" ,rust-once-cell-1)
+        ("rust-paste" ,rust-paste-1)
+        ("rust-rayon" ,rust-rayon-1)
+        ("rust-rustix" ,rust-rustix-0.38)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-target-lexicon" ,rust-target-lexicon-0.12)
+        ("rust-wasm-encoder" ,rust-wasm-encoder-0.41)
+        ("rust-wasmparser" ,rust-wasmparser-0.121)
+        ("rust-wasmtime-cache" ,rust-wasmtime-cache-18)
+        ("rust-wasmtime-component-macro" ,rust-wasmtime-component-macro-18)
+        ("rust-wasmtime-component-util" ,rust-wasmtime-component-util-18)
+        ("rust-wasmtime-cranelift" ,rust-wasmtime-cranelift-18)
+        ("rust-wasmtime-environ" ,rust-wasmtime-environ-18)
+        ("rust-wasmtime-fiber" ,rust-wasmtime-fiber-18)
+        ("rust-wasmtime-jit-debug" ,rust-wasmtime-jit-debug-18)
+        ("rust-wasmtime-jit-icache-coherence"
+         ,rust-wasmtime-jit-icache-coherence-18)
+        ("rust-wasmtime-runtime" ,rust-wasmtime-runtime-18)
+        ("rust-wasmtime-winch" ,rust-wasmtime-winch-18)
+        ("rust-wat" ,rust-wat-1)
+        ("rust-windows-sys" ,rust-windows-sys-0.52))
+       #:cargo-development-inputs (("rust-tempfile" ,rust-tempfile-3))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "High-level API to expose the Wasmtime runtime")
+    (description "High-level API to expose the Wasmtime runtime")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wasmtime-asm-macros-18
   (package
     (name "rust-wasmtime-asm-macros")
diff --git a/gnu/packages/patches/rust-wasmtime-18-remove-ittapi.patch b/gnu/packages/patches/rust-wasmtime-18-remove-ittapi.patch
new file mode 100644
index 0000000000..b6371dbb87
--- /dev/null
+++ b/gnu/packages/patches/rust-wasmtime-18-remove-ittapi.patch
@@ -0,0 +1,46 @@
+SPDX-FileCopyrightText: © 2024 Foundation Devices, Inc. <hello@HIDDEN>
+SPDX-License-Identifier: Apache-2.0
+
+The Intel ITT API is a stub that doesn't provide functionality and requires a
+closed source library in order to work.
+
+This patch removes the need for the dependency and disables the vtune module.
+Index: wasmtime-18.0.3/Cargo.toml
+===================================================================
+--- wasmtime-18.0.3.orig/Cargo.toml
++++ wasmtime-18.0.3/Cargo.toml
+@@ -215,7 +215,6 @@ pooling-allocator = [
+ profiling = [
+     "dep:fxprof-processed-profile",
+     "dep:wasmtime-jit-debug",
+-    "dep:ittapi",
+ ]
+ runtime = [
+     "dep:wasmtime-runtime",
+@@ -227,10 +226,6 @@ wmemcheck = [
+     "wasmtime-cranelift?/wmemcheck",
+ ]
+ 
+-[target."cfg(all(target_arch = \"x86_64\", not(target_os = \"android\")))".dependencies.ittapi]
+-version = "0.4.0"
+-optional = true
+-
+ [target."cfg(target_os = \"linux\")".dependencies.rustix]
+ version = "0.38.21"
+ features = ["thread"]
+Index: wasmtime-18.0.3/src/profiling_agent.rs
+===================================================================
+--- wasmtime-18.0.3.orig/src/profiling_agent.rs
++++ wasmtime-18.0.3/src/profiling_agent.rs
+@@ -31,8 +31,9 @@ cfg_if::cfg_if! {
+     // Note: VTune support is disabled on windows mingw because the ittapi crate doesn't compile
+     // there; see also https://github.com/bytecodealliance/wasmtime/pull/4003 for rationale.
+     if #[cfg(all(feature = "profiling", target_arch = "x86_64", not(any(target_os = "android", all(target_os = "windows", target_env = "gnu")))))] {
+-        mod vtune;
+-        pub use vtune::new as new_vtune;
++        pub fn new_vtune() -> Result<Box<dyn ProfilingAgent>> {
++            bail!("VTune support disabled at compile time.");
++        }
+     } else {
+         pub fn new_vtune() -> Result<Box<dyn ProfilingAgent>> {
+             if cfg!(feature = "vtune") {
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:15 2024
Received: from localhost ([127.0.0.1]:55555 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgiD-00074a-Mj
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:15 -0400
Received: from mail-wm1-x331.google.com ([2a00:1450:4864:20::331]:50349)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggC-0006bI-O5
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:11 -0400
Received: by mail-wm1-x331.google.com with SMTP id
 5b1f17b1804b1-4161eb1aa1fso2827215e9.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074079; x=1712678879; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=qqeuzG8Xo2Ii06BFFDO840QhcxDsmNWPVs3QOYS27Yc=;
 b=m0iaMynMUcHPH++KkDjm7CikBzvi0Ry9TaazFFOolcIf4HZaA//xwqIRlMaFwuIwYo
 9tNQzS+DCw2U1nAoaisAgD0JY9t5+Fw9EJCZu97liHCFtR/F/d9fnGv38J87TduesOXf
 emrrgu7iO7jW5/H0swa0evcwwO4cFku4fkdOxSBl1Tw1zvpqBtshIoG4HwMoulKV0c45
 A28TKPzpaHTX+SF0GptdALnbxOq65TKhV951EsKhC1P89MqVD6Co6yO+j+J563rFhsl3
 q/U1u6iVqzeLt7ciRoY8O3dLF10P9SR0Umyx9c8EiM68I/KEMmfqihrzyuD9daoXt1y8
 iKHw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074079; x=1712678879;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=qqeuzG8Xo2Ii06BFFDO840QhcxDsmNWPVs3QOYS27Yc=;
 b=pRDUdjrmy3hQ+oTkcp4VumiNbfkq+6aRGrVsJrr9lIdLkykZ4CTCpHymWNNNQU2pEI
 OQzMv30HzKrY+dNd7xybiHd5FB/ajsVZkvfDvUPntg+TSiFrauWNLyECmIOVoeAoOfOC
 bZLK1/3obEcBZlvh/z4lZJTLnKh0Aw29MlfqFdlxRbAEhiC+TLU8RV+OU9IIQuSBNdAd
 a86hHMfu8IrahY/vb//X86KymuQ80XcFBVWLQfWEZdxmroxMRMpa4n/grZURp3pyx0qv
 2sqhIqprxXd0U7/xk5W6lQvQ2hmPGUy+NHTer9T6T6su7SpN9exKcUGX9JhrCcdsMDCJ
 ZBWQ==
X-Gm-Message-State: AOJu0Yx3yRSX6/fEXIo6tcu6UrI7MD8yqQ2KguKo63lVHd7UT80/LjsE
 x66OpOxOPddBwmcIZ534vAIT1+BqNfXhbpaotj+cwvG30ZIXNp4dnsAGEJU2LH4sAkVB3JFSW5x
 g
X-Google-Smtp-Source: AGHT+IFf6SdRm/Wrwl2tnPWawAXw6SbiU/wE9Hy2YcUrpTXHtAlINkJTamB+i8ysue4kV1i2N6Zttw==
X-Received: by 2002:a05:600c:827:b0:414:7909:6680 with SMTP id
 k39-20020a05600c082700b0041479096680mr8944518wmp.16.1712074079105; 
 Tue, 02 Apr 2024 09:07:59 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.58
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:58 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 094/147] gnu: Add rust-wasmtime-runtime-18.
Date: Tue,  2 Apr 2024 18:04:46 +0200
Message-ID: <fd7f0448f0bced6552fd5f2ca863c2906b16900c.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmtime-runtime-18): New variable.

Change-Id: I8d9e508a4d055e7ed0603c2a31de091cf1ea06ed
---
 gnu/packages/crates-io.scm | 43 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index d69ae73b95..9724c4bd07 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78854,6 +78854,49 @@ (define-public rust-wasmtime-jit-icache-coherence-18
 instruction cache maintenance")
     (license license:asl2.0))) ;; With LLVM exception.
 
+(define-public rust-wasmtime-runtime-18
+  (package
+    (name "rust-wasmtime-runtime")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmtime-runtime" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0zw6fkx32vn3201ppcywk35gknxsnkwlzbpm5399bxddik48a4g1"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-anyhow" ,rust-anyhow-1)
+        ("rust-cc" ,rust-cc-1)
+        ("rust-cfg-if" ,rust-cfg-if-1)
+        ("rust-encoding-rs" ,rust-encoding-rs-0.8)
+        ("rust-indexmap" ,rust-indexmap-2)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-mach" ,rust-mach-0.3)
+        ("rust-memfd" ,rust-memfd-0.6)
+        ("rust-memoffset" ,rust-memoffset-0.9)
+        ("rust-paste" ,rust-paste-1)
+        ("rust-psm" ,rust-psm-0.1)
+        ("rust-rustix" ,rust-rustix-0.38)
+        ("rust-sptr" ,rust-sptr-0.3)
+        ("rust-wasm-encoder" ,rust-wasm-encoder-0.41)
+        ("rust-wasmtime-asm-macros" ,rust-wasmtime-asm-macros-18)
+        ("rust-wasmtime-environ" ,rust-wasmtime-environ-18)
+        ("rust-wasmtime-fiber" ,rust-wasmtime-fiber-18)
+        ("rust-wasmtime-jit-debug" ,rust-wasmtime-jit-debug-18)
+        ("rust-wasmtime-versioned-export-macros"
+         ,rust-wasmtime-versioned-export-macros-18)
+        ("rust-wasmtime-wmemcheck" ,rust-wasmtime-wmemcheck-18)
+        ("rust-windows-sys" ,rust-windows-sys-0.52))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Runtime library support for Wasmtime")
+    (description "This package provides the Wasmtime Runtime library.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wasmtime-types-18
   (package
     (name "rust-wasmtime-types")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:13 2024
Received: from localhost ([127.0.0.1]:55549 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgiB-00073o-F5
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:13 -0400
Received: from mail-wm1-x334.google.com ([2a00:1450:4864:20::334]:47346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggB-0006b6-Tw
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:09 -0400
Received: by mail-wm1-x334.google.com with SMTP id
 5b1f17b1804b1-4155baa696eso19392475e9.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074078; x=1712678878; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=8hsEoj0g8GJ4uQLmnWQ0xeHB4JM6FbZhpGGpExW9ydI=;
 b=cRfO98MX07UFWRPB9e15JJ0d+A5o20ydx9SDr5F1c6Sv6ZBfdiLd1Yj8zLLAJyJVNt
 qJ/BJa1jplALJsBzMdkFcMXkA/KxcxhO0cRnO2Z+Tw7Ux4RGudGBXjzL4wTad5EpmZDA
 RadIqrwj3d01uz/a+D32X6vBapnVlYb3TrHjeviom2mf0vNSZ7rzGbW3ju+2DbIfAdgq
 L3iJW/leYv9iWSXIWl21KRUmbOagujlHIDudatO3weh1gPGwd7dXfKBlss1/1tdCtNyz
 P9fqnq4HtQRCqcrDxDdgNlu9ZymACvu74cp3vulgjsGn/zOn8V/o05cgUtR6Hgl72eSX
 P9yw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074078; x=1712678878;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=8hsEoj0g8GJ4uQLmnWQ0xeHB4JM6FbZhpGGpExW9ydI=;
 b=axQuMGFu5rfrSnb7/3o+A5uKh//+KrusDfuky5E1dk2i2sWPfI2IkWNcCsmIrixfJL
 snv7Ny0m1DJrLOEPK9snFQ4QA1fR5RzUxsXFxpB43klnIVO4qoTtk+XZfZwx3vr56HlL
 XZMSLHpUEtIWQVw8KGq7SCEEGMxmXH0A4bnSBemWrKlmPnhWBnXOOI3HDqS1jkUJY2jD
 VULu4DpOhiXbx/8SvRcD7ssi8NutB4TrCNPL9yQYnwsFJSUYfpx7WQAP0OFsimNM3NT3
 2srVBmX0oyVNe3p/WVL0u3kqUwLYwFNyByCznGfkB+Dzc7EDEOsAqk7zXR3sxOzj4PG1
 UZPg==
X-Gm-Message-State: AOJu0YzyrSNojXCHDzJlFBaSx000bgKR0D7KQ+ra0Jn39BfU6OXsLNI7
 XIl8Qf+wnvMIti3tPh76wwI+1r0jQp4W9RESbYF+A9lQnZOQlS+OGSY+zQcf4zfsiX3haYhDdX1
 V
X-Google-Smtp-Source: AGHT+IHh/HG7fsVNB6U2DdTZJC+XRz6cpYljDnodfk+Zo0yHUKsJXhTUj7HwXH4qtI4SHYHsSSo0EQ==
X-Received: by 2002:a05:600c:3495:b0:415:5efa:d744 with SMTP id
 a21-20020a05600c349500b004155efad744mr145994wmq.26.1712074078080; 
 Tue, 02 Apr 2024 09:07:58 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.57
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:57 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 093/147] gnu: Add rust-wasmtime-winch-18.
Date: Tue,  2 Apr 2024 18:04:45 +0200
Message-ID: <65549918563da9a5dfdda4de81c14c296dde4252.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmtime-winch-18): New variable.

Change-Id: Id526a409cbe5db5c989fa76c6b7dbd7ae932c39c
---
 gnu/packages/crates-io.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 2cd6669569..d69ae73b95 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78902,6 +78902,36 @@ (define-public rust-wasmtime-versioned-export-macros-18
 exports in Wasmtime.")
     (license license:asl2.0))) ;; With LLVM exception.
 
+(define-public rust-wasmtime-winch-18
+  (package
+    (name "rust-wasmtime-winch")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmtime-winch" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0jilhha1qhqwqz4z7m844yc97a3jyhbfnxggkivd2hf2rjzrfnms"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-anyhow" ,rust-anyhow-1)
+        ("rust-cranelift-codegen" ,rust-cranelift-codegen-0.105)
+        ("rust-gimli" ,rust-gimli-0.28)
+        ("rust-object" ,rust-object-0.32)
+        ("rust-target-lexicon" ,rust-target-lexicon-0.12)
+        ("rust-wasmparser" ,rust-wasmparser-0.121)
+        ("rust-wasmtime-cranelift-shared" ,rust-wasmtime-cranelift-shared-18)
+        ("rust-wasmtime-environ" ,rust-wasmtime-environ-18)
+        ("rust-winch-codegen" ,rust-winch-codegen-0.16))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Integration between Wasmtime and Winch")
+    (description "This package provides an internal crate for Wasmtime integrating
+the Winch code generation back-end.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wasmtime-wit-bindgen-18
   (package
     (name "rust-wasmtime-wit-bindgen")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:11 2024
Received: from localhost ([127.0.0.1]:55543 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgi9-00073D-GY
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:11 -0400
Received: from mail-wr1-x431.google.com ([2a00:1450:4864:20::431]:48157)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggA-0006af-SU
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:08 -0400
Received: by mail-wr1-x431.google.com with SMTP id
 ffacd0b85a97d-33ff53528ceso3871009f8f.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074077; x=1712678877; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=6liFS5z+IwMnDil1Sape44LVmMqxHGEsIQ1cQJXryX0=;
 b=NOojJT4GGQsiHb+EKX1d+7tKIbyJcYhyShbXTvo6AQijzXXvq/lqMSkLu+6WLJHUQm
 4Ct+oNgoDft9qQJIlr+jBBL1528URT00VHVdB4gYXmUCC4/7fcZSiudaMXk/zn4AMqf9
 zXiKUySNGnFeAvPcA1i0QQa31+TlxL5NEtyJ1HDgI1FQltBIHfK0RdQwN7OxmxqmbMMa
 sgxc2LdwrEOB7WLoQ+knZQBlxl/QppTzxsfLhGnE+aRNuT6opMJLw4YGN27naD4c1+rP
 Rqa93S1XEKjo3lUL4gKbu2sOQafjXjlhetG4pwlTA38W1kEARD7CuibXPEk0azxafBwW
 GPNw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074077; x=1712678877;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=6liFS5z+IwMnDil1Sape44LVmMqxHGEsIQ1cQJXryX0=;
 b=S/uo7RJGjq0YxS3ni2Dk58oAnTy1b26XOxZ2Hqo+PXKQnyfFIJVd56vdtUTNvCPXa5
 TQ4K4Pl3nWiv9Mm7x7++rxFCh34mSeSEYuNRjREX3yj/HdnfLvcksD6knpTzzS27udsK
 PYfXK3Uv4lM/cGOn+wWhsPREhoo3CVL3Ib8mqN/GPjzBGvtwYp8XuxZJE1F8a+/OEzCr
 OtA/0q/zMrZroZmGz50w7O/livxvP95ZkvJCQyd6QI1+UflXJ/tuoiGCyl0yMOq7yPXu
 n6eCnRqTlhPE78/FEn7/8iubmEC0JSYQ2QI0BuXQz5WOLROhkIPlXxrEmgTzAAPQR963
 Ra4Q==
X-Gm-Message-State: AOJu0Yz/gyTeSnJtLzMqmY76qBCMAb/StVFAgJf8FGqetU3TRgg32mwe
 dzZYhwwh0FVA299Vujm6Tt0HGz2dlhTRzflT+r3dRTbbLy2hs9mVojSaYj3mzc1xETElDF8ZXeS
 Y
X-Google-Smtp-Source: AGHT+IEXmUUukx+ZVPn2N8zmWKyyL239rtYaMtPjsK9AM+hZZTOLPQufKYx51IQ+SfgR3PwivXe+YQ==
X-Received: by 2002:a5d:4d12:0:b0:33e:7f51:c2f8 with SMTP id
 z18-20020a5d4d12000000b0033e7f51c2f8mr155718wrt.36.1712074077249; 
 Tue, 02 Apr 2024 09:07:57 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.56
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:57 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 092/147] gnu: Add rust-wasmtime-wmemcheck-18.
Date: Tue,  2 Apr 2024 18:04:44 +0200
Message-ID: <a438bfb4f6a1ce81391f4c8bfb82e50e92727d68.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmtime-wmemcheck-18): New variable.

Change-Id: I9b259b5f7ede96c39ca859bee5c74c07bc90f1e5
---
 gnu/packages/crates-io.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 00c8731b18..2cd6669569 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78926,6 +78926,27 @@ (define-public rust-wasmtime-wit-bindgen-18
  @acronym{WIT, WebAssembly Interface Type} files.")
     (license license:asl2.0))) ;; With LLVM exception.
 
+(define-public rust-wasmtime-wmemcheck-18
+  (package
+    (name "rust-wasmtime-wmemcheck")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmtime-wmemcheck" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0bsg5iadgk1gpqbwk6swih5z181j4kjq35gq7798qfr0pmlxjirq"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "WebAssembyl memory checking for Wasmtime")
+    (description "This package provides wmemcheck a memory checker for
+Wasmtime with the ability to check for invalid @code{malloc} calls, reads and
+writes inside a WebAssembly module.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wast-201
   (package
     (name "rust-wast")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:09 2024
Received: from localhost ([127.0.0.1]:55533 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgi7-00072X-FO
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:09 -0400
Received: from mail-wm1-x32b.google.com ([2a00:1450:4864:20::32b]:58589)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrggA-0006aT-Ls
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:08 -0400
Received: by mail-wm1-x32b.google.com with SMTP id
 5b1f17b1804b1-4161c24baadso5578685e9.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074076; x=1712678876; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=NhZqVUcwwmFiweuqIVVy/oJp3hAE6hehfv3f2fdwAX4=;
 b=fsC8E9Wz1Cf5CFqticQippPD4HJ9y1uil8J+tq9079bwI6M+FDJbJe/To4pKSt0P/A
 0Kpp7D6zAKUVntoNkUJhP6mYy31JBDo7twjYxZFq3PZxZf9jNnEeUnrkivtxq4j1XVZJ
 nGA9/uq8UxXX+bu1S5B5jqMY10EdB3lHn4I1HvM/mYBk1s19lPe+F+dHJ7IxwykvIG5d
 xREVfzPzpq+gMTYaEgbndeozevCAyMLEXteuaFBXJdXys0eQ+jX9XZH6phCAjkZWBYmc
 lAjBdsEpbu2Uum0ptx3Trjew45Kc1xQk+tcbD1hoK3LjHY+/6mN6yFP2t7r+chquxjhj
 pTqA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074076; x=1712678876;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=NhZqVUcwwmFiweuqIVVy/oJp3hAE6hehfv3f2fdwAX4=;
 b=Z7EqNKNOSuTQkN6dEMPl1RIC5XSrhTCV4i9GsAJnfrI8KNMafAkByklb0hDgq19LnJ
 1NLSM0x/KsSRSCoNTFxXTjexX0aAt+lTvro73O9sXXJqULQ1wQeIRpA0Ys95d1FXdYlL
 RTXbtemLVUdu6UFU5qjKjCjH2GsRITY5OR41611mG6sUfbS3YbGfC8+KWG0eYIQ9Ujby
 +Z7RMFnWFSSl7Q2xR61fonoSLqDj0nf7bYvjkxxJ7VCFqfpq4ouP0mJ2zl0lMpjtloy3
 hpRBuk4LInMMzZwCC4qPcm+/9cOgYwYViYzKOnz5+pnH+/2WynO3bN1FR9ibwjzM7aeU
 7wRg==
X-Gm-Message-State: AOJu0YzfYrLbDBrnGXg2Mlp/UlkYNayTwN7M8PyReTcoenHyn7Tspk/q
 kxkOXj+nXQWVU9Of7mV8cYSAyBcCCk++OZm4WRu2dkcNq/zgdUV03aMiZu4Uc8m0pil5ZUptuQI
 k
X-Google-Smtp-Source: AGHT+IFM4Czyck4o8UEVWM5qsp88s3o/gPoo7Fkymsq4CvJ6fAGgOmnkF5qPwixThgWgtUZKYmveyA==
X-Received: by 2002:a05:600c:3503:b0:414:63c6:8665 with SMTP id
 h3-20020a05600c350300b0041463c68665mr11143561wmq.2.1712074076466; 
 Tue, 02 Apr 2024 09:07:56 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.55
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:56 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 091/147] gnu: Add rust-wasmtime-jit-icache-coherence-18.
Date: Tue,  2 Apr 2024 18:04:43 +0200
Message-ID: <484c56ac2c45135c319c8ba7ed70f28b1a33cc8c.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmtime-jit-icache-coherence-18):
New variable.

Change-Id: I6c5a2b409175b94a0f4b957d2edf26a06bed430d
---
 gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index ad8dd0b84b..00c8731b18 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78831,6 +78831,29 @@ (define-public rust-wasmtime-jit-debug-18
     (description "JIT debug interfaces support for Wasmtime")
     (license license:asl2.0))) ;; With LLVM exception.
 
+(define-public rust-wasmtime-jit-icache-coherence-18
+  (package
+    (name "rust-wasmtime-jit-icache-coherence")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmtime-jit-icache-coherence" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1wvd5sf79cshgrf45z7r94c2xmvh6sm58sr268mn7d49a1h38rl6"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-cfg-if" ,rust-cfg-if-1)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-windows-sys" ,rust-windows-sys-0.52))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "JIT instruction cache maintenance")
+    (description "This package provides a library with utilities for JIT
+instruction cache maintenance")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wasmtime-types-18
   (package
     (name "rust-wasmtime-types")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:07 2024
Received: from localhost ([127.0.0.1]:55523 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgi5-00071v-6k
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:07 -0400
Received: from mail-wr1-x42a.google.com ([2a00:1450:4864:20::42a]:56356)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgg7-0006a5-Rn
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:07 -0400
Received: by mail-wr1-x42a.google.com with SMTP id
 ffacd0b85a97d-3437efea0ecso207278f8f.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074074; x=1712678874; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=tDy1xXnNA7MlVVibYkSj0McTEXC4Y9V3C9dQAmWQxa4=;
 b=Jpr0thY8+ovuNmxw5LCEp529kcvw6/UVMLxq8Y/pyIX8ewUT8M+P0FbE9ttqnNhaEf
 7O1irdJjEQsz3K0Xb+mb4IQY2J7i7fmAB8GCceEKqrMlmhMk9TlLBJRFsj0Ez9ww30U+
 zZHudu4WYD4je8U9pHLicRHLAYoFMHS/1M4MjDTeBWomHIQUssRARyGKrKXOr+n8e4yL
 lic9As83HaHemXAqES7DtYbAqVI1Cw1oT8wPZl0GaejOYSWrvEuIU0j1Yw+jWXpSrNIg
 Vdo1o0977dr6QJV+jh+0Z5SWF9w6qE7dz4Mwn8Fx6mOfOT5/EcU1LjiP1xuK2WXT7ayL
 /yig==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074074; x=1712678874;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=tDy1xXnNA7MlVVibYkSj0McTEXC4Y9V3C9dQAmWQxa4=;
 b=jRA6vdQdP/i/iwWyGX5CuKZvnMOcAx0MhYYw+xXJ9QQiy/KvkByi45vgeHZiHgh772
 lDyChTwPeSltxrZlDW0Ac3Dp1qB4A0SAm0YtmDQobtkhv/TmIVWIM2MHvsdnCUC7y8+I
 UcfUEuFc1U5ccRW20IT/9ANt/Q5MLcCxu3eUDuie6bIBLMU/aD4LnJ8PrTNloSzD2GMH
 h30wdIqoFbW/BhG6kz0xentNPUBUFnOIaKQUTx+8V5tYEwhKySkE2OSCs3DPL1TZU8V+
 /F04dt12VBdpmOyKDNMvR2p/MUgAIxvOBDiUyqAHz3ExDflLPdNMt9kf8NwfFpWHptX1
 USWg==
X-Gm-Message-State: AOJu0YyMaQ3rtj9kL84CB1N2W8KxIhC1Ui08cPj8InL6LeP8Pf0/1z2W
 nApdIIOY9CBhgROiRH7eEr9yFpxT86qQF6TRkZG4ihgqIk9DxDFjxPCocyIZMYykdB5I4QJpKwd
 S
X-Google-Smtp-Source: AGHT+IFAKtk31RZm4u/E4FDLV/Yfzogl00qVsifL8AuKs3/IFs7sdCaaY3omdyIwXwcNVyH3nxrLNA==
X-Received: by 2002:a5d:6451:0:b0:341:b9ee:753d with SMTP id
 d17-20020a5d6451000000b00341b9ee753dmr8944433wrw.53.1712074074248; 
 Tue, 02 Apr 2024 09:07:54 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.53
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:53 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 089/147] gnu: Add rust-wasmtime-fiber-18.
Date: Tue,  2 Apr 2024 18:04:41 +0200
Message-ID: <367deabd24a580ff118422b6878f34717cb47ce1.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmtime-fiber-18): New variable.

Change-Id: I2e2e16bb1429ba6394c793a134f4bad549fa7332
---
 gnu/packages/crates-io.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 49e9732a33..139d6ae8b0 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78778,6 +78778,34 @@ (define-public rust-wasmtime-environ-18
 WebAssembly environment.")
     (license license:asl2.0))) ;; With LLVM exception.
 
+(define-public rust-wasmtime-fiber-18
+  (package
+    (name "rust-wasmtime-fiber")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmtime-fiber" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0c9cv409vm5fky5v3i62420v2s1hv6q66mjz4v8l2xqiy9jzc7cv"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-anyhow" ,rust-anyhow-1)
+        ("rust-cc" ,rust-cc-1)
+        ("rust-cfg-if" ,rust-cfg-if-1)
+        ("rust-rustix" ,rust-rustix-0.38)
+        ("rust-wasmtime-asm-macros" ,rust-wasmtime-asm-macros-18)
+        ("rust-wasmtime-versioned-export-macros"
+         ,rust-wasmtime-versioned-export-macros-18)
+        ("rust-windows-sys" ,rust-windows-sys-0.52))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Fiber support for Wasmtime")
+    (description "Fiber support for Wasmtime")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wasmtime-types-18
   (package
     (name "rust-wasmtime-types")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:05 2024
Received: from localhost ([127.0.0.1]:55521 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgi3-00071P-96
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:05 -0400
Received: from mail-wr1-x432.google.com ([2a00:1450:4864:20::432]:52699)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgg8-0006aH-R2
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:06 -0400
Received: by mail-wr1-x432.google.com with SMTP id
 ffacd0b85a97d-34356f794a5so1186163f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:08:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074075; x=1712678875; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=PVjHQqZsluUTvPmbn/d2GwjG5rdY2tebLAAwYa2ju0U=;
 b=MF9QUn1cnRl97xzMn0vZsPniaOQGCH7mp65a46YQTCTdzFMJnLXI71LbNLmQfg3dQU
 MvKPBiZBfTSmWOuRuDMlQsO8uDw3brB7FKo8mRpNT4Dkz2ypAF6Y0HJxmMq9VlkzfjZ+
 JEtWj/jFEUPCf5fdEcQtQ53Y7gkQwQqoXXF0XlHlhB2kA/dUPKAiIC69usGfOunVyWx/
 Djr506RhhFgNn65rUi4WMR2HYYOsHENTi2E2vPMx8r/jYXVOIOgm/NysGrdVOpPSTNFM
 A15lYyX7hWtlMwuUIpCGAMXHhC8Krr9z5epLxYMMclz/P1IizAYvvpy5LpQcJzyMCfP9
 tVeA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074075; x=1712678875;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=PVjHQqZsluUTvPmbn/d2GwjG5rdY2tebLAAwYa2ju0U=;
 b=Ot8MqQCks91ZILvHBCrRT+7VtlUoWnMRJZPJSh5rpr+HwA1mVP1VucSu7mTlgPscMM
 imxC/9nFza6zEKYipwAYsaQAqMm51ATKmTAqqSxBSTc44CEvrB3nCqs+io4s2H0zjbQh
 pnjq56uWJacjmk3uMZupyf9C3VTPEe2lNT/pAZIKfXJ59aV5ZrsoycfFtwg8DE0HKVML
 sm9AVvJAisxITwON6ZYcIsbDvOaUWsr8AdYG1DyIesimKMnoWBtJx0rlOUHs+1T5Hpgi
 jjuWqNfzmvKsFU7tz4QMB5TqUpfBEYVDuiuL1znKct09H4+gaJh4JZ0A8qkwdPWZqlGu
 fL9g==
X-Gm-Message-State: AOJu0YxrI8uAIwldiw223zv/qEVgyS6P3Avlh+EaHYIlZnBblJZdPoUy
 TfMiw/MqBZ6kKr4RKt9h6DJYkzaRn/S80/j3O5LT1ksS9CzGMHnYn8ltuy4jE/TXFzp/ZjTO59z
 1
X-Google-Smtp-Source: AGHT+IGlUD84GXRnexVjTjKyBcBKrjTw1IkQoLfojveBj1wyrQj1P3b9OH18mxyLL4yphps5/pSrqg==
X-Received: by 2002:a5d:474b:0:b0:343:6b09:653c with SMTP id
 o11-20020a5d474b000000b003436b09653cmr1717267wrs.43.1712074075168; 
 Tue, 02 Apr 2024 09:07:55 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.54
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:54 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 090/147] gnu: Add rust-wasmtime-jit-debug-18.
Date: Tue,  2 Apr 2024 18:04:42 +0200
Message-ID: <f680f55f9626aff2ef6481f3f0a882713d74422b.1712070308.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmtime-jit-debug-18): New variable.

Change-Id: I297095ba31c720231c6e6e1df7986ce7a1431289
---
 gnu/packages/crates-io.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 139d6ae8b0..ad8dd0b84b 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78806,6 +78806,31 @@ (define-public rust-wasmtime-fiber-18
     (description "Fiber support for Wasmtime")
     (license license:asl2.0))) ;; With LLVM exception.
 
+(define-public rust-wasmtime-jit-debug-18
+  (package
+    (name "rust-wasmtime-jit-debug")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmtime-jit-debug" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "08dkygs0mnyf9cwc9ck8bmnxmg4nzw85kd6j1idnwwvhjdrhgwv3"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-object" ,rust-object-0.32)
+        ("rust-once-cell" ,rust-once-cell-1)
+        ("rust-rustix" ,rust-rustix-0.38)
+        ("rust-wasmtime-versioned-export-macros"
+         ,rust-wasmtime-versioned-export-macros-18))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "JIT debug interfaces support for Wasmtime")
+    (description "JIT debug interfaces support for Wasmtime")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wasmtime-types-18
   (package
     (name "rust-wasmtime-types")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:03 2024
Received: from localhost ([127.0.0.1]:55519 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgi1-00070y-Ac
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:03 -0400
Received: from mail-wr1-x429.google.com ([2a00:1450:4864:20::429]:56355)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgg6-0006Zw-Sf
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:06 -0400
Received: by mail-wr1-x429.google.com with SMTP id
 ffacd0b85a97d-3437efea0ecso207265f8f.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074073; x=1712678873; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=x8DcrUqM/lDZcbx/zvHjZJtGokLE5qnz8/5PJneCBL8=;
 b=qcx0dawG1IdjjD9kdBDX7HsWib7Bu17R0L/CmyMLno23o7yonF3PzrisvnoW7nv9Un
 Lqyq4+e45LLyuCKodVO7foFc+HGvzGBs9FBW7PavHxrkC1QBaoOfE/+ivMxlD7eFTKHz
 i96DT8XnfWDcrsLaynFnKS1OM4B3BneSRWp29ZdI3+wI6QO6rTgYc4qEpYzvxUPknhMA
 K3aHYJv4xNcz19v8TtIJEh00Xy6Wdg5URSM6J2/M5VvAH2FkGjd3/WVQPkh+rYMh8StF
 du8ILVG+NWgd+uRMMiXk0K+w7dwrknr8POg+l/FadKR/m3a/xz/AZwO+S4xeVB/n+3c1
 4YZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074073; x=1712678873;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=x8DcrUqM/lDZcbx/zvHjZJtGokLE5qnz8/5PJneCBL8=;
 b=pTspwTTKDHnffNKx725Q6OsD6ZCcgl3LoX/19F4rrtj+4m6g5rp9qaoGOdXbaDF9dc
 dV2Wloh14HG99P8q2y0mN9YAwEJMmaIYK5IuwOuXUexsue+vbEUeHExA+hOSacrx4DBN
 ni6NnK+JcSeSkDlLcKQLy1a/k4mUF1VLsCI6JVL5C3oc9fV4s67tphRlct3bUglXNqyy
 LLexJhU6yFpzxe1owPJnDp8wwkJzLZ4dTgjltkqQpZfEXHL3maGpMBUM0ZL5WgcCROim
 Z6njxaR2d4XqEs8rLLVPmE07INNnRfnzX5d6XTUk38H318HaoPyW3rLDm+0gDqJvfTfC
 e5nA==
X-Gm-Message-State: AOJu0Yw6FBe6u1UhfZUoYm/a91etAvRXw+f6k+GFYVeH78WLhPlvoegN
 tMDQ994Aa/BIyjOkr4jgKjmbz2J619/L7KnOcNyd/bv1nNTz41odsuPDYQo9ZneD2fzvA624zUE
 T
X-Google-Smtp-Source: AGHT+IFkZ0yKKHHe334C1WqzJsGFvK4FtNE/9e3hpimuKlynA46Z17Amgv35EEv00LUeDTr7tLN0CA==
X-Received: by 2002:adf:ed50:0:b0:33e:76d7:a8ad with SMTP id
 u16-20020adfed50000000b0033e76d7a8admr10240718wro.38.1712074073250; 
 Tue, 02 Apr 2024 09:07:53 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:52 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 088/147] gnu: Add rust-wasmtime-asm-macros-18.
Date: Tue,  2 Apr 2024 18:04:40 +0200
Message-ID: <f9b3ebbf752571dbbf4da729009fbec4af096a81.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmtime-asm-macros-18): New
variable.

Change-Id: Ie6a90b6efb616ce7934344279cd56a068713e6ff
---
 gnu/packages/crates-io.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index fec92f2aac..49e9732a33 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78571,6 +78571,27 @@ (define-public rust-wasmprinter-0.2
 WebAssembly binary format to the text format.")
     (license license:asl2.0))) ;; With the LLVM exception.
 
+(define-public rust-wasmtime-asm-macros-18
+  (package
+    (name "rust-wasmtime-asm-macros")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmtime-asm-macros" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "13zffpi0bx1hafy7bbcm3jfm3hs6yjvn83ivxqscw6lmx8ng031v"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-cfg-if" ,rust-cfg-if-1))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Define asssembly functions in Wasmtime")
+    (description "This package provides macros for defining assembly
+functions in Wasmtime.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wasmtime-cache-18
   (package
     (name "rust-wasmtime-cache")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:10:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:10:01 2024
Received: from localhost ([127.0.0.1]:55517 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrghz-00070e-AG
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:10:01 -0400
Received: from mail-wm1-x330.google.com ([2a00:1450:4864:20::330]:61689)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgg6-0006Zu-2K
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:05 -0400
Received: by mail-wm1-x330.google.com with SMTP id
 5b1f17b1804b1-4161eb1adfcso3184585e9.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074072; x=1712678872; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=PHJO+7ndUd8KTsVPpb/ZcupxEEoi1wdBbL6gqRVA/mw=;
 b=akoe9rx5JZb+v2ozu2Os+ob+KE76zov1O4qduFrkRHgZw5/e+2B4GamVHymXUlnmy6
 YVUIxiIPXvkERyn0xz38HSng5z6xtcEvFwC2Dy8ZhejVIvUp1iqYEEPJwGJ7blrho35A
 VSJqdPV6gZAwgSrcCPU2U/Invgo0CJrORc6JgmRy4RVHyegJbo2h0hXV079P3tE1Kt8c
 xvcVZ6cKUeIV/AQOUx5hg+o0y82qCXASsgDl7xtU5UZiWH5j4xR9Y5O1tzax5vEgnKF4
 FIWToeCrKiDCtWA7OxQnqP+pa00oPDc6cRyFODWVKXRHdOPkqu5WIiuGjM20HxBlHPGU
 O9Bg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074072; x=1712678872;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=PHJO+7ndUd8KTsVPpb/ZcupxEEoi1wdBbL6gqRVA/mw=;
 b=HKj3v9vxCqFlGRbQsgqSjFsMDKXr/jxj+LmZRC0XPld6k40+cEONeYRfQdgrFS3dQL
 HyRssH5dLAhzNkjCUrJ8EfS+zf/OJzJLS01xBpC4wRQXGX0nKwsXr+H8eTb2gGtKC9c9
 ppN5qTECGcwGMjwdv0iAuiJGWyFwOuyivRPyAIQjjZpryYoVmDIC59vTUpE8Uuqz4pBV
 3X0CWPMfoLz2xWsFVdsSnli2FmeP22ZdxpE5A78a81TSHml0x1C/Yf2zEDhHkQFkaSot
 1bUEsUqTn9ib8dG4mFsEuurpfgFcClwJPdgMuoTj3LNrWVe05K/N4ND9vYsznSFxiC1K
 Y2iw==
X-Gm-Message-State: AOJu0YztxLM53uGiv+r8LteGbEBVK0dY7i26l/V4RAPESaSJmlyW9Gtg
 gwze7Ry7wVEHsr7txdu1dz0dRUzlsymCOz/cFtoL39I2QeoNZB990ZRFhxHr1gKMHyUzf83JO4C
 V
X-Google-Smtp-Source: AGHT+IGi+/bBWebNs5k4PSl7ZroDefxw3HUNFxyUTZMhA8D/agpuBXko6lkvFxOnSXSyP38C/gamgQ==
X-Received: by 2002:a05:600c:4c9a:b0:415:6d51:8f8f with SMTP id
 g26-20020a05600c4c9a00b004156d518f8fmr2857206wmp.15.1712074072389; 
 Tue, 02 Apr 2024 09:07:52 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.51
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:52 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 087/147] gnu: Add rust-wasmtime-cranelift-18.
Date: Tue,  2 Apr 2024 18:04:39 +0200
Message-ID: <937bac02b21209bfc978dc428684c5f5fd28a566.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmtime-cranelift-18): New variable.

Change-Id: I85f0e6138b9667f004b6d5a51bb2afa0ff8aac08
---
 gnu/packages/crates-io.scm | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 956e7c685b..fec92f2aac 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78651,6 +78651,44 @@ (define-public rust-wasmtime-component-macro-18
 generate WebAssembly component interface types from Rust types.")
     (license license:asl2.0))) ;; With LLVM exception.
 
+(define-public rust-wasmtime-cranelift-18
+  (package
+    (name "rust-wasmtime-cranelift")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmtime-cranelift" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1d7z97ngkgr05iiy1hx758wj4h5asm38s7gjn0m83p5ccyqbsnjr"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-anyhow" ,rust-anyhow-1)
+        ("rust-cfg-if" ,rust-cfg-if-1)
+        ("rust-cranelift-codegen" ,rust-cranelift-codegen-0.105)
+        ("rust-cranelift-control" ,rust-cranelift-control-0.105)
+        ("rust-cranelift-entity" ,rust-cranelift-entity-0.105)
+        ("rust-cranelift-frontend" ,rust-cranelift-frontend-0.105)
+        ("rust-cranelift-native" ,rust-cranelift-native-0.105)
+        ("rust-cranelift-wasm" ,rust-cranelift-wasm-0.105)
+        ("rust-gimli" ,rust-gimli-0.28)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-object" ,rust-object-0.32)
+        ("rust-target-lexicon" ,rust-target-lexicon-0.12)
+        ("rust-thiserror" ,rust-thiserror-1)
+        ("rust-wasmparser" ,rust-wasmparser-0.121)
+        ("rust-wasmtime-cranelift-shared" ,rust-wasmtime-cranelift-shared-18)
+        ("rust-wasmtime-environ" ,rust-wasmtime-environ-18)
+        ("rust-wasmtime-versioned-export-macros" ,rust-wasmtime-versioned-export-macros-18))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Integration between Cranelift and Wasmtime")
+    (description "This package provides a library integrating Cranelift
+and Wasmtime.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wasmtime-cranelift-shared-18
   (package
     (name "rust-wasmtime-cranelift-shared")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:59 2024
Received: from localhost ([127.0.0.1]:55515 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrghx-00070I-CA
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:59 -0400
Received: from mail-wr1-x436.google.com ([2a00:1450:4864:20::436]:42443)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgg4-0006Zf-Ta
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:04 -0400
Received: by mail-wr1-x436.google.com with SMTP id
 ffacd0b85a97d-33ddd1624beso3356720f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074071; x=1712678871; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=E19YrlkoBfv8oxaPaN200Fkhvm1A4EvkiXrMU+npqXM=;
 b=o6THkqWxcfIyZlUzY/xXFGUjrijJoH610S7c+Vp/rrn9k07JUoGIVd0fgw+nIvyzMC
 ID32tuuWv/Wzdwlxw2aQACs9ei587yazI3OcUQjMxSuQ2SOzU5Ho+6aK3yYFlzF1kRba
 5LIHoN4aTEbwsEM7SRILKDcMapQ/mM6GcZIbPRIhuAQEACSIZnPej3wTsTi0IcDozZhu
 Zh9vXsDu2IJvsZ6KigBNp1XUrAVnbdESbu4WIx727rD7ufMx+gnwuzAib44fvEQUyAqI
 8YZC1W8fUmuLrVZ/s5M/1S5Mz87mR52KReXRn+aBd1lkqb9YVhuQVhel0fgkQADY7rJn
 mGrA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074071; x=1712678871;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=E19YrlkoBfv8oxaPaN200Fkhvm1A4EvkiXrMU+npqXM=;
 b=dFOvZH89KIEyh9Uxykoox4KW2c/O8wOlMj14Ha9h3tarlZgkNUXmoWT21IbbFToY+M
 iWnuK2v/6WIoqLdYGhMBESOHZXJ7mqtJ8BVEBvnfGe+ZGFKzejajMc1NNWCsCJaNC6es
 +IjVrhE68mV3+REIc+3SKazHq9hr3YIXe8SjeJn/eG61fxsWgOwF0/tQjAVURJ5qJedW
 doxopumSy+96jHvSwKACyzzbZf2aqJJ9JeCLnJaARK8xnWs1EYy0sQ/63JU29pMMQBzp
 JvAV1kmwfJXW8EvP77owyxpX2pBbCTph79LfmBcL07dJmqIvzrwwjoK4ABak/gOt5zs8
 s5WA==
X-Gm-Message-State: AOJu0YyqrVZozL8vKqXCcFfOR8Gs5clpmEup5As9uwbRVDI/iUnDPRUE
 A9gaHyBgvvLG9BvgmjIip2zXkzqpu42zJ9bSAMKf87QytlLIS5ZJ3AhLpIWz/vD6QDDeM+q+Dv3
 s
X-Google-Smtp-Source: AGHT+IFEjrmS+o7mN0vU1KlkovnQzHjcBZC871nUNHo7Pi1AffjRqe7yL90UEYmpxLYz3wct2MTr8g==
X-Received: by 2002:a05:6000:18a1:b0:341:e1b1:a5b5 with SMTP id
 b1-20020a05600018a100b00341e1b1a5b5mr13003035wri.13.1712074071248; 
 Tue, 02 Apr 2024 09:07:51 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.50
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:50 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 086/147] gnu: Add rust-wasmtime-versioned-export-macros-18.
Date: Tue,  2 Apr 2024 18:04:38 +0200
Message-ID: <a3076827f29c56a12b96a8303dba06663984fc63.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmtime-versioned-export-macros-18):
New variable.

Change-Id: If285c3297f5b15d4e4e15ec22a01d9315c2c2eba
---
 gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index d097776c5c..956e7c685b 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78744,6 +78744,29 @@ (define-public rust-wasmtime-types-18
 definitions for Cranelift.")
     (license license:asl2.0))) ;; With LLVM exception.
 
+(define-public rust-wasmtime-versioned-export-macros-18
+  (package
+    (name "rust-wasmtime-versioned-export-macros")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmtime-versioned-export-macros" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "18a7zihkrrz9cwxrpbdbiqp5ils0bq6cjjhxrzw44v10dmbdgf2a"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-quote" ,rust-quote-1)
+                       ("rust-syn" ,rust-syn-2))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Macros for defining versioned exports in Wasmtime")
+    (description "This package provides macros for defining versioned
+exports in Wasmtime.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wasmtime-wit-bindgen-18
   (package
     (name "rust-wasmtime-wit-bindgen")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:57 2024
Received: from localhost ([127.0.0.1]:55513 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrghv-0006zq-HC
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:57 -0400
Received: from mail-wr1-x429.google.com ([2a00:1450:4864:20::429]:55360)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgg3-0006ZQ-Sz
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:02 -0400
Received: by mail-wr1-x429.google.com with SMTP id
 ffacd0b85a97d-34100f4f9a2so3656734f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074070; x=1712678870; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=Oxe0UmIBmEotptOkIGHi4QRoaNU7ThAf/AokJarZYF0=;
 b=PXW2sRlgETXzqyc2HPNNLF6WDo9YpxAIwF3O7aPbulue72a3Glt8UGjQCFHC3KKKWj
 lD8ks3U/okJGncSt8RCNmHwgSX6PnUMCzQz9XlpjTq8lWprO4UZpIa20gEE4StVFdrwx
 tR3acMDS0Jpmiz7ISX8E9Tc2P3+n+qFmiIxzsd+LoYT+YanB7VF22U0xOk3kLIvqTa8M
 YcKG70dAK7kKiOQQQ2qn8F+KsTXJX9Jbs2wmGD/xTqXJV2DOctq9HkEqd1mo9CWTKUhm
 BnD1TC1/0uHKLUXbHkpQaVnNfQmEkplRN2ohELx+onbEBkjNSc0CYQhczcb7XeN36QHH
 OQJA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074070; x=1712678870;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=Oxe0UmIBmEotptOkIGHi4QRoaNU7ThAf/AokJarZYF0=;
 b=dFt1tzddx2J9j8klmZhQbfgr5dFdEsMd4noikdXom9wiRlpODKvNm+PIopOXJXkGVq
 Ldt1frJOX3ejdFY2n5IDWCYn/uKBObZ2hf0Xy1Sy1JjVXzuRQIrxkXbdmq7ivWeXAPX7
 4z+IBqRSVb4hRAJKNvp/BYDuL3wwZzLU9qfKjxnBgzWy5buDor7r8FJ+noFq4E6JzN4C
 aYkyzx0rbMDEzCdg/67EZxIO/ZXl3B9n5g4qcjmdTsCwhXHNCuHytp7f6EoxWXCEvelF
 ob3ttyCLHprMnUOsNjMJ+3XGTpIbIsz6uoBwy8FQugTxu354zUqIG2ADU44y+cGEIjTj
 bXXA==
X-Gm-Message-State: AOJu0YwMSml8s8En7wNHfrBKkY4oUzKo6+tFAfTqV/vxOo2iosmT1+bD
 t98kT28VbqxS2pmWxrYq2vpizKLpt7kEqhgRz1uoOpj76joKzLLrnITzEzjA4YcRjjxrPiHpaXk
 F
X-Google-Smtp-Source: AGHT+IEooTZKspWUYKtxSbT30TKtn/VFElthMULkLzDXp4Wr1XfUwMPIXFip0jW18+TyMrrgGUnMVA==
X-Received: by 2002:adf:fe08:0:b0:343:737f:3f04 with SMTP id
 n8-20020adffe08000000b00343737f3f04mr1176562wrr.8.1712074070268; 
 Tue, 02 Apr 2024 09:07:50 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:49 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 085/147] gnu: Add rust-wasmtime-cranelift-shared-18.
Date: Tue,  2 Apr 2024 18:04:37 +0200
Message-ID: <9dfec84b81642eb4a75468665ec90e0f90d28fba.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmtime-cranelift-shared-18): New
variable.

Change-Id: I6334cfe1d11275e69aaa9fe126a9c04ebd2f3b81
---
 gnu/packages/crates-io.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index c62d6fb6b4..d097776c5c 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78651,6 +78651,35 @@ (define-public rust-wasmtime-component-macro-18
 generate WebAssembly component interface types from Rust types.")
     (license license:asl2.0))) ;; With LLVM exception.
 
+(define-public rust-wasmtime-cranelift-shared-18
+  (package
+    (name "rust-wasmtime-cranelift-shared")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmtime-cranelift-shared" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0khk00q3b1hg4pwp5g06njqfgjyi3x3pdgifv29bjrx1vqglrhp8"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-anyhow" ,rust-anyhow-1)
+        ("rust-cranelift-codegen" ,rust-cranelift-codegen-0.105)
+        ("rust-cranelift-control" ,rust-cranelift-control-0.105)
+        ("rust-cranelift-native" ,rust-cranelift-native-0.105)
+        ("rust-gimli" ,rust-gimli-0.28)
+        ("rust-object" ,rust-object-0.32)
+        ("rust-target-lexicon" ,rust-target-lexicon-0.12)
+        ("rust-wasmtime-environ" ,rust-wasmtime-environ-18))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Internal library integrating Wasmtime and Cranelift")
+    (description "This package provieds an internal library for
+Wasmtime to integrate the Cranelift code generation back-end.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wasmtime-environ-18
   (package
     (name "rust-wasmtime-environ")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:55 2024
Received: from localhost ([127.0.0.1]:55511 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrght-0006zf-KD
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:55 -0400
Received: from mail-wr1-x433.google.com ([2a00:1450:4864:20::433]:59683)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgg2-0006ZA-1B
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:01 -0400
Received: by mail-wr1-x433.google.com with SMTP id
 ffacd0b85a97d-341cf28e013so3807935f8f.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074068; x=1712678868; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=bWfTYExjZQO34RJrZkqe44yOi6vKSi2t34VdthhBKts=;
 b=Hw1ixsoCF6sTc+VQHYSFzbk7/3vSqbKj6CFDd3q/pNqzDUAo++JMfxB6VBMVww6Wtv
 lH3hiRbM+fRJI6cJ7yweFOMM3ashoSnXdkgikhaHxRFNhsgSbq3wWkL2HXEzesuR58IB
 gnoakqR+YNuG56p33adyyorVi+KETOX8RzjoEJWftrEMAZchWWe1iEcP2lnNIdo8QioK
 Id3b6hG2pclp9HBtmuSNzpz3nazPvMFIEJDWBNih0nDLIZZEPj9G+A6aD7Xzwj6pnqKq
 ZTvf0sbFd6ts9Oym5a4JQH2VDiHONgeWrPNHaGqTMS07Mgzb0g72a+v6vxyZBjrAOQK6
 P3OA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074068; x=1712678868;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=bWfTYExjZQO34RJrZkqe44yOi6vKSi2t34VdthhBKts=;
 b=LG8L3fNiq4wfsKfzBEjNQNLwYPxFtI+pJcoV/E4VLlkYx0WT+GM0dPMqabJ5A3VdVm
 ci5IE3uRHm82NSTGHY0kMLi0rHK22yDzSoftFOHuTez06UpdZis7wSius/swmGARfQVf
 U2sWvVyW98N/xMT2CKAzE2tru9aqOlLogyZ0DeeVi6AQXVqJCEbvQZfBFALwumD9j+sP
 dwT02PogkQvPbY0JTWOQY4GnoShoGsmksBoVtzkuR+RQsKBksQ8kpJWmB+mCvWPpWc0n
 /k7U7mZ2uVrIio7Tdb5QAWFGtGppZ1825gPM+JWQSoRWDkeqtruR906v8cOsHAQ6C8It
 oNtA==
X-Gm-Message-State: AOJu0YzZC3tLxVrFtpZc+89Nl/gcRAZ/rdDpaNwE9Yc3BKFNxT1SMCDF
 kl5f/mCy9DSu6lAYm0h79aFdwZeOkBHZSybRdpXZkz5u804GsdtsCk4gNeypmobEd8BHBP5l1c/
 d
X-Google-Smtp-Source: AGHT+IEdmIf60Vpt0/I1iynTvdTMACJiwRHGKfE1UI1IXEDFwjkHd/yoHCwi4kWcMe57PolTl7cd3A==
X-Received: by 2002:adf:fc52:0:b0:343:679e:fb87 with SMTP id
 e18-20020adffc52000000b00343679efb87mr1911459wrs.44.1712074068295; 
 Tue, 02 Apr 2024 09:07:48 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:48 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 083/147] gnu: Add rust-wasmtime-wit-bindgen-18.
Date: Tue,  2 Apr 2024 18:04:35 +0200
Message-ID: <eeeaf24cbbf1fd85752903db40fd42fd84fe8e7e.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmtime-wit-bindgen-18): New
variable.

Change-Id: Ide5ecb9786d00faec886367b41acc8f0270a84de
---
 gnu/packages/crates-io.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 8c356f8b76..3bbfef0db0 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78687,6 +78687,30 @@ (define-public rust-wasmtime-types-18
 definitions for Cranelift.")
     (license license:asl2.0))) ;; With LLVM exception.
 
+(define-public rust-wasmtime-wit-bindgen-18
+  (package
+    (name "rust-wasmtime-wit-bindgen")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmtime-wit-bindgen" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "14lbk00251ix1kk5pdky8131ai5l3vhz1xk94s00fzm2h5kwgwps"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-anyhow" ,rust-anyhow-1)
+                       ("rust-heck" ,rust-heck-0.4)
+                       ("rust-indexmap" ,rust-indexmap-2)
+                       ("rust-wit-parser" ,rust-wit-parser-0.13))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "@acronym{WIT, WebAssembly Interface Type} support for wasmtime")
+    (description "This package provides an internal library of wasmtime to support
+ @acronym{WIT, WebAssembly Interface Type} files.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wast-201
   (package
     (name "rust-wast")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:53 2024
Received: from localhost ([127.0.0.1]:55509 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrghr-0006zS-Pz
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:53 -0400
Received: from mail-lj1-x232.google.com ([2a00:1450:4864:20::232]:48486)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgg3-0006ZO-LA
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:01 -0400
Received: by mail-lj1-x232.google.com with SMTP id
 38308e7fff4ca-2d80baf621eso36120661fa.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074069; x=1712678869; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=i8FljCxE8eyi5MKBTIv7Wtn1FzgpKWO8T9mMhv7ACvQ=;
 b=IEKqMQ6+xegvF8c4NHEAw70t3lSuz59aifHIX0vrZ40G1k3C9j9isKX0Utv4MXb6dJ
 RNGyEbySyvuGba95MLxikNZB+mKh3OO/9mb6TXMXw/gQykYNtbhGD1H+hQv2knl6E9dp
 UVtvkpW9+BGM2MzAlM9WNHNW6hlhGA+0uXMAwlbCzkAb55DWrdqmSE6Ao98NdU5Xitaq
 +gZ5sqvwI9bm1MBku0fviZDFzsl7ArVIs2WFEp9OHoSpF8WDGbUIl6qEVC/fZ2r1gZ3d
 C6Nw5goHgxzYcG0xgrczUtAfD7O7J7Px5mb5pIyruud7BA8hIAYYjrdLkhyHO0zFRO1e
 O6IA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074069; x=1712678869;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=i8FljCxE8eyi5MKBTIv7Wtn1FzgpKWO8T9mMhv7ACvQ=;
 b=WN57cPuOUrifRtojuKKiJxIgYwvMQqCFQDY5BSb12MIzUvNefrFH26Zdz+xNvXXkrg
 xD9C0I3Dht2RCM/FKbglNGQI8YRiYvWFBDGVr6ADm07E6bPexwkS+7i8Z8gLj+5tTJMX
 DVSkYrz15OMv4vacevhJVTj4KZowk63SBljNBXk35sioC3WKmz+EQE7S+0usrZEsqSiA
 8ufJc3pHLApdfMaSLE2mXXEcVR7R2If+3JWIS3dk5VCcox+rM4PYlM4p3RuIEqmwo7+k
 3VxOAQUWXF4JaZZ+KfvpdMjO9zV1soawRi1OKRd5Iv9Rs4MNdePzScAgXAcGGWnkP2YO
 qJDw==
X-Gm-Message-State: AOJu0YwkB4/R3VBEc8K2jiPFhIJDireT+j5eW7kMb/8kOBHtLyQcIFTH
 rA3pr2Dq69bZ53/7X20ILuaKqhtCFRJC5NC9BnW8LcyNb0vtIUPrbRD1lSltH/P+dAMCy8C5SLR
 m
X-Google-Smtp-Source: AGHT+IFZCYfFwdozBcOfwqVEKH6B2qvKFGqCMPDgSyo56UlldLl5DTW9DOAufURj9ryIZXmsUYwRTw==
X-Received: by 2002:a2e:b1c2:0:b0:2d6:c4ec:782 with SMTP id
 e2-20020a2eb1c2000000b002d6c4ec0782mr54232lja.49.1712074069259; 
 Tue, 02 Apr 2024 09:07:49 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.48
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:49 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 084/147] gnu: Add rust-wasmtime-component-macro-18.
Date: Tue,  2 Apr 2024 18:04:36 +0200
Message-ID: <526a1e729267d26155667a08e0df402417338e33.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmtime-component-macro-18): New
variable.

Change-Id: I1f4ec6c5023b198e518d82a0a90f255d04094ba0
---
 gnu/packages/crates-io.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 3bbfef0db0..c62d6fb6b4 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78623,6 +78623,34 @@ (define-public rust-wasmtime-component-util-18
 functions to support the component model in Wasmtime.")
     (license license:asl2.0))) ;; With the LLVM exception.
 
+(define-public rust-wasmtime-component-macro-18
+  (package
+    (name "rust-wasmtime-component-macro")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmtime-component-macro" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0xp3pmlzlk137h7y6dldnpjbcv7hk5if9h2jk1nfqr8mag08cdvx"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-anyhow" ,rust-anyhow-1)
+        ("rust-proc-macro2" ,rust-proc-macro2-1)
+        ("rust-quote" ,rust-quote-1)
+        ("rust-syn" ,rust-syn-2)
+        ("rust-wasmtime-component-util" ,rust-wasmtime-component-util-18)
+        ("rust-wasmtime-wit-bindgen" ,rust-wasmtime-wit-bindgen-18)
+        ("rust-wit-parser" ,rust-wit-parser-0.13))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Generate WebAssembly component interface")
+    (description "This package provides a library with procedural macros to
+generate WebAssembly component interface types from Rust types.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wasmtime-environ-18
   (package
     (name "rust-wasmtime-environ")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:51 2024
Received: from localhost ([127.0.0.1]:55507 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgho-0006z6-5y
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:51 -0400
Received: from mail-wr1-x436.google.com ([2a00:1450:4864:20::436]:43164)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfz-0006Ya-Rk
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:58 -0400
Received: by mail-wr1-x436.google.com with SMTP id
 ffacd0b85a97d-34379b447c3so6787f8f.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074066; x=1712678866; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=JI1a2+qdTLF1v36sPm4o3VSRy4I143vGCxwj24FGpbE=;
 b=RpVtTFfMNNF4Z/rW2aI16Mp5QrHvbRpSDoOExvqpTdRpTxcRJ5cIw0owUYnqFx2hEd
 86ovKgJZObcyGSaXVTbwHINNCx3nJRdXsFo3D0fCHSUAJwz4kwk77F57KRb8fQYCLGOT
 06wA2jKAzjZxQg7rUJGHw9WrLBb4NnT/hX1HVA123YBF7KY+vo3Xdo9GtbbipEEt14kw
 5TCPWX5KNW9HzVeXddetxd04Puxf4dUGb18vxSXy6FTJuVp+ip6WZkRYpEX9wKUpoELH
 nPlmRN+B2Tq9Y94uIe3Dpy+CWKwY1jKLKwg8pc6Ye0K72Y3A3QqAXsuRkSN64PaRI+ge
 Hhhw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074066; x=1712678866;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=JI1a2+qdTLF1v36sPm4o3VSRy4I143vGCxwj24FGpbE=;
 b=WuoBFJMPNJ3/aW40b/uF29T3WUvJ0c+2hUnp5UdEP5+PqblEQ942SHWLnD94z/cqEW
 AhECwJAc9zeVrnrhM0xSeOtXwCGzplekwvdLoE5t2td0CMoy6yDo3FCLmBzSQYqGpEpL
 wwjlgAfdU7GyXSSA9ZCyLV4s/dmh0VACmx1FIZThBhn6a9cddgb8GmXQFc/Aj85EjIFa
 BsloUDXQWPMlLQzryeNXZn8FvmWt3kKmjoPHAs+PB7mC3QqGl4/dDncVONDj78r8psst
 Bsr9XSXcHrIaVBCMgoywCCDRNmXhPyy4yW7/8RE1iDXhi/s5thKci2r4pDOp/xdYaD74
 1dCQ==
X-Gm-Message-State: AOJu0Yz67KWXW5onE8UsejJnww/PzmQZEejSnfLGqFIrRHZkYK8YXrJz
 5FCWP/EMLzVMw+wE9TsNZz21vFfjd18C2HcfWNWBDe3kfxJwZmt2lw8ucc7oFu47zInOFFEkDf7
 0
X-Google-Smtp-Source: AGHT+IEyQtUde36YBgb55gN/DISXHqyN7/FQtPkS4D2cte58n9VI8FtLsTRM6dsnM48X7Zb0RxmRqA==
X-Received: by 2002:a05:6000:223:b0:341:c739:5ec1 with SMTP id
 l3-20020a056000022300b00341c7395ec1mr10079014wrz.4.1712074066086; 
 Tue, 02 Apr 2024 09:07:46 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:45 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 081/147] gnu: Add rust-wasmtime-cache-18.
Date: Tue,  2 Apr 2024 18:04:33 +0200
Message-ID: <39860736f964c7904dec191b45534bcfa0274c55.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmtime-cache-18): New variable.

Change-Id: I0a373935c9cd3734c11e7ee9be992c962ec0bb12
---
 gnu/packages/crates-io.scm | 35 +++++++++++++++++++++++++++++++++--
 1 file changed, 33 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 5639de54e9..dd3cc7fc67 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78571,6 +78571,38 @@ (define-public rust-wasmprinter-0.2
 WebAssembly binary format to the text format.")
     (license license:asl2.0))) ;; With the LLVM exception.
 
+(define-public rust-wasmtime-cache-18
+  (package
+    (name "rust-wasmtime-cache")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmtime-cache" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0pgbnc5xmi3sar6plw250i97xy3k0kyqm8gfnczxaa6pf5520j9j"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-anyhow" ,rust-anyhow-1)
+                       ("rust-base64" ,rust-base64-0.21)
+                       ("rust-bincode" ,rust-bincode-1)
+                       ("rust-directories-next" ,rust-directories-next-2)
+                       ("rust-log" ,rust-log-0.4)
+                       ("rust-rustix" ,rust-rustix-0.38)
+                       ("rust-serde" ,rust-serde-1)
+                       ("rust-serde-derive" ,rust-serde-derive-1)
+                       ("rust-sha2" ,rust-sha2-0.10)
+                       ("rust-toml" ,rust-toml-0.5)
+                       ("rust-windows-sys" ,rust-windows-sys-0.52)
+                       ("rust-zstd" ,rust-zstd-0.11))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Automatic module caching with Wasmtime")
+    (description "This package provides a library for Wasmtime to
+automatically add modules to cache.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wasmtime-component-util-18
   (package
     (name "rust-wasmtime-component-util")
@@ -78679,8 +78711,7 @@ (define-public rust-wast-201
     (synopsis "Parsers for the WebAssembly Text formats WAT and WAST")
     (description "This package provides a library with customizable parsers
 for the WebAssembly Text formats WAT and WAST.")
-    ;; With LLVM exception.
-    (license license:asl2.0)))
+    (license license:asl2.0))) ;; With LLVM exception.
 
 (define-public rust-wast-35
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:48 2024
Received: from localhost ([127.0.0.1]:55505 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrghk-0006ya-8Q
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:48 -0400
Received: from mail-wm1-x32c.google.com ([2a00:1450:4864:20::32c]:49292)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgg0-0006Yo-U4
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:58 -0400
Received: by mail-wm1-x32c.google.com with SMTP id
 5b1f17b1804b1-41550858cabso25319725e9.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074067; x=1712678867; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=YkdfmTrSGnWT/TzZ+aAG+I4cg77Exku3HnR2nSow92E=;
 b=gmRImkPno01OxuaZBb7nA4xRtY7O81jbkY3pXF6VVsZoQ8ULYRspiltwhqKb+Td/3x
 Y8BLjkYIRC4gUOeFE1jhFoZMY/yDcQup0DL1BhiqkpDe94UPf2rlFgNb/PSPNcApqywI
 iuogHmCNIQdPQ1ZMEobLb8OrSARS/clpP2ydGF2nAd2pd8KrQs/swnL7Zz428DSrBnBR
 PRokLOTQGAXuVkiLgSUx1y2FN2SD690bZJLWR2busZCsO2Pp5kLJOHRr+79L+u8e09Ha
 21bEDcmOtK/aCslcYlHORiuDqpCnVyuKUN+oq21/1lim6lvfIAIAE4/6yW2RIUjKB4r5
 UTzQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074067; x=1712678867;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=YkdfmTrSGnWT/TzZ+aAG+I4cg77Exku3HnR2nSow92E=;
 b=gNR62DLMxPt0xKhMMxwD7FG2N1fXe1WhCuf+NfCzzcR4xyhmvCPpn6po9OEjP6bA4r
 k39REqTaH+Lla9IL3g+eHPaiLxODGRYzq0t7F7jb72E/oFs9moaTiHhW4hFW/DhcTZk7
 vNh3lXy6gE/0MsoWRTuJhLQ/FMcj4pdDhbvBZfQckab/vLBMhMWrow+2+92+tnGuCciJ
 0qbWy8jZ3lyIPZlKxOaIfx1mC2ZF1+HBKHIFzzqEdjnsCJOPpAiSUt6qJrl/BofovnoB
 N6W8uavc8ubJoZ8+nTfmmU8Ez7K+H8XWAwat3e4WSj+qVLHx66q5g7Y66RwLURANZk2r
 vhfQ==
X-Gm-Message-State: AOJu0YxRB3pV+2YxyIfh5przwMYPBkkqp5mWvwFud7W8fnfBQ395ao1c
 w0xrO/qpzn7l7Bo3Zp7WLsuze6KHsQeXeoG/NDmrNUXfBBxDvZoMoVdphMNibDccpcbLGWnMwC7
 8
X-Google-Smtp-Source: AGHT+IF6OpDFDhFd8BKaufKYiFGSGDCCijclO8fWgmmm8pBxInwhgH/L1ZYrPIueQLdkmT7e93xvgg==
X-Received: by 2002:adf:e7d0:0:b0:343:74c9:51a8 with SMTP id
 e16-20020adfe7d0000000b0034374c951a8mr128651wrn.68.1712074067183; 
 Tue, 02 Apr 2024 09:07:47 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.46
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:46 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 082/147] gnu: Add rust-wit-parser-0.13.
Date: Tue,  2 Apr 2024 18:04:34 +0200
Message-ID: <750e2f9aef90310e8c5099721d60777270559f50.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wit-parser-0.13): New variable.

Change-Id: I43403ff6c9c181cd4eaafd86e0afbfa0144b7c69
---
 gnu/packages/crates-io.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index dd3cc7fc67..8c356f8b76 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -79404,6 +79404,35 @@ (define-public rust-winnow-0.4
                        ("rust-memchr" ,rust-memchr-2)
                        ("rust-terminal-size" ,rust-terminal-size-0.2))))))
 
+(define-public rust-wit-parser-0.13
+  (package
+    (name "rust-wit-parser")
+    (version "0.13.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wit-parser" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "022yfbn0sldlglxsf4wcdw9xyifh50vvqf9wn2j5lpq0y2lkcsri"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-anyhow" ,rust-anyhow-1)
+                       ("rust-id-arena" ,rust-id-arena-2)
+                       ("rust-indexmap" ,rust-indexmap-2)
+                       ("rust-log" ,rust-log-0.4)
+                       ("rust-semver" ,rust-semver-1)
+                       ("rust-serde" ,rust-serde-1)
+                       ("rust-serde-derive" ,rust-serde-derive-1)
+                       ("rust-serde-json" ,rust-serde-json-1)
+                       ("rust-unicode-xid" ,rust-unicode-xid-0.2))))
+    (home-page "https://github.com/bytecodealliance/wasm-tools")
+    (synopsis "Parse @acronym{WIT, WebAssembly Interface Type} files")
+    (description "This package provides a library to parser and work with
+@acronym{WIT, WebAssembly Interface Type}.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wycheproof-0.5
   (package
     (name "rust-wycheproof")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:44 2024
Received: from localhost ([127.0.0.1]:55503 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrghi-0006yM-An
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:44 -0400
Received: from mail-wr1-x433.google.com ([2a00:1450:4864:20::433]:55369)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfy-0006Y9-Am
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:56 -0400
Received: by mail-wr1-x433.google.com with SMTP id
 ffacd0b85a97d-34100f4f9a2so3656641f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074064; x=1712678864; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=PeZrmYBiuBf/Q6mZCPlVXx5QkjAPadVEEZu9Saj9OBc=;
 b=ZOhUrpPwX/19VosMovVpndlfbEcElCxvcauSdaZkIBtZhGKZwoS6HTbM9+/XDTFnwG
 K5YGznUjJMMyiMCskX4nTSVe4p7lzFsviAK4uwHaJfYnlvzzJJhSaDtNOOq6+IsG2z/Q
 jbBEvbPf2upNn4vzOXrkBm3oKjPfLvHnoaj65CTM5KecX4eZT7iJUAE0W7V3IzuLrshL
 L4hiAf23K9h0FnW+ZOUO89FplQukgwjQmiUZBN9/Mz8Kmfi2/g2S4c1jYd2ItmuATBrU
 vsVkbBdR8dNTfx09S9qFfouA/YujG4VRpwGXh3lpUesmezYjMDBw7rzfN0d7n4+exjIP
 Y9Xg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074064; x=1712678864;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=PeZrmYBiuBf/Q6mZCPlVXx5QkjAPadVEEZu9Saj9OBc=;
 b=XQlwpIBG7ZpJGfbjAhvgWwrfgpQQM7/JpQfOb3LyxQIytV2wQzxAnp+A6qMU0rF4YB
 v6ARgseu1tCiEBfVYa7HreJXWIP78Q04rJGeldrkqKZ+wJ7bNnWzMEEYVWxvgbBaEX9t
 3nJPNTo/weGQop4BYVjxlRBn+8wLB9Ju3kaMWIMQnSWoz0kSEahtEy85Vh+9f3Bd/8wV
 D2y+QDEPP3y+QRYHEx7p8yHz+L5y60vtuFyeDzMwrsSJIBVgRfk8LqffhLsw2AhIiBMt
 9behE4jggS+ZfAjHWvMvdVG28e/xSbyoFMt4A6ciRTUdGPGqQZZs59IrY2624pai5uIX
 hqMg==
X-Gm-Message-State: AOJu0Yzf1k4SHxZN4L8wCzapq1gya1B0l/Zf/p7veWk+4TQ0RtMsw4Hn
 gHAOfXtWsount1M5Hz7Tbk7JzPI0yMmCnLTZuZLcW+1hihL34JxpOa/8ekHD0/KiE9dCFEtnlCx
 V
X-Google-Smtp-Source: AGHT+IH0DYIFwqlnwy4IwJoS1FxVgier59/nKTv4Oa0baoPhvPnlmXcN6yHLW+iEAqOHMNPRdwZABA==
X-Received: by 2002:a05:6000:1143:b0:33e:4d34:f40f with SMTP id
 d3-20020a056000114300b0033e4d34f40fmr8269904wrx.46.1712074064554; 
 Tue, 02 Apr 2024 09:07:44 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.44
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:44 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 080/147] gnu: Add rust-fxprof-processed-profile-0.6.
Date: Tue,  2 Apr 2024 18:04:32 +0200
Message-ID: <c303558f703c695f3ad0db2819e9abfb3fe378f6.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-fxprof-processed-profile-0.6): New
variable.

Change-Id: Ic227680fdb09d6e015d221dbd4c70f59e815fd1d
---
 gnu/packages/crates-io.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 99ff1c153c..5639de54e9 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -26458,6 +26458,31 @@ (define-public rust-fxhash-0.2
 derived from an internal hasher used in FireFox and Rustc.")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-fxprof-processed-profile-0.6
+  (package
+    (name "rust-fxprof-processed-profile")
+    (version "0.6.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fxprof-processed-profile" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1ggsn3im2bfcnxic0jzk00qgiacfrg2as6i4d8kj87kzxl52rl97"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-bitflags" ,rust-bitflags-2)
+                       ("rust-debugid" ,rust-debugid-0.8)
+                       ("rust-fxhash" ,rust-fxhash-0.2)
+                       ("rust-serde" ,rust-serde-1)
+                       ("rust-serde-json" ,rust-serde-json-1))))
+    (home-page "https://github.com/mstange/samply/")
+    (synopsis "Create profiles in the Firefox Profiler's processed format")
+    (description "This package provides a library to create profiles in the
+Firefox Profiler's processed profile JSON format.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-gag-0.1
   (package
     (name "rust-gag")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:42 2024
Received: from localhost ([127.0.0.1]:55501 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrghg-0006yC-DK
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:42 -0400
Received: from mail-wr1-x42a.google.com ([2a00:1450:4864:20::42a]:49269)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfx-0006Y6-Dd
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:55 -0400
Received: by mail-wr1-x42a.google.com with SMTP id
 ffacd0b85a97d-34372e3db28so444350f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074064; x=1712678864; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=Jzi4wLYJgT02h6owWFjaK+/TFsuhhjn6/oVzseSM6MI=;
 b=Agj9pmwVo5Q6cs5zw/f/RWNADWYr4uyK1OmLr84Ku5qKRtrduDrxPvUSYyF+UpEEFp
 ag0wMOD2jIS5/u7TPpNRhUQBOhE3hKXZoofj3OtysXAivhBqp8SvyDUR8cQOnrmirPgk
 e/FM+mJCrnDpHe0FiUeSGQdi65cm9iZM76EFHPkTWyvfM77s8bHZ2104ZAK0eICkDBfL
 rLYDlvRq8aJ7Pfc3ZakBIDYvznBaHYYUrYHzKNaVAhhe84AXHqRVpV/N5v8NdxVJ6cxm
 GseU9DwY2hpBK9BYA0w0zjQYmpL77kWlsRKj2IjdugLdUTicOYUKdAEdtGxUVAzboK/n
 BZPQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074064; x=1712678864;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=Jzi4wLYJgT02h6owWFjaK+/TFsuhhjn6/oVzseSM6MI=;
 b=mJxddivtzisWdWVvViADQzRA+SXdVFEQjmq0s6j2BR3dgNTmdoGkvNUkiCX53rKRAo
 b0f4oDZESi4HaMLrwQkDaanXfKEI6IW5RAwJzFgSa/LMMzyXOaWFQkDsxlGAfzZcLV6t
 Ih83RFFnsNT73K9obswqhWLmSYLIVeLawA20mAWAiXmXKZFwMFu+FQ5eqAIGE/2B1Hpk
 8bqh6A3hh+9NE0zlz9FFCOxgftU90e305F8cexI2b1+8Xc7nJseMqbc3NYUu7cPNI+aX
 UAGzIYgOlqVZnVpBvDetQ+HgKlzii2nFKZLh+2MtZ1R3umYQDLorm+pc9Ulf8BWFVIKD
 BmZg==
X-Gm-Message-State: AOJu0YwI0zhrip8C7ft6GooHRvpMDxkmjra1LL+ypwW9CemuQf1rgdR0
 ynYOlhU2M+GVHTnvOWrXJoVhXe6ll2Ti4xKVo8E5zQpZ8fQZ95PwMed8s/BxV2S8iLlKxvXEUVy
 W
X-Google-Smtp-Source: AGHT+IEysC+pUDQPHHu4exLcfNu4TJTrDlpoMtt/wPxuzvWhzwQZ/yVFwnkIHG9QQpErb8y/RtJX0A==
X-Received: by 2002:adf:f188:0:b0:343:80d5:1cd4 with SMTP id
 h8-20020adff188000000b0034380d51cd4mr113100wro.66.1712074062900; 
 Tue, 02 Apr 2024 09:07:42 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.42
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:42 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 079/147] gnu: Add rust-addr2line-0.21.
Date: Tue,  2 Apr 2024 18:04:31 +0200
Message-ID: <05f3be96f0f8fe65b9551d37c3fb2d7b3ed1dfa5.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-addr2line-0.21): New variable.
(rust-addr2line-0.19): Inherit from rust-addr2line-0.21.

Change-Id: I654868196635ab06e42483224d3f05c189c611f5
---
 gnu/packages/crates-io.scm | 41 ++++++++++++++++++++++++++++++--------
 1 file changed, 33 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index a4bb79b03f..99ff1c153c 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -449,8 +449,40 @@ (define-public rust-adblock-0.5
         ("rust-sha2" ,rust-sha2-0.9)
         ("rust-tokio" ,rust-tokio-1))))))
 
+(define-public rust-addr2line-0.21
+  (package
+    (name "rust-addr2line")
+    (version "0.21.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "addr2line" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1jx0k3iwyqr8klqbzk6kjvr496yd94aspis10vwsj5wy7gib4c4a"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-compiler-builtins" ,rust-compiler-builtins-0.1)
+                       ("rust-cpp-demangle" ,rust-cpp-demangle-0.4)
+                       ("rust-fallible-iterator" ,rust-fallible-iterator-0.3)
+                       ("rust-gimli" ,rust-gimli-0.28)
+                       ("rust-memmap2" ,rust-memmap2-0.5)
+                       ("rust-object" ,rust-object-0.32)
+                       ("rust-rustc-demangle" ,rust-rustc-demangle-0.1)
+                       ("rust-rustc-std-workspace-alloc" ,rust-rustc-std-workspace-alloc-1)
+                       ("rust-rustc-std-workspace-core" ,rust-rustc-std-workspace-core-1)
+                       ("rust-smallvec" ,rust-smallvec-1))))
+    (home-page "https://github.com/gimli-rs/addr2line")
+    (synopsis "Symbolication library written in Rust, using gimli")
+    (description
+     "This package provides a cross-platform symbolication library written in
+Rust, using gimli.")
+    (license (list license:asl2.0 license:expat))))
+
 (define-public rust-addr2line-0.19
   (package
+    (inherit rust-addr2line-0.21)
     (name "rust-addr2line")
     (version "0.19.0")
     (source (origin
@@ -460,7 +492,6 @@ (define-public rust-addr2line-0.19
               (sha256
                (base32
                 "15ywmr5wx22q69ffnn79qp65ir5p1x0k2q06plcpv6v74c5xcvx7"))))
-    (build-system cargo-build-system)
     (arguments
      `(#:tests? #f      ; use of undeclared crate or module `auxiliary`
        #:cargo-inputs
@@ -479,13 +510,7 @@ (define-public rust-addr2line-0.19
         ("rust-findshlibs" ,rust-findshlibs-0.10)
         ("rust-memmap2" ,rust-memmap2-0.5)
         ("rust-rustc-test" ,rust-rustc-test-0.3)
-        ("rust-typed-arena" ,rust-typed-arena-2))))
-    (home-page "https://github.com/gimli-rs/addr2line")
-    (synopsis "Symbolication library written in Rust, using gimli")
-    (description
-     "This package provides a cross-platform symbolication library written in
-Rust, using gimli.")
-    (license (list license:asl2.0 license:expat))))
+        ("rust-typed-arena" ,rust-typed-arena-2))))))
 
 (define-public rust-addchain-0.2
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:40 2024
Received: from localhost ([127.0.0.1]:55499 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrghc-0006xX-OE
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:40 -0400
Received: from mail-wr1-x433.google.com ([2a00:1450:4864:20::433]:43513)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfv-0006XZ-LL
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:53 -0400
Received: by mail-wr1-x433.google.com with SMTP id
 ffacd0b85a97d-3436b096690so611106f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074062; x=1712678862; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=v7g1+pquBOQL4D0WgVPHRiQ9/Xpg0w6RhO/QaY6dNuQ=;
 b=VpbOW/1DSIFZY0TjYSsSkvrtqBleIELnMfNwZLZbT1h86hS964Nq0f+dvb0ocwBytQ
 jnzKFtSqVDvjgz8CGZCYNxuAsxRky6g7hcLpZWJSCOcW4GbWOZrj7xh5V/wRje3YCmvx
 cL6/apEMBkEy8pGHXaVfNd1hLBxPGP4B8XsX7O2c0eWpZ9kFr+00prWVqeoHWaQuUdly
 aqVbwtYCdmdTF1CI+h3ELo5dZxEC1QxaUvFa9gc5wXqHmg+xKuIT/+k7abug56449bDp
 RUgqI8k5+R6y4o9q3j1LTG0V4Odl83Q8w2tLTYd+V38n/zzN1XlPPwJNC2JnxmYCDIaa
 Udpg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074062; x=1712678862;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=v7g1+pquBOQL4D0WgVPHRiQ9/Xpg0w6RhO/QaY6dNuQ=;
 b=r6CNTCpqJBSy2S8Y1Hwfda55sDckQK9amyxC/oG9Vwkd97pBxA5fZJGT315XKrek0Q
 l844l+B7Ko+xkZFJ1Nual/qGfZR3PYvRtBUKnkbswE8FiZwHVu6/8GVp3QorjGnVNsip
 cNypiD24S1PAUEUU76r3xbjbdmagvKYAIQ9ghEWLtk7bmXZ8NDl2jCuHi8nGjQeiPkmB
 9Lvro/nPqDksFM4LoKfgWD971S2MUj9ipOMNBH6awOZcvRxTvSBNwNjYj1EYP5WYGQRA
 G2CnTbiqvox4oTeKXkRJJLMQOhxsY7h9XKWUszaSYK10QQW6qnbvLQHcNFXlalLlHPQo
 0NTg==
X-Gm-Message-State: AOJu0YzNQa4yhnI+s49u8XzlnGPjybwZ3zTLt4L6Hoa9az3bi51Fb5+H
 5FcAvgGcfn07dNoY7UzUc7xW80u4XRacK6aezcxuqw1mGE0VA/rmMVM/XHtsicD82w9TWvrqygL
 9
X-Google-Smtp-Source: AGHT+IGTNduSTx4ulz7dL/cE/kUZjJZOfLMwaGkwq7IF8YTzGiHHbyl7xacUru9H8iBUwbfLIi7G8Q==
X-Received: by 2002:a5d:53cc:0:b0:343:7573:84d3 with SMTP id
 a12-20020a5d53cc000000b00343757384d3mr1370514wrw.5.1712074061894; 
 Tue, 02 Apr 2024 09:07:41 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:41 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 078/147] gnu: Add rust-winch-codegen-0.16.
Date: Tue,  2 Apr 2024 18:04:30 +0200
Message-ID: <4d57b143ec309813df8a87b086621625dc5f5a80.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-winch-codegen-0.16): New variable.

Change-Id: I9da132e13d915a00c4014df9b5edd0448911aeea
---
 gnu/packages/crates-io.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index e666c2446a..a4bb79b03f 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -79226,6 +79226,36 @@ (define-public rust-wild-2
 command-line, uniformly on all platforms")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-winch-codegen-0.16
+  (package
+    (name "rust-winch-codegen")
+    (version "0.16.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "winch-codegen" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0wf3p4yfv5yl5fjn9rs29lqnzsq110gcxl3mshjrbmn8rbbd82qy"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-anyhow" ,rust-anyhow-1)
+        ("rust-cranelift-codegen" ,rust-cranelift-codegen-0.105)
+        ("rust-gimli" ,rust-gimli-0.28)
+        ("rust-regalloc2" ,rust-regalloc2-0.9)
+        ("rust-smallvec" ,rust-smallvec-1)
+        ("rust-target-lexicon" ,rust-target-lexicon-0.12)
+        ("rust-wasmparser" ,rust-wasmparser-0.121)
+        ("rust-wasmtime-environ" ,rust-wasmtime-environ-18))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Code generation library")
+    (description "This package provides Winch, a code generation library
+used by the Wasmtime WebAssmebly runtime.")
+    ;; With LLVM exception.
+    (license license:asl2.0)))
+
 (define-public rust-winnow-0.6
   (package
     (name "rust-winnow")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:36 2024
Received: from localhost ([127.0.0.1]:55497 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgha-0006xO-L5
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:36 -0400
Received: from mail-wr1-x42b.google.com ([2a00:1450:4864:20::42b]:52692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfu-0006XL-Iv
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:52 -0400
Received: by mail-wr1-x42b.google.com with SMTP id
 ffacd0b85a97d-34356f794a5so1185956f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074061; x=1712678861; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=JiL8nDmhrnfpZEKFB7v3qU0TdQBq32SYBtkeUl1lvw4=;
 b=GCU4bPxg/YRsJJLetiaA+Vkls0M2/o/LMBG26/s8euybdvRozH7r5ya5/ylhv+9SM1
 udKGxEdt2iitG6xSh4JPOewC+IYVXc0x22eGO5UY5UkvRoRB/tHZ5WUKYz8cjMuMWaJA
 DCc7NovN0me5dIHx0shW/ZWMGVRnsMOpheTGW4BAzEUk85iWPBvIX0DRJX5e39ci0i8f
 4rSoxJbWDU0gliu4xHFE5xvLTF2CncPSxKRbhPS8pxZ1rhrdS5Klj6Cl7qI5kdGgex2Z
 h42kA1fCgWPbcjQzfs+1ve02hwgon3TivWJD3amM6hxHAGi8XcGfhX8PoA/Gml2RHhSU
 eH/Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074061; x=1712678861;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=JiL8nDmhrnfpZEKFB7v3qU0TdQBq32SYBtkeUl1lvw4=;
 b=DlSZRT7mIijzn78mkNzZxCokzTW7VJt6wTRa65P38xdhQG3FNLJth23O//KBphcunq
 Zg/xdbbqb61Gbe6PVHi52Kv0D+L66uB7I+vfpeL+5NarjL/EdQUbvxTVyqfVW09qX0Y/
 SRAlD2gPlqvKBEFhwn8L/OyFmvpQNZwIGU6WCD4PX20V9u6EsqVHvOjMCPacTfyX+xo2
 Ss/g+fHk5oCxXSBTdcDH9pvOUkxvquOzMiaeabN6Sa3TveJnHESbFZSyGgZZzexCJdFP
 6xS9LveCw18HINMB8r91lQf1GRQg510HRhOY8HaYjaBStFZAfb8qihFQHYbf0iy06ef+
 4cIA==
X-Gm-Message-State: AOJu0YzLsk51B4gS32L5nIVoI8PaCFHeogH8kEVqj7+cowAIUm7jxdJe
 Z4a6t3fJxnA15QFCL5qKYcq6E2rDCb/rTjJ05aJXS6yge0eRFwA0uSvKIvYYjZFIFUgikvqEf4d
 y
X-Google-Smtp-Source: AGHT+IFOjPScCMNnbbE15BGG0dwJANypcPtlQL+qR62CKbjVUcdFmqChzsmCsDkVP+K0h1WFWCHy7w==
X-Received: by 2002:a5d:40c4:0:b0:343:7653:ad14 with SMTP id
 b4-20020a5d40c4000000b003437653ad14mr1387998wrq.30.1712074060923; 
 Tue, 02 Apr 2024 09:07:40 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.40
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:40 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 077/147] gnu: Add rust-wasmtime-environ-18.
Date: Tue,  2 Apr 2024 18:04:29 +0200
Message-ID: <77d4774e26a5ae177d0f11a9fb1e0cfbef5e44d8.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmtime-environ-18): New variable.

Change-Id: I903d0d11c74e17fd6a92a2b617bbc5241e38045b
---
 gnu/packages/crates-io.scm | 39 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index a01c699bc1..e666c2446a 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78541,6 +78541,45 @@ (define-public rust-wasmtime-component-util-18
 functions to support the component model in Wasmtime.")
     (license license:asl2.0))) ;; With the LLVM exception.
 
+(define-public rust-wasmtime-environ-18
+  (package
+    (name "rust-wasmtime-environ")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmtime-environ" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "012a0yzxrgz65xc9sxg590byimw9r5ghmafqa0ai8n2k008day9j"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-anyhow" ,rust-anyhow-1)
+        ("rust-bincode" ,rust-bincode-1)
+        ("rust-cpp-demangle" ,rust-cpp-demangle-0.3)
+        ("rust-cranelift-entity" ,rust-cranelift-entity-0.105)
+        ("rust-gimli" ,rust-gimli-0.28)
+        ("rust-indexmap" ,rust-indexmap-2)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-object" ,rust-object-0.32)
+        ("rust-rustc-demangle" ,rust-rustc-demangle-0.1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-target-lexicon" ,rust-target-lexicon-0.12)
+        ("rust-thiserror" ,rust-thiserror-1)
+        ("rust-wasm-encoder" ,rust-wasm-encoder-0.41)
+        ("rust-wasmparser" ,rust-wasmparser-0.121)
+        ("rust-wasmprinter" ,rust-wasmprinter-0.2)
+        ("rust-wasmtime-component-util" ,rust-wasmtime-component-util-18)
+        ("rust-wasmtime-types" ,rust-wasmtime-types-18))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "WebAsssembly environment support code in Cranelift")
+    (description "This package provides a library used in Cranelift to manage
+WebAssembly environment.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wasmtime-types-18
   (package
     (name "rust-wasmtime-types")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:34 2024
Received: from localhost ([127.0.0.1]:55495 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrghY-0006xB-PW
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:34 -0400
Received: from mail-wm1-x333.google.com ([2a00:1450:4864:20::333]:53721)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgft-0006XJ-MI
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:51 -0400
Received: by mail-wm1-x333.google.com with SMTP id
 5b1f17b1804b1-415523d9824so34806245e9.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074060; x=1712678860; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=/Vrv6VgnAS/fNDNz4jeQ4sQmzNKbpsA5/vewyWkZhJ8=;
 b=h+jljG8r8wrWQ5GeE1Nzw627sdsbWjwxJxeCOytSWioD9Go8GT2+Ga+actmhCm2lPZ
 n/kTPGABVvQXsz6RFncBO8+Y71O+HzycZLXpBKCfDUZhMUeEhJLC2f6jK00PqXhc8TvC
 SXSza/oMKtvKHfXUh1rlHUb5NGzaTDrWRgyNjwS+hAs2Vbjz/sUrsQ4RH0EvvURld1rc
 RGC36zJUYIgZwNGCCA9nRv0CqpVAYHaay/8P/S+37XgPL9pu2uABg2wLoKWShvSpF9hN
 fTpseGq++hK6arCKTIsCBdPfHs+7UL7GLjXxudQt/jZu0S8m5o70LJ4YrVBqh46H1QJM
 z+bg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074060; x=1712678860;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=/Vrv6VgnAS/fNDNz4jeQ4sQmzNKbpsA5/vewyWkZhJ8=;
 b=YRCq7blDdzP90UCg2s3Gg8VzaITvw7Vt3mU7ilWTIweLCxh0rtEa2E6CxZQzSpXnwU
 koPmd1AexxkQnWKYe06NABB6TUbxMJXG0GbEoGtw0Bf9mW1DAlDoPgv7BM/8KXv0P30X
 vITn6+TmJOyQVnTWFbuqRl0Db0XleE8CWF0abX6ZSpYmyOwQO0sRqAAdrTCzzSFmKaXh
 16H7RHPJUkOYP4cUXuWkV2pHDWn+HygYGCplhYjs2wwJy1wCY03Bqcwf81e+3xVr4VP0
 zJcm4lgNCsMJR/9BwthM49PTs13frCzY+ydf5gldnAbBjf+j+aLb/qqTMq0ArhJXsVWv
 GVRg==
X-Gm-Message-State: AOJu0YwmekIcKu+m7eHCfc+ylFZzuq4iZ+ZTswyt0o8RikxIpmck1qYn
 6pqz5rnK2TcUiiKxCVI3kTpOEPOzYAtAdaYEkQHeFczOWtJaV4d1mZ02ewhAUqu3nDr1BVJR0yZ
 z
X-Google-Smtp-Source: AGHT+IHdXYPwtmecimfgrW5LiQ/EM7Gb0FpBL2fiArYVB3yiRsrK1bTQ129qRGdJXOHqMmp/FnLkuw==
X-Received: by 2002:adf:eec7:0:b0:343:3e4e:2f8 with SMTP id
 a7-20020adfeec7000000b003433e4e02f8mr1763800wrp.2.1712074059989; 
 Tue, 02 Apr 2024 09:07:39 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:39 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 076/147] gnu: Add rust-wasmtime-types-18.
Date: Tue,  2 Apr 2024 18:04:28 +0200
Message-ID: <550c1c523a3c40e7e9913ba5e4a4527ff909e601.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmtime-types-18): New variable.

Change-Id: I5c32b91bf73d0a42bf0d35aa18320bb5f144554c
---
 gnu/packages/crates-io.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 92230a1dbc..a01c699bc1 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78541,6 +78541,31 @@ (define-public rust-wasmtime-component-util-18
 functions to support the component model in Wasmtime.")
     (license license:asl2.0))) ;; With the LLVM exception.
 
+(define-public rust-wasmtime-types-18
+  (package
+    (name "rust-wasmtime-types")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmtime-types" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "02if112fdf6ap6vnvglbi23crzbp0ixzjsrgrdpy1gi7v35pf8zk"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-cranelift-entity" ,rust-cranelift-entity-0.105)
+                       ("rust-serde" ,rust-serde-1)
+                       ("rust-serde-derive" ,rust-serde-derive-1)
+                       ("rust-thiserror" ,rust-thiserror-1)
+                       ("rust-wasmparser" ,rust-wasmparser-0.121))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "WebAssembly type definitions for Cranelift")
+    (description "This package provides a library with WebAssembly type
+definitions for Cranelift.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-wast-201
   (package
     (name "rust-wast")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:32 2024
Received: from localhost ([127.0.0.1]:55493 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrghW-0006wn-RF
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:32 -0400
Received: from mail-wr1-x42a.google.com ([2a00:1450:4864:20::42a]:59635)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfs-0006XC-OP
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:50 -0400
Received: by mail-wr1-x42a.google.com with SMTP id
 ffacd0b85a97d-343719ce021so344486f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074059; x=1712678859; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=UL3Uvq5f5tUZ10e6stFwcJx0QKiE975xw48hEL8/AoU=;
 b=ruT1knQGzAu2q8olapapUCthQGjzyKkX8HqIU2RHsWTJBdKQxBy9Q85RG5wVjMtaUj
 xDACBVZT2NkwDQd4/7GF2rZ/o3WZDy4eWnRspA3YWgE6swsR1vEp38rw4sio+16RcUDD
 bASTw/uJ10K4oIY9/jOHRp/RiQI19FJkKD6z5N838qrokk3aMX9yrhVv/d14a0ib9va+
 E8re9VavIPQac6UQTKZePle6JrNAw2L8Q1p6U8WHyVAaVwdKrNSLc+QRQoYLoUYUQFmS
 FxQ03kLe0AObtZc/JDUq+SX2zAph3hk0Rcfc+WR0SVI34pfX5ABJKExDYGGM9CiV8En2
 EuHQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074059; x=1712678859;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=UL3Uvq5f5tUZ10e6stFwcJx0QKiE975xw48hEL8/AoU=;
 b=gmvKjd67HeUy4jE7RTfRYXAXpBSFmY1pUf73s/Q8fkj6R6cuVHQcsyxvTL5V1xIsjd
 wZDdRk2dYLWzNuqYBwgPG7KbZSFcV2ZW6WHCwugd0e9fQimqUKhNg3gyXLLAqEnjqac6
 uWjzZjebjnqu/YKQARMM7vRA7pukmQ4c1SUFi1wG9ULvFKCyOjQgNl5df6Zlv9rNGy9A
 mj3QdeKKfvjIi4kPkii4O+EELBzZAe8Z/7UkCBHS8AG2undCvrkEQ3IVp1KsqdYXJEz8
 IhVV/wLgA2WkPUF/acq8/agY5dOND4c0Lnst/ylJHgDUnVLWj0HSEDuw4AZex2eoXtw0
 xslw==
X-Gm-Message-State: AOJu0YyYnoszN7bVKevSseRAipLMkK74Cy8iqFjOvMYiSmk7ObpHRJ4K
 DrNjIgHza3lIkSwzA8HUmgUPfZLqJrpl0cuiCTcFCrAlusRt17TklCDVuF7RgOQQPti2+3+MyI6
 /
X-Google-Smtp-Source: AGHT+IHE7WCyAhJ2JGMwbfeA+d8d5ka7e6fXWaU+6Dy6lKsCyUIO2+Zw1G1+ywt75DBcpeo0BdOY0g==
X-Received: by 2002:a05:6000:1548:b0:343:44d2:3828 with SMTP id
 8-20020a056000154800b0034344d23828mr8640617wry.16.1712074059030; 
 Tue, 02 Apr 2024 09:07:39 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:38 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 075/147] gnu: Add rust-wasmtime-component-util-18.
Date: Tue,  2 Apr 2024 18:04:27 +0200
Message-ID: <efc84ef035b82e9c3d0453c4aae5ecb22b8e5b25.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmtime-component-util-18): New
variable.

Change-Id: I361b38cfb2a5d08549a2d4fea0d7f51b50386984
---
 gnu/packages/crates-io.scm | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index bb9f658c6b..92230a1dbc 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78521,6 +78521,26 @@ (define-public rust-wasmprinter-0.2
 WebAssembly binary format to the text format.")
     (license license:asl2.0))) ;; With the LLVM exception.
 
+(define-public rust-wasmtime-component-util-18
+  (package
+    (name "rust-wasmtime-component-util")
+    (version "18.0.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmtime-component-util" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0xr7ypmva710b4yrply4g84262hj431kpa0djnry0zh2k3nf5sl1"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Support code for the WebAssembly component model in Wasmtime")
+    (description "This package provides a library with utility types and
+functions to support the component model in Wasmtime.")
+    (license license:asl2.0))) ;; With the LLVM exception.
+
 (define-public rust-wast-201
   (package
     (name "rust-wast")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:30 2024
Received: from localhost ([127.0.0.1]:55491 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrghU-0006wL-TE
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:30 -0400
Received: from mail-lj1-x230.google.com ([2a00:1450:4864:20::230]:55399)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfr-0006Ws-PH
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:49 -0400
Received: by mail-lj1-x230.google.com with SMTP id
 38308e7fff4ca-2d6fc3adaacso75991401fa.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074057; x=1712678857; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=Xm92OYE+m8JvnFUsbZVpECIRyu/hKo7tvoujAwR9+aY=;
 b=d2lJda7lwXxm3G4RnluA3rhacAmDPHQQ/WCxIwxKkpAn70+Z6CXn6gFHMAiCwSOx4U
 V/zoG5DiPBPWwmlx9Dt1bVM7K7gl1zuqTG5g4XaqTu0gmJ2GkHJKDhQ8aEKiHtppMBwP
 1LRS4qab9wRiEKPJDEHY0mHG1nP2NobR17xnlYndf+m5OsU15FrMPg9Msoi6MdH4wTch
 bpc6+tauRAfoHU4P3ueM5FwG8N+kIghQa835bwLOmQAnK+gsFyGvTiI/enCSZ0ObF9Zb
 +BVp1k80gGFVQuwVtKlkHWcNnPlfbeXaRP+7Z1Ch/HYDVs8sCiLdhY3izTnWAj/Fq8zj
 x6Tw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074057; x=1712678857;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=Xm92OYE+m8JvnFUsbZVpECIRyu/hKo7tvoujAwR9+aY=;
 b=AceQnaAQc79Vurz9H5iMkGWuX+ECH/K29NwIExT0jhCyhxYiVLUT3SjUfw3gyFRUad
 ryLooKboI1g3Y4PBIIBiLQZvKqpyWLGO6ag8+zRB14IJEJs0LP9J4YOgjz1ujxVSQ6Om
 nIm4qf5Gnij8EJ7CQtWjx9dha3FZd/Xji006ZjiqQXdH4XWnqM+hqJ4POwkVEpp6YKd2
 qwwPk/tUEaa7z+weHnhWLwzrRZ5ktos5+WGaH2+iPFFp3ugsww2lpkjAup2Oso060Oqc
 QPxmK406CKTYbYnJ6XqDZoyyk030cawDJT6vBDIi/basbRR2oO/R1b+z9IA/c9ratlvt
 54ug==
X-Gm-Message-State: AOJu0Yyzmt5kS0+5+oZ+mo3c4HSOjLuXSfrrc/KC5cwFg8UWPZtqPc8C
 kSVlIIoJ7v8RkY/B2+QUe4UiiRGewWN6GmvCRlHGKvRzgac/3KQOllT1NnPM6mqQUgL75wBRfpt
 h
X-Google-Smtp-Source: AGHT+IGzM3xBJ6U0oWlmn32M4rbmOHDk6KYj2d7Kj4ZRB9ic3E041IViNYhe8mk8igIXDtY0SnKlvw==
X-Received: by 2002:a2e:8305:0:b0:2d3:3305:c373 with SMTP id
 a5-20020a2e8305000000b002d33305c373mr6907808ljh.3.1712074057567; 
 Tue, 02 Apr 2024 09:07:37 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:37 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 074/147] gnu: Add rust-wasmprinter-0.2.
Date: Tue,  2 Apr 2024 18:04:26 +0200
Message-ID: <3d2fe7f1a29f16394be94c1b36e3fe2a0e9529d0.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmprinter-0.2): New variable.

Change-Id: I3f3004199f299c2a098eeecb3a920a27de24ba26
---
 gnu/packages/crates-io.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 266db6f68b..bb9f658c6b 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78499,6 +78499,27 @@ (define-public rust-wasmparser-0.57
         (base32 "19kslk9pv1bcyp85w63dn1adbp13kz7kjha80abnwz27bmbxvz9j"))))
     (arguments `(#:skip-build? #t))))
 
+(define-public rust-wasmprinter-0.2
+  (package
+    (name "rust-wasmprinter")
+    (version "0.2.80")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmprinter" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1dw8559vdz6g8864rg4ggi88cm0kf7mygyavgkdzxzdpls33krv0"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-anyhow" ,rust-anyhow-1)
+                       ("rust-wasmparser" ,rust-wasmparser-0.121))))
+    (home-page "https://github.com/bytecodealliance/wasm-tools")
+    (synopsis "Convert from WebAssembly binary to text format")
+    (description "This package provides a library to convert from the
+WebAssembly binary format to the text format.")
+    (license license:asl2.0))) ;; With the LLVM exception.
 
 (define-public rust-wast-201
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:28 2024
Received: from localhost ([127.0.0.1]:55489 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrghT-0006w0-0H
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:28 -0400
Received: from mail-wm1-x332.google.com ([2a00:1450:4864:20::332]:45154)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfq-0006WW-6E
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:48 -0400
Received: by mail-wm1-x332.google.com with SMTP id
 5b1f17b1804b1-415db53d905so7451585e9.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074056; x=1712678856; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=XIBeCL5xiQ763+7Z9AK3tmTmWf0cvrX1/YGYUpISb2E=;
 b=LgtBSM0hraP4rUpd3aLdlbCYpCzzUEuYk8boZwyQJa54b19M79vPZGkfpm0U6I7Xyv
 8+MxF8kyKUsmL996GpFVon835rza/dsHDjIYCzvgReOGfAd6hIGBLxNgmWnFf/DRFIp+
 udkw+OgPkOARoIMVHPh3MU5gzOXHKz7jrBzV4Gk/QkJF5GEo9yWA9Rn1WCsgXQBPJTNm
 6Kd4CSCicNi6vdvBYGAT6QyYwNRmdCG55ijvIoU87w9gUS3kX0BJhiiD2ul/jYDPkr3t
 KIb8VfjV37YB1sUDt8DgTtHJL6eD27u4Z8Grfy7sDmFPeBqTGbRTnpCxg0upoqhFA67n
 4ESg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074056; x=1712678856;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=XIBeCL5xiQ763+7Z9AK3tmTmWf0cvrX1/YGYUpISb2E=;
 b=wJXbDIUCrtSclpYwN17F78YIFBFC3qDXE6SugCldAJq1J+hDF9VrQlFPJrCJeehAuB
 w/iyJmjDx0jvqt7AHCohseONOnxDywEMQC527V7y4Gcg4BI4dGBQN+p75Z8x8kChkznW
 m2Sh6DTnJnrwGlMwahlY7lhtZ/n44DZ3xhF22wruP/Q74aq7HODu3Ckw1xg96DxtJ7rb
 3JfQRp5T01+OrtDlvGw+udZxsk/QATmcIHeBBuzgZAzXiKyHZHJLQF8eQGViwlfvAWqA
 e89S68WL441Jt2US0LoG86Zz2pWogCSAn+BX89ry4Q9L91vKfzewhbEhxkH/DMWq4UmM
 Oz0A==
X-Gm-Message-State: AOJu0Yzvx9/2wQ4qrw7HhY2QKDXSnM08qLMJdVoZzCqRtCKQAQ+STtk5
 PvXCXWvIVtOK3wLhfNEK7pNHZDb+gB43ZXAGuHajtqi5wD8AaG4SxEBAUybK2i/EK2vOtM+h5Jl
 5
X-Google-Smtp-Source: AGHT+IGBYwRqzhqthslsTeRdWiFxtkVeH6NZR/4ImVYU+00jKBxVtDJyfRWeLCCdOhI9SDrfngk13w==
X-Received: by 2002:adf:a397:0:b0:33e:bfb8:732c with SMTP id
 l23-20020adfa397000000b0033ebfb8732cmr8884105wrb.64.1712074056455; 
 Tue, 02 Apr 2024 09:07:36 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.35
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:36 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 073/147] gnu: Add rust-object-0.32.
Date: Tue,  2 Apr 2024 18:04:25 +0200
Message-ID: <c9f44a26a219348f784d9f2f45d80a88aa0d683d.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-object-0.32): New variable.
(rust-object-0.30): Inherit from rust-object-0.32.

Change-Id: I2bdc8a12f1cadda18194382a8528f277bec68061
---
 gnu/packages/crates-io.scm | 42 ++++++++++++++++++++++++++++++--------
 1 file changed, 34 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9e5882bdba..266db6f68b 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -43779,8 +43779,41 @@ (define-public rust-obj-0.9
      "This package provides a package for loading Wavefront @code{.obj} files.")
     (license license:asl2.0)))
 
+(define-public rust-object-0.32
+  (package
+    (name "rust-object")
+    (version "0.32.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "object" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0hc4cjwyngiy6k51hlzrlsxgv5z25vv7c2cp0ky1lckfic0259m6"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-compiler-builtins" ,rust-compiler-builtins-0.1)
+        ("rust-crc32fast" ,rust-crc32fast-1)
+        ("rust-flate2" ,rust-flate2-1)
+        ("rust-hashbrown" ,rust-hashbrown-0.14)
+        ("rust-indexmap" ,rust-indexmap-2)
+        ("rust-memchr" ,rust-memchr-2)
+        ("rust-rustc-std-workspace-alloc" ,rust-rustc-std-workspace-alloc-1)
+        ("rust-rustc-std-workspace-core" ,rust-rustc-std-workspace-core-1)
+        ("rust-ruzstd" ,rust-ruzstd-0.5)
+        ("rust-wasmparser" ,rust-wasmparser-0.118))))
+    (home-page "https://github.com/gimli-rs/object")
+    (synopsis "Unified interface for reading and writing object file formats")
+    (description
+     "This package provides a unified interface for reading and writing object
+file formats.")
+    (license (list license:asl2.0 license:expat))))
+
 (define-public rust-object-0.30
   (package
+    (inherit rust-object-0.32)
     (name "rust-object")
     (version "0.30.3")
     (source (origin
@@ -43790,7 +43823,6 @@ (define-public rust-object-0.30
               (sha256
                (base32
                 "0fdl7qjsz1j9kl3j7f4656fswzrqpyj2kgaizhknmjrx7mfjd1pa"))))
-    (build-system cargo-build-system)
     (arguments
      `(#:cargo-test-flags
        '("--release" "--"
@@ -43805,13 +43837,7 @@ (define-public rust-object-0.30
         ("rust-memchr" ,rust-memchr-2)
         ("rust-rustc-std-workspace-alloc" ,rust-rustc-std-workspace-alloc-1)
         ("rust-rustc-std-workspace-core" ,rust-rustc-std-workspace-core-1)
-        ("rust-wasmparser" ,rust-wasmparser-0.57))))
-    (home-page "https://github.com/gimli-rs/object")
-    (synopsis "Unified interface for reading and writing object file formats")
-    (description
-     "This package provides a unified interface for reading and writing object
-file formats.")
-    (license (list license:asl2.0 license:expat))))
+        ("rust-wasmparser" ,rust-wasmparser-0.57))))))
 
 (define-public rust-object-0.29
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:27 2024
Received: from localhost ([127.0.0.1]:55479 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrghR-0006vL-6E
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:26 -0400
Received: from mail-wr1-x436.google.com ([2a00:1450:4864:20::436]:44274)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfn-0006Vu-RR
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:47 -0400
Received: by mail-wr1-x436.google.com with SMTP id
 ffacd0b85a97d-3416a975840so4085366f8f.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074054; x=1712678854; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=Rc6+l/5K3wlByNOaqb5Q+TmfKwotsVxQ/45NgZx/CyA=;
 b=EsXVJOV3cq27O4PGaliePQji7JE960PpZINBApHpC60M28ZfI+aXElsbz+akx9Idhw
 1XUWUiXZEHXWUYb68mqjg8XDwjRKbRdy5W8EvIv7sqZ1OICeeaKIMreHP5nZmSJj+Bbk
 nML1eTuVM6Gl9/md6yjHt0Y5T7xDMrbslyIfjvnA62+wuAClAApve8yidB8xcUa/e585
 qUm4x+c/dtSkYDVKcft1Ciow2rbJCbrVIBqZcOw6p6KPDtQuAfJoXuh5nsZJMmeQT3HL
 82mdrZk4MnJNbLN+U+il5Wt7THjQqGoJJQDXyUqn4IvqOfUTjheECGmFwifZSTSolVeI
 1f+g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074054; x=1712678854;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=Rc6+l/5K3wlByNOaqb5Q+TmfKwotsVxQ/45NgZx/CyA=;
 b=amTsqSeGIgZvm1mXdkNkwUVSgJDYZXZufuX+CZ57rW96eWLeCAupRy/vnxV6wsaq6R
 AaGI9xGUyKtxT0KCmwJITJXzliT6rimgeMPaRvjB+vi/cRphUHo61kUUb6r47HM+4xPk
 TzsmLEZ9StLYE8/Zn1K6PpugmLtfSaRXPnbcenhSPrNWygQDQO0kpKyOc0ZAVML939/9
 sCz7/LVojR7hFGMX72NYeHVTrNBQfl0DJRYiXU0+vVmdT4j79Dkvsz0E+P7sND6Md9ol
 w3Hi93Qkf3y2NLsTPigFFZSMwfVtibCeB3cydOYYBxjAB0R4C45arGyCru2OIL4dFIWL
 Vcsw==
X-Gm-Message-State: AOJu0Ywq1LlpYzS44kbzm3en71ha8PenZuCVoT2R9KnISGWusNogec3u
 4rOvIL72vfF/a/6dowkpYG/0XA5yq16YdhnyqTKu/+NH5H6eBnEv7Y3jF1VvPNYuTN2VcC6+sk1
 3
X-Google-Smtp-Source: AGHT+IHZtK/UpGRIOBsrn8b5WALqlw5HYFhqLmDqg5qOWCtCr0XdTOoeWv24I1chvaQz3ulGpPebvg==
X-Received: by 2002:a5d:6451:0:b0:33e:733b:cd11 with SMTP id
 d17-20020a5d6451000000b0033e733bcd11mr7832000wrw.53.1712074054028; 
 Tue, 02 Apr 2024 09:07:34 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.33
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:33 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 071/147] gnu: Add rust-memfd-0.6.
Date: Tue,  2 Apr 2024 18:04:23 +0200
Message-ID: <8caf2cf9132eb6dd6a423c4c8207185f9631a043.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-memfd-0.6): New variable.

Change-Id: I680d35a1ae6eaeece649f36884ab4790fb1620d5
---
 gnu/packages/crates-io.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index c21428054d..f3ffddca6c 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -37641,6 +37641,27 @@ (define-public rust-memchr-1
      `(#:cargo-inputs (("rust-libc" ,rust-libc-0.2))
        #:cargo-development-inputs (("rust-quickcheck" ,rust-quickcheck-0.4))))))
 
+(define-public rust-memfd-0.6
+  (package
+    (name "rust-memfd")
+    (version "0.6.4")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "memfd" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0r5cm3wzyr1x7768h3hns77b494qbz0g05cb9wgpjvrcsm5gmkxj"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-rustix" ,rust-rustix-0.38))))
+    (home-page "https://github.com/lucab/memfd-rs")
+    (synopsis "A pure-Rust library to work with Linux memfd and sealing")
+    (description
+     "This package provides a pure-Rust library to work with Linux memfd and sealing")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-memchr-0.1
   (package
     (inherit rust-memchr-1)
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:25 2024
Received: from localhost ([127.0.0.1]:55473 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrghP-0006um-53
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:25 -0400
Received: from mail-wm1-x331.google.com ([2a00:1450:4864:20::331]:61745)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfo-0006WC-SQ
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:46 -0400
Received: by mail-wm1-x331.google.com with SMTP id
 5b1f17b1804b1-41569865b2fso14232755e9.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074055; x=1712678855; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=+O9p4aCRsExPr5AWblsas74HM7zxVuyBIDx5pd6BlmE=;
 b=qYTMzQItB/4aK6xR2XMU6BQ6+/cjJgrblh9x5l+6ucj3R1DIzH/H194N6SWnZzUNvg
 zV+0FgQi4muy4c51q4YqEtbRJs07imixL0ZHz5gY0q4Nk/1c1vAkp1bnHUSUH+h7wYFg
 gI7SNJ8JPNxC0O9mTVuA16K+DpfP6n7zyV/+GtoPw/6Q6wydcv+an/miQt468IdXH4F8
 8EkgFMhrvmtnca2ZFPjTAQFMbrkMa3XuTc0SFBZB5OFYcdKXUhSpNLozhHRXMu3rCvL2
 8t5YcvvPAE+OGJB/Pf4KtUKbM1nFT/VZI+3xb4sI8IvCsMwGt1qx+iDRKvFjzKVnliw8
 HA2A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074055; x=1712678855;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=+O9p4aCRsExPr5AWblsas74HM7zxVuyBIDx5pd6BlmE=;
 b=dZSQhqJkXl5FGMsLblBDEGeCoKvxTBm+MEtI20WyYmInU/Ylt8KYBK1N2NKrRi4PAr
 Czvm6XFvK8gpV784ACylL00TXmTHvp27L+NiUteOpSIQhTYDIA/aslTOiE7q1nnx8or/
 rlbYbge1u8sTVtcL7z1Pj6SpRRZF2VOjmntVGVkqrOT0VR4OD9WN+LZhFEjf7NsJaK9D
 AnRQdCp/UoCZVrbVMdNe0vx7WLfK0fEAM+lyppF0U8opwmoiefvi3wUY8ACQA/zlcr3W
 lmYB0Rr3Zz9szFjReeFe77Gs8mve4m7Od6SsKQouSAgO+TvoEwd1RP8uToLv9fKvSDja
 QeWg==
X-Gm-Message-State: AOJu0YyvwJLEQ5K6pzFngNUgz4KIILFAo1gmYConx/a6ZRyRzjhq7CjK
 cfxULWPIXpdWvYiClypSH0d0HZTR37lhwxjitt/zltZ2oa8udj3uTeCbNDgHQ0DH2pb/qOIiqyW
 q
X-Google-Smtp-Source: AGHT+IHH1GyupcZaVTGXIWT0Um9wHWo5dD9vu3DlrvHwIMd5Dxxc9xhxBfPFLoqtgNyqjWZASD8y6w==
X-Received: by 2002:adf:ecce:0:b0:341:ca5c:93da with SMTP id
 s14-20020adfecce000000b00341ca5c93damr8229660wro.1.1712074055173; 
 Tue, 02 Apr 2024 09:07:35 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:34 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 072/147] gnu: Add rust-ruzstd-0.5.
Date: Tue,  2 Apr 2024 18:04:24 +0200
Message-ID: <dcc7d1b5f68b744cfc3b39909a97d54952cac3f3.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-ruzstd-0.5): New variable.
(rust-ruzstd-0.4): Inherit from rust-ruzstd-0.5.

Change-Id: I99765f3166883c07f04f304cd0a90f56f1d476d2
---
 gnu/packages/crates-io.scm | 39 ++++++++++++++++++++++++++++++++++----
 1 file changed, 35 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index f3ffddca6c..9e5882bdba 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -58728,17 +58728,17 @@ (define-public rust-rustyline-derive-0.3
        (("rust-quote" ,rust-quote-1)
         ("rust-syn" ,rust-syn-1))))))
 
-(define-public rust-ruzstd-0.4
+(define-public rust-ruzstd-0.5
   (package
     (name "rust-ruzstd")
-    (version "0.4.0")
+    (version "0.5.0")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "ruzstd" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1p4ghqzkq36dy1x1ijnk7jmml4wi3v9bkfzlbm2hsnkiz6wglgxc"))))
+        (base32 "0ga8jciw7ka3mxrzl39skmsbdslajghzglcil10g0z4rh65fpi2q"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-test-flags
@@ -58754,7 +58754,7 @@ (define-public rust-ruzstd-0.4
          "--skip=tests::test_specific_file"
          "--skip=tests::test_streaming")
        #:cargo-inputs (("rust-byteorder" ,rust-byteorder-1)
-                       ("rust-thiserror-core" ,rust-thiserror-core-1)
+                       ("rust-derive-more" ,rust-derive-more-0.99)
                        ("rust-twox-hash" ,rust-twox-hash-1))
        #:cargo-development-inputs (("rust-criterion" ,rust-criterion-0.3)
                                    ("rust-rand" ,rust-rand-0.8))))
@@ -58764,6 +58764,37 @@ (define-public rust-ruzstd-0.4
      "This package provides a decoder for the zstd compression format.")
     (license license:expat)))
 
+(define-public rust-ruzstd-0.4
+  (package
+    (inherit rust-ruzstd-0.5)
+    (name "rust-ruzstd")
+    (version "0.4.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ruzstd" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1p4ghqzkq36dy1x1ijnk7jmml4wi3v9bkfzlbm2hsnkiz6wglgxc"))))
+    (arguments
+     `(#:cargo-test-flags
+       '("--release" "--"
+         ;; not all files included
+         "--skip=tests::decode_corpus::test_decode_corpus_files"
+         "--skip=tests::dict_test::test_dict_decoding"
+         "--skip=tests::fuzz_regressions::test_all_artifacts"
+         "--skip=tests::test_block_header_reading"
+         "--skip=tests::test_decode_from_to"
+         "--skip=tests::test_frame_decoder"
+         "--skip=tests::test_frame_header_reading"
+         "--skip=tests::test_specific_file"
+         "--skip=tests::test_streaming")
+       #:cargo-inputs (("rust-byteorder" ,rust-byteorder-1)
+                       ("rust-thiserror-core" ,rust-thiserror-core-1)
+                       ("rust-twox-hash" ,rust-twox-hash-1))
+       #:cargo-development-inputs (("rust-criterion" ,rust-criterion-0.3)
+                                   ("rust-rand" ,rust-rand-0.8))))))
+
 (define-public rust-rkyv-0.7
   (package
     (name "rust-rkyv")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:23 2024
Received: from localhost ([127.0.0.1]:55469 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrghM-0006uC-VN
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:23 -0400
Received: from mail-wm1-x32b.google.com ([2a00:1450:4864:20::32b]:46346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfm-0006VY-RO
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:45 -0400
Received: by mail-wm1-x32b.google.com with SMTP id
 5b1f17b1804b1-4161bd0a4ecso5941035e9.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074053; x=1712678853; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=22BtrF5+HVKLiRJkOmztpae3qop5SpOb6qSpwAZsw9A=;
 b=AdiY938c+uWok7y6VmE5i+CjOrprvO7Po/W3dIY7y2Sr/aoIKHWl52CoMCPnvyNyfZ
 jH62Lw5nXeC04z4LmnpmG8YBOtZcGp4eUCpzkLn+PHomWNm2Qt/7Jy9nzmW2PWqTDtCU
 VEAvPapEK58PqfuBoSPrdub6FFqa2kMRbbmrvoKgtI0pHQCegk8lcHdO4LTCdmcGiOSr
 q16ceaLlMdsx5SnGIH8051tiBHXcy3KoDIFIPDjhL+3r5pAyVViQZLTHVHxO2RlCeCle
 ftimmdaXZ6l1+sf0GXTaQN8XeCChxflm5d8+/jdpdX/z7BHu3643mo33ioJQFGwqJqcp
 muHw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074053; x=1712678853;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=22BtrF5+HVKLiRJkOmztpae3qop5SpOb6qSpwAZsw9A=;
 b=EDXXnukju72TuucH4XfzJT+j9VEJhvo4ReRfT1iKyPScdCHXcIOwIefFp+6UmCC0Zx
 wCLHaoVKOwROxiMSnZj3PkycwSBN31WU0DJF8a59nmyTTDPyZOiyX+sNSxZjnUh5V5zi
 7X6DAa6pOoFmq8o7bJJ+QeIHdIRP4Lrtqx4Lw+9kvQk5BjXj5ZDaDtAGCyDQWDUv4K/Q
 GVrkf2AVs/0Klkl0Ln8Udgz7w/ZZLUaxlMXMkh/cl000/QaOEAB+HeODIVvJPd/Ed0VC
 26pyKtBsudjuXtOFzUDZyNB8azzWu/1HyySNcNZnR2ZnlTpVVWWEIyVskwp8tzFtTYe3
 FHlw==
X-Gm-Message-State: AOJu0YwYp6p4Snz0ASVVxCbNL0JcePftbeUv/xoTjr6aaJtGdNRzS5Q+
 5ZgUbEuzaTgRu3n9llbiWicqbY+xcTNW0c/Lt4QQOXEWLhSrp6u4unTuh+GwBgbfFUpwZtXOi4/
 v
X-Google-Smtp-Source: AGHT+IGVbrap7hsj+vjgQffI2ElLWRDX/+DyE1MqhVhDfAK+XDx7oggV+fWBhcyY7+8rPCRulKLSMA==
X-Received: by 2002:a5d:6585:0:b0:33e:78f7:51f7 with SMTP id
 q5-20020a5d6585000000b0033e78f751f7mr133273wru.56.1712074053016; 
 Tue, 02 Apr 2024 09:07:33 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.32
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:32 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 070/147] gnu: Add rust-cranelift-codegen-0.105.
Date: Tue,  2 Apr 2024 18:04:22 +0200
Message-ID: <3357b6e6584dbef8cebacbd4b9e9047619d52549.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-cranelift-codegen-0.105): New
variable.

Change-Id: Ic6145be1ab7df89e4222fc2b131039746f20222c
---
 gnu/packages/crates-io.scm | 41 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index c0d0a65e8c..c21428054d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -14936,6 +14936,47 @@ (define-public rust-cranelift-bforest-0.105
     ;; With LLVM exception.
     (license license:asl2.0)))
 
+(define-public rust-cranelift-codegen-0.105
+  (package
+    (name "rust-cranelift-codegen")
+    (version "0.105.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cranelift-codegen" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "15dxcljx0vbkzxwq76h43wsmkg3m2dzkzrf35a1nwl27i8rs8h7g"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-anyhow" ,rust-anyhow-1)
+        ("rust-bincode" ,rust-bincode-1)
+        ("rust-bumpalo" ,rust-bumpalo-3)
+        ("rust-capstone" ,rust-capstone-0.9)
+        ("rust-cranelift-bforest" ,rust-cranelift-bforest-0.105)
+        ("rust-cranelift-codegen-meta" ,rust-cranelift-codegen-meta-0.105)
+        ("rust-cranelift-codegen-shared" ,rust-cranelift-codegen-shared-0.105)
+        ("rust-cranelift-control" ,rust-cranelift-control-0.105)
+        ("rust-cranelift-entity" ,rust-cranelift-entity-0.105)
+        ("rust-cranelift-isle" ,rust-cranelift-isle-0.105)
+        ("rust-gimli" ,rust-gimli-0.28)
+        ("rust-hashbrown" ,rust-hashbrown-0.14)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-regalloc2" ,rust-regalloc2-0.9)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-sha2" ,rust-sha2-0.10)
+        ("rust-smallvec" ,rust-smallvec-1)
+        ("rust-souper-ir" ,rust-souper-ir-2)
+        ("rust-target-lexicon" ,rust-target-lexicon-0.12))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Low-level code generator library")
+    (description "Low-level code generator library")
+    ;; With LLVM exception.
+    (license license:asl2.0)))
+
 (define-public rust-cranelift-codegen-meta-0.105
   (package
     (name "rust-cranelift-codegen-meta")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:21 2024
Received: from localhost ([127.0.0.1]:55461 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrghK-0006tV-Qk
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:20 -0400
Received: from mail-wm1-x334.google.com ([2a00:1450:4864:20::334]:53369)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfl-0006V5-KJ
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:43 -0400
Received: by mail-wm1-x334.google.com with SMTP id
 5b1f17b1804b1-415a84ea9bbso10764425e9.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074052; x=1712678852; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=CN1vEmMWK/X5OQcUbUstzs/TSN5Huuah6Cg1gWyUOQ4=;
 b=U2oN7y1hMwsoue5mRw28GHniQqO2zMN7bQ/y2cIGHP0CZzUVYeD3qaKEzgeAmjkhWh
 vc4ptDKWLHspMaaHPPz4I0AfpLuy2COt4xyO1dk0X+HGq5ErWGjDgGhhXTgrNv40WGoV
 qU31QjoNH5rSQrN3s3LGjE7KU7eE+wIWP6AZ5iI63LXeup/JliLnc/tZj+u6tfYfhazt
 ZukbjnjuACGMmb2YRM6ryyeHwBUK1AjgFgRrygYUfVOIx5ctrriK0TEJqqVU6amSWvqi
 Lw9jGh3HbLcBAftMnS8oHs1VVxD1ruVUND0tRtcJnjMmJ6UzGicj34ddHsfoMmOlAiF4
 /MsQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074052; x=1712678852;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=CN1vEmMWK/X5OQcUbUstzs/TSN5Huuah6Cg1gWyUOQ4=;
 b=w+mIHUUj0sVqGeCJM3KRqlxW0CQv+6QTkbjFrQyfasNbb3u15+tHe6cyEYhOHlLcLn
 2FypmqQRp4e+4He61cyL4M/m2nLZysXQ3euH/8U+VBrDoa9AYuLrGeTcy0DvQ9QYvrAz
 7+z8srUdkq/QbEKXeP7bc4QmZHVXphhKojCTapbKB6EUCJTdN1ezd6681L+shGSIZudZ
 2lWQBKsuHGyYOC2itUhzgi++xutUcQYdD9sD2tciknzp6HKEjUiEiW32NNNwyN3JCOYV
 s/wPZEygrgM9fEWUK2Kl5bcgXJTkY2NNlnCeN2apbYrHj5cuI7koxGHgKrL/aa1I5um6
 6ZYg==
X-Gm-Message-State: AOJu0YzOWvFEG6BWHU3MdNBdxbV80Ydcn6rQ0sSemAXYMJjEi42AdJS6
 5A03mYkxXPGkMoXRirNds6ieARBusyduuAptcxOtsla7KgkNkZU3OPP90sVWqOEcHON4JDjAidx
 v
X-Google-Smtp-Source: AGHT+IGpDllr/ClbDE0QI9ny1hOrFdFMT6qaJDN13YlKV7XwteCDv2pkyNLCi+sktnEk7kKGXA9LCw==
X-Received: by 2002:adf:f64c:0:b0:33d:c2cb:c18d with SMTP id
 x12-20020adff64c000000b0033dc2cbc18dmr2117148wrp.32.1712074052000; 
 Tue, 02 Apr 2024 09:07:32 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.31
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:31 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 069/147] gnu: Add rust-cranelift-wasm-0.105.
Date: Tue,  2 Apr 2024 18:04:21 +0200
Message-ID: <b6a458e13124e19a5ffb883f3a4527da7feac52c.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-cranelift-wasm-0.105): New variable.

Change-Id: I64cd23aac81292c90b9c538208f4e059a08e7d2c
---
 gnu/packages/crates-io.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 8354b99d0c..c0d0a65e8c 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -15077,6 +15077,38 @@ (define-public rust-cranelift-native-0.105
 target for use with Cranelift.")
     (license license:asl2.0))) ;; With LLVM exception.
 
+(define-public rust-cranelift-wasm-0.105
+  (package
+    (name "rust-cranelift-wasm")
+    (version "0.105.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cranelift-wasm" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0mzp9v8cxq1v2njqpvya5iam6ng15yg6w691i27sl5px06mv0da1"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-cranelift-codegen" ,rust-cranelift-codegen-0.105)
+        ("rust-cranelift-entity" ,rust-cranelift-entity-0.105)
+        ("rust-cranelift-frontend" ,rust-cranelift-frontend-0.105)
+        ("rust-hashbrown" ,rust-hashbrown-0.14)
+        ("rust-itertools" ,rust-itertools-0.10)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-smallvec" ,rust-smallvec-1)
+        ("rust-wasmparser" ,rust-wasmparser-0.121)
+        ("rust-wasmtime-types" ,rust-wasmtime-types-18))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Translator from WebAssembly to Cranelift")
+    (description "This package provides a library to translate from
+WebAssembly to Cranelift @acronym{IR, Intermediate Representation}.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-crates-index-0.19
   (package
     (name "rust-crates-index")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:18 2024
Received: from localhost ([127.0.0.1]:55451 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrghI-0006sq-Q6
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:18 -0400
Received: from mail-wr1-x433.google.com ([2a00:1450:4864:20::433]:56678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfk-0006Uv-Ma
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:42 -0400
Received: by mail-wr1-x433.google.com with SMTP id
 ffacd0b85a97d-3434275ad73so1188959f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074051; x=1712678851; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=MR+b3yT7TRrcJ0q0XloU5G0aAnWKtmfES8L91YWKymw=;
 b=HneSTsHJav7+64xqd7Ov5arfzeWmd2LlRB9f0BSeYDJwinL6ZmdLcgLXdYejQN/erg
 f5n1Z5OLOEDwVgrnkbixIgiVdiIbZf7rVgHpIO4LR8sq1a5Ry5OfLOK0cWNECUW2QV4P
 DDotcW4nyag3awTuStPiow3DV2eBbXfQ/joPDKYM2dGaekYxmaiP2RIMgBjO0BwTDGBq
 wBlgxr9PiKqhKG1ify7CXjd5oNd3/XDubNojqaamxv05kEmfxK/U43hi9RiVTs3QRCeb
 98dI1YLWWuJxQCo6e5IjCL0IODetpCuTUVbhhVF9vI8+ZmG9OggaMAHidhxfEYZXM29L
 wZrw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074051; x=1712678851;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=MR+b3yT7TRrcJ0q0XloU5G0aAnWKtmfES8L91YWKymw=;
 b=B0S1WswU+SGjioIlk/ZJSjwW7vfm0ofKXFJBOeRbo7loWBQFuKOE8ioJ/XnM5ylYqP
 qoUY9b2ov1oTgKL9OGx6/TqDd0+KcediJVNNYrHLn0zb+AeftPQ4Pif5HVhd023dLpbq
 1Nz8S5Wqv8+TzfEpCfY8BXe+KSt5XHQS1dXNoq4SUYwCZPnzjO8omj5osgFEt4QiyUhO
 xob8GIbYc62/cH0UYdgGYGq0PVordPuIh6SfQMSw2H33EIxEQTAizGmA83FvbTxTTipz
 31vfawgNC9sFHdQOsRzB6oFXuGv8srW2RtNRzyhxuTZGPWX8MY4qH0Dfnjb3C4cHJPq/
 MMxw==
X-Gm-Message-State: AOJu0Yzgt8brUBp/FMDUrSSiq/iau7msf5w9LLpYeUnyZEHS86rlV0HE
 WUZVdncPxhX355aU4VcFz3jeNEO4+8IcPmMRlpkUlJz2ALPDzZwkA/+S/F4r/lIC0Hw634muNic
 e
X-Google-Smtp-Source: AGHT+IH0ixlpkBrR4LiJKqca4XKBu6DON9r/uOKCh4xFlHRUy+qhcwQYID/tgam41Ikn3m9c/2td3g==
X-Received: by 2002:a5d:58cc:0:b0:33d:c572:7641 with SMTP id
 o12-20020a5d58cc000000b0033dc5727641mr10615990wrf.14.1712074051030; 
 Tue, 02 Apr 2024 09:07:31 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.30
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:30 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 068/147] gnu: Add rust-cranelift-native-0.105.
Date: Tue,  2 Apr 2024 18:04:20 +0200
Message-ID: <d85049ceceb38a4ee3d9f8607f8799f5d3d3e533.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-cranelift-native-0.105): New
variable.

Change-Id: I11bb54b2646e54a2207269beac39054fd648d39e
---
 gnu/packages/crates-io.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 659fbffce5..8354b99d0c 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -15053,6 +15053,30 @@ (define-public rust-cranelift-isle-0.105
     ;; With LLVM exception.
     (license license:asl2.0)))
 
+(define-public rust-cranelift-native-0.105
+  (package
+    (name "rust-cranelift-native")
+    (version "0.105.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cranelift-native" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1ssqvky33g7ms8l752pqhixjf2ljigv5sa2vfzcxwycv3pgq0pi8"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-cranelift-codegen" ,rust-cranelift-codegen-0.105)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-target-lexicon" ,rust-target-lexicon-0.12))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Autodetect Cranelift host target")
+    (description "This package provides a library to autodetect the host
+target for use with Cranelift.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-crates-index-0.19
   (package
     (name "rust-crates-index")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:16 2024
Received: from localhost ([127.0.0.1]:55445 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrghG-0006sG-GY
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:16 -0400
Received: from mail-wr1-x436.google.com ([2a00:1450:4864:20::436]:45334)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfj-0006Ul-N4
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:42 -0400
Received: by mail-wr1-x436.google.com with SMTP id
 ffacd0b85a97d-3437f70078bso174510f8f.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074050; x=1712678850; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=nkk+Duqh34x3yuvYOopfqyVTs0+C02nc527xl+kbohk=;
 b=oA5myptf1Q4MJlQ81cqPfgunuMjLYuHKhYg/gec/Tjy6eviJU7doRqEog2guqbPtpQ
 AAuCmxsRN+sjGoQqib4+pOrNObPlnmMnztmKQqXVKvS0A0w1H0i1WmBxRDsWx8v72XsP
 0uaF5SK9mEVBqCdZEJ/2FW1ey32rGLBmV+bOu+d7ANGSg7REuRZZEcEvGOJlHxZ0t9wf
 XLvE/sfDTTjR5s+KX7NZXnxntT0aLHJg408Z8AuuUHhBwVk++bzndDT+Y1/7Fl1js08V
 EN9+jzUqnQHkstbKwJj2wAo/6ZaY9mFzXMppgQdK0e3GMlzK+7eePDjqYsT1frpdvUBe
 5n+A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074050; x=1712678850;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=nkk+Duqh34x3yuvYOopfqyVTs0+C02nc527xl+kbohk=;
 b=dWbtyxIw0YtQhbVc4xY0oGSfoYYRFACEOrRsSZsp3i4eOmX99x+kPDJ8tTy2ktcCHa
 HaTMoUuiRsuXfRtWTF3KwOPXTrOFJ7tFtizD8Df3oKcVQdaR8N8hPReRVxQN3ZUo9zHi
 G4xB8bjJHtj2hGsVsaJTgGoQY2qHbua1m+PUfWtYihmZOtPj7vfxSBzwlR+Yz74CSUhi
 YRt/nTEL9rb37eiGLlVHjHfU5LYTgVzO8cGWrKtpOiP5uryeF3wYhy7gOoWGyXzO5ixd
 JIUMck7Z5PkqYp9Ca5LU9n3yA9yE2AYnIfIrEB0VFw5LjD+tbXXoRuhm9HAx14bwztDN
 tdyw==
X-Gm-Message-State: AOJu0YxltC5JyEBLHyuI/IVc46Q9i7iSNNu0POphdd5PxkYazqUs3Wtx
 2PLW4LgcjPDJ+Gg1i2o3yjXwrqDf1xtXYA/iGsqaDZqJoz3hUobMW01ISwlk+UeIw9DC5vjh6DU
 q
X-Google-Smtp-Source: AGHT+IFlWAibx8U9OyZy6ptqqSgYLr+VhsxHrZXV/FfEd66X3vAoViL9bRTkJctGqg9rK6Pz85moFg==
X-Received: by 2002:a05:6000:4014:b0:343:2e09:58d1 with SMTP id
 cp20-20020a056000401400b003432e0958d1mr12550143wrb.44.1712074050034; 
 Tue, 02 Apr 2024 09:07:30 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:29 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 067/147] gnu: Add rust-cranelift-frontend-0.105.
Date: Tue,  2 Apr 2024 18:04:19 +0200
Message-ID: <28c97288280d2de6bf8845bff3f4518db8532f84.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-cranelift-frontend-0.105): New
variable.

Change-Id: I2b6f279c1f5d8c0e21b30554900ad83c75cda106
---
 gnu/packages/crates-io.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 65020da8fb..659fbffce5 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -15000,6 +15000,32 @@ (define-public rust-cranelift-control-0.105
     ;; With LLVM exception.
     (license license:asl2.0)))
 
+(define-public rust-cranelift-frontend-0.105
+  (package
+    (name "rust-cranelift-frontend")
+    (version "0.105.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cranelift-frontend" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0s4blnryr1idk0k1bmbkgn8ai0qadf753xw4fwj7wydgyl9fg5lp"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-cranelift-codegen" ,rust-cranelift-codegen-0.105)
+        ("rust-hashbrown" ,rust-hashbrown-0.14)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-smallvec" ,rust-smallvec-1)
+        ("rust-target-lexicon" ,rust-target-lexicon-0.12))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Cranelift @acronym{IR, Intermediate Representation} builder")
+    (description "This package provides a librayr to construct a function
+in the Cranelift @acronym{IR, Intermediate Representation}.")
+    (license license:asl2.0))) ;; With LLVM exception.
+
 (define-public rust-cranelift-isle-0.105
   (package
     (name "rust-cranelift-isle")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:14 2024
Received: from localhost ([127.0.0.1]:55441 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrghE-0006ri-Ak
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:14 -0400
Received: from mail-wr1-x434.google.com ([2a00:1450:4864:20::434]:57504)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfi-0006UW-Qx
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:41 -0400
Received: by mail-wr1-x434.google.com with SMTP id
 ffacd0b85a97d-3436fec6a70so490617f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074049; x=1712678849; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=jy3rKxVpHt2brX7zzFGsjY2uQzhdcsWdEoQX4z9+afU=;
 b=Rfm47f9ZTHja2v6EOH49KWcAEC8D3preFMe+RQlTbjlM96q0QfMiKhmLSkgmIRtzpY
 bOUfyhGjtIxfJifOV+FrnDwhoyev38kKlWsGH1iVoUKNuUQyZvzyLln950ikibDNzWPc
 qAVyYYDfgRxG4dSsFBXv+3rFEQt+fmPEKnxx/3bGlpIMA5cog1ICgi7EYFF1S9Gm2DqY
 OQMN2wO2WSSR9V8aXLgu6PhLd+xfpby9izcfKOSYV6pM1J/c/QizO+cmmoMJJzdsh4aY
 BOYe4GVBjh2iBMjeG+aRr2OReX6rFFpxMCiJv2lFxrAZK2v88BlCuH+ymxLW+VaEVpAv
 sMUg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074049; x=1712678849;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=jy3rKxVpHt2brX7zzFGsjY2uQzhdcsWdEoQX4z9+afU=;
 b=IEbw+0Jq28BS01monHzWr0iR3A70zw1DFCwiYHx1g8kqvL3SgRP0bDuupwGxS4MbfT
 2dWdeEegAELqMzgiuVtsGV6jLi5iHqfqIxxR1cCxgj0Vypjd5eO4Ambh+2PjMGJ0Ab6y
 aST694p+yS9HB5ED5AdVmICVitBX5gOsFgbgctNCdPSa03llEOMCPt/x+UCon3PRF+fx
 6GuJpxAmwwgts2eV/0oP0D2CNc0EjzmBA2ssvQBjmKwPu7ZKnQVxVPHtfyCUpdi+JA2p
 aW9Y6z6jZIoke4jSOLY3XxueXEV+I1f3ceLR7fISIFPZlelCpavan8mwP9+FUQR3+02C
 HqcA==
X-Gm-Message-State: AOJu0Yx4swb4UocTLwVu5bkq27tbcOGMMnTfAxPVQMYH52X0aqSZoVJ+
 v/pev0ivgOvdBd5GGOPsgZkPmcxOMW8wjWU8FmIArAUbFAC8CZvbVvx30Ct9qEqP6Jj9FyDCDxy
 Z
X-Google-Smtp-Source: AGHT+IFmtuiLt7PTzIFTtYUCfUQAH+A6tSjwIdIUHO5K0qHZmhbzKSzJdNrrVnU3jaAe5Uub9nveCA==
X-Received: by 2002:a5d:534a:0:b0:343:737f:9142 with SMTP id
 t10-20020a5d534a000000b00343737f9142mr1318811wrv.5.1712074049077; 
 Tue, 02 Apr 2024 09:07:29 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.28
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:28 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 066/147] gnu: Add rust-cranelift-isle-0.105.
Date: Tue,  2 Apr 2024 18:04:18 +0200
Message-ID: <b486543628a5bf5c2da023a43aaaf27524272168.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-cranelift-isle-0.105): New variable.

Change-Id: I3369def5b3bf2811c7f1a94a93f2b2df3f459da6
---
 gnu/packages/crates-io.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 215085ffce..65020da8fb 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -15000,6 +15000,33 @@ (define-public rust-cranelift-control-0.105
     ;; With LLVM exception.
     (license license:asl2.0)))
 
+(define-public rust-cranelift-isle-0.105
+  (package
+    (name "rust-cranelift-isle")
+    (version "0.105.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cranelift-isle" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1pab231qwp1f98szgs4qxqz6xzmcyh6szmcx1v41abvqsp56r9pl"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-codespan-reporting" ,rust-codespan-reporting-0.11)
+        ("rust-log" ,rust-log-0.4))))
+    (home-page
+     "https://github.com/bytecodealliance/wasmtime/tree/main/cranelift/isle")
+    (synopsis
+     "ISLE: Instruction Selection and Lowering Expressions. A domain-specific language for instruction selection in Cranelift.")
+    (description
+     "ISLE: Instruction Selection and Lowering Expressions.  A domain-specific
+language for instruction selection in Cranelift.")
+    ;; With LLVM exception.
+    (license license:asl2.0)))
+
 (define-public rust-crates-index-0.19
   (package
     (name "rust-crates-index")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:12 2024
Received: from localhost ([127.0.0.1]:55431 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrghC-0006qw-9r
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:12 -0400
Received: from mail-wm1-x329.google.com ([2a00:1450:4864:20::329]:57702)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgff-0006TW-LN
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:39 -0400
Received: by mail-wm1-x329.google.com with SMTP id
 5b1f17b1804b1-4156a2aeb43so15447035e9.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074046; x=1712678846; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=UDt6OGZDyOEljKkgOWtGLvwEdg2e/9KMWQ9L9m1HxbE=;
 b=By0qvP9gb6M8V1bYQLC0ndOABLo0my0QMQnD9Qi/Ib2lFLF40O0hdLktU6aRLANgsM
 UacLMdFNF5N19GauPmdGKllBVUvUTpCoVCjfQ6HYtzIsyJLYQQgAPB7xcu44O1ntD9fQ
 HtJBA/f1drStrw1NhYhl46W0AH4rayc392rj3Iafp37c2ZOwvBm7fe6NfN6SvcZK2AH5
 B2sfR/lNEkzlg4Ja2Na/oHg1cXJoLTVne5mcJgxinhZUxmyfKXKw0rm/I9u4vndb0wQp
 eDq86IAL4TXvIXa5WodqNuw+/sebY0fk3V3lAseaD/Z7Jp5f4dKXY1VIeAeHyOv8LZU3
 Ne5g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074046; x=1712678846;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=UDt6OGZDyOEljKkgOWtGLvwEdg2e/9KMWQ9L9m1HxbE=;
 b=QRBlsE0C0aOpgsJQ2Vd79yotaZFC0lwLu9pg+K7JpxQlJefhyPimqnBvi9M9h+stN6
 HvilxozKSAWeO6CtxGz4EC1TEPqOh3mKG7dMxz7+cnAlvxLAjkiifVHdmlTQpEFEhfKr
 S3oHsEiG0JJwG0EMsQxIxBnGnoLH1YDFvjYp0ghkE4Ml2CNhWq/n7qI4xKHEaVIi9MEP
 2xqUxCFX/tFjJXh6V/+KfNlSaJkKsQsbR/Ec+1dyIToMG7m09ghOQ57vQ2/N0VRJSg8p
 frefEMPktepH39dHvyOmdMl69YQFUuMqw4cyo380ylvpprBqYmfSKVaWzPahCIGnbHOZ
 kmyQ==
X-Gm-Message-State: AOJu0YwADOd6K1Zd/JwBnAGHLWVv+B8FIl6MCDgndqQ8awnGz3RNXFvP
 74RjfrfLIzl6fewn5cGF3c47kEpZDyxDN399mtliTbEL2FVMfZ/eNo+mGUyOhuqqtGhNKTrFDCs
 5
X-Google-Smtp-Source: AGHT+IG41eI7KgjdNOwT7zgUItTXFxeqoh5rIcYZ0ThWjpnFP4uXAX1c6NXgtEqDMhi6Iod9bFVMLA==
X-Received: by 2002:adf:ab0d:0:b0:343:8022:dd0b with SMTP id
 q13-20020adfab0d000000b003438022dd0bmr435092wrc.1.1712074046055; 
 Tue, 02 Apr 2024 09:07:26 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.25
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:25 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 063/147] gnu: Add rust-cranelift-codegen-shared-0.105.
Date: Tue,  2 Apr 2024 18:04:15 +0200
Message-ID: <c60a977f00a5e5fdfdc4025a14fb8305c30edf77.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-cranelift-codegen-shared-0.105): New
variable.

Change-Id: I940232d3e027503388cbdbf131846665d79f9921
---
 gnu/packages/crates-io.scm | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index ff6becebdb..637a68573d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -14936,6 +14936,26 @@ (define-public rust-cranelift-bforest-0.105
     ;; With LLVM exception.
     (license license:asl2.0)))
 
+(define-public rust-cranelift-codegen-shared-0.105
+  (package
+    (name "rust-cranelift-codegen-shared")
+    (version "0.105.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cranelift-codegen-shared" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0v3ja501s26s4ykljy0ikxqa69jkpn7pg2mrghy0map3cd1lqn70"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "For code shared between cranelift-codegen-meta and cranelift-codegen")
+    (description "For code shared between cranelift-codegen-meta and cranelift-codegen")
+    ;; With LLVM exception.
+    (license license:asl2.0)))
+
 (define-public rust-crates-index-0.19
   (package
     (name "rust-crates-index")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:10 2024
Received: from localhost ([127.0.0.1]:55421 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrghA-0006qK-FO
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:10 -0400
Received: from mail-wr1-x42b.google.com ([2a00:1450:4864:20::42b]:61757)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfh-0006U8-M8
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:39 -0400
Received: by mail-wr1-x42b.google.com with SMTP id
 ffacd0b85a97d-3437d3db788so211087f8f.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074048; x=1712678848; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=lsi5Gi9ZYaR8dhd7J2y+ZyV0lmhD9OfgpxyUM5Pmz1k=;
 b=WboFk6rfUph1j6KnUyld6bYdMb6iyT4ii/m90XjbDZz9CardZL+dqqPcdI7ngf7Kn0
 aN5ERfR8z5OiyjVeVIvq6faDT03wJPiOYaOr1OFPvy6zPa5Fyh5RGkzwZC86IXfVNANM
 wxiIwzOOWuSqwM5yDyrjM/n20ZomOzFkuRXOE1ZSGeyPkFBTE8mKAZAu49/Lm0YDEx/G
 iC/HS04Jsnyw5pOZ5yeflLGlZ2H5pY1wjAazVNKz0l6WF7TGbs6Heo3HaS/jUZ+yVBZ6
 eqXNi5+TIwOm3eQa2+4tE5tPffdErlsqMK3ag2UhGHwF21LTUsrR9UliOpyM1B3VhxFL
 64MA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074048; x=1712678848;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=lsi5Gi9ZYaR8dhd7J2y+ZyV0lmhD9OfgpxyUM5Pmz1k=;
 b=K47sm+pGiCnrllC1eeFEREG4y1zR2YfJe9uDyUi/5zVMLuHFR9Bl9zzC8/eRxXkxmj
 /4rr0gZqZzsupXKlCV90NCYbfA0ynxqiFxpX7cutfxoyG/e1NfCYtahTPI2cjqbobH6H
 M9PJWUACFirm5wDhTdVt2k3rwsUBSqkJRcCEW/E0oCmiT0r9VHQkjCc0Bg+TFBeaahw+
 RjF5oy7PDLFlukKWMHZa7q6iPZ06SyY+NCWI2Hw4sRXFuFSKVrYC/8ZquxJ+prvA2pfx
 DHwk+V31Y5nYHh1l0KG3+YBkqRxRUYc0uy95fKmcI98+o4JeU4vMJ2Mql/tMkguIqWy0
 uNxA==
X-Gm-Message-State: AOJu0Yx6z/IzdI0YLqzukInlDrlaUOtBfS15PQHG+xFeDNokmfhRC6cr
 KKeyLoNY+v8kZ2z21uRLY3gQMVO1zigEWMCcX6ls7Zn+4s0dIgD/gvNd27R6M9pQ99cdLtG11LH
 q
X-Google-Smtp-Source: AGHT+IGkaMAkDG6a3pOR1Jes++7GGgnZflUUX+5kSTDWu8ksVMZ5udwTZe/LEhmn/qXzqh5FFubmUg==
X-Received: by 2002:a05:6000:b49:b0:343:8373:1596 with SMTP id
 dk9-20020a0560000b4900b0034383731596mr191343wrb.28.1712074048048; 
 Tue, 02 Apr 2024 09:07:28 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:27 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 065/147] gnu: Add rust-cranelift-control-0.105.
Date: Tue,  2 Apr 2024 18:04:17 +0200
Message-ID: <7d11cefd3ae1645bbc016a31278b57e4cdefc1fb.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-cranelift-control-0.105): New
variable.

Change-Id: I3c7b86ebc74b796a531c99bb4951dbf9d13bb3c5
---
 gnu/packages/crates-io.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index f9b5550cd0..215085ffce 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -14979,6 +14979,27 @@ (define-public rust-cranelift-codegen-shared-0.105
     ;; With LLVM exception.
     (license license:asl2.0)))
 
+(define-public rust-cranelift-control-0.105
+  (package
+    (name "rust-cranelift-control")
+    (version "0.105.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cranelift-control" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0w85gyz7bnqjjxzz9gv3hc9l13fbkr68wainpbym6rcc17gcwppj"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-arbitrary" ,rust-arbitrary-1))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "White-box fuzz testing framework")
+    (description "White-box fuzz testing framework")
+    ;; With LLVM exception.
+    (license license:asl2.0)))
+
 (define-public rust-crates-index-0.19
   (package
     (name "rust-crates-index")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:08 2024
Received: from localhost ([127.0.0.1]:55415 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgh8-0006pq-Hr
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:08 -0400
Received: from mail-wr1-x436.google.com ([2a00:1450:4864:20::436]:43515)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfg-0006Tu-W8
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:38 -0400
Received: by mail-wr1-x436.google.com with SMTP id
 ffacd0b85a97d-3436b096690so610887f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074047; x=1712678847; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=YTJguigMQ7BNx5Ur+2GDMLrlsOX4ZADGjS8yCAa2aqI=;
 b=i9zOCM8wzI5LKu8GOKfyt34XFmErCRkjJD9UzRAsGkvqs0wS8ViZAD1PJRvGylaea8
 dohEX89zL58enFk3feWZ+wFDXVXyGvooFdZeK28mID7dZMkgmv6qrmwcK1JIJb0DuY9m
 vaaF85zLpFIEPqIq/Gtc8YAHCgeAT23ouueedyrJfsSBI8bAII6woFbTWw3X89pxXsoL
 BqRiJvNSatHHGVwdBhHNgrw/Dpjm/uMiBC7S+pQy5UwA+9VYoZLmU4cNvujObiiCaMTb
 rlZq7zkmz5cQ9pIg6ZiluGJefou+ewupQvGP0pwz+3o+DBKiJfyRx45B0yICWZMXSkMM
 HO1Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074047; x=1712678847;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=YTJguigMQ7BNx5Ur+2GDMLrlsOX4ZADGjS8yCAa2aqI=;
 b=iI2MIGFcgJOCJiaTl79k6T96gPW89pj22vvw464M0mGfkt97+Kv+4VjxhatHtBnbxK
 zUeqWohiokIE61enLCRu9tnevyahTWSFkIbEIBZLKRF+eomZTEISmoLtCLYdGqsAdoQ/
 k5UjgBPGiGouork7fwK3Zw94uLI8mbVVibiwah6z1sN6ZISvcLh3bRdRaPKEjYvXsLy3
 C0lNJJhcjxnxCq64pPAPnamswUCCDy4cmEbKvDkxofT2lQ8GY6EjYnEKPnMcPs/SRwu1
 0c6EqgRsnLHkDW/xImDfrYXxfayJ0ZiZtSXygs5LV+xVE4zzsN+6JxeULx0BBdR9n1NN
 XE1A==
X-Gm-Message-State: AOJu0Yy1pTyd3fOB5fbryTedW56tpRBAers3AO9oH13wz2wUNgnec9Ux
 IBSCV76rMONx5GR09xrXqYOtflroelS8FvR4ivP9BLc4Ww2jGI4cU12kwpCIJuv8ACCgYxsdGN+
 p
X-Google-Smtp-Source: AGHT+IF2nRgeKURbgDylpcOW9pjA0RIQtyYHEcrtS8/OEJn7zVDBf/W5+NC3igK53RNC9DachLUkbg==
X-Received: by 2002:adf:e246:0:b0:343:8485:4edd with SMTP id
 bl6-20020adfe246000000b0034384854eddmr234329wrb.23.1712074047083; 
 Tue, 02 Apr 2024 09:07:27 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.26
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:26 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 064/147] gnu: Add rust-cranelift-codegen-meta-0.105.
Date: Tue,  2 Apr 2024 18:04:16 +0200
Message-ID: <1d622c22b72e104e74638d848f22b89b2f7972c1.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-cranelift-codegen-meta-0.105): New
variable.

Change-Id: Ib53e24aca6fc2a4e2271da3f2b33fb8d5660503b
---
 gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 637a68573d..f9b5550cd0 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -14936,6 +14936,29 @@ (define-public rust-cranelift-bforest-0.105
     ;; With LLVM exception.
     (license license:asl2.0)))
 
+(define-public rust-cranelift-codegen-meta-0.105
+  (package
+    (name "rust-cranelift-codegen-meta")
+    (version "0.105.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cranelift-codegen-meta" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0q9va4rvych99fj5n44h2lnkd1lhs0hpb87w7pvp1h45b7cdak6j"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-cranelift-codegen-shared"
+         ,rust-cranelift-codegen-shared-0.105))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Metaprogram for cranelift-codegen code generator library")
+    (description "Metaprogram for cranelift-codegen code generator library")
+    ;; With LLVM exception.
+    (license license:asl2.0)))
+
 (define-public rust-cranelift-codegen-shared-0.105
   (package
     (name "rust-cranelift-codegen-shared")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:06 2024
Received: from localhost ([127.0.0.1]:55409 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgh6-0006pC-9K
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:06 -0400
Received: from mail-wm1-x333.google.com ([2a00:1450:4864:20::333]:45154)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfe-0006Sv-Fu
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:36 -0400
Received: by mail-wm1-x333.google.com with SMTP id
 5b1f17b1804b1-415db53d905so7449615e9.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074045; x=1712678845; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=cKb88nuEXXmoOvgdWj1eFlEC/j8NtI2WyD+HJ7F2Cb4=;
 b=GEa7TOyiQmiIogOzkwTZBN1Mlqt6EP9Ceu2WooEgXF6D2OuXqlSgpJ7TFq0P6tCmFM
 T5ETtaCrJ26oPT3Ifjo2gQTSARvB2HykQiSxGd7TxewuD4bni54Gegps1Og/EHL8+xeS
 5hTO99SRiagd1UC65KeqYtdyuV5jD58kohSBSnOWrGa+7enLR4O5RnoAU3LQ5XQlnDXx
 YskhASJABaFKlVTe+Lvq8Jjsjn1mB9+gOGcYDvTM+rLjVO/ayX/lqDiPpOZRATS6AlhI
 XmH+F+R7W7q92+ODt0vR9Yu82SOqrpH6JAPTvfufjb/fX4eBDMvzUmPe3QLvbAS4/Q/d
 uhwA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074045; x=1712678845;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=cKb88nuEXXmoOvgdWj1eFlEC/j8NtI2WyD+HJ7F2Cb4=;
 b=mTfZzVwOp4MzW1sG4KzqTxpej5Qq1+biyLOHEsCo+9c552K35NaZEwEA7yKYU+dmE7
 3i7P1Xw4GW4+3fpAdWJzlQvl7ge9cnk8jt/t+vHym6vK+3vw31VJDAaGtchVr1tszEvz
 GmFsrBzCBZjNmiUz2qvUhp7OXazofXOpbX72Y5hTUHY6v+UHv9rU62bP0y446JHnIgqZ
 TmAkie4JoX831jxBBWQKDsX9+ITHdlIk6hYaf+OHcrbpcr/MGewoePS1RNVVybWpc6kl
 rX4Xzh8m4XmuocW1G0opnwovlRF7UT2lJ8TG2ZGYmDv/bC6au+eqZGrrkoM7ywXu5EcE
 doBQ==
X-Gm-Message-State: AOJu0Yw67+t5wwxIoyypUU8x7XiVlS0e/hyAdV4gd79d8kjiWAixULiy
 7k3yMyJUOZ4ys7DdEcGTL0h1jZeUSLjH0YvYEk/MKBVZC7MJkJoPlQRhJ5SDH7ycxQOZQTxQi6A
 t
X-Google-Smtp-Source: AGHT+IGnBeAbZwOsidW/LKQl1gzoBfdPSgBrvdKeQC/qg/mnXPQWWu/MkdrTREFcn110bziurguFUg==
X-Received: by 2002:a05:600c:3546:b0:415:52f3:e9f7 with SMTP id
 i6-20020a05600c354600b0041552f3e9f7mr9437952wmq.21.1712074044847; 
 Tue, 02 Apr 2024 09:07:24 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.24
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:24 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 062/147] gnu: Add rust-cranelift-bforest-0.105.
Date: Tue,  2 Apr 2024 18:04:14 +0200
Message-ID: <ae7f6b6ffd7c956c86feab5b2297ed9c6d9089a0.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-cranelift-bforest-0.105): New
variable.

Change-Id: I659dc9f98f7ddadad5a9e9266a3bef34e507992c
---
 gnu/packages/crates-io.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index b40ba1e188..ff6becebdb 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -14914,6 +14914,28 @@ (define-public rust-cranelift-entity-0.105
     ;; With LLVM exception.
     (license license:asl2.0)))
 
+(define-public rust-cranelift-bforest-0.105
+  (package
+    (name "rust-cranelift-bforest")
+    (version "0.105.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cranelift-bforest" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "092wi61n3j7q76dmgq9a6mh93iv5d5pvpv6y3nxnp9mw58g55m8n"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-cranelift-entity" ,rust-cranelift-entity-0.105))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "A forest of B+-trees")
+    (description "This package provides a forest of B+-trees")
+    ;; With LLVM exception.
+    (license license:asl2.0)))
+
 (define-public rust-crates-index-0.19
   (package
     (name "rust-crates-index")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:04 2024
Received: from localhost ([127.0.0.1]:55405 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgh4-0006oc-DM
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:04 -0400
Received: from mail-wr1-x435.google.com ([2a00:1450:4864:20::435]:46561)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfd-0006SK-6Q
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:36 -0400
Received: by mail-wr1-x435.google.com with SMTP id
 ffacd0b85a97d-34005b5927eso3983606f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074043; x=1712678843; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=UtjhG+38VK6UcJ+dZQYN9gqeUNAL9lZ9yQZNFWBYGt8=;
 b=ffAlze2La9c5CCaTm+/zMPRS4KFd1o0CGgB9+Ew5zGHRiE4s2fku14Fe6GVQ0NkIHB
 RvV2qjIhLlhhMLb5n3U4UB4w0sw9sjFf904e+hpvR08Oml4XxM8gdEb+dhkOojtZ5A/h
 3ahhnLipobRKsxdxhqHJ1RLXP3bfjRu84NVHujdyUKew0EzT/QbJ9Aog7g2hPA/yP7CK
 9608odGXbKEhMuDtiiZ7cLmg/5p7OGZEFxezUlqyQPRFCMdtnZpnndMC4rBk8oHV8Zo+
 9M8aiFam8CwovJXfC9XJAllJi2joqMI9/csLM11swdaGvwPyL8+VuFLy0Rr1Acn+2Ley
 Bfkg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074043; x=1712678843;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=UtjhG+38VK6UcJ+dZQYN9gqeUNAL9lZ9yQZNFWBYGt8=;
 b=p5N+gfV5ymtbVH6GinewdZwonsdaikX+Vk6tjKYMuaAM8TPsBKEdNqC5QEiNW4QWDx
 NJ03rxdgQhZPRDor+GjKJrdL6DIB2xPRuj4aZ2sY0yHGfUglybkAPJ0ujFj3hRMmxk7s
 XGvUyI6R4IvP60FrpFkux6nhwdFE1P6iz3KI/stXktIUd5eX5SOnh2/k57mSiKI/QSne
 eMFJf0R+gWPuyfUXoit4pcjap7eC8IKGjmyZb7FGxXLGYg0YhUk0EFpE4DTNwoLOsR5k
 E1oy2VkWLp1d5phBFelkLwvnR1NPVq5ABLQAsTi+gz2fDJlZujEb2L6EEbOCvBia+ir+
 7RaQ==
X-Gm-Message-State: AOJu0YxyLsjaYAgzIfy4RhqyKNEcKZhM66yJsZ8lOLxIWcw7alHenjC/
 Cgaq/K4lwuSwLqq8ydGHd/mBZr+FAitytePQ7NvqZbiyI/GiZbU3hbnPJmvBvwUNlXNO6r+xrPn
 O
X-Google-Smtp-Source: AGHT+IGds+W3P/iLm7Wv84dTCtBi5DHiaWrMY76U1yJ8FjX/X7q11Qqq1TmXWHMPp4HsbezTNMMhmw==
X-Received: by 2002:adf:f5c8:0:b0:33e:be35:d449 with SMTP id
 k8-20020adff5c8000000b0033ebe35d449mr157250wrp.44.1712074043358; 
 Tue, 02 Apr 2024 09:07:23 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.22
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:23 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 061/147] gnu: Add rust-cranelift-entity-0.105.
Date: Tue,  2 Apr 2024 18:04:13 +0200
Message-ID: <c46365a3bd60db1fece3e56932752c95005b8058.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-cranelift-entity-0.105): New
variable.

Change-Id: I604c9103e5c348836a04dc78cbfc45a604c47ade
---
 gnu/packages/crates-io.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 10ef22bea6..b40ba1e188 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -14892,6 +14892,28 @@ (define-public rust-cradle-0.2
     (description "Execute child processes with ease.")
     (license license:cc0)))
 
+(define-public rust-cranelift-entity-0.105
+  (package
+    (name "rust-cranelift-entity")
+    (version "0.105.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cranelift-entity" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1jsq40byd4akxhj7b8sh20m89lywhzfyz1wb4idlrp155yj8383f"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-serde" ,rust-serde-1)
+                       ("rust-serde-derive" ,rust-serde-derive-1))))
+    (home-page "https://github.com/bytecodealliance/wasmtime")
+    (synopsis "Data structures using entity references as mapping keys")
+    (description "Data structures using entity references as mapping keys")
+    ;; With LLVM exception.
+    (license license:asl2.0)))
+
 (define-public rust-crates-index-0.19
   (package
     (name "rust-crates-index")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:02 2024
Received: from localhost ([127.0.0.1]:55401 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgh2-0006o2-Mu
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:02 -0400
Received: from mail-lf1-x131.google.com ([2a00:1450:4864:20::131]:55569)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfb-0006Rx-S2
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:34 -0400
Received: by mail-lf1-x131.google.com with SMTP id
 2adb3069b0e04-515d49a6b92so2622032e87.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074042; x=1712678842; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=ORWKG3cjaBKdvB1xKOK829JU9mcAldg1uyn3XUDxnAg=;
 b=TixYlnWI1etpTFxO55ELSBjc3xTDUp8P9HcqROprRwfFHEGQv3/7R6HCk/BUrI6VHs
 6BLdCBmKgmAWEAb8pqTJVFVyvNfWXNbQjLcMGQKYZ+EBIk4epjqjiW/7/j1qnTIJpse3
 7uTLJTVpHtSinAZwamm1UStPSqKPL84ltlvEhKy4qWs/KdiD7DREFpp2b/jxwpXiAxvc
 vLT9QEbLAgjb9OKkFg5O/f4slU/OuzxphgabHLcp66lQQeT+zWHonLhXFEX9+yETR0+X
 4d5D/n5sdQw4RiVh5uBqMp93QE4k8g9pjb3czkDzzrQb+tl2RpoNBuZbqCJs4lipgs0V
 iApw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074042; x=1712678842;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=ORWKG3cjaBKdvB1xKOK829JU9mcAldg1uyn3XUDxnAg=;
 b=eCIOinkpiP0RHKFIgfkxClx3kU6gnYba/NDt+n6+SSUmFzjTsDZPutRzJ9UMn+M9yt
 ejsijevSm3bz0ggPJ/pjEhsTrmkFR7DTOEDtCddPr2ECWQM7UocGPIAwDg8GulMiub2v
 25gnIrja2pDF1gOyngCWOWlRI7k82W7XDqIX0Bj9Z3k+UIjNS9MnGGQz7kDh66M95UCP
 XfCgagFW/oJjyFvtRDeYahwokQTEIU7LCLtpAKj6XcDcy0aDvNOJxiAqsdNEYeP2k5X6
 kXpCeYi9Mfu3jsIHqH/cT7gx9epoyjFlUCKVlg0CSYwbXb0Wbn7ERQLEZEABw3BPoHo5
 qZUw==
X-Gm-Message-State: AOJu0YwToH+YiF6YZ7FeLKfPmmFh+Q+ZTV2NHlp1lDAUM7W6EXFXtRLX
 m3ApWdPaw0+9SaZSsckE8pq9FLXE/zNMOuhE4CjnzEiXmgOtaU13tlgCv4FJHARm0T0Um2AOLR3
 D
X-Google-Smtp-Source: AGHT+IEJn9tgoB2Xr3Ly+3FQbwqVfKc/6WlDCu/w+hl1HriJYKjm2OiFKc3csY/kYCuCGve7qT54OA==
X-Received: by 2002:ac2:446b:0:b0:515:a733:2e0e with SMTP id
 y11-20020ac2446b000000b00515a7332e0emr7267143lfl.25.1712074041696; 
 Tue, 02 Apr 2024 09:07:21 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.21
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:21 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 060/147] gnu: Add rust-gimli-0.28.
Date: Tue,  2 Apr 2024 18:04:12 +0200
Message-ID: <425c5464232fdff1ac78fd631b309e18bd00c9c2.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-gimli-0.28): New variable.
(rust-gimli-0.27): Inherit from rust-gimli-0.28.

Change-Id: I5ef53da84f6efc735c3de9abe8166aae93f9faaa
---
 gnu/packages/crates-io.scm | 38 ++++++++++++++++++++++++++++++--------
 1 file changed, 30 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 4c48053f95..10ef22bea6 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -26859,8 +26859,37 @@ (define-public rust-ghost-0.1
     ;; Either license can be chosen at the users option.
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-gimli-0.28
+  (package
+    (name "rust-gimli")
+    (version "0.28.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gimli" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0lv23wc8rxvmjia3mcxc6hj9vkqnv1bqq0h8nzjcgf71mrxx6wa2"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-compiler-builtins" ,rust-compiler-builtins-0.1)
+        ("rust-fallible-iterator" ,rust-fallible-iterator-0.3)
+        ("rust-indexmap" ,rust-indexmap-2)
+        ("rust-rustc-std-workspace-alloc" ,rust-rustc-std-workspace-alloc-1)
+        ("rust-rustc-std-workspace-core" ,rust-rustc-std-workspace-core-1)
+        ("rust-stable-deref-trait" ,rust-stable-deref-trait-1))))
+    (home-page "https://github.com/gimli-rs/gimli")
+    (synopsis "Library for reading and writing the DWARF debugging format")
+    (description
+     "This package provides a library for reading and writing the DWARF
+debugging format.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-gimli-0.27
   (package
+    (inherit rust-gimli-0.28)
     (name "rust-gimli")
     (version "0.27.2")
     (source (origin
@@ -26870,7 +26899,6 @@ (define-public rust-gimli-0.27
               (sha256
                (base32
                 "1d5v6jjchf4872jynjsg5ni4vankm1341bas8qindygb6g9962md"))))
-    (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
        (("rust-compiler-builtins" ,rust-compiler-builtins-0.1)
@@ -26888,13 +26916,7 @@ (define-public rust-gimli-0.27
         ("rust-rayon" ,rust-rayon-1)
         ("rust-regex" ,rust-regex-1)
         ("rust-test-assembler" ,rust-test-assembler-0.1)
-        ("rust-typed-arena" ,rust-typed-arena-2))))
-    (home-page "https://github.com/gimli-rs/gimli")
-    (synopsis "Library for reading and writing the DWARF debugging format")
-    (description
-     "This package provides a library for reading and writing the DWARF
-debugging format.")
-    (license (list license:expat license:asl2.0))))
+        ("rust-typed-arena" ,rust-typed-arena-2))))))
 
 (define-public rust-gimli-0.26
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:09:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:09:00 2024
Received: from localhost ([127.0.0.1]:55395 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrggy-0006nP-U6
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:09:00 -0400
Received: from mail-wm1-x32a.google.com ([2a00:1450:4864:20::32a]:53711)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfa-0006Rb-Iy
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:32 -0400
Received: by mail-wm1-x32a.google.com with SMTP id
 5b1f17b1804b1-415523d9824so34801805e9.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074040; x=1712678840; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=gV6vfiymM3etPQeKUL1I/89qxDnpFdMjVdEqGuIQAMs=;
 b=hAkhUlpwh5e21j7LZW7hCtpw2Kksa5Hz1YNTJVTIbQxMN0f30HUTVm2iJKtc9m4kMu
 4pp6/YqgTSl73NKgveJaNPdfqwqf4ygin4YdtpPOU00aBHdaQrDVGv9CsR5lPy4J11qG
 2u9oR+4WWto5zSz5K0/ZWNhvkqRltgK0x7+4DdyPpwLlbP2Zc+aWgjjlOfKfZzABxErR
 dRANExVCeSjlBkairIqxX6IjjOXswSrcdKlxEK3rHSGNpD67av87oVCqUqhW3dhKf/bC
 20Rr9TZQUQdwWp5o/Fhg7t0DcL7rXz+koHo1+UAY8ZoB2uwsehQo3thiJseoaj3jaizP
 TdGw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074040; x=1712678840;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=gV6vfiymM3etPQeKUL1I/89qxDnpFdMjVdEqGuIQAMs=;
 b=YSH7dZvlrhvLQNTuGsJhEsoNUfX2V1+pUoj38jIgqe4bZD1IeIx1w5OV8pPx302hS7
 z6atcI5nkmVhQZFDEhXrGmGExBpbzhIGKFxSTPAlzwPyad9eSv9Ub03vCvIY9dQwBvzJ
 /4WAMjm4zNEnGdjB3u/UwCng4Am61dV4U6z5w73K+Y7a7/9gCr9nBI0yfF743oU/bTfY
 vyrG4hlT85/0PQ3DJ/vIZAbRjo0g56UYxEFLb+7P7fSS3ZjfVGiGLIKA8N7j0he59NG1
 2R3ZpbIcJ5DwAdP9a+v7VOFOqFUB4tGxKW5YpN0vBZ5WPiP71dKFjTsCXEkC6eTFJce+
 vVpg==
X-Gm-Message-State: AOJu0YxD4qHDthkcX2aYnuJxy+SSOL3iRULZUDxQ/O3yrV1x4WOFuJmM
 Hnz24YzBdDRVAzy94RND6ZdOu3Z1fZDuGm4iVj+yTQdRKpncWXT5CkfqYZMRw7zk60vjDrdb9Wo
 P
X-Google-Smtp-Source: AGHT+IGjeu9tQCpm+qPt2gki/EAnzzGmhdrLoMUAm32hXgNYjkFCuIjmta+a+NfYdVz1SC1HbBiyPg==
X-Received: by 2002:adf:f60e:0:b0:341:be17:2554 with SMTP id
 t14-20020adff60e000000b00341be172554mr1891067wrp.36.1712074040555; 
 Tue, 02 Apr 2024 09:07:20 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.20
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:20 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 059/147] gnu: Add rust-capstone-0.9.
Date: Tue,  2 Apr 2024 18:04:11 +0200
Message-ID: <35cc926801d81f84334dd13f39cdf6400f1ecee3.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-capstone-0.9): New variable.

Change-Id: I9393126aaadc8ee95ab0fcb097307c8407c6ff14
---
 gnu/packages/crates-io.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 205041cb5d..4c48053f95 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -9712,6 +9712,28 @@ (define-public rust-caps-0.3
         ("rust-error-chain" ,rust-error-chain-0.12)
         ("rust-libc" ,rust-libc-0.2))))))
 
+(define-public rust-capstone-0.9
+  (package
+    (name "rust-capstone")
+    (version "0.9.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "capstone" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1v19wszrrhidh6z1ms0hda0dl4p0fl2n1mhx5mwkjfffnj03r2qp"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-capstone-sys" ,rust-capstone-sys-0.13)
+                       ("rust-libc" ,rust-libc-0.2))))
+    (home-page "https://github.com/capstone-rust/capstone-rs")
+    (synopsis "High-level bindings to the capstone disassembly library")
+    (description "High level bindings to capstone disassembly engine
+(https://capstone-engine.org/)")
+    (license license:expat)))
+
 ;; FIXME: This package contains bundled capstone sources and no easy way
 ;; to opt out and use system libraries.
 (define-public rust-capstone-sys-0.13
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:57 2024
Received: from localhost ([127.0.0.1]:55391 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrggv-0006md-Uj
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:56 -0400
Received: from mail-wr1-x42a.google.com ([2a00:1450:4864:20::42a]:43152)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfZ-0006RC-1O
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:30 -0400
Received: by mail-wr1-x42a.google.com with SMTP id
 ffacd0b85a97d-34379b447c3so6497f8f.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074039; x=1712678839; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=wO/WVYE1zOWwlJYjP9w3IhhQ0EdlWRuruFMW2s/FR/s=;
 b=GnL5lt/UVxq3iWcySdQAaDekEvjl7VV6p9oYm3CcIH/Z1S1oPL74D5hRA+qH+SGCzH
 L+n/MOewSO1JXde1UappSPR6TGB/cjEZFTjfMX6+XzB0hyLVZowN7QqqkTjobUlggb0C
 mM6jhqEmfBDGg+keQqWfAD46gL+cVdK79fDXnlzrziu9D2UeQzF01QbjOBTW+ufjxlRj
 bHl6e6TWxNKyG6qVGUetCuqt1qZHeociDADw5OYueucQPBSgIO/3rcQaeZLmHEDctStC
 3CAkq9BGiO2XGWYSSzKfRrIjTrxEvrgwmgtzuvWqvo/jQ2HF5Pfrs6AclBvUfcRJFVxl
 qzHg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074039; x=1712678839;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=wO/WVYE1zOWwlJYjP9w3IhhQ0EdlWRuruFMW2s/FR/s=;
 b=pyI2TQ+JiXXmtiqZhm9LW+VgKXSwgfI4ZNLBWHYKITFlQSX/mm2Vz1CXvlVWWZbeyb
 kpoasH4/x//HyEoeJV5QJvu35aHT0pceCO2+Zl3LMothXp49ucZY1Z9SA4T93nuYpTS0
 4uUy8PAQvxgvUeVGXYiW3GtZLb0aSWsEge8jkL1lQiNCDiino1Tc//DBxdBFokxBv50q
 pIWFJBPdx44zdYC7HLoAmpj3d7zgKxps62ETJkCcsaf8hESp8kTSUGPsW4kchJD9rQ48
 TGdfN5GP871H85QTFIDaNu9NOa4sOJ0ymMnPNbc4BLbYJg5jq24DY9LVLJ1qD6UtkL72
 a/oQ==
X-Gm-Message-State: AOJu0YwSFG8XXXQJz78L9H6maZZhxm4Xko6sNVsM/Oy69R20NQ4xW/SD
 rd1pKzYTcqF9RAnj3I5tWh3fU56AQbfxwwY1+ySXJ33EVf6FeM5919pTEHlY0VAKI7LKpjjizQC
 l
X-Google-Smtp-Source: AGHT+IHyVV/1dYv6Oob83uQNhPXHgRPWKDwOKSG2nNrek+I62QwDD/fx2rw426yxIyu67OJhVbecvg==
X-Received: by 2002:a5d:69c8:0:b0:341:cb34:780a with SMTP id
 s8-20020a5d69c8000000b00341cb34780amr10344452wrw.28.1712074039428; 
 Tue, 02 Apr 2024 09:07:19 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.18
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:19 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 058/147] gnu: Add rust-capstone-sys-0.13.
Date: Tue,  2 Apr 2024 18:04:10 +0200
Message-ID: <34b83c7951a96260a8db6fcd46fc9a8da6800d17.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-capstone-sys-0.13): New variable.

Change-Id: I4ca3ea310603f419bdea8c7bb83d72183fd31943
---
 gnu/packages/crates-io.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index c728849d6b..205041cb5d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -9712,6 +9712,32 @@ (define-public rust-caps-0.3
         ("rust-error-chain" ,rust-error-chain-0.12)
         ("rust-libc" ,rust-libc-0.2))))))
 
+;; FIXME: This package contains bundled capstone sources and no easy way
+;; to opt out and use system libraries.
+(define-public rust-capstone-sys-0.13
+  (package
+    (name "rust-capstone-sys")
+    (version "0.13.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "capstone-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1xpia1gs2b0zl7n521ldq6lax2jqqjw0hz2c8skak94gp2bksbyg"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-bindgen" ,rust-bindgen-0.53)
+                       ("rust-cc" ,rust-cc-1)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-regex" ,rust-regex-1))))
+    (home-page "https://github.com/capstone-rust/capstone-rs")
+    (synopsis "Low-level bindings to the capstone disassembly library")
+    (description "This package provides a library with low-level bindings
+to the capstone disassembly library")
+    (license license:expat)))
+
 (define-public rust-carapace-spec-clap-0.1
   (package
     (name "rust-carapace-spec-clap")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:54 2024
Received: from localhost ([127.0.0.1]:55386 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrggt-0006mB-Oo
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:53 -0400
Received: from mail-wr1-x42d.google.com ([2a00:1450:4864:20::42d]:56672)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfY-0006Qz-0d
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:30 -0400
Received: by mail-wr1-x42d.google.com with SMTP id
 ffacd0b85a97d-3434275ad73so1188817f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074038; x=1712678838; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=vL0cN7r78JP0N1JSypNe6W8M7BNN4hO4o9W21qacpsw=;
 b=PNPzZQo3xIkkKpBxfzdRMP9ngZqLarBWZBOEF3HmXwUdTPf7zRLZsCggHwCGbfXpLY
 yxfaAutqSoNaX4+qN1cvThFl+i5/lRvzDDE7Os8xGh/MtdkWtcTk3LiFAZrivmJSEX6r
 D1G5MzKnu5SjXgmoWrwB4ztQ0NZN4cFWejmTWXG7zgJxl2LP790dYGixAmxUg5b9gasT
 pvSb5WIJVx//ZybS4JL9g4kx3ggfZmt5BWiMEX8N1E9vL7ekJA9MGLTQQywxVTYZGU/M
 lHv1VCPUiAww324Ie9+BNAH/NCntJw3hepgHMhcCU9qam1G6Izi+ctyHkdRVFbSBbRpv
 k7yA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074038; x=1712678838;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=vL0cN7r78JP0N1JSypNe6W8M7BNN4hO4o9W21qacpsw=;
 b=wNy/KliPrCJAA303eNr83PgREwAHPhizjxKF8E9FekRbtxbU0CpLCJL4x+4reV0S3/
 ey3igsSkVLkzW1TikJkMzU+EUtnx2aww3PzwPZcYSHtfETtQ02hoap0gb4n/PyCJxYu5
 XVWx5wgeIUTmwD/jPMQCnpcOnDjLuF09E2uNDti9QhokcY5t05UhLmFZ4WU/oVUrGHkX
 fPiDsItcJfwymYJH6tm7xzk9NXUzzGS5zpK3s2tn3CKFDWnLGkBdaWWU2XwttdCWq21Y
 aQETWpZMeSjc8VNTrc/gPeqgrlP07lAKTQBpE+jyE0g0h2spjwp+K8orQepU7ggEzPEK
 AH3w==
X-Gm-Message-State: AOJu0YzEHSA8GBbW3nDM4zQbjegBcb5mWlaL589qO7i5lsG59bwPkvnM
 It7yWAop3CDTCTvtSK8Ktugg0HLh5OFYS0Y7bGycGiVkOj+lfTUsuJzb6IORtbU1t8i6Dp+hsA5
 9
X-Google-Smtp-Source: AGHT+IGc6qS21TNLKJSAo69+NCzPt0yP1x3/YVi6WdIl+Zt/MIzqYijAmwutKugD/UH5IfsDRYLK7Q==
X-Received: by 2002:adf:e891:0:b0:33e:6495:3273 with SMTP id
 d17-20020adfe891000000b0033e64953273mr9856064wrm.4.1712074038296; 
 Tue, 02 Apr 2024 09:07:18 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.17
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:17 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 057/147] gnu: Add rust-regalloc2-0.9.
Date: Tue,  2 Apr 2024 18:04:09 +0200
Message-ID: <d4fbd68c00909814df1de765300315e97f917e82.1712070307.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-regalloc2-0.9): New variable.

Change-Id: I1589e04c2bef0e27c646708bfd7376f1b8384793
---
 gnu/packages/crates-io.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index f5c90790f5..c728849d6b 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -54530,6 +54530,34 @@ (define-public rust-refpool-0.4
 memory to speed up reallocation.")
     (license license:mpl2.0)))
 
+(define-public rust-regalloc2-0.9
+  (package
+    (name "rust-regalloc2")
+    (version "0.9.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "regalloc2" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "19i94jyjma82hgyf5wj83zkqc5wnfxnh38k3lcj7m6w7ki9ns5dd"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-hashbrown" ,rust-hashbrown-0.13)
+                       ("rust-libfuzzer-sys" ,rust-libfuzzer-sys-0.4)
+                       ("rust-log" ,rust-log-0.4)
+                       ("rust-rustc-hash" ,rust-rustc-hash-1)
+                       ("rust-serde" ,rust-serde-1)
+                       ("rust-slice-group-by" ,rust-slice-group-by-0.3)
+                       ("rust-smallvec" ,rust-smallvec-1))))
+    (home-page "https://github.com/bytecodealliance/regalloc2")
+    (synopsis "Backtracking register allocator")
+    (description "This package provides a library for a backtracking register
+allocator inspired from IonMonkey.")
+    ;; With LLVM exception.
+    (license license:asl2.0)))
+
 (define-public rust-regex-1
   (package
     (name "rust-regex")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:51 2024
Received: from localhost ([127.0.0.1]:55382 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrggr-0006lm-IQ
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:51 -0400
Received: from mail-wr1-x430.google.com ([2a00:1450:4864:20::430]:52241)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfW-0006Qb-Qa
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:28 -0400
Received: by mail-wr1-x430.google.com with SMTP id
 ffacd0b85a97d-341b01dbebbso4801262f8f.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074037; x=1712678837; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=eIvgXoaC3Bqa3n1uKhwG93lYJr8+ro4TEyUyG4s5Sbk=;
 b=q94a4FaVvKOrZQ8vEHIDeOECzCJTtyziBJIshzqa4YyPa2COAln8bsAU/ungIRodcn
 GhRsV7MuQh+qadFBfI6KiLOTa4IiCGteyHFDR2bGVk1CVaQIcVo7cCN+n9zEYz9AyBDC
 ruzypweEniMNpxU78mZBKgPDSLkxYcJ9bSb05rk0aoBmeyBPaTglvCA6dWRnJJusP0KD
 RhNRyHNSNP7FIQ0k+1PtJv8/JLHaWd+yGqAx6Xiedy/zMI30dqHNW0jLDe8DBOcn+eCB
 pKxbGNmxVUvGRuK1JVReXyN7HFMmR5LI/I3OFgVc6DFmgUICxKUOqcFyKZASuwmyqva3
 Z4dQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074037; x=1712678837;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=eIvgXoaC3Bqa3n1uKhwG93lYJr8+ro4TEyUyG4s5Sbk=;
 b=ofZs1vvCGZRMyIdLhmsr98/w0nyISrZRIU48/PnGUZQrIPQulW0V9lNNGqWB3AjGuZ
 H+8Y96/Y+N7iZ98rKSqOc/hm7D1QxKNFjqAJ6ff5nbhOOzefSJQ/b/1l3W69ZcaWX3zn
 jr19/SGBglWxGezeQeW2VlseC+tpbiht3rTT80oUcyx4Gi6zK6qsFzY71GmpXlr/Jb+L
 wqRFgdErc+MhS/uSQXIGVuW9Jg4EiJh2Ig6mSnqelWTdJy5N94+esJJoVHFJSgvbxQlK
 FXWvX6Wf1lZLa2sjRCOLLHdXaXow5LEpBstffFXs3lTYJES6cPH3yI5T3K+xwCZGw82r
 HZ3Q==
X-Gm-Message-State: AOJu0YzKc/bkeNftbZHbhbV6NpjE2hzyXDRjuI+x04kFL957roG+ouiF
 mLzIgt+hkTAEopWYFZtMkLlem4tjl7cA2LdvNklxLlKFY+IE2BIA+ywgqcVG7bIJcv56Ga2ULH0
 N
X-Google-Smtp-Source: AGHT+IEbSgayYs2JxQnMpWy7rYGY2chIXYoBU2Og3oIN6dfD2FOusivYIP2Zumrx5stPv7l1CHtGcQ==
X-Received: by 2002:a5d:4bc6:0:b0:343:72e3:df00 with SMTP id
 l6-20020a5d4bc6000000b0034372e3df00mr1817571wrt.49.1712074037226; 
 Tue, 02 Apr 2024 09:07:17 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.16
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:16 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 056/147] gnu: Add rust-slice-group-by-0.3.
Date: Tue,  2 Apr 2024 18:04:08 +0200
Message-ID: <51ac2ac1da0e545f6648e7922f1628f39c142a66.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-slice-group-by-0.3): New variable.

Change-Id: I25099b0858e6b6f535db8a172f668e411fc7cea9
---
 gnu/packages/crates-io.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 65f1b52e6b..f5c90790f5 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -62968,6 +62968,28 @@ (define-public rust-slice-deque-0.2
         ("rust-mach" ,rust-mach-0.2)
         ("rust-winapi" ,rust-winapi-0.3))))))
 
+(define-public rust-slice-group-by-0.3
+  (package
+    (name "rust-slice-group-by")
+    (version "0.3.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "slice-group-by" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "19vbyyxqvc25fv2dmhlxijlk5sa9j34yb6hyydb9vf89kh36fqc2"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t))
+    (home-page "https://github.com/Kerollmops/slice-group-by")
+    (synopsis "Iterate over groups in slices and strings")
+    (description "This package provieds a library implementing the
+@code{groupBy} function from Haskell providing tools to iterate slices and
+@code{str}s groups defined by a function that specifies if two elements are
+in the same group.")
+    (license license:expat)))
+
 (define-public rust-slog-2
   (package
     (name "rust-slog")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:49 2024
Received: from localhost ([127.0.0.1]:55377 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrggo-0006l3-Ii
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:49 -0400
Received: from mail-wr1-x42f.google.com ([2a00:1450:4864:20::42f]:50232)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfV-0006QJ-SV
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:27 -0400
Received: by mail-wr1-x42f.google.com with SMTP id
 ffacd0b85a97d-341c7c8adf3so3731253f8f.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074036; x=1712678836; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=L5RNSKrV28im8kr46EutTOkpiyiHWkASxE5WAvYPAvM=;
 b=izN5CarRRmC/ciBS84JKjSCEILs/enqzIcNG9QGOY318a3/JFImJTOKOdJXEukTdPq
 foknHx6Mr1BFKHA4LdaXbTl0arismcXde1sKjXDU9My+MKb8mbtdEq7ZbrEAaacTdBcM
 smWg7JIxuWz0TE7k8sEHwaC/gDNLwdG2hvaQPzd0n3ODxpnc9vXZNY1YNNGnyjFxl8Xt
 QqzdzgV5SMsFaiKfNY0fQrhbEZcXLFpsdTaMwzZfyySdtsC0qLwQ9hmbharBau6mEQGN
 Z9nWeElOITcw+W1MGBO2KBNgJ4JLqEE7Opu90bzJRKCEadEE0uqjwvjwGQIWKPtsZdaJ
 xKBg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074036; x=1712678836;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=L5RNSKrV28im8kr46EutTOkpiyiHWkASxE5WAvYPAvM=;
 b=PtsPjU7r92FYg1cX1uWMy1CF+Od4m3ftatKv5YXw9dHpEcGgJYSCLxvGD1YF5rmt3D
 Bs+VTr13j7d6MRCgcu1csySuaShwTmQ8F6Ij2cTKKtvH0FBYsqaq86n0oeS85i3/LWR/
 Y4B/Ag0Om5rXZfnqyiaIeN5qT3HfOW3zXj5h6WYQ1ikafQYsDhVX6BYXCt5RnH1DLJ1k
 86+h0sIWrrrdlU0w5y3MvAnOJaBY1xdeXU638EcKmn4AJT78jxqZD2gVeJfF4kRNY8Vv
 SFx6ELq+zwu86ovhdQAvp8DJI/D52lKEetnVlAmYE13+tLT6rScukRlXLyYYTjGQdizj
 wUeQ==
X-Gm-Message-State: AOJu0Yyo1r/2uiRwjSWwnLW44scHSSwkd9N9dHlpSxpXlCbdWOzCp/e4
 uTvnzUSNce52OBjmToEgkOHQrH8/OF7dGg7aDjXPu1EybjmW+1gqfcZx9vuG44Q/UDN3YNQHff2
 r
X-Google-Smtp-Source: AGHT+IHu89oypKnQretp1IZ9nUM8OE+UvpVUfHSkKQLMqJusO+AuU+28xlIzutMnKkcCwdYBpnnKzA==
X-Received: by 2002:a05:6000:366:b0:33e:c389:69ff with SMTP id
 f6-20020a056000036600b0033ec38969ffmr8329650wrf.68.1712074036086; 
 Tue, 02 Apr 2024 09:07:16 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.15
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:15 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 055/147] gnu: Add rust-fallible-iterator-0.3.
Date: Tue,  2 Apr 2024 18:04:07 +0200
Message-ID: <bbb7ceb5ae2a4e6f37b076e109a2caa1d6af5e14.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-fallible-iterator-0.3): New variable.
(rust-fallible-iterator-0.2): Inherit from rust-fallible-iterator-0.3.

Change-Id: I7e12549c372c7ca33a7d768a67f1892a075dede2
---
 gnu/packages/crates-io.scm | 34 +++++++++++++++++++++++++---------
 1 file changed, 25 insertions(+), 9 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 8196c8f009..65f1b52e6b 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -22904,8 +22904,32 @@ (define-public rust-failure-derive-0.1
     (description "Derives for the failure crate.")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-fallible-iterator-0.3
+  (package
+    (name "rust-fallible-iterator")
+    (version "0.3.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fallible-iterator" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0ja6l56yka5vn4y4pk6hn88z0bpny7a8k1919aqjzp0j1yhy9k1a"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t))
+    (home-page "https://github.com/sfackler/rust-fallible-iterator")
+    (synopsis "Fallible iterator traits")
+    (description "If the @code{std} or @code{alloc} features are enabled, this
+crate provides implementations for @code{Box}, @code{Vec}, @code{BTreeMap}, and
+@code{BTreeSet}.  If the @code{std} feature is enabled, this crate additionally
+provides implementations for @code{HashMap} and @code{HashSet}.")
+    (license (list license:expat
+                   license:asl2.0))))
+
 (define-public rust-fallible-iterator-0.2
   (package
+    (inherit rust-fallible-iterator-0.3)
     (name "rust-fallible-iterator")
     (version "0.2.0")
     (source
@@ -22916,15 +22940,7 @@ (define-public rust-fallible-iterator-0.2
         (sha256
          (base32
           "1xq759lsr8gqss7hva42azn3whgrbrs2sd9xpn92c5ickxm1fhs4"))))
-    (build-system cargo-build-system)
-    (home-page "https://github.com/sfackler/rust-fallible-iterator")
-    (synopsis "Fallible iterator traits")
-    (description "If the @code{std} or @code{alloc} features are enabled, this
-crate provides implementations for @code{Box}, @code{Vec}, @code{BTreeMap}, and
-@code{BTreeSet}.  If the @code{std} feature is enabled, this crate additionally
-provides implementations for @code{HashMap} and @code{HashSet}.")
-    (license (list license:asl2.0
-                   license:expat))))
+    (arguments `())))
 
 (define-public rust-fallible-streaming-iterator-0.1
   (package
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:46 2024
Received: from localhost ([127.0.0.1]:55372 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrggl-0006kK-12
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:46 -0400
Received: from mail-wm1-x32f.google.com ([2a00:1450:4864:20::32f]:55733)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfU-0006Pl-L3
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:26 -0400
Received: by mail-wm1-x32f.google.com with SMTP id
 5b1f17b1804b1-4161d73d849so4280835e9.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074035; x=1712678835; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=w7KkhuPDJR881Gt0R4oLHmlcBILUTcd9T3nuNll6iJY=;
 b=RWv/2BnESPZU8oFfyUpU4kghVhkyT5vtdWKAg/thJqxaUMGC/srb0zPwh3VIiFD+EG
 0Vxt48WH7Cc2lrsh5xqvYHZ+fFXxomvBaauLrwcAoKn+ohvhiMVWoak6jdeKwvE207Ew
 iLeu8S0k3EjZc5diQRCfQgmVGoPICn4RCaRk9dow/2lxM04SIDB8Qg6IcHWapvnw4Qvm
 HXXWJSWDXINORCxyBZTbivlviNE7UqPfZVWS+q5Y9VH+fOrH3ACj7XgWWI8GnPbSOb5a
 H+k8dU/No+ZGvmMYnhPtzMQ9W6EWWiTsm0dwiapiV8ItDQ4DYbYB9EWneC3SQCmag+1v
 mSJA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074035; x=1712678835;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=w7KkhuPDJR881Gt0R4oLHmlcBILUTcd9T3nuNll6iJY=;
 b=aJCIw+WlPhiyWWuUj9qvyprpqC02E0VEwA+BgHdz4qlksY8pjMZNFECK7VdDhiftvc
 kYq1sS21/RglOM69nxiFhgcRZ3Vt4V0VyCIBYV0LI9+VGSTEB9I+0M0n1H8tvkDIsU9o
 PxUaFLGnxiOyANIIxjvGPO8Uv1+U28FO9B+kFEJrDtkxMP305MMlzHSp4xf/AUknnuGr
 Uov164p+3Xt6urCk/a6YlFQoGMqUymaorctp6m6/7BH64nP/KegE/FZ9ZVlivhLQpfov
 nQEtUvpGOCKXVn/HPZo/+qqaI5PqNbxSExP1Emd5SDjPVu2DWUAbqCBpXci4qTfUA+ub
 EeuA==
X-Gm-Message-State: AOJu0YxOsgDYNwy2E2nznR0ZD3G74I05X1xFg537Fqfu+NiJLkXuRvMu
 PelD4IjUx+qk2KIlbE6BW5BhYBbzzj4Gi35dB0lcfTIR0IvGAnnaTAMtIUnWL483K7zMmYIurOJ
 3
X-Google-Smtp-Source: AGHT+IFLqN0hP1zH4wGyzN2fI2DXpOzRxsswM80hZDEbg6uy/t6+XN3aWYIQbo2lMKaeWpDaiWKj8w==
X-Received: by 2002:a05:6000:ac7:b0:343:6a4d:421e with SMTP id
 di7-20020a0560000ac700b003436a4d421emr1299138wrb.36.1712074034940; 
 Tue, 02 Apr 2024 09:07:14 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.14
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:14 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 054/147] gnu: Add rust-souper-ir-2.
Date: Tue,  2 Apr 2024 18:04:06 +0200
Message-ID: <504ab98ff023d5680a53478bfaef79b2d3026abb.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-souper-ir-2): New variable.

Change-Id: I8eae8854f51dafd8214d2b111b121dce52b8d777
---
 gnu/packages/crates-io.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index a6401ec389..8196c8f009 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -63972,6 +63972,27 @@ (define-public rust-socks-0.3
      "You can write SOCKS proxy clients with this crate.")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-souper-ir-2
+  (package
+    (name "rust-souper-ir")
+    (version "2.1.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "souper-ir" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0i60q84w5k3rd0j3zhsdc5xasrd4wrkamyrs01rik3lq6g71h355"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-id-arena" ,rust-id-arena-2))))
+    (home-page "https://github.com/fitzgen/souper-ir")
+    (synopsis "Manipulate Souper's LLVM IR")
+    (description "This package provides a library for manipulating the
+Souper LLVM IR.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-sourcemap-6
   (package
     (name "rust-sourcemap")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:43 2024
Received: from localhost ([127.0.0.1]:55368 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrggj-0006k6-2k
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:42 -0400
Received: from mail-wm1-x332.google.com ([2a00:1450:4864:20::332]:53366)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfS-0006Ox-3A
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:26 -0400
Received: by mail-wm1-x332.google.com with SMTP id
 5b1f17b1804b1-415a84ea9bbso10759155e9.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074032; x=1712678832; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=fOXHoVd92nv8f24Wqd+NPl1RQ5ZsPt2+UeUp6WIEb8M=;
 b=V8LjVKNNvKpB52YMxSGV5jHO7fG24ZOLoNtYmrT5shYmzLpZj5WHDH2FQ5NCouuH2S
 DztqeReiVSIuva4vx2yoMJDg1hUscqgb0+JZaIiPAHt54Wl1t8S03L/0GcENUBJrpLV9
 960ifckUdXjMB5P2z7bkN5D4xzsrCa7QWE0mSGMhvV8R+h5Xi5beb8H4OF2j87+EtiI4
 ar7M8iBuM08HbMfkPeDAYH4sGjrxUWzE4Gb1ELjuW24k9mJsrdnBTQWuvOzsKGaf3JiX
 oCwHdcnhVqRkee9AMbfUYFXezn9YaQVIKx0vu+tk6vO0QJrgIJfOyCk+dMBDtUvmQZHv
 FCkA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074032; x=1712678832;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=fOXHoVd92nv8f24Wqd+NPl1RQ5ZsPt2+UeUp6WIEb8M=;
 b=iK8bdedjH17hijNklKjE6frSH/M3+lR8jpryUYXCl5uT7J7XnwVwRxQBXQJ+OoTDcm
 50uPM/jJV9BsawC2/M4yZo9TksXlzYlnz6DYeZ4xqNzn7FCr62d+OlWYwXCrnmSWhPEs
 n1Ru1qDlO32DpDAimN+UBX/JOjlsA/gSsSI4F7uEB+16JFn6M26jZxbzlU4njUZr47Fr
 drfdtUJ7RUwWvIdXMZgYaIRHCMFUh/jpZHYg1VnfsXIQaOydxjJ9Mei7k9mz3kTHjIxu
 jAQ3iuIxD22s9NmVg2bHvx2lE99ZioukvGHc9pSy0wZUI547+slWXhXwRjenaWaK9jza
 bRzQ==
X-Gm-Message-State: AOJu0Yw0H00/jmZ6kou11pKptI1BxQrK60kR02xUIxXGcMnwi7S8bpIa
 RqzKd507odbY0z5KQ+ktBAn2bZxXDTVsEIJ4LSPgoCaD+Buugp6s+Ddh+Q4crF7YGh2EeOnmIYG
 v
X-Google-Smtp-Source: AGHT+IH5Z8BOayyO6bnTVd70wvrNU8q91qH5MMZP0fOlzpLQxmNHyxCf7Swz2YbgXMc3fTVPvikDEQ==
X-Received: by 2002:a05:600c:3206:b0:413:feed:b309 with SMTP id
 r6-20020a05600c320600b00413feedb309mr1880310wmp.6.1712074032517; 
 Tue, 02 Apr 2024 09:07:12 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.11
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:12 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 052/147] gnu: Add rust-wat-1.
Date: Tue,  2 Apr 2024 18:04:04 +0200
Message-ID: <81b47c203b046f1908fb1ce20d9dbaee678954ff.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wat-1): New variable.

Change-Id: I1002e689d42ff0d67bd1e9143fad3b35cb0ff328
---
 gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index a6ae6703cb..b238fc265a 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78029,6 +78029,29 @@ (define-public rust-wast-35
      `(#:skip-build? #t
        #:cargo-inputs (("rust-leb128" ,rust-leb128-0.2))))))
 
+(define-public rust-wat-1
+  (package
+    (name "rust-wat")
+    (version "1.201.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wat" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0cizrxad8y4wdrgcdwdy7f4dfd1nqxgh2s6bykjdx62vlhvmnga5"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-wast" ,rust-wast-201))))
+    (home-page
+     "https://github.com/bytecodealliance/wasm-tools/tree/main/crates/wat")
+    (synopsis "Parser for the WebAssembly text format (WAT)")
+    (description "This package provides a library with a parser for the
+WebAssembly text format (WAT)")
+    ;; With LLVM exception.
+    (license license:asl2.0)))
+
 (define-public rust-watchexec-1
   (package
     (name "rust-watchexec")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:41 2024
Received: from localhost ([127.0.0.1]:55365 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrggh-0006jc-1y
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:40 -0400
Received: from mail-lf1-x12c.google.com ([2a00:1450:4864:20::12c]:54292)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfT-0006PK-LV
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:25 -0400
Received: by mail-lf1-x12c.google.com with SMTP id
 2adb3069b0e04-513d717269fso6388208e87.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074033; x=1712678833; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=YX61PueUnyqZ+KGQGCh3iefQrSXlwitD3keotD57XjQ=;
 b=bdUaxzbjPug2o8l+TrKiFpmXsKj08zHNplM0A0kZ+BiQHJh6P8hzhrnd5E67omqjc2
 nSTBUEGPUz6FmbH8aj5v1mtSpeG8ltWp+sYBp6kTYsDXi53HM/svpMaxkWknR+PIy4Y3
 reScda8wEFUVslMiKZAFse6r1OCxf77sntdHUNmsp4ShFQXDYBn7K5C6Qeoa5wLzOUFG
 B0EovmDvIoLn1d5TBAQEEfIpqQZOim/GdHxuf8TZoiGgFBoxWp8UOgnG2pe7TmSptNPU
 hP0Qx5tKbefpKkBs7fDIccEeyZAj3MQHvIVaJMcgGphjdEXDPTPhzfz9oYgTujvivsEp
 FaRg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074033; x=1712678833;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=YX61PueUnyqZ+KGQGCh3iefQrSXlwitD3keotD57XjQ=;
 b=wej2f9vbeKdiGIfqGuGAOTsFAx+OJ7w55P9dj0oluufC8cS2q8oEfbsSIxl+aq6lP2
 rKHuw30Cncx6EJNwgjykQH8dpkMJEjEiyxMSKlxY1y8elDmTf7vB7WPfMg0tHI+VmOZQ
 48T+pBIHs4Msl2JUBjzBsDTH6g9wL427r0CIB3KDWigayGSQNFp5zCRWPMLckeFLVfT2
 hT3Kjk5WY+I1ahnO6begcw6jbJttSCLmzBOEBW2RsnynU5CLSxFAK6iFad5e88C752IJ
 JDtF9b4308k0iCCEQM6FKmBJ9otBwdDcyVLq8uJNWGBo1izEgdsIkwhmqRRo+LLdgp4d
 WUmQ==
X-Gm-Message-State: AOJu0YxKjEPYF0fPq+d3FFbdV1bwTPagmdKpOkC7ZxVt97FmGwfIsXJp
 ChDODkTapyXXH2kjrnCt5l/tmJ3ae97MmoMcluZTnPKXvPzOyFIXPPHCrLu3Es595Xnm/6OJgHQ
 g
X-Google-Smtp-Source: AGHT+IFk4+CAEbxxl5CTgIXOc8R75KFGYCorRkh5Zxtw8b4crZu3wblugC/Axg06VyPNrqOyIjxIvg==
X-Received: by 2002:a05:6512:4016:b0:515:b827:8d05 with SMTP id
 br22-20020a056512401600b00515b8278d05mr10052044lfb.7.1712074033532; 
 Tue, 02 Apr 2024 09:07:13 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.12
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:13 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 053/147] gnu: Add rust-id-arena-2.
Date: Tue,  2 Apr 2024 18:04:05 +0200
Message-ID: <f1c0a978fafe71808da319587ef6f9b1756a0ec3.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-id-arena-2): New variable.

Change-Id: Ic58006f578d875d833466630b93a15d29c4c8774
---
 gnu/packages/crates-io.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index b238fc265a..a6401ec389 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -29611,6 +29611,27 @@ (define-public rust-iana-time-zone-0.1
      "This package provides the IANA time zone for the current system.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-id-arena-2
+  (package
+    (name "rust-id-arena")
+    (version "2.2.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "id-arena" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "01ch8jhpgnih8sawqs44fqsqpc7bzwgy0xpi6j0f4j0i5mkvr8i5"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-rayon" ,rust-rayon-1))))
+    (home-page "https://github.com/fitzgen/id-arena")
+    (synopsis "Arena allocator based on identifiers")
+    (description "This package provides an arena allocator library using
+identifiers to keep track of allocated objects.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-idea-0.5
   (package
     (name "rust-idea")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:39 2024
Received: from localhost ([127.0.0.1]:55361 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrggf-0006jO-Fk
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:38 -0400
Received: from mail-wm1-x335.google.com ([2a00:1450:4864:20::335]:57364)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfQ-0006Ob-NK
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:24 -0400
Received: by mail-wm1-x335.google.com with SMTP id
 5b1f17b1804b1-4155819f710so25510395e9.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074031; x=1712678831; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=fnWjfzq9ARNbK2pA8sPgrMT9LNWPki3QIUUEvMQkZyE=;
 b=oP9OoRtIlp4t3SnNQdm2TEi0YUVBzzvzApxHFmKfPBYm15oSnTSd8dhOe0cE+u544P
 RkBkoUJer8FLk04G3lPMmXsWT9sUDPfw9PcHo7JOj9W8cxt3NJQ0LsD9yxHeNXY1GpJx
 9+CQdDUpjrPKlbQ9zzwQd045TXBpemmty7bAL0Lqx6jzTSgjvlqDL62h05V38tYnZtVA
 8H0/cTQnYrTUZ7CKLFvsBDGVn3skbY+KR63rWle8WJMbtzUnLEI3/5/UzoSb4dDNgK+Q
 Nh5w4IC8bRCoyY0E4Eq1Io6l8ddxXaR53RVTXOgh2N65m8npzZa0Y40fZ2m311+lqXyT
 Dnqg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074031; x=1712678831;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=fnWjfzq9ARNbK2pA8sPgrMT9LNWPki3QIUUEvMQkZyE=;
 b=sDTJTb+qW1PI9Iz0L5arKvXP6OCU92WWEIT3HcknSaWhPDsZziVI5TYj2O8DPdZ1Tz
 N6KWsOkzUtGFoCBao5KS1A0vnYZjS6Z+6qFaEIfB9iWKQ+LUze5giDWDF3bnc8OOUJF3
 31Fs7wxXGM3mUkTZYIJuDyIVzV5hMJ7XE6r+d+CSI3cq0JhCvWke5s5PgYolttVbo2AW
 lLsKf+PYfprYKDUQA3Q7jEncO4waIRkIJwiJHVj9Ar4hDFkD2LK5tDCjllrhFVBjLoxG
 3CuC2MkLXnU4eE9ftHyc6dieN1hRKytRlPxuolGIxaRdWV1Ldus6LPKmO/GsyU/m3lFe
 trpg==
X-Gm-Message-State: AOJu0Yyx2/Qsd8Zi89THbr9GFAO3Ejv6R85uDqiSAyG7NRYJ41TXZNwE
 Vb2CQQ7+eEs0qcy7Qg/zfbRhllBGGkHq7Oe85+ZMCnZ/pc1lNb0A9iqATik6sb9m/KAEvrNBFGo
 Z
X-Google-Smtp-Source: AGHT+IGgwLXZkiLBncc/6zjBrbQ0MhXmueLHgwBoc3tzgX1KE5nUXxoy+AL7tJlUc8X9YOW39GLRTQ==
X-Received: by 2002:a05:600c:1386:b0:414:22b5:c32c with SMTP id
 u6-20020a05600c138600b0041422b5c32cmr11103446wmf.37.1712074031063; 
 Tue, 02 Apr 2024 09:07:11 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.10
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:10 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 051/147] gnu: Add rust-wast-35.
Date: Tue,  2 Apr 2024 18:04:03 +0200
Message-ID: <06146cb3ec2796324f269bdee19d40ebf9ff778a.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wast-35): New variable.

Change-Id: I4a8d449aee328dca78a9aa96bd0fa3a1d3d4c630
---
 gnu/packages/crates-io.scm | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 7dd6a286a4..a6ae6703cb 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78013,6 +78013,22 @@ (define-public rust-wast-201
     ;; With LLVM exception.
     (license license:asl2.0)))
 
+(define-public rust-wast-35
+  (package
+    (inherit rust-wast-201)
+    (name "rust-wast")
+    (version "35.0.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wast" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0s2d43g326dw21bygpalzjnr1fi83lx4afimg1h5hilrnkql1w9f"))))
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-leb128" ,rust-leb128-0.2))))))
+
 (define-public rust-watchexec-1
   (package
     (name "rust-watchexec")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:37 2024
Received: from localhost ([127.0.0.1]:55355 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrggb-0006ie-DQ
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:37 -0400
Received: from mail-wr1-x432.google.com ([2a00:1450:4864:20::432]:59680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfP-0006O8-Km
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:24 -0400
Received: by mail-wr1-x432.google.com with SMTP id
 ffacd0b85a97d-341cf28e013so3807355f8f.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074030; x=1712678830; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=0u7z0S6eCSHC8+mj2xUwRagEioQAuRQRvGF3VPvSvzA=;
 b=RjYJuB9lseUykaf+B+Na+fbkxBLpu9lfjRCeX0zIf75+z4htCSYkqE1UdPzrQS+w2W
 5qQIFS5dyzILmZPdGyePLEEiAPYKk6Cit8vVJc4Hia9EhJTx+sZjFs6FLo+jMWaUd5DB
 ePnFWrU0U5FMrx16YcjTVg/n8zzL2YJiCatDS7mPDAsIlzBrAJWD6lCO3vKssL9++rdh
 uLIRaIYh/Qu/xVCEFWS0c/W7UtrPtazaUZuPYwCBK0NqiA0HBZQKSBIJ9dRkbq6BHKQ5
 eHJd8Icm3TlL1Owbf4+s41r3FRAFDeyGLXbEA17l3PSDKrcCIPxSoNNbtbdIaPcuHu4M
 5FEA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074030; x=1712678830;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=0u7z0S6eCSHC8+mj2xUwRagEioQAuRQRvGF3VPvSvzA=;
 b=DOjXUyhxtqCPle11c3c9Wcj78ZFTwpkw/Iafi9NhyJh2HAu1LtuTdJ4UTYq6wstHD3
 esDekW4SPsncxOTMfkiXiAYbmrwazHX7ahk4aSRkizANoGYo6sQV0Q9/itFMnhBG6WAx
 6fEWIoLYo1BrEVGGP6UF6bT7/oxkacp14aV5WZ0FzkmCVGVf8zhFMT+/up9+6n2HlfKI
 Cy67fBcDVw7SY4AkSJHVmYTFQG1yewNNHe64Lo+eChXxOBgfvgXFVqcm7enrL7+Oyjg2
 JCx3CGsILoTb7XqATbgueQCHPQrRoKIW0Cjst8bbAu7TEAWHNW6VT0diEjqRd8sgwCnq
 20XA==
X-Gm-Message-State: AOJu0Yzs9a3UP4/9tSCdD7n9A14lRh2WvhJH5q/yy9gfiRC2FrClbRzI
 agT64HTOvZvIrpVH0Xa8ZwRSpMEH/vpRwoSD9/UG5PMDQl7OouzfBwLIEUCo4u7nHs3YApMW9ZV
 g
X-Google-Smtp-Source: AGHT+IGnrz5DypvMy+V9XBEZBpLGIVTZY1+VVrz7UC23ywi2Zw/kYqzmeddPAEonC/yvzIhIoILwBg==
X-Received: by 2002:adf:a4c3:0:b0:343:68c5:6ba5 with SMTP id
 h3-20020adfa4c3000000b0034368c56ba5mr1823228wrb.50.1712074029998; 
 Tue, 02 Apr 2024 09:07:09 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.09
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:09 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 050/147] gnu: Add rust-wast-201.
Date: Tue,  2 Apr 2024 18:04:02 +0200
Message-ID: <818a0c71bbe7ccb0f40e14eacc4aa48c7ef0dd54.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wast-201): New variable.

Change-Id: If1c5be3aeda04f700460ef9644e6dc319853491a
---
 gnu/packages/crates-io.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index c4c3e9074f..7dd6a286a4 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -77986,6 +77986,33 @@ (define-public rust-wasmparser-0.57
     (arguments `(#:skip-build? #t))))
 
 
+(define-public rust-wast-201
+  (package
+    (name "rust-wast")
+    (version "201.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wast" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1aig4bvd0n4vvwj1nvjrmmngyyi2q2lv3ljg6wmkxnnp6kpy3xhy"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-bumpalo" ,rust-bumpalo-3)
+                       ("rust-leb128" ,rust-leb128-0.2)
+                       ("rust-memchr" ,rust-memchr-2)
+                       ("rust-unicode-width" ,rust-unicode-width-0.1)
+                       ("rust-wasm-encoder" ,rust-wasm-encoder-0.201))))
+    (home-page
+     "https://github.com/bytecodealliance/wasm-tools/tree/main/crates/wast")
+    (synopsis "Parsers for the WebAssembly Text formats WAT and WAST")
+    (description "This package provides a library with customizable parsers
+for the WebAssembly Text formats WAT and WAST.")
+    ;; With LLVM exception.
+    (license license:asl2.0)))
+
 (define-public rust-watchexec-1
   (package
     (name "rust-watchexec")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:33 2024
Received: from localhost ([127.0.0.1]:55349 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrggX-0006i7-RO
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:33 -0400
Received: from mail-wr1-x42b.google.com ([2a00:1450:4864:20::42b]:46202)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfO-0006O3-Np
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:20 -0400
Received: by mail-wr1-x42b.google.com with SMTP id
 ffacd0b85a97d-3434c6e1941so934788f8f.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074029; x=1712678829; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=BbfmHL+LoQgHfHTUU0irq6iWJHyBlAOLAqlu5NhrxKM=;
 b=qX87xZ28zDcMTGVN+4gLpVCnK/hfNqzWKTFsodia4++ftY2qH62GPoRjy386T9wSF+
 AXnnu7F2pfjihoTh4qFC/I7Vg+0N0DudVjM0Il2kVmgZu04YB+L2Y5mNump01zxC6DQI
 45b+Mg7obYpDXtLvt38Ul3kmHDlNGEaJP/o22uRTRxeNrwN0RGEBJ1odF66tRXNyQ81X
 QjAjdBFBE3g7OVp8zLCEDX+ucj48FJkPn33+OeryTz6bU0uH7Pwov1wUl5lJnNMVJLK7
 0la6UmK1f2AAOKRunoDaI5/AaON0tlWO5qKlq8ffoGmo09U8RIwJb9KdwjGMOz2t03Fl
 zn2A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074029; x=1712678829;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=BbfmHL+LoQgHfHTUU0irq6iWJHyBlAOLAqlu5NhrxKM=;
 b=WTVSmFzSC0cZTW+joc8+vpK9wWUW4bGLg6xGT31fJDogk0zDSlYpWKFL+IaXdByadW
 jC7r8v10YKWC34Gtn/GZ7FT0VyC9IAh0n/GWW+tXy6KtnbKyFIA/ZDQRNAZRQYWrV2GB
 kglWoXlpal4Fm0m/Lis53zHWFz6J+KyK+la64bBS3a1iTzprK1v7Tp3dHma1+qeb0EkS
 nKrMEwkLCDVFth8vXstwnr8NLgXBvzsevlcdt01i11tocYEj/x8uHWcBCwNoE5FLJ+Xz
 +c8HGgtQTVvK76/docbTVeEZ/Zi6VHuEafsNxL3nyVd0aDyAY8VYk80nHxQJY9BeawgP
 0a0g==
X-Gm-Message-State: AOJu0Yy/VRgc4VSkPOoo27xYaRAAuD5SDP8+4OeJuX1r7wCSJnai5BIP
 iiMRFRQfMpNmt3u4Id314/V0RJdGE1ldqW8KIRv28GnGZEvF7RM8Mmvc34DM/DUlXTnNExVLggr
 H
X-Google-Smtp-Source: AGHT+IHEpl6YXTeQ1iXg2qXRB4tYULlCZljWppfIf3z65UbRGTuvCzjQdPXslhM7kAdWx5VG2aB6zA==
X-Received: by 2002:adf:a348:0:b0:343:357f:6650 with SMTP id
 d8-20020adfa348000000b00343357f6650mr119660wrb.45.1712074029003; 
 Tue, 02 Apr 2024 09:07:09 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:08 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 049/147] gnu: Add rust-wasm-encoder-0.41.
Date: Tue,  2 Apr 2024 18:04:01 +0200
Message-ID: <db01920178d11d4f26c86ff35a4adb15d9f057b4.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasm-encoder-0.41): New variable.

Change-Id: I80e817c9acd02f7d33927e0356484732e88c4b9d
---
 gnu/packages/crates-io.scm | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 4e1cea7679..c4c3e9074f 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -77842,6 +77842,23 @@ (define-public rust-wasm-encoder-0.201
     ;; With LLVM exception.
     (license license:asl2.0)))
 
+(define-public rust-wasm-encoder-0.41
+  (package
+    (inherit rust-wasm-encoder-0.201)
+    (name "rust-wasm-encoder")
+    (version "0.41.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasm-encoder" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1bl7a871fw3dwrii2swqcn9x1g4hi8c98dfjvs6r13riv2jrfbwp"))))
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-leb128" ,rust-leb128-0.2)
+                       ("rust-wasmparser" ,rust-wasmparser-0.121))))))
+
 (define-public rust-wasm-streams-0.3
   (package
     (name "rust-wasm-streams")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:29 2024
Received: from localhost ([127.0.0.1]:55344 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrggV-0006hH-4F
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:29 -0400
Received: from mail-wm1-x333.google.com ([2a00:1450:4864:20::333]:46352)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfM-0006NI-HT
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:20 -0400
Received: by mail-wm1-x333.google.com with SMTP id
 5b1f17b1804b1-4161bd0a4ecso5936495e9.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074027; x=1712678827; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=HO/0F7W352RmagLAz0HKZJQCBTjYWBXv794p0RJHp58=;
 b=rXKkhFupS8H/1Hzs+adoW5niTZkqQaZmj37SIAXIuQoQzO72gEcplL8CPq6KguF3Qv
 +vKh+Nb5LkySNM8ECpP4XfEI+t3Ztng7SmbJa5rxYpZl4TYVAvsS4yNRsjoApMCFV9vg
 vy/cpSL38U3RTa8WaK6cCnGmcNFSVKC4yr9kCZ3Enwrpmlw3dkzsMvgKy8NSQ5drdt0P
 xxHctnpSeuyuoZrbl+wSrpACfgCKcBXOrx3Gmls0Q8Jb3ReI857I0VXkWisw8dgb0bFY
 bFvWLc5FSXIK1/kvuJYUcql3Zfc7wRfi19tw2A1iEWjk6VenRfJa44yfa10mnWHEDW6o
 tUgA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074027; x=1712678827;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=HO/0F7W352RmagLAz0HKZJQCBTjYWBXv794p0RJHp58=;
 b=HAMB/vublJBByf40s9BEjRN35nfqxl34yC5d8lOVe+pXRffZ1ptyTvq1N5fzwhIHyD
 4LXKAMqf6ng/NWI40V/IGo8wMoBxxeZl8mcO1+yEvLRFOirURQXsQPs7L+Q4ZqvvGFOL
 KdI2UMIUI3ekuTI9Tc8z4vKa1CjwYdcH/djlsF6E/W93fmblhP83ZwI+dM/Y+DiRvpF9
 kQnTGZGbCMBIECdWOPBziakEkpWlSM3l1r7N0o8fcURya2dJgo8h1RJlsq7dbtyLyYEP
 5/RKWvzkj7UYTG2R+9lzaokzT5qKC4bO2p5AR6J2VzCuHMIz//uMu5Jw8o+f0FDW5CGn
 aIpw==
X-Gm-Message-State: AOJu0YzjTdDLqeBOFIw2mMJbBn4OSJCqpd4IeW6lt+x/pMkcyAsMoOHG
 r30Yhs5KEamfE3gZuVs1XhifxL0oAfMQZ0M/hE5Sq0qC9MCwAtt7SVIBMIInMoKflCIXN7BQq6I
 k
X-Google-Smtp-Source: AGHT+IFmtwedNiprmcp8nl9EgiXORVfro+8rnR3/hpWK+tX4VzdCyguHbuJ+pzbw2824z+rQ/6nBaA==
X-Received: by 2002:adf:e8d1:0:b0:33e:737f:9363 with SMTP id
 k17-20020adfe8d1000000b0033e737f9363mr106145wrn.70.1712074026838; 
 Tue, 02 Apr 2024 09:07:06 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:06 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 047/147] gnu: Add rust-leb128-0.2.
Date: Tue,  2 Apr 2024 18:03:59 +0200
Message-ID: <a343170e4ca1b29ffc799f6ec29186196a13c6cb.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-leb128-0.2): New variable.

Change-Id: I16e11265dd0dac30f093353ac9d042a301822e34
---
 gnu/packages/crates-io.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index b46d2ef254..0a69c85078 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -33243,6 +33243,27 @@ (define-public rust-lddtree-0.3
     (description "Read the ELF dependency tree.")
     (license license:expat)))
 
+(define-public rust-leb128-0.2
+  (package
+    (name "rust-leb128")
+    (version "0.2.5")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "leb128" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0rxxjdn76sjbrb08s4bi7m4x47zg68f71jzgx8ww7j0cnivjckl8"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t))
+    (home-page "https://github.com/gimli-rs/leb128")
+    (synopsis "Read and write DWARF's @acronym{LEB128, Little Endian Base 128}")
+    (description "This package provides a library to read and write variable
+length integers of DWARF in the @acronym{LEB128, Little Endian Base 128}
+format.")
+    (license (list license:asl2.0 license:expat))))
+
 (define-public rust-lebe-0.5
   (package
     (name "rust-lebe")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:27 2024
Received: from localhost ([127.0.0.1]:55339 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrggT-0006gv-7b
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:27 -0400
Received: from mail-wm1-x329.google.com ([2a00:1450:4864:20::329]:44067)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfN-0006Nt-Rb
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:19 -0400
Received: by mail-wm1-x329.google.com with SMTP id
 5b1f17b1804b1-4161eb1aeaaso2996685e9.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074028; x=1712678828; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=BftTCQfsnq+oDGsmmzLUnzUbw6iljJ+W/IhpGrt4R9Q=;
 b=mhuukOEERJySv5Uo8wGbNEnM4Ssk7PrucZrD6HKu8wayeDRiYT+azNKz2ZInjrTwUl
 psVpPFgPBO0tYdpb92fgs9fFLsS42ZcTs5xaL9W6AVIsCTYbQnh4SSIfWmcI0+622n8C
 GsAwhvjponZ+x8xiekEBpMhtzFHB6eUWNYIpCHhgdZpqx357vZcGZYjjVpx74ACo7Fgc
 hNVhnIvjC6VpZSgwKatZSwmceBU+xeexVGtB7U2zW6inm5PafOpgoX5m8NIew/4q5mAG
 8HjLwo5M+1BW3dJP2K47fsUQwOJ4MKxtQnOMchmP+n03oSteOKw6yZmoOe1VD/OUrASG
 Wu0A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074028; x=1712678828;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=BftTCQfsnq+oDGsmmzLUnzUbw6iljJ+W/IhpGrt4R9Q=;
 b=CdAzQsCYuaQkZeKnyu4XPITdAVcO4/64RXctwT9041KwmpqUULmYMB3c237rgLgslW
 oG40xNwR9ow+0QbI7VolVIpmFGXlczDLTOgnR8zkB1RcqknkLb2iskoyUVpOsJy4BtcS
 Bv7i3eD5NW1DKhpTKoTPChk9JfR8Oxk0QZdcHB36rQFxt2cfCNePJ6n+ri5gIuoTiUsY
 VVX+dDhmAwZds/N2PrPjqYE7zdjFNbOVOtdbzzYKYSD/RHGXQ8VUEznuRAsH5WX8kB1u
 0kXj8M4OdMZKDjh3pqWdu0s4pYAksKSBM/6MnFZmX6skVdYz6+wU18FH/75j0BcJOi7t
 889A==
X-Gm-Message-State: AOJu0YzgCFHp3hvQBvq44qvReuXdxmMsxcRZ+MkKKH/+ZjwAFFRFKlPE
 RH8kaXir+3/wvPHo4G/Q+yMLxCqVWUJd+C1Vf8zUghHxJpa0qp0f88IiOETf5GIBboeQVCCzRCY
 w
X-Google-Smtp-Source: AGHT+IEc3XDyXAPs8y/IsZBZSnPPk5OF1zksmZMZdndzeaWlavGBVj/y6w0xOA0jekx5pDo120tRpA==
X-Received: by 2002:a05:6000:d91:b0:343:78a6:ff with SMTP id
 dv17-20020a0560000d9100b0034378a600ffmr915543wrb.48.1712074027950; 
 Tue, 02 Apr 2024 09:07:07 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.07
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:07 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 048/147] gnu: Add rust-wasm-encoder-0.201.
Date: Tue,  2 Apr 2024 18:04:00 +0200
Message-ID: <197eaee5fec53d7e4922559db1aeae4b698fc5fd.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasm-encoder-0.201): New variable.

Change-Id: I9cb606d86acc0c756541dbdd2ab454dda169eac6
---
 gnu/packages/crates-io.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 0a69c85078..4e1cea7679 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -77818,6 +77818,30 @@ (define-public rust-wasm-bindgen-test-macro-0.2
        (("rust-proc-macro2" ,rust-proc-macro2-0.4)
         ("rust-quote" ,rust-quote-0.6))))))
 
+(define-public rust-wasm-encoder-0.201
+  (package
+    (name "rust-wasm-encoder")
+    (version "0.201.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasm-encoder" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "06lgfkb0r1dw0hc1mqgnrkg935h1qb668gq1kf0hc07n3mrx5ixr"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-leb128" ,rust-leb128-0.2)
+                       ("rust-wasmparser" ,rust-wasmparser-0.201))))
+    (home-page
+     "https://github.com/bytecodealliance/wasm-tools/tree/main/crates/wasm-encoder")
+    (synopsis "Encode WebAssembly binary files")
+    (description "This package provides a low-level interface to encode
+WebAssembly binaries.")
+    ;; With LLVM exception.
+    (license license:asl2.0)))
+
 (define-public rust-wasm-streams-0.3
   (package
     (name "rust-wasm-streams")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:25 2024
Received: from localhost ([127.0.0.1]:55333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrggP-0006fu-Hq
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:24 -0400
Received: from mail-wm1-x32e.google.com ([2a00:1450:4864:20::32e]:56395)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfL-0006Mr-CU
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:17 -0400
Received: by mail-wm1-x32e.google.com with SMTP id
 5b1f17b1804b1-4161d73d873so4854735e9.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074025; x=1712678825; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=ilGW9GV2EEBe98L1YkfiNUixrf5JW5dlmzMjUQ+hoVE=;
 b=MPWR91fpsB0HdAot2Ep9wKVV4/E5nwEyahzwPNkvfARIiuptWJhCL6+dB1PuSGrgQn
 duiQCP8HqxNKE4IgfeuGZugxmZ4oIl6Wmtb4gBS1xA1nx050bZUKOUi6+guwIjau6iyT
 MLKevXjO2sFHrM733aS/98V5AWrAZhIMr+l6Ur/R3W+zdRxGarF4AUUUVdLaVute2M6M
 g3Vj69rzGfEnGv0ihmr/ushysHh88GCb/15hA4HfDcfBLacyxo8JQX6sHa7NGmcz28u+
 Z+JRXDw8qtECjUv+v/yIKg/CGx+pMx4VMwaBqkbKp84zaYmx8fHEF16phhBPUYR1NMXk
 xfnw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074025; x=1712678825;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=ilGW9GV2EEBe98L1YkfiNUixrf5JW5dlmzMjUQ+hoVE=;
 b=j7VUUbAv+Y38yN0tG+7Dzh7K93hQIwvXM9UxAE1WnO6d7WP67Ci7LtQDSY9RNWAGIG
 mbQqcgnWnlhlCtACkHweYmPniyZOlyh0AjwIWa1vLlN0MgpsG3pOpqDKLUj6qeqsFyj6
 Is2bS+yNOba3SavSe86VPizFIIWv5Sc5OaFW2YsR6TXQ4vJ0UoBr7aSteyeAs8jgfvPg
 fX4Bvtt4MJhO6dNCkbwzmJe81EZdScHJqDuo84/D9c2fXSvk417JJlm2uFu2BT+5KPQQ
 FkIRB5nHuDBBpY+WbA2kLFlwIQiRuRKlvnz3jt4FzWnJY5wptcS/L1yG/ysVgJcBMOoY
 Ybqw==
X-Gm-Message-State: AOJu0YwR9+ULHg66pCxC0sA0OAjqhxEn68w1O2df5xK7xIGCRnNfQ3d4
 ZUnFGxBS86qxXmBwMlChF6Qp4cmtlbwJY8//hHkUPGCE9f1+XLcg/BHXQMBsTyU+770qOxe3TdR
 4
X-Google-Smtp-Source: AGHT+IFSBtP82ShSn9kIeliiXmFPOVEnRSEw/tiWI4bnjGo+cFJxXEjCrzIcFq0d7gZLs5JCO1jhMg==
X-Received: by 2002:a5d:480a:0:b0:341:ce05:dba5 with SMTP id
 l10-20020a5d480a000000b00341ce05dba5mr9825830wrq.30.1712074025651; 
 Tue, 02 Apr 2024 09:07:05 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.04
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:05 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 046/147] gnu: Add rust-cpp-demangle-0.3.
Date: Tue,  2 Apr 2024 18:03:58 +0200
Message-ID: <1d664a19f2d0c0a7c0863c903a7f5111f7d1ce41.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-cpp-demangle-0.3): New variable.

Change-Id: I5d309107b144b88533e96752ad07a810f82021c1
---
 gnu/packages/crates-io.scm | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index f0a38b7de9..b46d2ef254 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -14692,6 +14692,23 @@ (define-public rust-cpp-demangle-0.4
      "This package provides a crate for demangling C++ symbols.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-cpp-demangle-0.3
+  (package
+    (inherit rust-cpp-demangle-0.4)
+    (name "rust-cpp-demangle")
+    (version "0.3.5")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cpp_demangle" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "03vi33qz8x7lll0xd3acd3jp39nvzv174wg424qsb1nkm8z9bapf"))))
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-afl" ,rust-afl-0.11)
+                       ("rust-cfg-if" ,rust-cfg-if-1))))))
+
 (define-public rust-cpufeatures-0.2
   (package
     (name "rust-cpufeatures")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:21 2024
Received: from localhost ([127.0.0.1]:55327 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrggL-0006fF-IH
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:21 -0400
Received: from mail-wm1-x331.google.com ([2a00:1450:4864:20::331]:44074)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfJ-0006ML-Ha
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:15 -0400
Received: by mail-wm1-x331.google.com with SMTP id
 5b1f17b1804b1-4161eb1aeaaso2995795e9.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074024; x=1712678824; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=Mi7hxsLbxvMW9NGnMIGCiN3CcjTn//XV6OdxlQsBtso=;
 b=M4ObdaZtWmyOYX75aXZoAwX2GcW4mVmCIHTnRWDmdXB3CXw+gJ6GWYy1Y44bX/GP6d
 dEZNUWaWhJcvZtzSz5kAv2KxAwEXqoJz52kCFVah62zWhdinlaq62jkrMQaqJbVMtbc8
 pVa7PMIIPvbPq5eXHbbX+qlVY7rurXM/MccC9p562C38FGmZRwAGp+lAyCVgnpLPMIlZ
 wNzCZ3Ek8t0KvRFl0YwPdBEen/7qs6+Kta/1W1lSYHaZf/FkozPq4S0wjKaqcDJ5/Vl0
 PXndkRIVnOujn2jIci8VJJLCajUKgIFL7YpvfigEg7a4o0SMWu5aQUqohN5KVGovlr8g
 XIBw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074024; x=1712678824;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=Mi7hxsLbxvMW9NGnMIGCiN3CcjTn//XV6OdxlQsBtso=;
 b=tSIOyE8THQU+5xmOv0H+xbSPjdfYBxJLsiW5c8InFS+ldPp7UOXBOl8wXo9eoae3PK
 +WVi61xh1wYWX4RPjNHp+ztWqM6gNcRvIEvTuc7NDccLQ6+YJYmJ2TxVRESYF82JAUYa
 FyQc+9WwTAOhZDV48WMENzJi1FksW8ibOEdbwxrRFdfMfAZ57ALlHvPsS8sLtIqWLQPp
 k50ncUvtv3TiuitsGFtjOzaeHedLQr7zvqMPZBe6/mGftNC8ViQyUyUR8MPKiMfTSPtf
 RZJqyZ/BoML9BZTSL4qA/rxKWHfNqqDHh5toRGNiRr97eR+l1NbjIzKZarivJeHAWU4P
 AiNA==
X-Gm-Message-State: AOJu0YzV1gjzxKRoM9ZRNM/RDgxlNfSrWfT5mxmiQXJHIpDyDZ8ynaIi
 cuMJt1jm7o887mfWmofntM6dHjMLjRcrykYFtvPC7E10n2tTZfXkbEO0/y8xmBIz2Uaqxsdy5lF
 x
X-Google-Smtp-Source: AGHT+IFJyadCzKDPtN4JP0hAoz3iJG1ueUMJ3qYq5kstztdjQ8YBIs3BcuwwcnzOiX0l3WJPzhp/pw==
X-Received: by 2002:a05:6000:148:b0:341:d6c3:5c4f with SMTP id
 r8-20020a056000014800b00341d6c35c4fmr7750564wrx.21.1712074023888; 
 Tue, 02 Apr 2024 09:07:03 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.03
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:03 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 045/147] gnu: Add rust-afl-0.11.
Date: Tue,  2 Apr 2024 18:03:57 +0200
Message-ID: <dc9a2e868c1a93d03efcb0025c38afb1e29fe175.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-afl-0.11): New variable.

Change-Id: Ia9fd47fce07d978ccb96b621632e06a3776e2450
---
 gnu/packages/crates-io.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index fc8f7dd413..f0a38b7de9 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -647,6 +647,31 @@ (define-public rust-afl-0.12
      "Fuzz Rust code with american-fuzzy-lop.")
     (license license:asl2.0)))
 
+(define-public rust-afl-0.11
+  (package
+    (inherit rust-afl-0.12)
+    (name "rust-afl")
+    (version "0.11.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "afl" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (modules '((guix build utils)))
+       (snippet
+         #~(delete-file
+             "AFLplusplus/testcases/archives/common/ar/small_archive.a"))
+       (sha256
+        (base32 "0a2jm690mcxd073j9isd16rpzkjfmpgamw9h64f5l2fpns0423vc"))))
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-cc" ,rust-cc-1)
+                       ("rust-clap" ,rust-clap-2)
+                       ("rust-lazy-static" ,rust-lazy-static-1)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-rustc-version" ,rust-rustc-version-0.4)
+                       ("rust-xdg" ,rust-xdg-2))))))
+
 (define-public rust-ahash-0.8
   (package
     (name "rust-ahash")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:17 2024
Received: from localhost ([127.0.0.1]:55323 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrggJ-0006ek-HD
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:17 -0400
Received: from mail-wr1-x430.google.com ([2a00:1450:4864:20::430]:49273)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfI-0006M3-N1
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:14 -0400
Received: by mail-wr1-x430.google.com with SMTP id
 ffacd0b85a97d-34372e3db28so443753f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074023; x=1712678823; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=SSfnzZj0ctFTTT0X0DXa1T3daxwcc7U1EyntStOd8Wo=;
 b=dxFqYkpIk4ayzrQ5YIomAQbjwJOagYIkDSTKFNUhiRIZPDIgKVK3hqcUnRv02HyMqN
 v55J3dbuAlKktKfGPTpDEYbbjoIcBfqC5X3MP4b4WTOJDBzKs/EVk0F+wCtJCXqp6uj0
 Jl29UnPIALkDDA8fq3VHO/vGvszqHwMuX32pXQuUwb+TSq/+u0lKcZ7tRBYTzgLki7b2
 Dm8upEhMkSCWPHmQe0WCsDAzxHL0d2lWar2eE5uyQQ+OtlmR726dn89q5HWQN2pU6Xzg
 5K2R1GgsIx0Hq0ZRGJHhZAksRG576SSsecOjJEmyqnvsJISAzrA4ICh0bNgaj61GAzQl
 1FRg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074023; x=1712678823;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=SSfnzZj0ctFTTT0X0DXa1T3daxwcc7U1EyntStOd8Wo=;
 b=IzrNtqdcdqy1EvoxMsLuZD8RDTQCS37rVDAUQfieB2hSJi1RP/hnnbrT9PcSPQ+a6L
 FEM6mQ/gQoKXKsKH6dY8+HwYh8XTxRyX3myp3WG7t5mJLN/S04KW6G+Ck0B8twusV/aG
 rSSiF8wj/CpKd/3HKnqCU6jDMv/pDdj03X9ATvev0pM3KX+JrqSIxFE4f444oXVJysrF
 BEFDhWLISfO243VpoLyFeRlEtLuEmWe6z1u+GBAkkqbLC5FbBLV7MOhyHStuJRoNqtIc
 mGtIymb1kBYDWurE+w2oyq5AZPJrWcF30utvBKAOAgkmhE0lVbDwB6FqhU5Jc2/nhul3
 DrUw==
X-Gm-Message-State: AOJu0YybHVtJrM/BF0wYfoXR9pqRlwO4Qx6v/xg/UXcCqVCPSOFQHwSP
 3CajY9Oe289kQMiiCX6yYhlRNwTDABOaCpLbz3jDfipHIIiWyotlEBoYtl8yXO2WL0R0qX16qcN
 r
X-Google-Smtp-Source: AGHT+IEBzAb2u42g/ph2jR2iEIuXrnCOivvgyj7OEzcHEIvmWmAi60wiRLko+WvhfpspGiwdJHlaPg==
X-Received: by 2002:a5d:410e:0:b0:33e:bfd0:41f9 with SMTP id
 l14-20020a5d410e000000b0033ebfd041f9mr156325wrp.31.1712074022833; 
 Tue, 02 Apr 2024 09:07:02 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.02
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:02 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 044/147] gnu: rust-psm-0.1: Update to 0.1.21.
Date: Tue,  2 Apr 2024 18:03:56 +0200
Message-ID: <f8c8530a785a81f3548bf034285cdceec4665ff0.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-psm-0.1): Update to 0.1.21.

Change-Id: I100c70f1c2e53f141ae9f1d59e72e59f036c6b4e
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 26d9fdaba0..fc8f7dd413 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -50641,7 +50641,7 @@ (define-public rust-psl-types-2
 (define-public rust-psm-0.1
   (package
     (name "rust-psm")
-    (version "0.1.10")
+    (version "0.1.21")
     (source
       (origin
         (method url-fetch)
@@ -50650,7 +50650,7 @@ (define-public rust-psm-0.1
          (string-append name "-" version ".tar.gz"))
         (sha256
          (base32
-          "1kr9sal8g9zil4ch8ra0ry96d5cl15xslk1p0wnqk1504ib3hb89"))))
+          "0x78nj5wxkxwijd2gvv2ycq06443b2y1ih4j46kk6c2flg6zg1sp"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-development-inputs
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:15 2024
Received: from localhost ([127.0.0.1]:55317 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrggF-0006eC-Mb
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:15 -0400
Received: from mail-wr1-x42f.google.com ([2a00:1450:4864:20::42f]:52694)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfH-0006Lk-D1
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:12 -0400
Received: by mail-wr1-x42f.google.com with SMTP id
 ffacd0b85a97d-34356f794a5so1185452f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074022; x=1712678822; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=GfGl3SLHyf4Wfw8s+ZD7wQNMeS8I5F+u4k8uIV/wV1I=;
 b=m9OOhrJH9TCGHjdOY6Akgueepa8ig1bAmN163cSDMfPM6dbVnkUVnjPx/LNocaDR19
 Doq0WF3Rx5BDYyv3Tthltw9NaPxJ3HJgWWwocrHgB5gTeFtM6xOGuoNf/rnrH71QTlKA
 QsoWDbTLAsR1SKCMyF3g5pBBrwrhi9tGPvBvEhL6UWZyoF7P5ytJTW01LquwIeF74bj7
 hlWDi8uloL42p/TbCvNrEPXkf04UBxhyWLX+TlD28pOgtfuEa1Z0LhQmP9FhFt4ZXuny
 4nvUrxkhl7EMqfv29cUxkxgIbIPIP7UOFQj/zAs6xC6UDNUQ3UVZ9PL9aHaSBDNUX2T2
 rFMQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074022; x=1712678822;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=GfGl3SLHyf4Wfw8s+ZD7wQNMeS8I5F+u4k8uIV/wV1I=;
 b=Eck95hLJh5ojfaEOkMRR4N36bNcdJbff7w2p89WRrK6MQ2E2mynVctjRoJFedMjAyR
 pDqDwfLWbdg5dOuC9z0YB0juedYWsuD1rWOSt4Xmk6h18iTx245Tnm8tWft6vOi5uvOo
 Hn0Kfk+TN/SwpN0Nz/Oz1Jwaodm3bP2KYatwOG3nZUeJ0sNbYso0DMJucbJnH49xCEYB
 9+X6Mo1DyMSoxwf5r9/s0gxrqrCYgF5EuqxZ1w5t8TQFtJeWWCP0on4N3q2BnGFwSSVQ
 ypZfbjLbQc7yv/07QCQhNmZZ5nne4sUEVWO+2GXOgHRM19LDPbZrk5YeeXnEXS2mrFU3
 H+7Q==
X-Gm-Message-State: AOJu0Yz8Z80I3jyBYQ1wxBaNDAsjJUZpq+r63jVAOkVsCA/FIk6pmqiz
 qvrwvoigQQypBfYLYXztvpTcFpSzkB0eRtuthiAA4hVqPOuW73OIg8seG2l0+UjgovYVIDTdOTq
 W
X-Google-Smtp-Source: AGHT+IED+QN/Jk7tYcqXv/7AKmpv8T02qneIlhQdMQ9dn5i2y9ShfAY4dS19kU2HkuHOZR6r0FPWig==
X-Received: by 2002:adf:a494:0:b0:33e:bf34:4af1 with SMTP id
 g20-20020adfa494000000b0033ebf344af1mr1968657wrb.39.1712074021752; 
 Tue, 02 Apr 2024 09:07:01 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:01 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 043/147] gnu: rust-arbitrary-1: Update to 1.3.2.
Date: Tue,  2 Apr 2024 18:03:55 +0200
Message-ID: <11725e9e23c77894215fb3b3b3f5aa78f7b1a6e4.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-arbitrary-1): Update to 1.3.2.

Change-Id: I538afad02af831cb7c815e1eccc73cc436571917
---
 gnu/packages/crates-io.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 163d3786d1..26d9fdaba0 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -2016,17 +2016,18 @@ (define-public rust-approx-0.1
 (define-public rust-arbitrary-1
   (package
     (name "rust-arbitrary")
-    (version "1.3.0")
+    (version "1.3.2")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "arbitrary" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "0km5cj0sxfzv863blfjpz49mlikaxbaslyzk463i9jn1fgzril72"))))
+                "0471f0c4f1bgibhyhf8vnapkp158h1nkrzx0wnq97jwd9n0jcnkx"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:cargo-inputs
+     `(#:skip-build? #t ;; Needs rust-exhaustigen-0.1.
+       #:cargo-inputs
        (("rust-derive-arbitrary" ,rust-derive-arbitrary-1))))
     (home-page "https://github.com/rust-fuzz/arbitrary")
     (synopsis "Trait for generating structured data from unstructured data")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:11 2024
Received: from localhost ([127.0.0.1]:55313 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrggD-0006dl-Sp
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:11 -0400
Received: from mail-wm1-x331.google.com ([2a00:1450:4864:20::331]:57708)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfG-0006LZ-CZ
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:12 -0400
Received: by mail-wm1-x331.google.com with SMTP id
 5b1f17b1804b1-4156a2aeb43so15441105e9.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074020; x=1712678820; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=e367MSd2yiBi7/TQq1VZ6heAyEU/ISAccG7wmWTjFbc=;
 b=tq4amgoUGgu+nnxxwc3DqW5yxAMETEdPuijfqvXYtSOeOJPIjdFA+yhFMh049duScb
 i5aBWNjIabQQNUocfWBWJJlGWsCM3u/SPQDPLsc/x1GfVNB/MBPEj5nuFz7ag2N0Iufk
 yImgqChjqceYs1OfRVgZ6tPRjZyQeLnWGUNCuDckj8xNhLtkmpsodLsiKJdQc0FUOts7
 H7K7TJTdfYNqDbvhZOjWsCQkUrQeF4nMPedX2kYDR3gGVp/jf0/6ZsVSCIidl53p8JV/
 KWwNcgDeGTpjMjwk8MQo8TSYD8vBg1RkGV7oxy0gCbYa04Viioj8FhzyfYNIuJqvnJst
 3GuA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074020; x=1712678820;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=e367MSd2yiBi7/TQq1VZ6heAyEU/ISAccG7wmWTjFbc=;
 b=v1faF5O3CU+0Qt6lZY7X/uIzXiilfHWdYgCGqQErijvet8Kq6Df/sWiRk0AEl//+BC
 pGJnQQ4SmbLbBL8OAKmP9j9NDsUrpbXDReitd2dbThYYGwaqxf8bkIaRYTA+MGl33kh9
 xE2hUOXvOgcd0Hd99OfEPzFcPaFq+R7BXcX38zi6LQ09VOGG+40r1AxC+I+a5VhIHfQg
 vtUAClpdvxvdtPKNvdxsHA+mjas4IuSLHDAMqQsvq6RN+rs4ARr6Sr55/uq5q59B/YjO
 frbyOoOcGRuDgE0tFFsCBZMPtokSFSFxHxt1wf4TSyHPu06owmaBT2tQwFMdP0MYbfsD
 ogjQ==
X-Gm-Message-State: AOJu0YyS8ZeM+mmZBSM2UmvHErLiRr4vsF6/Udz6Dk4cF+LzFP6yyGIt
 vErfGo9kvUhaUBUZ4EEtdy+o8nSJeHbUgn+W/eLbs0cIvtv0rFfDfzNoGSCDPuzZaVnbhUr1PdJ
 C
X-Google-Smtp-Source: AGHT+IEd9wkmE8hJP9oPJIesdWSOLVKdll0w5mmDHwVmWWmK37Uzw25sJUUVF7+ixa8t7zpjp9RQ2w==
X-Received: by 2002:a5d:620f:0:b0:33e:7503:d010 with SMTP id
 y15-20020a5d620f000000b0033e7503d010mr10517705wru.32.1712074020670; 
 Tue, 02 Apr 2024 09:07:00 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.07.00
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:07:00 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 042/147] gnu: rust-derive-arbitrary-1: Update to 1.3.2.
Date: Tue,  2 Apr 2024 18:03:54 +0200
Message-ID: <069c11d2e882a6081bfeac50c2c4038e04c7c16c.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-derive-arbitrary-1): Update to 1.3.2.

Change-Id: I4a30e5e4685b4301d00f1a1e1788e7b6cf28f477
---
 gnu/packages/crates-io.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9bfdb4c602..163d3786d1 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -18481,20 +18481,20 @@ (define-public rust-derivative-2
 (define-public rust-derive-arbitrary-1
   (package
     (name "rust-derive-arbitrary")
-    (version "1.3.0")
+    (version "1.3.2")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "derive_arbitrary" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "1dy8pmv7d8diqhbh1b88v8q5g0inwkgb465877jqimbjqjgfpkgk"))))
+                "04bnd985frl81r5sgixgpvncnnj1bfpfnd7qvdx1aahnqi9pbrv7"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
        (("rust-proc-macro2" ,rust-proc-macro2-1)
         ("rust-quote" ,rust-quote-1)
-        ("rust-syn" ,rust-syn-1))))
+        ("rust-syn" ,rust-syn-2))))
     (home-page "https://github.com/rust-fuzz/arbitrary")
     (synopsis "Derives arbitrary traits")
     (description "This crate implements support for automatically deriving the
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:09 2024
Received: from localhost ([127.0.0.1]:55302 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrggB-0006d2-RF
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:09 -0400
Received: from mail-wr1-x433.google.com ([2a00:1450:4864:20::433]:57502)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfF-0006L8-62
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:11 -0400
Received: by mail-wr1-x433.google.com with SMTP id
 ffacd0b85a97d-3436fec6a70so490134f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074019; x=1712678819; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=LYzMtwL4I9D23flolmObAaI8RHUE57YzEon86PEPXEY=;
 b=WRUw4WARSUcDO+08QlYXSTKemRv07zvmStdQ0eldb7nBMWgm4NieXWrFymjjxAYJ9m
 WJK5aE4pxpNW/QcY+tZScqHdETyLv1rHxuL71JWaDtnyZyHsvKox3UHaYxao2YaQzIQl
 WoTfwj9oJT04enRL95FFMoK59t+VdqZcgoE9185lByTCJjuvGfpDAtZdn7Z2ybt8auic
 +qQqlocterD5I6NBjpdyItXfvQncomKVw7hZ8HdAnye1sXpQHySq1NmggoBiVrtgDgSZ
 0QEyd2qudgegg2aIRQgDaRnOCX6U8hbf3dBHr2t0fwlDlq05M5fTzD7LBEZS0pWEpnRx
 MoAQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074019; x=1712678819;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=LYzMtwL4I9D23flolmObAaI8RHUE57YzEon86PEPXEY=;
 b=tyffHz2vXi5vzT+3ZvO1ztjzDsiHLVR+ktTf12L5wDl3Hx9WdB6IA5eH4LFvtMjRBW
 8A4QhPLrchDDLHJYFb5Al4yHUn9RfGB+CZs004NnvkJlKPywqacLXJmCaAVtlvCpqm/u
 OkXgG+C0NOk/5sm6O6USxSFneKUA0q3wu/m0QsTHkwdvciZP/E4wGczTIPtDjb5kTrHw
 2izpjPVsQa4hNPgvIww+PwLlHVTZOzGC57nXPslsjvNIG8l9kH8SaHJoXbQFRc3CY3o/
 g1Uqeb5ysjg4ojv7Q0y8CMryF+ZAjFm66+CDaW7PHUPqEJjq9oY/5C/0j65bhFxCeo1r
 u8PQ==
X-Gm-Message-State: AOJu0Ywy7cjas+858zjsmhsFbm717k7QI6Gr/PeAiTRecCNvU8VAjuOp
 gzejZ6Z9SNo5tZ7j9mIyfZ6e+YuK+AEf6jPnAgqFAH62o/uxwhapbMQbanfRmvfyR8RAA5qy7hx
 G
X-Google-Smtp-Source: AGHT+IEGXeNn4lqzfAWRUC6B7RHXXSPFzIVGBE6+u+7NNoKzcjBKt5kwjpbgqPAzd04plGHcqrLKPg==
X-Received: by 2002:a5d:54c1:0:b0:343:72d2:dd6a with SMTP id
 x1-20020a5d54c1000000b0034372d2dd6amr1630445wrv.17.1712074019582; 
 Tue, 02 Apr 2024 09:06:59 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.58
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:59 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 041/147] gnu: rust-bumpalo-3: Update to 3.15.4.
Date: Tue,  2 Apr 2024 18:03:53 +0200
Message-ID: <61b060d430c4342985f9cdf1c42a42af5f0992a6.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-bumpalo-3): Update to 3.15.4.

Change-Id: I1f6c7c4144bd9f1830527827f36d15d9c5c35191
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 966d289478..9bfdb4c602 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -8508,7 +8508,7 @@ (define-public rust-built-0.5
 (define-public rust-bumpalo-3
   (package
     (name "rust-bumpalo")
-    (version "3.13.0")
+    (version "3.15.4")
     (source
      (origin
        (method url-fetch)
@@ -8517,7 +8517,7 @@ (define-public rust-bumpalo-3
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "1h9zmxb9d14m2sx34daz88fsjw1lx7d5mhaqbldwqgl8xzdc7qm3"))))
+         "1ahfhgw2lzlgv5j0h07z8mkdnk4kvl2grf8dkb32dm4zsjfrpxkz"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f                      ; Not all files included.
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:07 2024
Received: from localhost ([127.0.0.1]:55290 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgg9-0006c7-HR
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:07 -0400
Received: from mail-wr1-x429.google.com ([2a00:1450:4864:20::429]:44261)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfE-0006Kr-3x
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:10 -0400
Received: by mail-wr1-x429.google.com with SMTP id
 ffacd0b85a97d-3416a975840so4085002f8f.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074018; x=1712678818; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=uI++wKrk/LO8z6n4SEZRMcr7gaQq9v1I6wJXa6v42iM=;
 b=XVk0toSdMddxmSORofetGkKy77O1thqnpWPQyu8bZ7J6B1zSqfwlq1cfCmIbpXssO+
 ztv2bnEhihONseSclD3eqeNxlr9Az9hy2tRRpl3HHjlDstsTYMoiie7PVYjOU3osL4m2
 lpqJXarATrIxTx9JldYYCQmGTDkC1e7sMsNWce+NHektVps5uN6h1P67E8FRS3R+NW91
 UBztnJj5+duzF6Fk4rURjWXMjYHAsxbE4dJiqFmh4S4s6cSuUVfFPvsDpu6IiJHfP86M
 6NMqEnBnW91a+ONGcJaBSlaMhbCY2aolMFXllca2b2q9NCh1i4WarjKgUWdpPBmXBapu
 6fLw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074018; x=1712678818;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=uI++wKrk/LO8z6n4SEZRMcr7gaQq9v1I6wJXa6v42iM=;
 b=X2QweEXPpwuB/sw6m/KnmTDj7BLvn5YtAiIzv+3CX6eFtHNK77NCnLYB8imyXziOtA
 oyTOUdRGq86dz0W1uw/yv+5ruEJHr8KgKSn6sumF9bYtXGHm/2kz2Tnf/BifKr86rLoY
 +Uidhj7ZC5MxY+PI4CDeuQbaHEmVPrSp/R93p53NgFKFM0w1f5CrLVh9zCFDRfCKD9Q6
 EFY6rH0QogE5v/IU37WFkG7RDgmUWCYJGrZal4u6Tb9HlBEqsEA0iPBx6H0NsSHzDyGz
 u0AeF1p+M+cqPCx6jDdH0PFrFHYroUs1qzFFTCBdRb1+L61Pe6kncFJT9CPjskTCg23X
 1MGg==
X-Gm-Message-State: AOJu0YwJdFH08q1m3Fi26z150ncBcL7zf60DubHz9s6DhfUnyjrPV3sr
 78QqEItPFaPBevaPwdxyEcYADsHtiC1cec3gTZWaR0uGna+5Ia1Lxj0VZM8mSWuP7Gnxg/lHhsJ
 S
X-Google-Smtp-Source: AGHT+IGtPE3596EpPGbUhk5EvfVf84DqjKsgZywpaKxy07QD+xCpxw1fFuv0KydVUG8N7l0BSUG3sQ==
X-Received: by 2002:a5d:4f8b:0:b0:341:d4db:abf5 with SMTP id
 d11-20020a5d4f8b000000b00341d4dbabf5mr8423331wru.60.1712074018513; 
 Tue, 02 Apr 2024 09:06:58 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.57
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:58 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 040/147] gnu: rust-tempfile-3: Update to 3.10.1.
Date: Tue,  2 Apr 2024 18:03:52 +0200
Message-ID: <107a14abefc7b38f36c8622217bbe2e39fb51469.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-tempfile-3): Update to 3.10.1.

Change-Id: I8466f3472b53f14e895c7119e3bbbdb3a66f7781
---
 gnu/packages/crates-io.scm | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 2e0746a6b4..966d289478 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -68807,20 +68807,19 @@ (define-public rust-tempdir-0.3
 (define-public rust-tempfile-3
   (package
     (name "rust-tempfile")
-    (version "3.9.0")
+    (version "3.10.1")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "tempfile" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1ypkl7rvv57n16q28psxpb61rnyhmfaif12ascdnsyljm90l3kh1"))))
+        (base32 "1wdzz35ri168jn9al4s1g2rnsrr5ci91khgarc2rvpb3nappzdw5"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
        (("rust-cfg-if" ,rust-cfg-if-1)
         ("rust-fastrand" ,rust-fastrand-2)
-        ("rust-redox-syscall" ,rust-redox-syscall-0.4)
         ("rust-rustix" ,rust-rustix-0.38)
         ("rust-windows-sys" ,rust-windows-sys-0.52))
        #:cargo-development-inputs
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:05 2024
Received: from localhost ([127.0.0.1]:55280 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgg7-0006bJ-JJ
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:05 -0400
Received: from mail-wm1-x330.google.com ([2a00:1450:4864:20::330]:61742)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfD-0006KL-2y
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:09 -0400
Received: by mail-wm1-x330.google.com with SMTP id
 5b1f17b1804b1-41569865b2fso14223615e9.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074017; x=1712678817; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=ZEOkisZoQRcQyFulVQmUu/WuwxBrvxaFdtC/QkHnino=;
 b=duA2BrLjw1BTF9HuNe2eAoToSN0e2T8Q34F+50F6B1vr+6R4NmE8evSaIELIcu+pX5
 fLH5s7V3LbwMlKugVmBcFPsii10342Q+bqBXWk2mym5pMWJDesMXkou75mKhOg0Xgfb7
 izv3gZb23azZ8LmXDyAsYCpj19LLQ1WLoheb/T1i9BtpNrHAnC1QXe6a+a+EhHaASDgH
 RyRlTRCkQPBcmy06rnt0phRL+tyQXhf5Yfoev/cTvr3R/8S4+PGFSAiw4CRCoSBEJoYk
 XXf+Twpo956FvWFPQD/zffVk8HnJ3BEjDYXtCMNv2nINDZCSoSbPIkTjC0/vsY/74TjW
 D8Iw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074017; x=1712678817;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=ZEOkisZoQRcQyFulVQmUu/WuwxBrvxaFdtC/QkHnino=;
 b=bNOlooApwXYsUezsILW7u26wn/qwVbFVl+AUOCbjTM8sYIRNcVzKIPtuYBNOlC7cW2
 49C+CG5I68FRRY08BQ2kWR1VXR+sFPPcp3J9nJS5CqgCbHQz2kHxXtyg0JTYWHjcjzUZ
 7LktleeL4w432Hx7SOEULzrSlfsY7LYw4YrF4anXLjnyxYlhO3HMiodx2TtVQ6/WKYwT
 9ECIkXCkhwzrI7pkCuKZhm/GA9CMXeLikQwTfPIdt7JjeaPWE/avThdpN1sTi3/v5rQE
 JnD85tZ2UnzCQb3qzCzVo2FbB/L5/diUZ++6ioOwZxxkZOWTh/OsCQEgp2+gjK/Q5xRa
 mjdw==
X-Gm-Message-State: AOJu0YwqxItXZ6oHgRf3ZifejNqSDf48RpqGP62CHYBjfV+dzBoQVWQg
 tkLRfCoVQVj2c2zz93dC8cHpaXx7FfHEBty0zpo35ZACoZiD5hhXRtJ1TV3PKd6XjVzhkhsDP8t
 L
X-Google-Smtp-Source: AGHT+IFujE7DkrBXRZtcqnw/EAj0sGLRrc3NRYjsoEldAJed3gly/I7Aw8t64oFqMvi4dm7vef+DQg==
X-Received: by 2002:a5d:6d4f:0:b0:33d:44d8:eacc with SMTP id
 k15-20020a5d6d4f000000b0033d44d8eaccmr7967769wri.39.1712074017441; 
 Tue, 02 Apr 2024 09:06:57 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.56
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:57 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 039/147] gnu: rust-rustix-0.38: Update to 0.38.31.
Date: Tue,  2 Apr 2024 18:03:51 +0200
Message-ID: <a1d789c184c8a8eac5abfe720094be195a7cced8.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-rustix-0.38): Update to 0.38.13.

Change-Id: I8adaac5954a4254a505471fb89d524dab6a07314
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 3520d20ddd..2e0746a6b4 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -57598,14 +57598,14 @@ (define-public rust-rustfix-0.4
 (define-public rust-rustix-0.38
   (package
     (name "rust-rustix")
-    (version "0.38.28")
+    (version "0.38.31")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "rustix" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "05m3vacvbqbg6r6ksmx9k5afpi0lppjdv712crrpsrfax2jp5rbj"))
+        (base32 "0jg9yj3i6qnzk1y82hng7rb1bwhslfbh57507dxcs9mgcakf38vf"))
        (snippet
         #~(begin (use-modules (guix build utils))
                  (for-each delete-file (find-files "." "\\.a$"))
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:03 2024
Received: from localhost ([127.0.0.1]:55272 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgg5-0006an-SG
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:03 -0400
Received: from mail-wm1-x32d.google.com ([2a00:1450:4864:20::32d]:46346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfC-0006K2-Cd
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:08 -0400
Received: by mail-wm1-x32d.google.com with SMTP id
 5b1f17b1804b1-4161bd0a4ecso5934235e9.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074016; x=1712678816; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=rig6c56wvBA6Ner6vE4cfo0kiAUHFl0G/tZBRlG+NxA=;
 b=l0Ou0y6HHK8BHyZIG5AJoTRcRPMvNPnayD90Vs8ZGRerXr491vYSH7D8OMgyY5xxYR
 mLvk1zEKEoRSZgUS78dzfEUio0uFvmLXkFylbS9STZQsuqC3JjeTvdLsLoewfR5fNh8b
 7/syNzD4OQmbgN4X4Wqf9MSpkcvQ1AGmiTi7htiMrzRBiasGZOz1aZUaMWnZhldQc0+G
 kz96QCNYHgnqSEqOzRUwzF4SR9YF+pCXp52RgFGeYJbhvl404f2j+75Dfr6HuHM6aV75
 DXuBH5lNoD/1EyqZS2+quTj9WklY0VA9Px/9nX3WJUbTP5FEIXg387rYlJneEwlVuoTe
 vUYw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074016; x=1712678816;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=rig6c56wvBA6Ner6vE4cfo0kiAUHFl0G/tZBRlG+NxA=;
 b=jkeVEszwCs0Z56B+Nf6GYxwLZOWAnknQbSYpu0nfwWH9sikMuUByRXzXN806Ovtq9K
 YMg0qOFFsN7pUh6TBAg1fUpLfksdfxxlyzJcsvBdfxaDArM6EUSR34kFLPA/kz+bZ6PB
 RcJn+ejj81kEaOGvn7ulKmRlTyiuFclasXOpADXUoGupb8Dq4wb4lw8ZQJ15zrnm5brJ
 AgOtYjsWa/9ZxzHqJpuucGcUbJGStM4VRjmarrQdgs+4JdDP1RSYjar7Kjhn9faJ8qf7
 0XEtdi+Ks7Oue+V32Ahxnv9hJxGHSd9SSMCICb6+uGDXuVWr29macInz5tHBVZdegbu6
 awCw==
X-Gm-Message-State: AOJu0YxWIcTr/xZHMMBYP1uniQqk88X+bBRYjcSg924krMnf0O7n+2G6
 1BDIT3ALBXrtoE84jqtWYW2sEjeJ96g+LxODh5TNItUG/+h/IRtV56VQx8kZsPaP+t701ElVmSR
 u
X-Google-Smtp-Source: AGHT+IFrivA79sExU1dxvFbH+r/JoRMF9WH45h/b6Z+N+ayqbWnlTrcQ+HHS/4U6cIhkH0WroHfnKA==
X-Received: by 2002:a05:6000:1085:b0:343:2d7a:143e with SMTP id
 y5-20020a056000108500b003432d7a143emr124318wrw.48.1712074016486; 
 Tue, 02 Apr 2024 09:06:56 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.55
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:56 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 038/147] gnu: rust-ctor-0.2: Update to 0.2.7.
Date: Tue,  2 Apr 2024 18:03:50 +0200
Message-ID: <b1f76abd792396f5819dc438ce46217b818736c4.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-ctor-0.2): Update to 0.2.7.

Change-Id: If94c023bb5ab52ba3c330ddd1120f25a22b132b8
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 81c6d89626..3520d20ddd 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -16587,14 +16587,14 @@ (define-public rust-ct-logs-0.7
 (define-public rust-ctor-0.2
   (package
     (name "rust-ctor")
-    (version "0.2.0")
+    (version "0.2.7")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "ctor" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "06rhrw85py0gkk7g99qk124mk6d5isq95nn3abc84fyf7zv5ch6x"))))
+                "0p289www67xwnxsqgvlh3mzi0zmdysxsqf4cx2kvgfcj96kiladd"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:08:01 2024
Received: from localhost ([127.0.0.1]:55268 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgg3-0006aL-V0
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:08:01 -0400
Received: from mail-wr1-x42c.google.com ([2a00:1450:4864:20::42c]:44294)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfA-0006Jv-Qe
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:07 -0400
Received: by mail-wr1-x42c.google.com with SMTP id
 ffacd0b85a97d-3437efea11eso174107f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074015; x=1712678815; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=mp4wd5V1uPidwc24PglEQ7/zOwGzObUv4g5LPECFqa8=;
 b=YQdZH+ywtQdFIM8zjMUtL70vCDgy9jiVHXnGVsAH9E2LCIE3Lf7QsRcMWhVfN/Ecap
 FVGtWk7byUaTuCTpSiDvTuGFewwIhqAYUmwTAlx0fTWsOagdcVz+vEvwhKYbuz7AqHyh
 rENth44AEcJebm4BLfKf2LY+iQg2Lx9YpFRT4rj5M7wHQz0xejTPcJzGwtaWBmtp4uBL
 koM04a+tg/PgE+czXQ73MsjvGxuVB4mrygoZzqxhgzfnzRE/9PbocMvSRW1vsDy9CeCR
 6tPfE5ddc65n1YLKFxLmJTekb9xo8f3TqW0FjIJW1l9veC4xpr5pHfPIexE2zQ2MzZfi
 t5jA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074015; x=1712678815;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=mp4wd5V1uPidwc24PglEQ7/zOwGzObUv4g5LPECFqa8=;
 b=A45FHUTHiP7mImUwEh9JvcOr1kbI7VfY5KnylPNBewp7qyiROkr4whdX3DhJ4QCYSD
 G6p7KJsQPAjzU6LgU1niCC4YYGGbEd1zJgnUKh3wcgvOjj1KutstVvhrb6xexPQHcGhW
 t7KHw0hCzpZKOo5dyr1yqQHcr0Gu2HXCo12pN5upPJXwUGrWuhL6tF7wKnCb9RW8xRw5
 IyT7V/wlTVDE+EqA/VOonrHyIFGS+buy1Ur16BAKk0Qla2InHzoJ+WhKLT1fETb/tABV
 UmYS4PIBj1JNIZHayAA4gMEu8DKK6V9fu8x2CnnSLKEzaLNtCG1sX7z0C9ix2CaTDYge
 zYMw==
X-Gm-Message-State: AOJu0YwK5wb0KP45HNIpRnX97+itVCCydR1eGpl6EBTa9bwbkBy58AUY
 OvS0l5h2kff9k6OsyCikHWU+NhoCctBHS+/JwYuwKmuJlxgoFgOUeREX//7o3wTkFyH4btKxqiZ
 S
X-Google-Smtp-Source: AGHT+IFr/DiMLnSyHzRa4/Zpb41r/dXjVUWiwSlp06Jit9Kde17m/7CJ5vgmDbjYLUFeudLB1xz3ng==
X-Received: by 2002:adf:f8c2:0:b0:33e:6064:a3f with SMTP id
 f2-20020adff8c2000000b0033e60640a3fmr7928234wrq.29.1712074015251; 
 Tue, 02 Apr 2024 09:06:55 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.54
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:54 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 037/147] gnu: rust-webbrowser-0.8: Update to 0.8.13.
Date: Tue,  2 Apr 2024 18:03:49 +0200
Message-ID: <9225e726304cf1c5fb0e8ec61d1b067b20c41388.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-webbrowser-0.8): Update to 0.8.13.

Change-Id: I77bcf43bd3a04d5ce67da948cf39765c29b23a8a
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 44a1245e7e..81c6d89626 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78041,7 +78041,7 @@ (define-public rust-web-time-0.2
 (define-public rust-webbrowser-0.8
   (package
     (name "rust-webbrowser")
-    (version "0.8.8")
+    (version "0.8.13")
     (source
      (origin
        (method url-fetch)
@@ -78052,7 +78052,7 @@ (define-public rust-webbrowser-0.8
        (patches (search-patches "rust-webbrowser-remove-unsupported-os.patch"))
        (patch-flags '("-p0"))
        (sha256
-        (base32 "0zk1qidyksspa8pgvq8bh2lyqmmrs0fr5r1qsyhbzrawpn2w972p"))))
+        (base32 "0l691mzlvjp7l829p6wqpzs1acvm93ywcznl3nbvpac3kib4rc6i"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:08:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:59 2024
Received: from localhost ([127.0.0.1]:55264 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgg2-0006Zy-2z
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:59 -0400
Received: from mail-wm1-x335.google.com ([2a00:1450:4864:20::335]:60462)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgfA-0006Jo-1z
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:06 -0400
Received: by mail-wm1-x335.google.com with SMTP id
 5b1f17b1804b1-415515178ceso27077115e9.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:07:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074014; x=1712678814; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=zFuFBYnGtVLr0rt1fzY5U6GurY7dWbiRUOTEh1M50+A=;
 b=t9fu9DhLrLbYtaoadASDO11Z3y25UlON7wUNNzBUVBb0bairxt8sNr5tO4QHdl1hzB
 kUVzwRVCtqPLa6CBlCklyMM+X6JvPnQXonFQljnBpCUgIzkabhBmP/np2C1sCU5fQW6M
 ij0tjc7Or58MYx23IJxt5P+5gxtw3FV9WRt0lsrM+KriKYNmDSzxM9WRXHs9DPl0YJ4b
 zEXD3nn2YUmrlFMxYVNX9l73crdiSeWy+SOvatHp0WiedYOIZdIbpEEF24NzUKL3gAht
 4DCUJi9xiMzh/JKFYm3NZp8HeCFLxVjAAIvpYcHAZDi248QFcqJRrRvMfVXeRK4S/HCq
 07jA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074014; x=1712678814;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=zFuFBYnGtVLr0rt1fzY5U6GurY7dWbiRUOTEh1M50+A=;
 b=WJJcP+KQ0OENm/HwEjgVLgEHrC7fIR+gum8xsaPwP9K2gUsBCUyOi0bj6wFKS1nV92
 AP1Mr/OU1em3Zh+HtuiB92R90+t/JqWBOPyAW11xB5q/hkLAlTVFPmD1EydLGBefcFd1
 W/GGsXxUIIXGS9Pv+nLTWjR9bUOpZ6GV3+T5gaHAUp8v1SrXe9n08L6iNUjF+UX8LEFe
 iHOEEoa2SGdMXOneJPM64dPlzUe7ArlFoOijItMoNOItxJ6i0NW1TDRRo6db37sLFLSy
 doIPQ1rjoEEgAE/p3lyrgOYBVo6vZMMDQRWTDywrGGnFNVoDC1YrNK6IGtbqr5vTUBOa
 1M3w==
X-Gm-Message-State: AOJu0YxwxyHxYjYhd5xMNE0WCyTmTnYRoxjnQ4Yc29YiVqvnZjpTLjM4
 JAelOXhIqP5CO8BKqkCOUQq40XtpW9KXZTdhV6vAfT5CuLM2IGeLBDXxQVjebulXS3rRw8/mMyV
 8
X-Google-Smtp-Source: AGHT+IHcKKJuHbYMtcW0OsNJATnXT3/DPd6ZwoA9rLxSvpdW/Ul5UHhRss2OohLGROBKQTwJHACwhg==
X-Received: by 2002:a05:600c:154b:b0:413:133c:b9c8 with SMTP id
 f11-20020a05600c154b00b00413133cb9c8mr8854620wmg.33.1712074014200; 
 Tue, 02 Apr 2024 09:06:54 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.53
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:53 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 036/147] gnu: Add rust-wasmparser-0.118.
Date: Tue,  2 Apr 2024 18:03:48 +0200
Message-ID: <f05ac7e58ee6b687a7911316cc182c05c7efda67.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmparser-0.118): New variable.
(rust-wasmparser-0.57): Inherit from rust-wasmparser-0.118.

Change-Id: Id47d9d90c5d2f03660f06a59ce265a85921a5e6a
---
 gnu/packages/crates-io.scm | 19 ++++++++++++++++++-
 1 file changed, 18 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index a2b44cac1e..44a1245e7e 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -77850,10 +77850,27 @@ (define-public rust-wasmparser-0.121
                        ("rust-indexmap" ,rust-indexmap-2)
                        ("rust-semver" ,rust-semver-1))))))
 
-(define-public rust-wasmparser-0.57
+(define-public rust-wasmparser-0.118
   (package
     (inherit rust-wasmparser-0.121)
     (name "rust-wasmparser")
+    (version "0.118.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmparser" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0365n7dd01fh2jklq6q41nszhyyaz82shd4q3nhf4s5q397ibwbp"))))
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-indexmap" ,rust-indexmap-2)
+                       ("rust-semver" ,rust-semver-1))))))
+
+(define-public rust-wasmparser-0.57
+  (package
+    (inherit rust-wasmparser-0.118)
+    (name "rust-wasmparser")
     (version "0.57.0")
     (source
      (origin
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:58 2024
Received: from localhost ([127.0.0.1]:55259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgfy-0006ZJ-5x
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:58 -0400
Received: from mail-wm1-x332.google.com ([2a00:1450:4864:20::332]:45531)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgf8-0006Jf-Ut
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:05 -0400
Received: by mail-wm1-x332.google.com with SMTP id
 5b1f17b1804b1-4162060dd12so219545e9.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074013; x=1712678813; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=mf6T2tlLPGTKsT5sjDX/3qlW59AqFR9lR8wLLz9yqY0=;
 b=rk0469EcIqAEqWD0BtmYPsa4o1mC7Zottc+ZR+IobEpWdS0cm8+ZX2470ylCMMkqD5
 6JRIVsscJMf1rukjOeE+CujgUcDkZiEAroHRVTCBYaqiRYi7/f2AmOhIPcWuo0930gtH
 2yZUHqaY79nnCC6k7eebL76g9pMovfU5fVH/nfG1817VlJPGDHqJrn4v2WZpYATCDzcs
 WPYNMiNIsVxTQl7OTKlBNdisgEB0qgvFk8UTIVeUAn/xqeSSt8ITrLVg9s58HwmchzNs
 4HGZ9kb0y64Kw1XZhsJ5UC4Mr+JBkTTVa96dK7Dp3B5mDVLAgUkmt18tcFuu7rT+rG9/
 QUnQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074013; x=1712678813;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=mf6T2tlLPGTKsT5sjDX/3qlW59AqFR9lR8wLLz9yqY0=;
 b=g/dI1pBePrCii53xE2uQexWXsqs9d2pxTitRQxbwNP7EhYn+Xb9ecgDlCV0m9o2qcL
 Rpt+VbBaGFlaIwZUApbVZEUN9Hag6MsoJg5PdktOjSeH95RjB+Hx/gkHDYSEPyTMOF91
 wnR/6VXg9tVmHB1MdHs0V02WwHh/g7g8naFIIXBqVvwlVJEuIJGm3VLIpujQn5+Lye51
 czhjkxdFg/zNMeQvgcHhNjyV7rVPIyO7L/ucKSsZQ/3iWIzij7YVGwwqWNM06+dWrbHS
 /xMjKMJ5LLqOm9u7UH3pPkOXPd9B6Q74IwD1ICQFUZT7DhQIQXAcjt1GdtQusRcFIpjC
 E9+w==
X-Gm-Message-State: AOJu0Yx4OAtaYU+nTPsy1m9rn+TPBeGiO9McTKiJvV9j3G0YD8nuM84h
 Zaj58wkh5GKA8DDgxqNwGKSzHLQD4xoqNalDwWbf/Ap7cJSyUzgFWu6spEncTiO6ClHQFaD88C5
 e
X-Google-Smtp-Source: AGHT+IEUko9cbP0NPp5x2pSviaDnxfnRuM4RsSfdST4wOogjDyAF0j2m7X5mlYt8i/BbR2rfZXz7QA==
X-Received: by 2002:a05:600c:450b:b0:412:ed3f:1b4b with SMTP id
 t11-20020a05600c450b00b00412ed3f1b4bmr8618092wmo.11.1712074013051; 
 Tue, 02 Apr 2024 09:06:53 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:52 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 035/147] gnu: Add rust-wasmparser-0.121.
Date: Tue,  2 Apr 2024 18:03:47 +0200
Message-ID: <f481fad2ba52481dbd63a7d5e1f9a8cabe5217bd.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmparser-0.121): New variable.
(rust-wasmparser-0.57): Inherit from rust-wasmparser-0.121.

Change-Id: I5a01591b618265a6e95d9e7ed2d1a29ca1937b26
---
 gnu/packages/crates-io.scm | 19 ++++++++++++++++++-
 1 file changed, 18 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 2d578ff54d..a2b44cac1e 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -77832,10 +77832,27 @@ (define-public rust-wasmparser-0.201
     ;; With LLVM exception.
     (license license:asl2.0)))
 
+(define-public rust-wasmparser-0.121
+  (package
+    (inherit rust-wasmparser-0.201)
+    (name "rust-wasmparser")
+    (version "0.121.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmparser" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1aza0g3v49nqsc856fd7x8zwrh4hzy4si9a7jifx5nyhz745bglx"))))
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-bitflags" ,rust-bitflags-2)
+                       ("rust-indexmap" ,rust-indexmap-2)
+                       ("rust-semver" ,rust-semver-1))))))
 
 (define-public rust-wasmparser-0.57
   (package
-    (inherit rust-wasmparser-0.201)
+    (inherit rust-wasmparser-0.121)
     (name "rust-wasmparser")
     (version "0.57.0")
     (source
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:54 2024
Received: from localhost ([127.0.0.1]:55256 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgfv-0006Yv-Rd
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:54 -0400
Received: from mail-wm1-x32b.google.com ([2a00:1450:4864:20::32b]:51578)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgf7-0006JO-U6
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:03 -0400
Received: by mail-wm1-x32b.google.com with SMTP id
 5b1f17b1804b1-4161d73d876so4357215e9.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074012; x=1712678812; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=gFSRKopgDCSNAY2ZPMF5ojOfwfo6mzSduaiNMOla0Rg=;
 b=juN0anU7P501GCRAOFa/PBz+grmGPmiKxo+wmDSg2LzTfbzxShAcsJlXa26r53M/JB
 dbHoVs3RfeHDYZ1zfv9FGMqpqWBa1SEEI+nG6tHurz/Q8U2B3aZOELlbOueQRtgCSU/7
 hRRTSGSWdHhAmgjhKTmZahIRZZ0+TTVVWrXcu/YGJzNq4ZpDGaFwBJ44zpfOAdwigAXk
 TYGbYLxUGgRzSMpCGAHgAJCLZrO9BqZPdQUWEIyNmM77miFkzGcVetplN7WXC+ZocAxA
 sOkU/kusA/6dOt7ZPHW+Wv/xXqc+1o7C5Zj06tcUqZVlOEcI+rjv4tBq/rFqQ5BPUAHi
 OYiw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074012; x=1712678812;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=gFSRKopgDCSNAY2ZPMF5ojOfwfo6mzSduaiNMOla0Rg=;
 b=Lkurx/twMcJ0/QUZlsBkjvazzXptugav1uiR06qt5Dn57RGKV0/xrek/u+RA8PtyEp
 QUqzjKhiKdCp/aP0RYa/xyBbWYkjO2T+3ZHAx21fGOhYpW/YWQCxvnENas58qkI5kuPX
 T98vZgQMZ5aPqo7smQe5W3lLtjCzv+gqRv8RJBwRANNHwiMkCpRwE82UPm6oUoj9G7gR
 QgdpK+xY4qCYArMqOoehsVF5xnC4ol8XpBWTLF2KuOzijptqSPp1nS9tpCx9hbKG57hq
 kHJ2VQV0WoI16wMsYUmiFTSiDTe486puwC3QxiNVYt1y+XN2+v71ERggkVjc5SwZxujD
 /jiw==
X-Gm-Message-State: AOJu0YxU/xYf2FfQwAx9DFxgXpCJv/GpXOIHbu1BjCq6rsxl1oo08KAM
 jpRbmLMD+ViqJVn0Gu60XuB7EXWgMd06RgaUuuYwx5FlRBgSOimTLQuiOnxgvKWWvyw3tqHWn4X
 6
X-Google-Smtp-Source: AGHT+IEy5dBHq65aYImNj8AAHTLL0DMsrMEJO/8FgzP+5UeXNpqjBbrY8/zxGdEp0KdPiqh4ud7fSA==
X-Received: by 2002:a05:600c:827:b0:414:7909:6680 with SMTP id
 k39-20020a05600c082700b0041479096680mr8942063wmp.16.1712074011888; 
 Tue, 02 Apr 2024 09:06:51 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.51
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:51 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 034/147] gnu: Add rust-wasmparser-0.201.
Date: Tue,  2 Apr 2024 18:03:46 +0200
Message-ID: <1eb9a6021c58206d2f3138676ef81c4ea6837557.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-wasmparser-0.201): New variable.
(rust-wasmparser-0.57): Inherit from rust-wasmparser-0.201.

Change-Id: I249902ef724d6e28b4e77f06340cad2beb20240c
---
 gnu/packages/crates-io.scm | 29 +++++++++++++++++++++++++----
 1 file changed, 25 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 57d9d862de..2d578ff54d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -77807,26 +77807,47 @@ (define-public rust-wasm-streams-0.2
         ("rust-wasm-bindgen-test" ,rust-wasm-bindgen-test-0.3)
         ("rust-web-sys" ,rust-web-sys-0.3))))))
 
-(define-public rust-wasmparser-0.57
+(define-public rust-wasmparser-0.201
   (package
     (name "rust-wasmparser")
-    (version "0.57.0")
+    (version "0.201.0")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "wasmparser" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "19kslk9pv1bcyp85w63dn1adbp13kz7kjha80abnwz27bmbxvz9j"))))
+        (base32 "027pdclgl642hqzdi592nnhdf7j570bhyi9sqsppy3bcp9nxzrc4"))))
     (build-system cargo-build-system)
-    (arguments `(#:skip-build? #t))
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-bitflags" ,rust-bitflags-2)
+                       ("rust-indexmap" ,rust-indexmap-2)
+                       ("rust-semver" ,rust-semver-1))))
     (home-page "https://github.com/bytecodealliance/wasm-tools/tree/main/crates/wasmparser")
     (synopsis "Simple event-driven library for parsing WebAssembly binary files")
     (description
      "This package provides a simple event-driven library for parsing
 WebAssembly binary files.")
+    ;; With LLVM exception.
     (license license:asl2.0)))
 
+
+(define-public rust-wasmparser-0.57
+  (package
+    (inherit rust-wasmparser-0.201)
+    (name "rust-wasmparser")
+    (version "0.57.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasmparser" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "19kslk9pv1bcyp85w63dn1adbp13kz7kjha80abnwz27bmbxvz9j"))))
+    (arguments `(#:skip-build? #t))))
+
+
 (define-public rust-watchexec-1
   (package
     (name "rust-watchexec")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:51 2024
Received: from localhost ([127.0.0.1]:55249 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgfr-0006Xq-TW
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:51 -0400
Received: from mail-wm1-x32d.google.com ([2a00:1450:4864:20::32d]:47421)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgf6-0006JB-CN
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:02 -0400
Received: by mail-wm1-x32d.google.com with SMTP id
 5b1f17b1804b1-4156a29ff70so12707135e9.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074010; x=1712678810; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=80OGbo4poNtLwPCQ0RpYVPYY0ePmKYiLmwz0DoPmWeg=;
 b=k+QZTxsf3knJ6lw4tjo7FJToCT+Kw7ayw35PvbJK57yyJpg1WH0gxaW4N9aP1WH/ls
 qw4H2G7xtYzgSTZc5e5gmvlQ2FG5JyiX27bhbG2thkLr1LEZjbQtaShZwQDnJMEnbh0d
 W05HXp/spTKp/amUF7s5P/OXjE58Ld0OqFwoTiABl/qTFcdUH5/1SiIC8jyHy6RSbAt6
 nB2WbURhiZqD5TEX/aSieyzH0+GXk45fY/TIKuGFR60OzEFzu727qwXWkz456y22J6Yr
 GFnxaaZWn4rrgchEgiamkqWmfxtLK6XEgCy7q4iVFyAFlEIrg9rZ+tjyWg8ENhHYTvqM
 sSDQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074010; x=1712678810;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=80OGbo4poNtLwPCQ0RpYVPYY0ePmKYiLmwz0DoPmWeg=;
 b=c+oeGGM5/NsxIGY7X+RM0UlfnvmHPZdajfcJKk3p5pLDxiPZ4pu8hOu5yl++mhpTtt
 okQDdXqNDjanUG4RZF9tnuX8YBnxwt3AKrlEdr+hXTTMebiU03iFtUEtjxZylilDW1cZ
 i1TuXoHNdeKdroi+tvz7Ma6QjVspQrxRzsvn/zhObbkLExt3xnYGR2aGrxgrkPy5pe1E
 66eFRNXhIdchohbtreTo0/FSl1yDa+Mw7PAWQXmtT9vajtVT22fCE6yOdcl9Kn+/5b1s
 l7SI2jYDAVOktyMgQvyq8UD8XkHrn7TsSwv/R7Sxjm8oLUdhp8AYfy0UGS5fGWVKwTya
 gwkA==
X-Gm-Message-State: AOJu0YwInPZY60EPv0GZTvKJrfGTPJ9zkFBFGH7eut9+EmeX2kja+wI1
 ufriSW6TeSVvWjpgBXyDk2uGB6Pr9lN2NYDp3mXSO4FkS8mT6OYpGAFnAJoDCsdq1rlA9LowVwR
 +
X-Google-Smtp-Source: AGHT+IHrAxj/RjP1H4iqtBM3lWzKAosmyf66JkgGUd/JOYyD3IfCiGRg54vWK8IryNiEkUkxEwNn8w==
X-Received: by 2002:a05:6000:228:b0:33d:6fd8:90d3 with SMTP id
 l8-20020a056000022800b0033d6fd890d3mr138313wrz.4.1712074010754; 
 Tue, 02 Apr 2024 09:06:50 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.50
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:50 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 033/147] gnu: rust-walkdir-2: Update to 2.5.0.
Date: Tue,  2 Apr 2024 18:03:45 +0200
Message-ID: <bbdf7db3f90fba8f44b837ab15cf722eca885686.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-walkdir-2): Update to 2.5.0.

Change-Id: I4c5717bf30aea8edfd37f8f261f4d9bfe5e236a5
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index c6d611a4c3..57d9d862de 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -77259,14 +77259,14 @@ (define-public rust-waker-fn-1
 (define-public rust-walkdir-2
   (package
     (name "rust-walkdir")
-    (version "2.4.0")
+    (version "2.5.0")
     (source
       (origin
         (method url-fetch)
         (uri (crate-uri "walkdir" version))
         (file-name (string-append name "-" version ".tar.gz"))
         (sha256
-         (base32 "1vjl9fmfc4v8k9ald23qrpcbyb8dl1ynyq8d516cm537r1yqa7fp"))))
+         (base32 "0jsy7a710qv8gld5957ybrnc07gavppp963gs32xk4ag8130jy99"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:47 2024
Received: from localhost ([127.0.0.1]:55246 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgfp-0006XR-PF
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:47 -0400
Received: from mail-wr1-x42f.google.com ([2a00:1450:4864:20::42f]:48585)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgf5-0006Il-7t
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:01 -0400
Received: by mail-wr1-x42f.google.com with SMTP id
 ffacd0b85a97d-3436ffe05c9so536305f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074009; x=1712678809; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=AvwPUU23ylOe7Y7LH3M4VOQMoTPkzPKWHVJJ/QydOc4=;
 b=JOO5DhvRoh/aJjdlIyPhEsCnPK3oJgrtnSGb7xsT5IVZJ/JTIQbFStsI9+BAAzE6wA
 h309I9bPk0cnSLtcFoM5rUVuBKTVvUXFfNXkAddWLr014fXqJYj5noBRwsT1Gu4qBCae
 J1oWGJGWVHZuGhE3BFHcc6LO/GBSmXwVvFD1JY5J08msVqbEHWLe6E0UefV0/dThGlap
 OJX7r/z6cPO1EJyZh4jbC55+Vjvhhg6EvuNrd8B8I1K6UFIP8JlLEmbhSFmRaRMQuWR0
 zk8rX4B9ZaJiSIb/tp5NCZ1MhY1PX1g+UTZtObBJgg3qapMWhEIj39KnCPIwMyNnub76
 LAzw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074009; x=1712678809;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=AvwPUU23ylOe7Y7LH3M4VOQMoTPkzPKWHVJJ/QydOc4=;
 b=ohj0jV7G3QOSlWofR162Ek2nFXx1HviJQrhEyocZg6EFrxBUVPpGAZPiD0Bnh7IuI+
 yARmGS3nv2oNQUaNJoLEPKE71Vafdg4JszOTVirjQKnMSFyF6rqk8xCyX2iPxW3gc7m5
 h7etpsjNkVKvQpNBpVlMHn9Kk3Ar3C+9YjBNNvjBmlKYkGQN8LrD+M2wbHalYUcYyAjw
 JHrIKA3kbF3m1oBebQZWzC+6tsRtEdyqGQdrSAWP6DgGy35Qsddlr6XYLlGqiSSZ0z21
 BKOP2UUI5xzq7oWhvEQIB+NOkajee5mznNWmovdxhflrmvgQPCiTd/8egySuJkAzQxEA
 h++w==
X-Gm-Message-State: AOJu0YyCdX/hq78QqNa1bCdr+So9bLV45kPT+N9SSkFfWNkn41lfBrBu
 M6Xz/MCbh8nDCg0JBGxHFkb/RaL5sDq1D2OTMSJE81nV1rgy39NbM7CPjRu7T7HB7JYGNdVvGUL
 J
X-Google-Smtp-Source: AGHT+IE0av+3sEgheZDcsmnGEpxkz1InbH2iTdFiCa+26k6BuvERbsvYpvmIfhz+MqZbZxMxp+udPg==
X-Received: by 2002:adf:e708:0:b0:343:79b4:5371 with SMTP id
 c8-20020adfe708000000b0034379b45371mr116760wrm.69.1712074009588; 
 Tue, 02 Apr 2024 09:06:49 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.48
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:49 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 032/147] gnu: rust-serde-1: Update to 1.0.197.
Date: Tue,  2 Apr 2024 18:03:44 +0200
Message-ID: <4d5101873b50339d222af2fad948f015e28e85bf.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-serde-1): Update to 1.0.197.

Change-Id: Ic0950289168df416125fdf3354625b15f702d06c
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index e12f744d7c..c6d611a4c3 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -59844,7 +59844,7 @@ (define-public rust-seq-io-0.3
 (define-public rust-serde-1
   (package
     (name "rust-serde")
-    (version "1.0.194")
+    (version "1.0.197")
     (source
      (origin
        (method url-fetch)
@@ -59852,7 +59852,7 @@ (define-public rust-serde-1
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "0wxplk1ayrsb81bdwh8zmkldw1b0xigs3qc90r5ck6374nc4848b"))))
+         "1qjcxqd3p4yh5cmmax9q4ics1zy34j5ij32cvjj5dc5rw5rwic9z"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:45 2024
Received: from localhost ([127.0.0.1]:55241 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgfm-0006Wq-2b
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:45 -0400
Received: from mail-wr1-x42d.google.com ([2a00:1450:4864:20::42d]:55361)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgf2-0006I4-Px
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:00 -0400
Received: by mail-wr1-x42d.google.com with SMTP id
 ffacd0b85a97d-34100f4f9a2so3655764f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074007; x=1712678807; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=hfxIjHu0OSTzOn2315h7fWBMcu8pEJmBOeTSNsoimto=;
 b=bjxkVdUs4oHWQHe6jejiCXc4t9MNNLJ8kZltKT4Hr1qUpMEThWHflPaJcIqKw8Nl8o
 zzdLCSFxk7LoM0Qwmui+oIJKDikge8bMtmzo01E6tQ8A+Etqa56Scnf0FFtDLBxSH1Y6
 EC1LXJKK7+BBT/GUwVBotAmI7b2T7S0qhQbidCsRntmSagfyrFD5vwugVZLAt3RT8UEH
 Tyh1ERIt1YUPhyQE4V1yzox4ZWXxcJ6Fggvv/KGX6/uZ26dcsUG7pt7PLdyT0dOu3Sg1
 24j2TVmlYygsQUw6ZiILc1cuF0kTTf5ytMMObZd17z5npUvXRIDKOgsAG+r/dfCdJAhp
 557A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074007; x=1712678807;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=hfxIjHu0OSTzOn2315h7fWBMcu8pEJmBOeTSNsoimto=;
 b=VAc4L+Mb983ppiJGIwdvic5YfTlRi4RicyTpTV0CQUPRkt8y3Dz/gzT7Ls1kIEIaYr
 L8fFTlUqOrYRoQRSzRGOitYM7UdpkVm1nYO+gN03inhfQCFHHIoA/F/J7Hh5ROBrRpt7
 hlOKfGScX58DhcPQ6Au7jsXYR66XCbj1t4XM/GWNSLOHvHka5ZHk0eCoopsGcKCXfyeV
 pGaCVJmADJ7bp09y7NjQBRA1LINqkhqYzXhrXAIb08C0I35xSgQJX9Febx4MgnFS0yT6
 6HgoOzl0ObDOLRDCH1EPVpFDpIk5ZAdbje0ACWMAuHtCl5ZvskITXvRAR+SKIvxQ4+KM
 ReEQ==
X-Gm-Message-State: AOJu0YyQPj7fWkJuTEqmQ//JPj/YZAcYTwIGKBxlJVAcZSepUpuiXYMT
 QZivlRr5jK5ctlUft/QnXfxGR6tcvQTftvgJrQWxJ7g0wIYuWn4y6Xrma6qa7E9U9jHscEq8cK/
 I
X-Google-Smtp-Source: AGHT+IF12eLMZ4eR18B02H3GDGjKJ3K98FT8ORLidsxpspSJcjgB+GMpwYbBTkYVcqTkdknfJdSIYQ==
X-Received: by 2002:adf:eb82:0:b0:341:a13d:4f73 with SMTP id
 t2-20020adfeb82000000b00341a13d4f73mr9525058wrn.0.1712074007042; 
 Tue, 02 Apr 2024 09:06:47 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.46
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:46 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 030/147] gnu: rust-semver-1: Update 1.0.22.
Date: Tue,  2 Apr 2024 18:03:42 +0200
Message-ID: <7b2db8783745698cc30777e8673dc46aaaa08dd1.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-semver-1): Update 1.0.22.

Change-Id: I7231e8f7ce3597d5c14202d27748823ff56b3311
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 1b3afa8234..f6e4475ce4 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -59606,14 +59606,14 @@ (define-public rust-self-cell-1
 (define-public rust-semver-1
   (package
     (name "rust-semver")
-    (version "1.0.20")
+    (version "1.0.22")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "semver" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "140hmbfa743hbmah1zjf07s8apavhvn04204qjigjiz5w6iscvw3"))))
+        (base32 "1jir6q2ps4s5v52bqxpvwj35p0m0ahl5pf62ppwksbv5kvk3zm4j"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:42 2024
Received: from localhost ([127.0.0.1]:55235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgfh-0006Vg-VW
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:41 -0400
Received: from mail-wm1-x32d.google.com ([2a00:1450:4864:20::32d]:45526)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgf3-0006IM-RI
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:59 -0400
Received: by mail-wm1-x32d.google.com with SMTP id
 5b1f17b1804b1-4162060dd12so218925e9.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074008; x=1712678808; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=phTzv1Puv5C0ym9W4CI88KwNIGDsxp9AAYwqqpIiyqg=;
 b=QL5zrQJAMhGbdE2iwH653qZWhmOS0FHlyQZ6WfS5EU2CQmgncgDwYzzJc7AxwlrKMk
 5rVGgdw2My6/kiypQriXrzD1Qw7yiLAcUIWNVUgvNN9blFzAolq5Uzg8WQKGaFyPjMw3
 acAucZEO1X1Np2MmhNxJu+nD6IRYsGmwl8qSzL7lZYRfPacW3Rtd/VLt48abPdreKRtQ
 00q5a02IVVr5znnI4SzCaF8COJksJfWneRrqojhjuXUMU/mUosHp8ePBW+E1P6wIpr3V
 pFjg9VyIwDcpKwFC/dGX0tQAnGV0GmjicYGwv5t6VcTvclFz0j37Zfu4HtrSXDhtYVeR
 Y1pA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074008; x=1712678808;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=phTzv1Puv5C0ym9W4CI88KwNIGDsxp9AAYwqqpIiyqg=;
 b=BTA8wXOjORVoQRxJLSgqRpXUYhRj+P1l0h8J/iJEy1YdS3qzIVaYNsY9GVEbnQnv5r
 wUIybEPnoDVW6YJrLVidtsKDFi+j3e/Lsr2ShJ+hiGdWCmJDMIec4Wu4W9dDegw/xR/z
 3SeXzD4Qy0q5xygRY3oOMYDkIcKMeP58uzMRQ7ZHLbGdyWAkZM4AMYxyDCA9x3kw9dXN
 gJrC8dU56LQUfjVIfv8q5bvDAAlQuGO/5R7wW6ppT6LOTWU4X2CFg5+meGqhcjW7nYMc
 DJoQ+11jb/M3FgQarIFbPN4eD6nZVxfM/S3qdVPY3RrLU6msd3A/2RdpSovGBxbzqpe9
 iz4g==
X-Gm-Message-State: AOJu0Yy6inx35xq6obiZHTH+/m/vbUrDsmhEaZnnl375C1oMW/BR1/CU
 Loe5Et4HKlIT4HNuyK6dkw4D2Ssg6TYhzdFFN0JvfOitWjBJu7ZfrOnA5KzPyHqS87LHKzX2Z97
 Q
X-Google-Smtp-Source: AGHT+IEyFg9p+yzu4uDytnD5UR6ystYSizQdJmfVzesLCkjiSgqOsHZOJqrxHZLV71a9IjH8qfMr4A==
X-Received: by 2002:a05:600c:3c8c:b0:414:9108:4f35 with SMTP id
 bg12-20020a05600c3c8c00b0041491084f35mr9842532wmb.4.1712074008228; 
 Tue, 02 Apr 2024 09:06:48 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:47 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 031/147] gnu: rust-serde-derive-1: Update to 1.0.197.
Date: Tue,  2 Apr 2024 18:03:43 +0200
Message-ID: <4e7ce29c39ab7857b54884b64c8d691dcbfa6332.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-serde-derive-1): Update to 1.0.197.

Change-Id: I522df2f7dc485aa38dd10a697027d3587a48f767
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index f6e4475ce4..e12f744d7c 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -60281,7 +60281,7 @@ (define-public rust-serdeconv-0.4
 (define-public rust-serde-derive-1
   (package
     (name "rust-serde-derive")
-    (version "1.0.194")
+    (version "1.0.197")
     (source
      (origin
        (method url-fetch)
@@ -60289,7 +60289,7 @@ (define-public rust-serde-derive-1
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "1q6l0ycrykdg960c350fgnac6d653q1v608g84qrk3rf692mwf53"))))
+         "02v1x0sdv8qy06lpr6by4ar1n3jz3hmab15cgimpzhgd895v7c3y"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:37 2024
Received: from localhost ([127.0.0.1]:55221 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgfd-0006US-K1
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:37 -0400
Received: from mail-wr1-x42a.google.com ([2a00:1450:4864:20::42a]:43503)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgf1-0006Hz-E3
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:57 -0400
Received: by mail-wr1-x42a.google.com with SMTP id
 ffacd0b85a97d-3436b096690so610238f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074005; x=1712678805; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=eagq4L6/oSFRzGbu52UVYGPqLo0p2dF/QxKsHH/VUtQ=;
 b=NvpYx3XxO4/zqmeA0dbE8aic/G/t6pYmab9WYoWhEK1BbqtSk9ii+p7g7xO7S9zAgv
 50igWHApcMuQ6TIbXFo1Rp6dEGvkwEi9XfRmp+03m7ixVFudXJC9uE//ULBREwTgVSZ8
 t4KaKW+eu7o5Z+xVSCB6nh5svyp8vZI6iwAjy5tKLXH8yf89zHbfNBCTIPKy5Kjb590+
 ecVmRJN1J4iLFG7GmhyG4zbPV2AAMyRVgulK2fhZLwipitxB/2Xz0VeH4qa7QSumMFQI
 STjnphgiOxoPb4K9YRA4Wj6+YkBUBC6MLLztcLbJHz25uw9uoYV4/tH3gZdTPswBbmr0
 rPCw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074005; x=1712678805;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=eagq4L6/oSFRzGbu52UVYGPqLo0p2dF/QxKsHH/VUtQ=;
 b=mt/qEe4qoNes91J1EgSpsdQQBqOATEeoUpKlQdwOR0CBiPBcfYT3k9sKPBTzdnNqqM
 xsY7OgVUYS6sb/7I++ZVFcuLhRJs6hGblz+mKFV33UlRifxUr1nwpUOyIuujx9oHN+Pc
 EjlqtVPUugbnVpfV1K1yAfyjNU+ZuAyV0f/C5ZbbCzGiWIvZ/Mml2QNKIwcOjaQyz0Yn
 7mr2lQmDbK/5I5SgV3rQkDIOVoJJNgPf/L0mtRLn+ExjkF/l0q8YuWkZqOxiGHw6HgBU
 NJ3L58oFTjH8mW+fVjRjjrqQbHaFITa5s0DDHjWCP+cB7idk+foWQtk9thCCmnELlW7B
 bcyg==
X-Gm-Message-State: AOJu0YzHaQ1Sf67UnL8LVrn9lPKjWjOnDdltm52554cWCO/o5kjmIIrp
 pU4oo6fC5xDp6NaZUtY0T+WWQ9ArTWcsdkO3E/+jH5spjYJ0NpkvuMclAO5k850LpFsyRYSqecb
 X
X-Google-Smtp-Source: AGHT+IEus2ZPewnype6Nv63W1W6pi1a7+k0+jM4V+Z0NVBpJ8JcCVpnFYobjlSn6JhOWh3YtavxNHA==
X-Received: by 2002:adf:ec02:0:b0:343:7ed6:765a with SMTP id
 x2-20020adfec02000000b003437ed6765amr635916wrn.20.1712074005770; 
 Tue, 02 Apr 2024 09:06:45 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:45 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 029/147] gnu: rust-regex-1: Update to 1.10.3.
Date: Tue,  2 Apr 2024 18:03:41 +0200
Message-ID: <5df1084d52219a6c19a72e04f1f8a9c246c53ee7.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-regex-1): Update to 1.10.3.

Change-Id: Iff4e6f28e335e356c02ff56fd2d917aad6d31c7a
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 3eac7156cb..1b3afa8234 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -54432,14 +54432,14 @@ (define-public rust-refpool-0.4
 (define-public rust-regex-1
   (package
     (name "rust-regex")
-    (version "1.10.2")
+    (version "1.10.3")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "regex" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "0hxkd814n4irind8im5c9am221ri6bprx49nc7yxv02ykhd9a2rq"))))
+        (base32 "05cvihqy0wgnh9i8a9y2n803n5azg2h0b7nlqy6rsvxhy00vwbdn"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:33 2024
Received: from localhost ([127.0.0.1]:55215 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgfb-0006To-Ec
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:33 -0400
Received: from mail-wm1-x331.google.com ([2a00:1450:4864:20::331]:52613)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgf0-0006Hm-E7
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:56 -0400
Received: by mail-wm1-x331.google.com with SMTP id
 5b1f17b1804b1-4161d73d855so5259455e9.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074005; x=1712678805; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=wVz7hlwL0nRN5E8kbh/f+JpHztuN4uCDtByR8Jb8cBI=;
 b=F8nUNc+kNWjsMvUu32edfR1Hek+uAFM5xP2Ft3jAvAYtlRbTvAuspxzm0QP5mw2JJz
 qf//ICb7CZ8WA4Z+phsBDVIFr7NdDWqokDVhG/v6lqCdfrMdjXdnihNP4WzBAHcnGMbd
 fRuIASxrkzHNEYy1JPGqZOu5eIpQKg0gIZUmqTB62QTWyS2+3X4cRCk4I6bO7nZ5nXFC
 NKe/C/rk5Dep8ud99n2pgPoMIl2NZEKwcAsLhz6mEH8eORtC/ifml1tIQtk3/jiLMA2c
 EqE3QPX2TPjz74L1M6OaLAfdbPO6M8Ldbh08KLNK0XMdk03KbNTVEYNQGO+F9M/JOMJR
 39Pg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074005; x=1712678805;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=wVz7hlwL0nRN5E8kbh/f+JpHztuN4uCDtByR8Jb8cBI=;
 b=N5rjM3NHXG8lWK1FKKIx5rE/7ZrcSkEfeyIK/YPK3ylLH6PemI37552Ghn+FzTus3P
 qIbI2qagRSNDmaYQQPizecUy9Xskyc6BhjXx0DfsIhgOkUsB3mSjeDGvc7b1iOb9mT5H
 P8IpgEXmQCAJEbMUsH4ZawE76GxOEw2ifcvjJ+C5WWMp/uzSLi0bGZ/d4IHhqrEqRcR0
 qDaeUmPqmVvIvLEJ018xd1/QDlVAKktHOc4VmPeVU5xL/4Dw/2H6T3V9uvnuajOPrS9O
 neHkGb8lCjETkxQ+QsoT791vhLHJtHRbbTV7viPdxrDKBW3WsoWerl/o6EaaGdSOVDD1
 nxQg==
X-Gm-Message-State: AOJu0YwklWASA1QRK2itgjci78ygVlG3UyA5UmlxVY47vJydJlJrUmyT
 E9dznif4IwDqBbSu2XNVtfxUY4yMWkcEXHxPT9pbSpbb8mLlJDM3n/pVLR/U9xD5QGzuKV0nAb3
 B
X-Google-Smtp-Source: AGHT+IEvMZInn50ZbDYnw6rl0tqbn+xj5bQsu8Db14NlPKUgdxunOWA54vCEczJvVIciWfcpSpF/Hg==
X-Received: by 2002:a7b:ce94:0:b0:414:9676:45c4 with SMTP id
 q20-20020a7bce94000000b00414967645c4mr2211661wmj.41.1712074004826; 
 Tue, 02 Apr 2024 09:06:44 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.44
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:44 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 028/147] gnu: rust-regex-automata-0.4: Update to 0.4.6.
Date: Tue,  2 Apr 2024 18:03:40 +0200
Message-ID: <2a198c6357bbae57fa1545dec1736117ba088bc1.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-regex-automata-0.4): Update to 0.4.6.

Change-Id: I18c731a90f49a1a50670bd289bcdba5f7e7037ee
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 248e0de356..3eac7156cb 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -54520,14 +54520,14 @@ (define-public rust-regex-0.1
 (define-public rust-regex-automata-0.4
   (package
     (name "rust-regex-automata")
-    (version "0.4.3")
+    (version "0.4.6")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "regex-automata" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "0gs8q9yhd3kcg4pr00ag4viqxnh5l7jpyb9fsfr8hzh451w4r02z"))))
+        (base32 "1spaq7y4im7s56d1gxa2hi4hzf6dwswb1bv8xyavzya7k25kpf46"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f          ; Not all files included.
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:31 2024
Received: from localhost ([127.0.0.1]:55210 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgfZ-0006T6-LX
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:31 -0400
Received: from mail-wm1-x32e.google.com ([2a00:1450:4864:20::32e]:47337)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgez-0006Hf-MF
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:55 -0400
Received: by mail-wm1-x32e.google.com with SMTP id
 5b1f17b1804b1-4155baa696eso19380095e9.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074003; x=1712678803; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=NVg6Txt4xYoDfOKcNQeBmOHMTdYhO3VydHqgUFVK5CQ=;
 b=pXyz9SC9/TkaW+Y4UegRcy3rPsbyliklws6dWNYT28QbGU/k8WNK3p9xNPBdt8VMqg
 JBT8xB3yrakGaEyptaIC/F+JhoyCHtDwNOEzkYCifer7gij1CrdOtkDhpYP2qJUMvn5c
 auAWAff5h/Yk+F2n9VUtueLNzep+6LB9XvOEoOgI43rYshcf3o1lCXfwEvzHqVct+0cH
 8BxgLdud5xOnC95YGzxmbO42OYNOjWhGHACi9WlLknkTa7MskHBJ+f67cwy25m5ZkIHt
 awzoE7V23FMImao+V1gBjOdXtlz2v8lCXM7hI85aUQy3evH7wB4kFLdgRrXlLyvanhUD
 tMRQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074003; x=1712678803;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=NVg6Txt4xYoDfOKcNQeBmOHMTdYhO3VydHqgUFVK5CQ=;
 b=BTOZuPMNe9sOaAuDJnezz6ZSX5XrJoKZ53KEL7iO9dkEboAKvVldM2adMMumi/Ar6A
 bjq6GNsZqElKeeCDqUrY3Kw0C/t8l+yUe2mVuy84dtKOIKiW+r2fLltO1uubYcpFh9tP
 VjujFRZFwZjkqFIDdvBZwPCE3s32K38nLl87Q9Bhy83DjiuenOknSEV3XqiY7eF77lUB
 1dNhIbQfognDv2/uIXLD3IJy8jp46lph2rou37MuDD/Q6R7UfnPlIRkQpa6pQ6Tu38VH
 YePown8STUPNBf+vPyjX7VEuqa5geKWc9lIy337ATZF42oajli9HKCknjT7KgkROnv40
 K/Sg==
X-Gm-Message-State: AOJu0YzOoAqwTm/TLXvB1D30/giM6b7cINpw3Es37cuz+wdJv/0X6vxq
 Hs0KvSRFcFfOBi21i4oxbj33AdFcoWTgZsx7tMK9iEINYt6GGPIHtnUYEWK4QGzk0cXqifWlEKm
 h
X-Google-Smtp-Source: AGHT+IFkdquZjiPYRLSTOhXtcADZ5Ktl8VCUnBJH6JtQ81Mtqc0b0NPDgFU79CXF/aVblPoy4Nx9zA==
X-Received: by 2002:a05:600c:a69d:b0:415:52f8:ca74 with SMTP id
 ip29-20020a05600ca69d00b0041552f8ca74mr185087wmb.36.1712074003691; 
 Tue, 02 Apr 2024 09:06:43 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:43 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 027/147] gnu: rust-log-0.4: Update to 0.4.23.
Date: Tue,  2 Apr 2024 18:03:39 +0200
Message-ID: <2078881cb24906f8e8271887130a4b3e4c5d7a0a.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-log-0.4): Update to 0.4.23.

Change-Id: I4cfcaa80c6c558614e187e70d8f27d77cea4d6c1
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 670390ec18..248e0de356 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -35540,7 +35540,7 @@ (define-public rust-lock-api-0.1
 (define-public rust-log-0.4
   (package
     (name "rust-log")
-    (version "0.4.20")
+    (version "0.4.21")
     (source
      (origin
        (method url-fetch)
@@ -35548,7 +35548,7 @@ (define-public rust-log-0.4
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "13rf7wphnwd61vazpxr7fiycin6cb1g8fmvgqg18i464p0y1drmm"))))
+         "074hldq1q8rlzq2s2qa8f25hj4s3gpw71w64vdwzjd01a4g8rvch"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f  ; Not all test files included in release.
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:29 2024
Received: from localhost ([127.0.0.1]:55198 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgfX-0006SF-Ng
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:29 -0400
Received: from mail-wr1-x42e.google.com ([2a00:1450:4864:20::42e]:56356)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgey-0006HR-FQ
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:54 -0400
Received: by mail-wr1-x42e.google.com with SMTP id
 ffacd0b85a97d-3437efea0ecso206276f8f.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074002; x=1712678802; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=nB6ingWKO4s6re9o0Hse1pwRDP2E231OEJTKK9+l3Xg=;
 b=oBarWSm6AZN3UyLaGg2uJLFgNEnd+LKoK8twJ2veSNQ0/m5j8YtNLDwSdZ9bhjaPas
 e3rVWXEE8N8kdhzZqkmwRYxcwyAnWFjvNr5lKj/e8NDzHBHzSYRkcn0a8Nx7mUYxNBGA
 76G0i1Mmd96BWR7dkknGXRnJj9KnefPEt5Kd9bhHyn1BeOsyRYLIaS8M4e65OfUJqaGP
 eH7HVUvvwjEns36MCPmqYn33FqqEbB9ZvF5gmjFTscUEa6jF40xM+m8mxbFpsYP7YxqP
 wLnOAI4MdvgkN+ql7nQMd3MDifqpDfPQlU8ccScjibqY2S8ezgOoc0dwLItSa5Tqu90b
 oVAw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074002; x=1712678802;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=nB6ingWKO4s6re9o0Hse1pwRDP2E231OEJTKK9+l3Xg=;
 b=QirS9Fy0n9axH+HH8QAjNfyElZlAUuS0lhsH7YqH4CkJ3WqjM/PZhQdDrKjYv8CRF0
 uhw5m/k74E57uET/bz2/UcVmYkXqcxSRs7j9xLlna60EqvKalE39211ApvxHoAUiGxK0
 4fQVUtKpeEW8xzn1HcQ+ck8YYRxQHOALgP+ZksfoA8jZX0D1MsEUkH3MEvBQ3kcDURDo
 1CqfZ0sKuS9iOgcyfOLb4+QDrpFBZIRRBh8cSJIeWBkgItMTMOTS6qAMlGdJD6T3rWZ1
 UY0b0V72tvOofNGCoUgOxo5clCeChp+3+7kWcacyKZ9T56sipaZLSy38B6fs5WjKqmAJ
 +o8A==
X-Gm-Message-State: AOJu0Yz9lKy0G/N2XsJhIKPqK/hqJEDWo3C12IYJBVyZZhIsGlceUZSi
 /B578tXeUIJk4v5vp5Je35Ni+hoFsK58nGRLeAizzMROX/WYYEMBah83OqmViDVf/o7PhklKYgv
 y
X-Google-Smtp-Source: AGHT+IHd6iAO9LkGn0Q0BeRg5OhDvjmjtFvjFffbfMdNlH1biuoqLGp+tZck1tSoD2q/iTZx9gbEXQ==
X-Received: by 2002:a5d:6590:0:b0:341:c9b8:fbde with SMTP id
 q16-20020a5d6590000000b00341c9b8fbdemr10928361wru.31.1712074002631; 
 Tue, 02 Apr 2024 09:06:42 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.42
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:42 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 026/147] gnu: rust-value-bag-1: Update to 1.8.1.
Date: Tue,  2 Apr 2024 18:03:38 +0200
Message-ID: <5de2fde3076e25ba55c5df1cdc7e4c563aa53d11.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-value-bag-1): Update to 1.8.1.

Change-Id: I92688df45d4ea2d59f314c25dbf71b98ca28d95a
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index dfd24f21fc..670390ec18 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -76526,14 +76526,14 @@ (define-public rust-valuable-serde-0.1
 (define-public rust-value-bag-1
   (package
     (name "rust-value-bag")
-    (version "1.4.2")
+    (version "1.8.1")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "value-bag" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1gjvsnhhf9jp8h62zin6azqrpmgmnxq2ppj72d2dcayy5n8f2wja"))))
+        (base32 "1s6yrwh2s4zdjvdx6sy6irffhhffl19yphy71701d1mrqcwp6ybl"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:27 2024
Received: from localhost ([127.0.0.1]:55190 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgfV-0006RZ-1i
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:27 -0400
Received: from mail-wr1-x42b.google.com ([2a00:1450:4864:20::42b]:48581)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgew-0006Go-8m
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:54 -0400
Received: by mail-wr1-x42b.google.com with SMTP id
 ffacd0b85a97d-3436ffe05c9so536181f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074000; x=1712678800; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=xXUAXq5+AHaeN843MU+BRiU/VxVXMqy96kC7zMAVToc=;
 b=U/cI/poIc5N1pI1wz4HcIPu8cP8Eg6kYV8c9ZzfZ6o1fwo7C3xerXYA4bu4NDCQbGN
 SKm1l5QcrQW1qY9OAOmOB6MTHVnBpa0mlGLGlO2HgKqUgheubi6SRsCSzbR3u1AIU3Ch
 MtrSnkNCCfEwQaBIm4QupoVHyUUGncr79nHfN0RuJ60WzMbRyjLFTYD9q5Ix+b52OD6/
 JkA06Pgzi+0f4wLsjhZY8wS6rVAkt6ra91MwkO1aLtnaE90gYx/d52Dz53GHYM5VSrbu
 +J9sn9KomBcOXQD5mQlzjcrpVpx3tUhumQP3Z6TWU3+ZbE0wCkiDC//RWEDGkF6MyQun
 UUhA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074000; x=1712678800;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=xXUAXq5+AHaeN843MU+BRiU/VxVXMqy96kC7zMAVToc=;
 b=gC3x/K/EN+q3WxnmSIvjBZYsHFSRwqyikSMzf7+ApSL4sb1KZhopFNHuCwnu1VJNEn
 5o11ZezSzTVnoIcog37qL4QIYFyr/Yc/Wuez84bM8ahrbvcJmrBbmikvszKsCtjYdGCN
 dAoz79mrDQABIwtcJtEgNCOPWptLgyFHY3OzdBRmFAWfkiWGjxA89KDVATAFhRkGJGiY
 GkqoSMPa5zpLXTkW7mM8f5Y3E95guQqeM6YmRwzviofpeXTrOYBK4bZEz4jiQ1tjOX5t
 ICMiqOe3KHK8z5QU1m6h6DkfzW6zNuiR0R3HsR5L7xJ0yHybH107vtY3bV5rwZG0NTMh
 Q2oQ==
X-Gm-Message-State: AOJu0YyWjx7p0nUfQOR/AIOLWPORZ1IdcuaHn52oDLmIfwgVPD1GvFyd
 cqycC3E9+/q+WsHRr4TYQw1rNbqEsdgX2doD+ZL3b2O87DbImAyO+FlS8V2Wx3phFEMvYCwlaLV
 9
X-Google-Smtp-Source: AGHT+IGpgjIkXpkZtb8f8nBydd4iFo9kv5MWEcyjYncMC8RyrMHcc2Z2hs6OXGE5IanojAvjtB/6Mw==
X-Received: by 2002:adf:e8c9:0:b0:343:6b52:d134 with SMTP id
 k9-20020adfe8c9000000b003436b52d134mr121104wrn.46.1712074000511; 
 Tue, 02 Apr 2024 09:06:40 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:40 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 024/147] gnu: rust-value-bag-sval2: Update to 1.8.1.
Date: Tue,  2 Apr 2024 18:03:36 +0200
Message-ID: <97345ad2f36cee8262745174168cd5e5ac5fc061.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-value-bag-sval2): Update to 1.8.1.

Change-Id: I33f741357b6ca45c9a9f719dd5f00e01b8855817
---
 gnu/packages/crates-io.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 584b3635d3..fba1226837 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -76550,18 +76550,18 @@ (define-public rust-value-bag-1
 (define-public rust-value-bag-serde1-1
   (package
     (name "rust-value-bag-serde1")
-    (version "1.4.2")
+    (version "1.8.1")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "value-bag-serde1" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1gsp0cn62ay2qq52wzck0j66iavf9k03y6ipmnx3bjqyg7f3kfh7"))))
+        (base32 "0f8x893rl3r3lfap31mmy27q1z1rjkbqkdgpiqkvbk6b84sp0dfc"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-       (("rust-erased-serde" ,rust-erased-serde-0.3)
+       (("rust-erased-serde" ,rust-erased-serde-0.4)
         ("rust-serde" ,rust-serde-1)
         ("rust-serde-buf" ,rust-serde-buf-0.1)
         ("rust-serde-fmt" ,rust-serde-fmt-1)
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:25 2024
Received: from localhost ([127.0.0.1]:55185 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgfS-0006Qs-Gv
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:24 -0400
Received: from mail-wr1-x42f.google.com ([2a00:1450:4864:20::42f]:42434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgex-0006H7-K5
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:53 -0400
Received: by mail-wr1-x42f.google.com with SMTP id
 ffacd0b85a97d-33ddd1624beso3355736f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712074001; x=1712678801; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=Ri5gpn3R47ENJJJ85vJ5LqFQh2ERLv05Mrs7xsjREyA=;
 b=th4cV6S7806TQrATo43V4s/mA46S5keMHSpLAf1ED2Hmxql0ODos2TlBIonLAdpXru
 abl3lehR2HyT/qtV8jflH3D1o7DZW0dFd4tJUTiW5/M/4MRBwUfSEPgASv1RL5T3Jke6
 Z0WLIjJB/UzQxeBIH38PMTsbHQ8ZHQJY9Rq5ng4PSnc39VI+nnE2sFMs/ApTqyLghLPd
 Xv3A9XchFGhrDbmzNHPkfjYX2/5+CN3swL8/aHDm2+69YEJ/Zbk9g2BUgv0afANhhqQV
 eMO1K6Bgfje1TJfQOKzZOU45oBDi83rjxWBnJIiro57yxW4F7VTXzUlF8XZgYuYJwK9s
 kHOw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712074001; x=1712678801;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=Ri5gpn3R47ENJJJ85vJ5LqFQh2ERLv05Mrs7xsjREyA=;
 b=snFvJ51kN7V4NEYPtHAB1a5yDKnCOqXk0eKpA0v++5MpXxXQMVa6NXGi0aI8ecmyJv
 /8QTw3migrO89Z6JnhgA85d+58tzy5NAm1vo0+XaiswG0d5Iyi7UoXaqLIFtmOgPKxDv
 g9xNwX9BcFUE0RzI68XH3a4l3Cn5HCFduOQ07jEpLusTE6iOGtBj+zyyaeT2U3m8l8Cd
 LCpEqIb4AcTXabaKSKhAh+FVOINI6ALKn0UDcVUr3hZh19XCNYdCFCurrDbsbuDi+H1P
 F4GVCt4KTAfaxwocnk1k0fbRs09MlPgMnA7vTlp3fMc0Y5Q9PQvEV3GIQBlE73qTQVDO
 N1BA==
X-Gm-Message-State: AOJu0YwQRr1xUnxmXLt5BNsU8138ZJTlV/lTZ77/y3dBkOHa3pqQ3qO5
 T2QdGMF1Be5RTaCqhBEqQD9YMtP/EFbhrbmkdGH1bf8Kg3Im8fCvmoIPx6/5l539yf00UI/OSpi
 E
X-Google-Smtp-Source: AGHT+IHt4PDUvwI7YQaMaeUJB6ZvCd4Gcn0FYcIenrsYN3PGqzNn4c6I5MGUUAAAcIIuomK6GnzIGA==
X-Received: by 2002:adf:ee8b:0:b0:342:cd20:7e92 with SMTP id
 b11-20020adfee8b000000b00342cd207e92mr12825669wro.3.1712074001522; 
 Tue, 02 Apr 2024 09:06:41 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.40
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:41 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 025/147] gnu: rust-value-bag-sval2-1: Update to 1.8.1.
Date: Tue,  2 Apr 2024 18:03:37 +0200
Message-ID: <34c88d84cdc4ebd1605e171a2271e0796c55f3c2.1712070306.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-value-bag-sval2-1): Update to 1.8.1.

Change-Id: Ibaaca6d19dc7f74d640e6be5bc31c712f85c2ecb
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index fba1226837..dfd24f21fc 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -76575,14 +76575,14 @@ (define-public rust-value-bag-serde1-1
 (define-public rust-value-bag-sval2-1
   (package
     (name "rust-value-bag-sval2")
-    (version "1.4.2")
+    (version "1.8.1")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "value-bag-sval2" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "0i899mjnryxw0sp92n8qgnm1s2m56ba27l3qazsbnmqah486rq63"))))
+        (base32 "1y7pavswnf2im3a7b4xyr6fvd8b7xsx62ifjm9jhwk0bkp146nr8"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:22 2024
Received: from localhost ([127.0.0.1]:55180 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgfQ-0006QD-Fz
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:22 -0400
Received: from mail-wr1-x42e.google.com ([2a00:1450:4864:20::42e]:49270)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgeu-0006GG-5W
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:52 -0400
Received: by mail-wr1-x42e.google.com with SMTP id
 ffacd0b85a97d-34372e3db28so443419f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712073998; x=1712678798; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=DA0UEMu3NnBw71md+8TBsUVEf8AqYiiqeo+X4/Fq/EU=;
 b=c+C0ZySiKBuUgapbiROFaS7GYSO+WNo66ZXY9GPEdyTVHAJHBNI45Mp3tOKeRXXR+k
 dbdPs8V/PQ5OhARTpCa4kj5pHKkCBKmJ2yJXZUNmva19sjKiL5vC1aErNtyM7rDpng0l
 wtoSaRCdEbzGvnykIe+eJPdL8BB3kBx0SrnxUHqEb0s9/fB4tray90IXs2Czqh2GFvtW
 Zg1Wvh1oP3Z+lV+b1T+G4seQt4qG5mhdaGjpeMMbFq9lgpBvnnWeUiHzwF/SK1k+7XtC
 DO/KyFzukLwHUnxj5KM+ATdz1ZsJFvx9zJTgA8gS7VFvOwDi1pyQWEgfSUXQFKsMTFCg
 1+HA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712073998; x=1712678798;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=DA0UEMu3NnBw71md+8TBsUVEf8AqYiiqeo+X4/Fq/EU=;
 b=Xy2wEzzh+76m2i/MI3qdjGDqDAk4hAhtiBjPKcpXbwhUZbZu4HFSN6+Cf1hzs2JLIf
 63UC/EOME5mtMlCjsTZ7UQ5aq42+GAm6JYZHlZFKKxdi1f0O3yhyeSrWiXl7p/8pP4ZR
 ClpQYPRfp5Nsr69ZQg2f8C1b0nc2iLEFXxtD1Hup3Kf84OR/NiJKXci7Id/rbGZFVfCN
 /Nxk2OXS5aOnAlKxJcRC67hTRMXfD+5MJ6lzX833N1Ko7HM278iaHwJuSy49/DBWAlND
 +I+MgAPPGWKJL8Y/FFvdTehPdM+QRPW+B6h68iZuwtdqmOXcXzJNdDiiBf/45DXv5k/C
 tiCQ==
X-Gm-Message-State: AOJu0YxMO3gfqM72JvsjZnEpYh7KcYAzPBqWi3C4Wkr+JkDXeEHJnqOf
 30v6WAjGC+j4LNsC2xSMTv5X0TCMAQWBHaEuQ/wwaVqKaqF93kU52Vbs6Td6x3fZN7G31a9Bu7Q
 a
X-Google-Smtp-Source: AGHT+IGXYLc0dC/WO8cUoW15G44ecrSs2qwlt/fVdKKj9e7iEbTJqjZn+jayj9CyFZmd5G2QJqo/hg==
X-Received: by 2002:a5d:42ce:0:b0:33e:c7e3:b1bb with SMTP id
 t14-20020a5d42ce000000b0033ec7e3b1bbmr140358wrr.16.1712073998416; 
 Tue, 02 Apr 2024 09:06:38 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.37
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:38 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 022/147] gnu: rust-ctrlc-3: Update to 3.4.4.
Date: Tue,  2 Apr 2024 18:03:34 +0200
Message-ID: <27f435c771c59cbd6e1ed573c422792ce57705dd.1712070305.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-ctrlc-3): Update to 3.4.4.

Change-Id: I92827ffb5653dc36c26a1b60a47c5d30b97fa130
---
 gnu/packages/crates-io.scm | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 96601d414f..56d5bb1616 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -16630,22 +16630,22 @@ (define-public rust-ctor-0.1
 (define-public rust-ctrlc-3
   (package
     (name "rust-ctrlc")
-    (version "3.4.1")
+    (version "3.4.4")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "ctrlc" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1pyglsl1j3b54mdgv1bkxnvgp823n11pkipxmxabh18rcaymzsc2"))))
+        (base32 "0iak582cfv3jcprd9apsy6q9glsx7n4ahiv518wcc6yw6yp6a937"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-       (("rust-nix" ,rust-nix-0.27)
-        ("rust-windows-sys" ,rust-windows-sys-0.48))
+       (("rust-nix" ,rust-nix-0.28)
+        ("rust-windows-sys" ,rust-windows-sys-0.52))
        #:cargo-development-inputs
        (("rust-signal-hook" ,rust-signal-hook-0.3)
-        ("rust-windows-sys" ,rust-windows-sys-0.48))))
+        ("rust-windows-sys" ,rust-windows-sys-0.52))))
     (home-page "https://github.com/Detegr/rust-ctrlc")
     (synopsis "Easy Ctrl-C handler for Rust projects")
     (description
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:20 2024
Received: from localhost ([127.0.0.1]:55170 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgfO-0006PZ-Ko
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:20 -0400
Received: from mail-wr1-x432.google.com ([2a00:1450:4864:20::432]:51548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgev-0006Gb-Ad
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:51 -0400
Received: by mail-wr1-x432.google.com with SMTP id
 ffacd0b85a97d-343620589easo415679f8f.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712073999; x=1712678799; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=nDxVrG0CqYMmDSnGq9/1tc19CdcSreX+dTraGGW4UcU=;
 b=AYcp4Mpicl9NFBKegmeXqhtJAlYVPNheeywXfEVbn8JRFvnndhVAZFSjfKLu2Kw7cH
 GZdCd66VxsjoVEoyqLvgjcIHvPgWvmgkqEw0t35FkAmvMkolye3evWRwcSSfKAO8KyJl
 88KV6zJF9CvgVBaulT/i2Cya2/kKFQAwFxh9OEaLcDs5BWmgvIjlUpyyFs8Iofe3EoiE
 G9zw1JXSGOD+dRcnifDZD1d3+qor9smgV1BYA5sAaibIssrJ7S/Da53s0Zhj8gCAhoWU
 FYHA5IwFwIn9Y85HBYiPGJxIx0y/Y77sCpUozPTzMUitYryzAIMGGxr1G3weqW8huliR
 FKZg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712073999; x=1712678799;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=nDxVrG0CqYMmDSnGq9/1tc19CdcSreX+dTraGGW4UcU=;
 b=cFPmn92/o0cSvQQ5SjvOtBArdb7yKGwjy9a0nOn788tixrwDrmpMoPwolRElM4goX3
 bLStPLFQn+zQcIpTw22Bk6VLK6RyNhyH7ZQJlMyPvMhmsgBKHcUyMH5UkPe9w0AL8BoZ
 OmnS+CjeyG5ymP1R3tzSOUS3cIkXu8M3b2oE6tm0T0p/wlTHZ1oxtI4JKjSvgMsBbZi5
 xGfXQp65sIXtLQQWPzwUKDYjlimXODP8ez6RVNOg+YU0CvFkAW3YwxGIZ5lThUcKiFK0
 zxcBHpzZMfLev+Y1H+kZoNLjesRTHjSPP5th0my2yJ0kjEFBzbOpLlqRVVyNk650KKz+
 Riag==
X-Gm-Message-State: AOJu0YysmN7g5/k55F3vhnn/rJ4zFGXj2OJ6xKgA+rUorvDT91lf/spb
 lBQTzbSOz0CmuoIh9te0ieO4G7Thw1xPkvd/v0mgdMRebT0PgLW9s3trbNqTVdKtumyzW3hBjuO
 G
X-Google-Smtp-Source: AGHT+IGMd+nyqb9whxmFgB7UHBhTLsY+VMxDCmzfzRAUlDNyEjThFDZAiLcRPwyq+RfIEz/jUraIuw==
X-Received: by 2002:a5d:6e02:0:b0:343:526f:29cf with SMTP id
 h2-20020a5d6e02000000b00343526f29cfmr3843033wrz.32.1712073999459; 
 Tue, 02 Apr 2024 09:06:39 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:39 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 023/147] gnu: rust-filetime-0.2: Update to 0.2.23.
Date: Tue,  2 Apr 2024 18:03:35 +0200
Message-ID: <d9b49598efc3f77cc115ad003fe69fa558aaf3e9.1712070305.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-filetime-0.2): Update to 0.2.23.

Change-Id: I495d56370b10e645cee845e806e3b96811556f6b
---
 gnu/packages/crates-io.scm | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 56d5bb1616..584b3635d3 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -23679,7 +23679,7 @@ (define-public rust-filesize-0.2
 (define-public rust-filetime-0.2
   (package
     (name "rust-filetime")
-    (version "0.2.22")
+    (version "0.2.23")
     (source
       (origin
         (method url-fetch)
@@ -23687,14 +23687,14 @@ (define-public rust-filetime-0.2
         (file-name (string-append name "-" version ".tar.gz"))
         (sha256
          (base32
-          "1w1a4zb4ciqjl1chvp9dplbacq07jv97pkdn0pzackbk7vfrw0nl"))))
+          "1za0sbq7fqidk8aaq9v7m9ms0sv8mmi49g6p5cphpan819q4gr0y"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
        (("rust-cfg-if" ,rust-cfg-if-1)
         ("rust-libc" ,rust-libc-0.2)
-        ("rust-redox-syscall" ,rust-redox-syscall-0.3)
-        ("rust-windows-sys" ,rust-windows-sys-0.48))
+        ("rust-redox-syscall" ,rust-redox-syscall-0.4)
+        ("rust-windows-sys" ,rust-windows-sys-0.52))
        #:cargo-development-inputs
        (("rust-tempfile" ,rust-tempfile-3))))
     (home-page "https://github.com/alexcrichton/filetime")
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:18 2024
Received: from localhost ([127.0.0.1]:55160 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgfM-0006Os-Hy
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:18 -0400
Received: from mail-wr1-x433.google.com ([2a00:1450:4864:20::433]:53422)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrget-0006G8-J5
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:49 -0400
Received: by mail-wr1-x433.google.com with SMTP id
 ffacd0b85a97d-3437efea211so271483f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712073997; x=1712678797; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=AQ0EIQQgU4LNe3ahAixZ+3uKucRzpMZtoNSjKVD4jvw=;
 b=nFCpCno7nWX0xqhvPQxK/V4FjnxI8BLW5hcFNHNYJBrNjmV+JzlhnS+4lfXh7il7jG
 PMvt29lkj+pOF8Kxny/PyKywIjv17ZBVfR+BDxTon6NR3bMgewxK+bV2iH6kMY+gKbQi
 sJ743NwoQdN1dW9mwiKHJErRbIQkuXNk3NIVls3ZVrOz8elEbmEymHg8UoxY1/HbVaQG
 aywxWMejWKDu45oAGL7fq/bhk1wAP4m7mbdctirIFksZzfh8Ln0q4xxatNddWFdN1CBl
 cPFCPOpHWNDJhArT7cxw2T4cHpq6YS7Q666G4VGyjulYuSbVoaYcz1+oveNDYyw8+HRa
 b7jg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712073997; x=1712678797;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=AQ0EIQQgU4LNe3ahAixZ+3uKucRzpMZtoNSjKVD4jvw=;
 b=ZWIJiRKT5n1b6bZTdRqU0giMmTimMnSqANHHvfGKXwBrEclyoEPVjcHYeYzz7bi6pN
 c5L4K8SOPgvyucxdwKq6+W4fXkSTzmpJ9jbZRYNrJlagMhMBB8b3GMS2rm3ygV4pgXCE
 sgMC47fmU4Isc3l0GeWfdHXglc2XpQipiB3eUQBdhmlO/qS+LkbMnt01/lT75NNBgjTL
 lOYt4IXebxsZfl/m7VLvB0W8mXQps+Wk8/Z3pUHCd2hqiCoWdH0oKnkP572aM4nt+lV0
 IOC7k14Z9SKFbL7RZpQJpzLhhBTjMGc4VUC7jchTQonYlzFo7w2Ym5hbV0HWJ04HWU9/
 BFzQ==
X-Gm-Message-State: AOJu0YwnCrKQZLxbffEZ4rTKnsOfbyuXFJ24D0Tto24wDIntMby/bXBu
 oipOXFG8TXp2IlW/QqpSpdkuYwXHII3ZbghFEATjjQtL3jLy5jeYiR/5XXJoK0QeIo05MlOEnqm
 L
X-Google-Smtp-Source: AGHT+IEqVkV6nHp4j//W5hwnOjCYpMbaRTgrp7IEpFJHi/0OYre2yxFTwDFxk2/Mz0coslmcrgHH6Q==
X-Received: by 2002:a05:6000:d12:b0:33d:73de:cd95 with SMTP id
 dt18-20020a0560000d1200b0033d73decd95mr1718412wrb.17.1712073997341; 
 Tue, 02 Apr 2024 09:06:37 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:37 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 021/147] gnu: Add rust-nix-0.28.
Date: Tue,  2 Apr 2024 18:03:33 +0200
Message-ID: <1cd707473fd9824652d7c0b8928be8c2bd557739.1712070305.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-nix-0.28): New variable.
(rust-nix-0.27): Inherit from rust-nix-0.28.

Change-Id: I15381fec4cfbee30208ddfa032c9aa67a9a46c1a
---
 gnu/packages/crates-io.scm | 36 +++++++++++++++++++++++++++++++++---
 1 file changed, 33 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 52a0cd156c..96601d414f 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -41003,22 +41003,23 @@ (define-public rust-nispor-1
     (description "Unified interface for Linux network state querying.")
     (license license:asl2.0)))
 
-(define-public rust-nix-0.27
+(define-public rust-nix-0.28
   (package
     (name "rust-nix")
-    (version "0.27.1")
+    (version "0.28.0")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "nix" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "0ly0kkmij5f0sqz35lx9czlbk6zpihb7yh1bsy4irzwfd2f4xc1f"))))
+        (base32 "1r0rylax4ycx3iqakwjvaa178jrrwiiwghcw95ndzy72zk25c8db"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f      ; unresolved import `nix::sys::aio`
        #:cargo-inputs
        (("rust-bitflags" ,rust-bitflags-2)
+        ("rust-cfg-aliases" ,rust-cfg-aliases-0.1)
         ("rust-cfg-if" ,rust-cfg-if-1)
         ("rust-libc" ,rust-libc-0.2)
         ("rust-memoffset" ,rust-memoffset-0.9)
@@ -41039,6 +41040,35 @@ (define-public rust-nix-0.27
 while still providing platform specific APIs.")
     (license license:expat)))
 
+(define-public rust-nix-0.27
+  (package
+    (inherit rust-nix-0.28)
+    (name "rust-nix")
+    (version "0.27.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nix" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0ly0kkmij5f0sqz35lx9czlbk6zpihb7yh1bsy4irzwfd2f4xc1f"))))
+    (arguments
+     `(#:tests? #f      ; unresolved import `nix::sys::aio`
+       #:cargo-inputs
+       (("rust-bitflags" ,rust-bitflags-2)
+        ("rust-cfg-if" ,rust-cfg-if-1)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-memoffset" ,rust-memoffset-0.9)
+        ("rust-pin-utils" ,rust-pin-utils-0.1))
+       #:cargo-development-inputs
+       (("rust-assert-impl" ,rust-assert-impl-0.1)
+        ("rust-caps" ,rust-caps-0.5)
+        ("rust-parking-lot" ,rust-parking-lot-0.12)
+        ("rust-rand" ,rust-rand-0.8)
+        ("rust-semver" ,rust-semver-1)
+        ("rust-sysctl" ,rust-sysctl-0.4)
+        ("rust-tempfile" ,rust-tempfile-3))))))
+
 (define-public rust-nix-0.26
   (package
     (inherit rust-nix-0.27)
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:16 2024
Received: from localhost ([127.0.0.1]:55155 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgfK-0006OD-I4
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:16 -0400
Received: from mail-wm1-x333.google.com ([2a00:1450:4864:20::333]:60459)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrger-0006Fs-ND
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:48 -0400
Received: by mail-wm1-x333.google.com with SMTP id
 5b1f17b1804b1-415515178ceso27074395e9.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712073996; x=1712678796; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=+1S0H36VqiyM612QJD4u7iuYttZze2z4x8m9CY4xR7A=;
 b=XFg8gduPO0YpG04w9bujc4jzshMben8ehy+Gr00DUO4WldLslvz4xEuQ84klkyA+jZ
 NHRd5z0VqvnzXwy02gQS6nEIKA0LYSfqTs2aS2SUzJVut/0+VIcVaLUZIvvvCnJcV2ac
 FZKRL5TBK2koT4xgrcg+wZEnX0IOHe5VfUAgdXxF6BievYlPrcHcB1qOx0fKpuLa8qhd
 zJ5rTV1swR5fc6BxcH17lalZo+Sp2mpjzky3G8TrCXqi4n3pm1Lz3pkmnpqD1LCktkRz
 fxnnNGFUXkTenQjYRbPVNJHo7DXdAt9EbvzOgI0seBrcL9keOzEnIyS3j2QSHIbF7U0V
 zcRg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712073996; x=1712678796;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=+1S0H36VqiyM612QJD4u7iuYttZze2z4x8m9CY4xR7A=;
 b=FPHwiRDV0rISBoapjVynJvPb13o8WRvgWWPUIC5TA4C6pb7zc6aFSWrwDYweiRYBps
 8VB6JdkBNylDLP0A1dRKH4LwQBy+FT2wm2sNTSzmqphYaeugStUdvMdBzFE/w6K7VCpK
 JexzjonND0hQkkf4qJ4ESHiS/2Z8rqKp7GmH5s225Eq2Y+9hJX2XcZwMgQS7FxmKTL/E
 3h+bGrUosxe9iMYvg9EmItFQIoO4WSepfQ3AIAC7OZMl18TYbsP259dHoMGRwHw2/rLE
 jRiKyo6B7NxFQLemSxuAJHgg29sCc8U0802Tt8E0WgiywCaI3zGHsZWPPcW7zfpEaAZ0
 Ipfw==
X-Gm-Message-State: AOJu0YxzEC1RvVh2qX0ObegRf32C0nfDnf1/sAr/mqEC3FkJIZcZk07E
 IpBWxf3uShd7uPin2814jMK5F9fnTWJ1otx31Z9PEMxYMTQTXO1xubutSoKYWApsC1Ej0+jzBky
 P
X-Google-Smtp-Source: AGHT+IGsSQbXnEIhvnUDJAFBk0O+nluhxmG9rnWp9Vt2dZ5S2RF+tfCvtddAPWANkzHX9gVUss6pmg==
X-Received: by 2002:a5d:6148:0:b0:343:7d7b:a2a5 with SMTP id
 y8-20020a5d6148000000b003437d7ba2a5mr601470wrt.38.1712073996034; 
 Tue, 02 Apr 2024 09:06:36 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.35
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:35 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 020/147] gnu: rust-libc-0.2: Update to 0.2.153.
Date: Tue,  2 Apr 2024 18:03:32 +0200
Message-ID: <702fc9f53ccf404ad7b4cc77c0726a17f4ca3221.1712070305.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-libc-0.2): Update to 0.2.153.

Change-Id: I82d736797bb779f39f12d26a8b4d974e2aaa56b3
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index c494595bec..52a0cd156c 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -33560,14 +33560,14 @@ (define-public rust-lexopt-0.3
 (define-public rust-libc-0.2
   (package
     (name "rust-libc")
-    (version "0.2.151")
+    (version "0.2.153")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "libc" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1x28f0zgp4zcwr891p8n9ag9w371sbib30vp4y6hi2052frplb9h"))))
+        (base32 "1gg7m1ils5dms5miq9fyllrcp0jxnbpgkx71chd2i0lafa8qy6cw"))))
     (build-system cargo-build-system)
     (arguments
      (list #:cargo-inputs
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:14 2024
Received: from localhost ([127.0.0.1]:55149 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgfH-0006NP-Sz
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:14 -0400
Received: from mail-wr1-x429.google.com ([2a00:1450:4864:20::429]:59670)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgeq-0006Fc-KR
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:47 -0400
Received: by mail-wr1-x429.google.com with SMTP id
 ffacd0b85a97d-341cf28e013so3806822f8f.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712073995; x=1712678795; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=nOtCHC4Pc0++wxQ8WqFEN4zbSQfYssilingsfPHy8+w=;
 b=aUfo6PA8W8c+ubai1Jp28zr7AEsKB1/wP0cejgBIkvJz1ukld1kxbkFW8k3/qjfCjT
 xIGTgD2LqfiO/UDw91p07OrbDRcqL2aelg1mGsUrANRk4jSm5o5AHD3NsgR5YhdSGf4E
 hTB8k/UvMsUbeOr4RcVoUG19And9jOafXu3aRYnm+nQoX8fs6ZwqCqEtwpCSYlh/DmFr
 m6RAV7HCiSJFcB/4PbUIjr1FJAxJXpHQLsNKDHxfNWfWcT4YNSwKTZqGZnXRg6P3ituT
 pEDqBYz3QN8zqAUBf9RrdQDkxwPrmDNN3JjpdbO0mrUTHodFXHNd81Q+rSaOq6UsqAi1
 cgoA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712073995; x=1712678795;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=nOtCHC4Pc0++wxQ8WqFEN4zbSQfYssilingsfPHy8+w=;
 b=MmFQI8hiSehLm08rNCA6LodH4GsKWaKF/UFq9mXDSbJmwVF1K1CSNW8JWtjeWIPpir
 eJUa4lxNviU7MdYnpFjXFboAHf2Lh9h1/LHnZP4zfapYETl5x9FKr3YBGa1AkoiW2d7L
 X2Y4qVQVCYv5MYEuXcA90X+BbL/kBtGgFRSsuT0Fyfyo6aJqUbmUjXtBt3PKQoZVs7cf
 zs+3EDWmDiSIGyBSpRvRWDu/OJbKXA0yNOiI+Q6TASPBpWiFXsNS7GcgzZEX6ktXt1QX
 AKPoiuTVOW0s2P7Xdj5JUCrVBUwB7w4wGqmPk3zq1F9FC/Z4t6VUXL66e0G3HurWj4n9
 SYuA==
X-Gm-Message-State: AOJu0Ywvo3IAdUNl3OJyFM7fS9aVza5NUH5dxQfTXiafI0I7BV1LhAaP
 is8cikJn5kbMNw6336gX+t5l6f3/1J7pA9XHGKIFYqDaVlIKe2/vYANFqG82nd9YinLL98RYFl7
 6
X-Google-Smtp-Source: AGHT+IGb7IieapRMsCfTRtHNqSDOP0yPbI5kZQy2Z+NwoD+30X4iLJkmwcl93QYYYDoC3yE3YlforQ==
X-Received: by 2002:adf:ecce:0:b0:341:c8c8:633a with SMTP id
 s14-20020adfecce000000b00341c8c8633amr9351492wro.9.1712073994980; 
 Tue, 02 Apr 2024 09:06:34 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:34 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 019/147] gnu: rust-clap-4: Update to 4.5.3.
Date: Tue,  2 Apr 2024 18:03:31 +0200
Message-ID: <78d330df8a149c126db7160382b8e26198dbe626.1712070305.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-clap-4): Update to 4.5.3.
(rust-clap-builder-4): Update to 4.5.2.
(rust-clap-derive-4): Update to 4.5.3.

Change-Id: I4d15e3d6cd446ed0cf1618ea2ae0ae455bc78780
---
 gnu/packages/crates-io.scm | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 6bc3c34ced..c494595bec 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -11389,18 +11389,18 @@ (define-public rust-clap-conf-0.1
 (define-public rust-clap-derive-4
   (package
     (name "rust-clap-derive")
-    (version "4.4.7")
+    (version "4.5.3")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "clap_derive" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "0hk4hcxl56qwqsf4hmf7c0gr19r9fbxk0ah2bgkr36pmmaph966g"))))
+        (base32 "0byp6k5kyvi9jcbnjjbyw7ak7avn87f2s4ya154f3xc01h29l8wh"))))
     (build-system cargo-build-system)
     (arguments
      (list #:cargo-inputs
-           `(("rust-heck" ,rust-heck-0.4)
+           `(("rust-heck" ,rust-heck-0.5)
              ("rust-proc-macro2" ,rust-proc-macro2-1)
              ("rust-quote" ,rust-quote-1)
              ("rust-syn" ,rust-syn-2))))
@@ -11433,7 +11433,7 @@ (define-public rust-clap-derive-3
 (define-public rust-clap-4
   (package
     (name "rust-clap")
-    (version "4.4.16")
+    (version "4.5.3")
     (source
      (origin
        (method url-fetch)
@@ -11441,7 +11441,7 @@ (define-public rust-clap-4
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "0ialpybl8n8ybfikzy5f07d64pfdajls0s00bf4wgkh4q20liraq"))))
+         "04w8fx68hzjzk45ir4b9jzwk4m7bki0k5afwns9zqgh61v82d5ll"))))
     (build-system cargo-build-system)
     (arguments
      (list #:cargo-inputs
@@ -11451,9 +11451,9 @@ (define-public rust-clap-4
            `(("rust-humantime" ,rust-humantime-2)
              ("rust-rustversion" ,rust-rustversion-1)
              ("rust-shlex" ,rust-shlex-1)
-             ("rust-snapbox" ,rust-snapbox-0.4)
+             ("rust-snapbox" ,rust-snapbox-0.5)
              ("rust-trybuild" ,rust-trybuild-1)
-             ("rust-trycmd" ,rust-trycmd-0.14))))
+             ("rust-trycmd" ,rust-trycmd-0.15))))
     (home-page "https://clap.rs/")
     (synopsis "Command Line Argument Parser")
     (description
@@ -11539,14 +11539,14 @@ (define-public rust-clap-2
 (define-public rust-clap-builder-4
   (package
     (name "rust-clap-builder")
-    (version "4.4.16")
+    (version "4.5.2")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "clap_builder" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "1fv06ivpzpkhjm4bvxzg3fl4y61mvlf481zms4pksq1iypbq5jsr"))))
+                "1d7p4hph4fyhaphkf0v5zv0kq4lz25a9jq2f901yrq3afqp9w4mf"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-test-flags
@@ -11558,8 +11558,8 @@ (define-public rust-clap-builder-4
        (("rust-anstream" ,rust-anstream-0.6)
         ("rust-anstyle" ,rust-anstyle-1)
         ("rust-backtrace" ,rust-backtrace-0.3)
-        ("rust-clap-lex" ,rust-clap-lex-0.6)
-        ("rust-strsim" ,rust-strsim-0.10)
+        ("rust-clap-lex" ,rust-clap-lex-0.7)
+        ("rust-strsim" ,rust-strsim-0.11)
         ("rust-terminal-size" ,rust-terminal-size-0.3)
         ("rust-unicase" ,rust-unicase-2)
         ("rust-unicode-width" ,rust-unicode-width-0.1))
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:11 2024
Received: from localhost ([127.0.0.1]:55139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgfF-0006Mh-Nr
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:11 -0400
Received: from mail-wr1-x42e.google.com ([2a00:1450:4864:20::42e]:47236)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgeo-0006F0-Kv
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:46 -0400
Received: by mail-wr1-x42e.google.com with SMTP id
 ffacd0b85a97d-34339f01cd2so3184900f8f.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712073992; x=1712678792; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=yTNGr2wHOor2Izv238me/I6labeyP9hsKg+ocH+TSGk=;
 b=kd1uKhpnvie+N3RsUBdiowMaxL4ySixYqYdd5Q/Hjd3v8jyDF9E2oLJhcYwuz/lhVZ
 ktzGgadeZ/0Rby8z0xO5cMwwvxZQbFTXleg/VCW5s5WrBxroL7W3MRTvCoiR9t/7EwLF
 GIx+opfVppb81C3f8ejZu0khGFbraF1LoDKJKuwyzAI4R4NhJ7cX+BooEDRgiro0xsi1
 264fwXVTfyJsK7Y2eHmwPbLxbPxjEh+f+TO89rzuu+RD3ETGtASL7iiGg5jDiS5Swlse
 7lDeqKnm8mVSCbxr2gR3Dfj4GeCzX7q22pelm66rx5ecSu3vQguso6HFDn1TL47SVhMY
 H7YA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712073992; x=1712678792;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=yTNGr2wHOor2Izv238me/I6labeyP9hsKg+ocH+TSGk=;
 b=fSyQFLXMn1jdTC5bB2vv14Ufx2+jSH5W3b2YK9/0DWhB3rLpcA3lxNa3HgZJI+wtcx
 YusM4ca8Bma+e0+qdVa7AGEnz4v9Qx37xHLKzn3hrmymwT4V4CzscWwOizwp4WusglcP
 dsItsdvvawOlHsDQbVUNevdceeADSdpOUxlFEkiJRzdQTpuP0+D+aQZTgnQ7Eb6D9qlz
 AIuVsZuyrfoW7SkxRedBYxEcUYM4Oro3JnkEl6qQAe61UuBAcqR5GHexy8fZd3tZT2bR
 ZwYO97Y+EfOpL6pMP4SANuSUBj5We4yTJ5zIZYd6ZnEf4AZ3xNqpFYLmYNVqDYqJKTxu
 705A==
X-Gm-Message-State: AOJu0YxX3YAXX8Irr0cZXjRZ5C1PasTuc9bu3LHgFmpIA4NJ2H0LrHR6
 dKxohLUlBGA7rgxeR3hwlFSsAONeSpBXT74+h9yWmug7yQKYIqjKAwR2ML9BzCpKCQT1MIqEU68
 T
X-Google-Smtp-Source: AGHT+IHRnVS4r8Ss5VRSU98CzvkPDMIrQcFKCAy081aOMyTRgakVKRMw1I+AXKnxHrEQJArBl3E3bQ==
X-Received: by 2002:adf:f70f:0:b0:341:e4f4:4399 with SMTP id
 r15-20020adff70f000000b00341e4f44399mr127240wrp.68.1712073992727; 
 Tue, 02 Apr 2024 09:06:32 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.32
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:32 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 017/147] gnu: Add rust-trycmd-0.15.
Date: Tue,  2 Apr 2024 18:03:29 +0200
Message-ID: <2d6f57c1fcfc7b7e023040b6fb6047f0c0d59900.1712070305.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-trycmd-0.15): New variable.
(rust-trycmd-0.14): Inherit from rust-trycmd-0.15.

Change-Id: I24b848b36ef0b664c6b858d8e1a141d8eff675ed
---
 gnu/packages/crates-io.scm | 36 +++++++++++++++++++++++++++++++-----
 1 file changed, 31 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 3f722734ec..fe9d225197 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -74183,16 +74183,16 @@ (define-public rust-trybuild2-1
 (with support for inline tests).")
     (license (list license:expat license:asl2.0))))
 
-(define-public rust-trycmd-0.14
+(define-public rust-trycmd-0.15
   (package
     (name "rust-trycmd")
-    (version "0.14.19")
+    (version "0.15.0")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "trycmd" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
-               (base32 "1yz4prkmnb1y406p0aq3r8yf11alj8i94yvnz3k07c9glir9607d"))))
+               (base32 "05sklyyprn2a365jzby0zn7z97p6mpgi2yzlr2s506m80cvdnkj6"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -74206,8 +74206,8 @@ (define-public rust-trycmd-0.14
         ("rust-serde" ,rust-serde-1)
         ("rust-serde-json" ,rust-serde-json-1)
         ("rust-shlex" ,rust-shlex-1)
-        ("rust-snapbox" ,rust-snapbox-0.4)
-        ("rust-toml-edit" ,rust-toml-edit-0.20))))
+        ("rust-snapbox" ,rust-snapbox-0.5)
+        ("rust-toml-edit" ,rust-toml-edit-0.22))))
     (home-page "https://github.com/assert-rs/trycmd")
     (synopsis "Snapshot testing for a herd of CLI tests")
     (description "trycmd is a test harness that will enumerate test case files
@@ -74215,6 +74215,32 @@ (define-public rust-trycmd-0.14
 @code{cram}.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-trycmd-0.14
+  (package
+    (inherit rust-trycmd-0.15)
+    (name "rust-trycmd")
+    (version "0.14.19")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "trycmd" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32 "1yz4prkmnb1y406p0aq3r8yf11alj8i94yvnz3k07c9glir9607d"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-anstream" ,rust-anstream-0.6)
+        ("rust-escargot" ,rust-escargot-0.5)
+        ("rust-glob" ,rust-glob-0.3)
+        ("rust-humantime" ,rust-humantime-2)
+        ("rust-humantime-serde" ,rust-humantime-serde-1)
+        ("rust-rayon" ,rust-rayon-1)
+        ("rust-schemars" ,rust-schemars-0.8)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-shlex" ,rust-shlex-1)
+        ("rust-snapbox" ,rust-snapbox-0.4)
+        ("rust-toml-edit" ,rust-toml-edit-0.20))))))
+
 (define-public rust-trycmd-0.13
   (package
     (inherit rust-trycmd-0.14)
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:09 2024
Received: from localhost ([127.0.0.1]:55133 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgfD-0006M4-JG
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:09 -0400
Received: from mail-wr1-x429.google.com ([2a00:1450:4864:20::429]:54324)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgep-0006FD-KG
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:46 -0400
Received: by mail-wr1-x429.google.com with SMTP id
 ffacd0b85a97d-34175878e3cso4018563f8f.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712073994; x=1712678794; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=I3gS8JXwrcGIqcXVFN65w+XZ1fY17mjV5qDsV/VJifA=;
 b=SMQtBclVLvKD+8s72mBO6BLTm7KXaHl/sZGZ2sNNRzvOUafAH4z2NPf5r1phm3IrmG
 shUD3S9QiGbPDhFUabwozu84eky5yQctoOmLtpWIlotSl21BhXzV6DVaurwtU9f1s572
 ltOCpeuCT42xW/aiB08T024oRju/x4ICoJSc8ror4jWQg1XVQXpvDfIs8GNVLKWKfiCz
 epDVgjSahvKgwHBv2WrG718zTayL6xRRIsgFTgsynI0Zm9yd0My7RKFM3FDHW63UI2Xh
 QG2kXkvk5Syclaj5h6oA/i5OsEeHcYEEMB7VuUInV1DenXa1k8N1bF1y75d4LEt/dr+U
 HF5Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712073994; x=1712678794;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=I3gS8JXwrcGIqcXVFN65w+XZ1fY17mjV5qDsV/VJifA=;
 b=EWB88h7Sd9ubONw3+thv/bfT7LCz6X5nz+icKsPCjZ9/B/fC2kxOgO6wdYiuocm0lZ
 3IT5ide2lfgf8470c1Fve+QndMxfYQVZRMu6zIk4lvWcRvPgmMonggtqBOxOJu+EclYc
 6mJEb6j4hmt+umVHCoNNf4yubVxq2f91ZDxFNoZXns4rgXddWcb1+iArI0dNzWN8tnvU
 69C38Q7/aeFEIgBt0WEICmo3duJdKVtdvsQ6b2ZriI/U9ccslHgfvSoK1WxVkRek3q4B
 meGFUlpZk/hPmuaXXSd1oJVerrzgh6R+7AwuYWMvl2v1rfRVX2ySGupN9OLomRhw9BZX
 OxaQ==
X-Gm-Message-State: AOJu0YzbYt64e9Coy6z0Uzdx7QdSE1hMMlcsSDAMk3dQqJQa3xjJT4hr
 in/C8uHZxTjVzF6yB8KXvZWYIbkn53kDMv6GEUElCvREOEWLQzQXSmqb3wByGd5oXzeSMpz7LP+
 n
X-Google-Smtp-Source: AGHT+IFTY0g7lsuAEYLWPH8fxgu+9w16XxVZAAtx+GamCu+oFor8pThoxLB6loxS9JJC6EXAGcYgLA==
X-Received: by 2002:a5d:488a:0:b0:341:8c29:20c6 with SMTP id
 g10-20020a5d488a000000b003418c2920c6mr9561167wrq.50.1712073993886; 
 Tue, 02 Apr 2024 09:06:33 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.33
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:33 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 018/147] gnu: Add rust-heck-0.5.
Date: Tue,  2 Apr 2024 18:03:30 +0200
Message-ID: <40dddac6160bad659e168537daaacbdaf5c61fc7.1712070305.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-heck-0.5): New variable.
(rust-heck-0.4): Inherit from rust-heck-0.5.

Change-Id: I76745290d90f2e7a64fb54e05fe4ec56cd6caa0d
---
 gnu/packages/crates-io.scm | 22 +++++++++++++++++++---
 1 file changed, 19 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index fe9d225197..6bc3c34ced 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -28532,17 +28532,17 @@ (define-public rust-heapsize-plugin-0.1
 total runtime size of an object on the heap")
     (license license:mpl2.0)))
 
-(define-public rust-heck-0.4
+(define-public rust-heck-0.5
   (package
     (name "rust-heck")
-    (version "0.4.1")
+    (version "0.5.0")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "heck" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1a7mqsnycv5z4z5vnv1k34548jzmc0ajic7c1j8jsaspnhw5ql4m"))))
+        (base32 "1sjmpsdl8czyh9ywl3qcsfsq9a307dg4ni2vnlwgnzzqhc4y0113"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -28556,6 +28556,22 @@ (define-public rust-heck-0.4
     (license (list license:asl2.0
                    license:expat))))
 
+(define-public rust-heck-0.4
+  (package
+    (inherit rust-heck-0.5)
+    (name "rust-heck")
+    (version "0.4.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "heck" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1a7mqsnycv5z4z5vnv1k34548jzmc0ajic7c1j8jsaspnhw5ql4m"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-unicode-segmentation" ,rust-unicode-segmentation-1))))))
+
 (define-public rust-heck-0.3
   (package
     (inherit rust-heck-0.4)
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:07 2024
Received: from localhost ([127.0.0.1]:55126 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgfA-0006LD-NO
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:07 -0400
Received: from mail-wm1-x331.google.com ([2a00:1450:4864:20::331]:52612)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgen-0006Ej-B3
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:43 -0400
Received: by mail-wm1-x331.google.com with SMTP id
 5b1f17b1804b1-4161d73d855so5256665e9.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712073991; x=1712678791; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=Vif2QAwVaJVqlMWxoFDK70Ky4hV6GFNvuH5r6ZsvlPI=;
 b=IeVKEekT63mJsyP/JPUYyFqvEoFKuE02sn+QdjaUiRvYdNZQFFRlEJU+sw8kXl96I8
 p8g9cAeM9bmyM8IplPcc98FM/teFXUBiVXYxBlwlh7pZvMq09LBfm6X1Dn7wxDOQm0lm
 3wYPzODcEbCVt9UGg7qFlExzFDlydmwosJYJSxysfYpmnWVioeTH7YQOgNqd6g4hkfZk
 Uo29Rc2SnLzdvQdS9juLk7qwvvexmgw8u3Nj1X8Hzsqh9NY6nU84M4oQrFGWjboxdqLz
 0SVjmZgtqL9DTMMmRoWF4veeIebUOJMy/FG7oSz9RPcX7lF/fCXQrGTIyHv5hb4ZE5iF
 U4iw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712073991; x=1712678791;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=Vif2QAwVaJVqlMWxoFDK70Ky4hV6GFNvuH5r6ZsvlPI=;
 b=BCi4kBEKS4d/u/wmyAYfpVUWkY3dnRpv9Bt830MYwSNYighwdiFgawtyGYz3jUKrp3
 pbE7OUv1/4s8mcBxOx34XJtHuudXfdG0COvh41d7ZWN4t/K2gmrnDSq3ioo6Apb6B7gV
 Z53tPwuUDaZV3ra0ZZDMGkze3S3ukzAuLHurb+BTZ9t5kzdVNKm15CtRG8ASYBzfxbGy
 oVrmi0nYlSkgm9vxGnivsEOBU5Y/Gc1Tb1Xrl99KB4XGAAZi37IzW/N903XsfTEaYS9t
 w+0qSur+MvnfJCpXV4YjCTcxZneuGQCnu4PUwb/LDoESLosVdbqPEViG1WmFzi00aZEk
 vdZw==
X-Gm-Message-State: AOJu0Ywt1G7AvPs1ws5fefJprug1TOIXK3aSDcLUk4yKWsyArMIuCZx5
 vsBN4H6s7OeAM2s3TtWB5u5Jwrdy1gEzQeVZNNC5vl4jCsWVMXy1EX4z16d4SK4CdSPXOFgVVi2
 P
X-Google-Smtp-Source: AGHT+IEt29YdmZ4rGY+jdwiKlMpL5IFfK72g4h6RgqHkgTtCKnYrFWin5hgf3Yu30R9HWe3RaOIwkw==
X-Received: by 2002:adf:f60e:0:b0:341:be17:2554 with SMTP id
 t14-20020adff60e000000b00341be172554mr1888711wrp.36.1712073991609; 
 Tue, 02 Apr 2024 09:06:31 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.31
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:31 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 016/147] gnu: Add rust-toml-edit-0.22.
Date: Tue,  2 Apr 2024 18:03:28 +0200
Message-ID: <148dce008dcc4af1b26ee3f22e459f524ff8afe5.1712070305.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-toml-edit-0.22): New variable.
(rust-toml-edit-0.21): Inherit from rust-toml-edit-0.22.

Change-Id: I2514dd57e824f25886d1fa1fc4bf451454d3e470
---
 gnu/packages/crates-io.scm | 36 +++++++++++++++++++++++++++++++-----
 1 file changed, 31 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index f636ad3af3..3f722734ec 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -73058,17 +73058,17 @@ (define-public rust-toml-datetime-0.5
     (arguments
      `(#:cargo-inputs (("rust-serde" ,rust-serde-1))))))
 
-(define-public rust-toml-edit-0.21
+(define-public rust-toml-edit-0.22
   (package
     (name "rust-toml-edit")
-    (version "0.21.0")
+    (version "0.22.8")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "toml_edit" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "00xa3qfk34qazvnkfxyyyqqc6nyl2ksks1c5bd53n5has0y3hkfk"))))
+        (base32 "1kcnmshwvh0afl87358d1ccrqb7fcanyam3jhrvs06qc3s0ij8n1"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-indexmap" ,rust-indexmap-2)
@@ -73076,9 +73076,9 @@ (define-public rust-toml-edit-0.21
                        ("rust-serde" ,rust-serde-1)
                        ("rust-serde-spanned" ,rust-serde-spanned-0.6)
                        ("rust-toml-datetime" ,rust-toml-datetime-0.6)
-                       ("rust-winnow" ,rust-winnow-0.5))
+                       ("rust-winnow" ,rust-winnow-0.6))
        #:cargo-development-inputs
-       (("rust-libtest-mimic" ,rust-libtest-mimic-0.6)
+       (("rust-libtest-mimic" ,rust-libtest-mimic-0.7)
         ("rust-serde-json" ,rust-serde-json-1)
         ("rust-snapbox" ,rust-snapbox-0.4)
         ("rust-toml-test-data" ,rust-toml-test-data-1)
@@ -73089,6 +73089,32 @@ (define-public rust-toml-edit-0.21
 parser.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-toml-edit-0.21
+  (package
+    (inherit rust-toml-edit-0.22)
+    (name "rust-toml-edit")
+    (version "0.21.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "toml_edit" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "00xa3qfk34qazvnkfxyyyqqc6nyl2ksks1c5bd53n5has0y3hkfk"))))
+    (arguments
+     `(#:cargo-inputs (("rust-indexmap" ,rust-indexmap-2)
+                       ("rust-kstring" ,rust-kstring-2)
+                       ("rust-serde" ,rust-serde-1)
+                       ("rust-serde-spanned" ,rust-serde-spanned-0.6)
+                       ("rust-toml-datetime" ,rust-toml-datetime-0.6)
+                       ("rust-winnow" ,rust-winnow-0.5))
+       #:cargo-development-inputs
+       (("rust-libtest-mimic" ,rust-libtest-mimic-0.6)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-snapbox" ,rust-snapbox-0.4)
+        ("rust-toml-test-data" ,rust-toml-test-data-1)
+        ("rust-toml-test-harness" ,rust-toml-test-harness-0.4))))))
+
 (define-public rust-toml-edit-0.20
   (package
     (inherit rust-toml-edit-0.21)
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:04 2024
Received: from localhost ([127.0.0.1]:55122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgf8-0006Kk-GP
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:04 -0400
Received: from mail-wr1-x42c.google.com ([2a00:1450:4864:20::42c]:52235)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgem-0006EX-6d
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:42 -0400
Received: by mail-wr1-x42c.google.com with SMTP id
 ffacd0b85a97d-341b01dbebbso4800426f8f.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712073990; x=1712678790; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=rsU7wK9U9fnNsqQ+OxrFYysrp9VXhpd8NO1T9HEX1+Y=;
 b=P+WB42Y1DzT1kh8obEoIVUsg1AgtApZqTSwjDgUxCuDpI4zP0OwGk4lc2oFFzgKVyz
 2mR+X42rDLvMMphgnXyLXheNYd8U9OGuff08JnQ5V+sESBkwhxMYebYcDkslPsZKiXKA
 brU8nhku90fWYnbMlV11YCql2faJAyHla0nhI0bPAk24JJLL6balfM0rQJ2WjkWshfGx
 eCVatahQMKp+xZ4eV6Od2N4w485v1fGjCW8nfHFgaKVBGbAjS4lfGaGfc34sEcaqohSi
 TqFSUM2+HhppMFbbbW5zfcA8E5s2z7go8wwPSXWdhIGx9LH05+OpXiO+3jXx+EGaxQbN
 Sd+g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712073990; x=1712678790;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=rsU7wK9U9fnNsqQ+OxrFYysrp9VXhpd8NO1T9HEX1+Y=;
 b=H2lNaefCMe7le+vTstT5n+2wKYSGrPr91wKv3DJQyTXIp4AY5eed0tSwYf3n6SORFL
 XGYyq5WAzOJ69u7ROVI1MWGWUTutYOiRRDysDEJJq3f4MmtuhDEjq7zTiSZRhLGOuE/n
 /pqfrziZMNvwvwVv1BwldpLNFS2EPSJlrVj/jUIz47ZXN1TwYfELBRUSVEkgzphNDIro
 78iqhs8Ro8Pq7Uj56z4aT/llfECF7ZL843YQbrb/uv3Y/blGJUOTnDqbd+WA96fVrnjK
 N42bCj8SCjb2InhW2FKzdu7BFFQWaEDIz0u4dJzP9IaGsdS+q/xQtA6m9jt/lq17fyWY
 6sSg==
X-Gm-Message-State: AOJu0YyS7dAwtYt9yGW7FcbTAfguk+jPYtCj9Ru+jN5sq6u4WN6S5LjK
 bczC7UoaubRHyLzxs93+DdrANjnD/3D5VajYxdpbDBIl/6sagkZz0rGuPbFO89kBL2uZMkc3LwP
 D
X-Google-Smtp-Source: AGHT+IEe2UXXggk/jRVVEYpmegMuufRoM9MJRICFbHe15NR8clHjk1axcI8SPIZqS8HLUwoKhir2mw==
X-Received: by 2002:a5d:525a:0:b0:341:c673:f1e8 with SMTP id
 k26-20020a5d525a000000b00341c673f1e8mr1996945wrc.9.1712073990483; 
 Tue, 02 Apr 2024 09:06:30 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:30 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 015/147] gnu: rust-toml-test-data-1: Update to 1.8.0.
Date: Tue,  2 Apr 2024 18:03:27 +0200
Message-ID: <ac74caa355f2850433bab88637393398239b422d.1712070305.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-toml-test-data-1): Update to 1.8.0.

Change-Id: I301a62e00e87ec31dcda55d5e0d8d0af1a333145
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 4c669e5420..f636ad3af3 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -73268,13 +73268,13 @@ (define-public rust-toml-test-0.3
 (define-public rust-toml-test-data-1
   (package
     (name "rust-toml-test-data")
-    (version "1.4.0")
+    (version "1.8.0")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "toml-test-data" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
-               (base32 "0bgdwyjsqgpwwi5s1w483a1g3qrwmq0l3742k07575qzcc6sx0h0"))))
+               (base32 "0pf13igrg0rm5fmy1sj57y9m313wyfwwjrqxgp3fhg41kvcvmdf6"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-include-dir" ,rust-include-dir-0.7))))
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:07:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:07:02 2024
Received: from localhost ([127.0.0.1]:55113 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgf4-0006Ji-Fb
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:07:02 -0400
Received: from mail-wm1-x32d.google.com ([2a00:1450:4864:20::32d]:60830)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgel-0006EF-P0
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:41 -0400
Received: by mail-wm1-x32d.google.com with SMTP id
 5b1f17b1804b1-416200b3caaso744845e9.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712073989; x=1712678789; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=r42mCUzyx96vV/CAg6T2fN1tGOIBRK1GdhlR6wmWdbA=;
 b=IjNb/L3b9gC1VGBKluq931uXnnUoENZxu9RLaVpWk5CouiGFP/Otm8YMf5cZqe5sXN
 PufLaOoAVoFGSayIxuEmHlOU6/8LCNOAUL/yxqrNyA5stDaxrclZAdPMGi/iCQwe1JNx
 XV9OMzPf/Z2l4PDRPIrAhut7LkX9sObDi3otD8uwa9n/21RNQFIulgE2fMV7aceMVsi9
 jSp7lX8nBT/znms2vWiTrqRyvzLEzQQPj6/wG0E+5Ma5JFXmxJ3zK8RRzWCxi9e8AP69
 +7V41msiLSbUy97LyBE0j+qk2D0w7I+aGyK3ADMbe7mx4XqSJG0J2fTgeS0BNsokNR6A
 zE9g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712073989; x=1712678789;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=r42mCUzyx96vV/CAg6T2fN1tGOIBRK1GdhlR6wmWdbA=;
 b=Ht/0uRYq1LlHu0Dzhf3+mnW24Nwm3g46/LGJWxz0zYsVy9izx78fnP7nsRPAuhNpYB
 iIMKGqWPmCWtUNyo7qRL38XcFtNCIysg7ADPsbdGVTFBWbtG5o3in6b2bZltJ8hIIzEI
 fAsi2r1vdQTvJZ2+yIOCAh5ZnLM8Z4R5sd8o7z4fVG+QHLfXsJdOlwCull0dWYetm2NH
 iTTalAtfswPWIgM8c9I5ZSQykezyHvQgTTFQyJxPwJfIzrZE6n9dpdkUamJOv7bENn4d
 R0SSNJVtEXdMx8XvphWO+owXLrKDGxL7BO8EBfn53XdwFNQOwe9qQMskCt2T/BfRqvNL
 ldEA==
X-Gm-Message-State: AOJu0YxI2NCWQwsCk+AKtuCIjEBYa97ctacq+KpbfpeGE/W8VhaKISf0
 rJd1sPlagTC+3j6ZomhaAShuvc2PlFJCH46Fk8+OWPaT0rIcB0dENmsfUhxntQnYWcMK5Et2XXW
 n
X-Google-Smtp-Source: AGHT+IGmdRFhCxioZvBtjC0enzkeNCs3GHq9gEEHTbYmQd+SVFXi3H5KYwiZa66VGf+ncR9VqRl0IA==
X-Received: by 2002:adf:b1da:0:b0:33e:ce15:85bb with SMTP id
 r26-20020adfb1da000000b0033ece1585bbmr7608753wra.59.1712073989320; 
 Tue, 02 Apr 2024 09:06:29 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.28
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:29 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 014/147] gnu: rust-serde-json-1: Update to 1.0.114.
Date: Tue,  2 Apr 2024 18:03:26 +0200
Message-ID: <7d8a228a3ac13a8be50b8c455dcd25cda733a093.1712070305.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-serde-json-1): Update to 1.0.114.

Change-Id: If45f6b01166c75d3b1a5a5f4a0806171785d9f96
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 1756e48fdc..4c669e5420 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -60356,14 +60356,14 @@ (define-public rust-serde-ignored-0.1
 (define-public rust-serde-json-1
   (package
     (name "rust-serde-json")
-    (version "1.0.111")
+    (version "1.0.114")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "serde_json" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1x441azvvdy6x8am4bvkxhswhzw5cr8ml0cqspnihvri8bx4cvhp"))))
+        (base32 "1q4saigxwkf8bw4y5kp6k33dnavlvvwa2q4zmag59vrjsqdrpw65"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f  ; could not find `RandomState` in `hash`
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:06:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:06:58 2024
Received: from localhost ([127.0.0.1]:55108 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgf0-0006It-Nz
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:58 -0400
Received: from mail-wm1-x334.google.com ([2a00:1450:4864:20::334]:57361)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgej-0006Dy-RN
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:40 -0400
Received: by mail-wm1-x334.google.com with SMTP id
 5b1f17b1804b1-4155819f710so25502065e9.2
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712073988; x=1712678788; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=sO+oV5209SsM8VKB08Wn05EMTBIl7r1zzRAvLaMDOYc=;
 b=kwYxx1OfXCyDruCUd1hAnzUup6BOhCYQCOOd1WS1f8BDgPcSZbCg1RYRGbDPYnwsbM
 c9Cu7d+Gektx59PGAJ1QEmhSpAje+ZnC4Tfi9PxxlHvTsfzfrIO0R8378ecRYi+tvkQX
 EXMLJ5edBmyN8OtHlIF3c8RKR/snD3WxCzaQ5Yr4hAeenR7HPgrIzmSFIec/lnFUjKED
 lTN4JS+bYGMTAvjopC4EPSPWgsV9JZ9xROAb5V0MAbd2ck866YCTvr9Decs3v//6YRzR
 SI0oVFcdMlDIu7+/8hHGU9esr1ytl0qJoUD+tXVUSmNPmEtSBgJXR0Tc3pitxeHya/+R
 yoCw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712073988; x=1712678788;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=sO+oV5209SsM8VKB08Wn05EMTBIl7r1zzRAvLaMDOYc=;
 b=X5AGH3hs5S7RI/7cj+j/VquzvrBILbqpNl8lk1l8AeMUKhix0QK1WF9SB9G3DTW+BK
 hFvMj9xRob2cPWDI4bbMj5hEqOm5CoZH/EQFp/0e23jWc+sonlbXxuBZWZpROTa3GbJS
 u0Ld9QOjk5pUmKAR2m4Sjsr12pHM9MHiZFHFqRgmRpk1vVJVfpebvWus4/2phJ9KoLIs
 Vo+mEEeV5h/aPtbIBFPpX44qYMFSiRbDsdmfdeF1xzEXv+hoPPf7Z1wgu83aTdY1FXub
 X68L2FaqJgjyAE6gm/ebubCmP44mHpWNB3qeqfejoNlRrU2KtntzhBvhK0aVmtMGVxA/
 47VQ==
X-Gm-Message-State: AOJu0YzG34son33doZ5qeObcedv+uOBylZpwiKSPObWVgk40zDp9Am8l
 UF+8Wx6kmTtLDC21lAX09TSF//zMN/8/WV2qy8JLNyZOiKKIGBakP6ArpVQVpximuRjoUScktOr
 T
X-Google-Smtp-Source: AGHT+IGKX3Wd/TEVxCddt0DnkpATlJ5zy+UFXvzWJZQ8WYvZH32MRkgyrHc/P9bTDDnASeWv9q7pnQ==
X-Received: by 2002:adf:f250:0:b0:343:5cac:8d9e with SMTP id
 b16-20020adff250000000b003435cac8d9emr1990898wrp.33.1712073988188; 
 Tue, 02 Apr 2024 09:06:28 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:27 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 013/147] gnu: rust-indexmap-2: Update to 2.2.5.
Date: Tue,  2 Apr 2024 18:03:25 +0200
Message-ID: <3201c76a50d90df449784d05268e037f6ff3782e.1712070305.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-indexmap-2): Update to 2.2.5.

Change-Id: I03ea09791eff33b8da4a490989306898f89439e4
---
 gnu/packages/crates-io.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 87a4072bed..1756e48fdc 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -30137,18 +30137,19 @@ (define-public rust-indenter-0.3
 (define-public rust-indexmap-2
   (package
     (name "rust-indexmap")
-    (version "2.1.0")
+    (version "2.2.5")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "indexmap" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "07rxrqmryr1xfnmhrjlz8ic6jw28v6h5cig3ws2c9d0wifhy2c6m"))))
+                "1x4x9zdqvlkfks3y84dsynh1p8na3nn48nn454s26rqla6fr42vv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
        (("rust-arbitrary" ,rust-arbitrary-1)
+        ("rust-borsh" ,rust-borsh-1)
         ("rust-equivalent" ,rust-equivalent-1)
         ("rust-hashbrown" ,rust-hashbrown-0.14)
         ("rust-quickcheck" ,rust-quickcheck-1)
@@ -30158,7 +30159,7 @@ (define-public rust-indexmap-2
        #:cargo-development-inputs
        (("rust-fnv" ,rust-fnv-1)
         ("rust-fxhash" ,rust-fxhash-0.2)
-        ("rust-itertools" ,rust-itertools-0.11)
+        ("rust-itertools" ,rust-itertools-0.12)
         ("rust-lazy-static" ,rust-lazy-static-1)
         ("rust-quickcheck" ,rust-quickcheck-1)
         ("rust-rand" ,rust-rand-0.8)
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:06:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:06:54 2024
Received: from localhost ([127.0.0.1]:55103 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgex-0006IA-Q6
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:54 -0400
Received: from mail-wr1-x42b.google.com ([2a00:1450:4864:20::42b]:45322)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgei-0006Dh-Tv
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:38 -0400
Received: by mail-wr1-x42b.google.com with SMTP id
 ffacd0b85a97d-3437f70078bso173515f8f.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712073987; x=1712678787; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=HqbxytPa8mm/WrgIVHviBxN07e4t/2pL0AViS7cQzGc=;
 b=LuihN4ka/q+/5oBKZRzdD20tcxcOAE2y/mnoPXQ1LqA2ShJb5lpWDxkia9r9rVhQzM
 eFV+tvRUwys5RjT9SLECtYnDSF3nu8iLi3XivOZydaNhEhOfj6YNk4k8OnWt71RCdblO
 VjiVNgwJjBGItaDfAwex5stGlXxw7QNC+RntM7jtYVzdcWYrbvP6EXFEIt8WhHBlFW2b
 fBCQKj68NhdZ9+Kwhi6Clqs27f3Hnsj5bif6rFbZFTV1U0kNnbFwbZcW6vK4P6F4J6zB
 sQKRpVFSTLdGKADO8ibi5dfkorTCEw0XwBO72iQuHdnVHdQFmtu/Ac1GV87/kK4nwKjk
 4hzA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712073987; x=1712678787;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=HqbxytPa8mm/WrgIVHviBxN07e4t/2pL0AViS7cQzGc=;
 b=eTU9aBUhcsTkVOLCVqEKyh0XFKiLiXIcWG9jlbqSre3Qe6ovSlW3hTLci34/x3g298
 oT+Xs1QfEtMAEqMWtlUfDIqro22ULzOPArz8ntGknz1PVFroDekJQ0pszfLTYUoZzDls
 sfvYAY+C657+J2YU6HJACqWByQTvoVcnvA8QSK4/yjxIL/fZBaZh+ze5JOsz8/fAmfij
 yuMYg92EckwynkH+QxwHptSL7cqWGvYUJZztysw3Gw59IXh5cDXtABQgatJMaxTFRo3X
 SRxteWGUrTENtXxyT4YjfrMu88LsNf8OevvH8cHa3PTHhBuqkFqa6sqBsy6vcg9XTO1M
 Ht5w==
X-Gm-Message-State: AOJu0YwCcEEeTOCF8G49FFN9YT/AjrOR0g4B1cnANnTTtgH96Boph/OG
 wimZQXi+CV7AbBHUNgQI/nSHDknyOMrKFevv26VFMkqb/PUUDdTf++0o7WdJlguj8/zhvXZsWAa
 Q
X-Google-Smtp-Source: AGHT+IHOz1yyFVMQ6LkSYGi2eavfXQp9ZwMk2GTjHEBfPx0aeKVn8hd2CA5pExboZeDgpzO1AcoIxA==
X-Received: by 2002:a5d:6505:0:b0:33e:7a1f:5824 with SMTP id
 x5-20020a5d6505000000b0033e7a1f5824mr9078497wru.0.1712073987117; 
 Tue, 02 Apr 2024 09:06:27 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.26
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:26 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 012/147] gnu: Add rust-winnow-0.6.
Date: Tue,  2 Apr 2024 18:03:24 +0200
Message-ID: <4ebf07767f70b1202b7c151d302a59964834bd9a.1712070305.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-winnow-0.6): New variable.
(rust-winnow-0.5): Inherit from rust-winnow-0.6.

Change-Id: I0b7bca6a5f14762cc5645b07001dccb93a84124b
---
 gnu/packages/crates-io.scm | 27 ++++++++++++++++++++++++---
 1 file changed, 24 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 843ab8765b..87a4072bed 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -78283,17 +78283,17 @@ (define-public rust-wild-2
 command-line, uniformly on all platforms")
     (license (list license:asl2.0 license:expat))))
 
-(define-public rust-winnow-0.5
+(define-public rust-winnow-0.6
   (package
     (name "rust-winnow")
-    (version "0.5.31")
+    (version "0.6.5")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "winnow" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "0734xa05a1x1wg2kcphdhfb39pdcy5qpaf1sjll6qk8kdcp8i94p"))))
+        (base32 "1f0m48kfdvds456b1i1qd6ia9w3mckk2jf4q6z94snpdcw741ynz"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t     ; Cut the dependency graph.
@@ -78309,6 +78309,27 @@ (define-public rust-winnow-0.5
 combinators library.")
     (license license:expat)))
 
+(define-public rust-winnow-0.5
+  (package
+    (inherit rust-winnow-0.6)
+    (name "rust-winnow")
+    (version "0.5.31")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "winnow" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0734xa05a1x1wg2kcphdhfb39pdcy5qpaf1sjll6qk8kdcp8i94p"))))
+    (arguments
+     `(#:skip-build? #t     ; Cut the dependency graph.
+       #:cargo-inputs
+       (("rust-anstream" ,rust-anstream-0.3)
+        ("rust-anstyle" ,rust-anstyle-1)
+        ("rust-is-terminal" ,rust-is-terminal-0.4)
+        ("rust-memchr" ,rust-memchr-2)
+        ("rust-terminal-size" ,rust-terminal-size-0.2))))))
+
 (define-public rust-winnow-0.4
   (package
     (inherit rust-winnow-0.5)
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:06:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:06:51 2024
Received: from localhost ([127.0.0.1]:55099 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgev-0006Hu-PP
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:51 -0400
Received: from mail-wr1-x430.google.com ([2a00:1450:4864:20::430]:53527)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgei-0006DG-6z
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:38 -0400
Received: by mail-wr1-x430.google.com with SMTP id
 ffacd0b85a97d-3417a3151c4so4967031f8f.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712073986; x=1712678786; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=94WGNoZBViwpeY5Pv+6LH/JZUNlwXmCAj4otykHX1fU=;
 b=kkLHZQWiPQHuxyGfw/xDLK/5eQgeiorewcCAZxbndF/HAFdPBGXTbLshC1BAitrDbI
 7Cnn+rdw5CmGZ9wtCEuABTMq+l7JPLi1fypEPdiakrZWxkeCW3Cl/BhhmXNsb8QiTR4M
 xxcQVEVbTrV7i3ekS9sLDYIYG8BLaRegbfJeLGbqSQWrb6H7ckCmGc2YDi4tOz2r3Gmy
 TFb8e7TzxlWkDuqC/wnCH36/PWU1gNRqm58HbnRw8iwBNfyyB3QBH8z0ggNAfiQVa1fV
 Axt4+Bmbu2zlfIyA/tao+1qkH2xxoGs9ADRPPphXnne7YQaK/mfGar253JjVpEVj12BJ
 vG/Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712073986; x=1712678786;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=94WGNoZBViwpeY5Pv+6LH/JZUNlwXmCAj4otykHX1fU=;
 b=beQ/AtQtTa/Ey+f87Tc7Nz6N4cfe9YaZ/jK+OrHBfSUTpCgnnlKF/qCOVXFEMwI7hN
 C65TsBqcailAccY/1BleK+p3klMd1e9W6V9vg2f6Px7DlMIhT+tMDaDL2NL4Hac7ITBH
 bTqew/ViqicpzF6vLUIGU7OOL6kehDLK663RiqQ/CRhfAvxjxA2nrfwz0KQhc2t6KbBg
 77M1SYHjIhNBY1f2TztEw/bBcaX0yvdzttlBVtVa4c2LN7ZuTfGJTFgOeibaK6xT+FZv
 QpugWd/qBKvtiSDRilbvzDKTygtwIlmswYY4Mq5+chVvsS6caiwUiiACiNMJmAqNyrEQ
 8/yg==
X-Gm-Message-State: AOJu0YxUrKfz44JAymwiNaPkck35SCkBHxitsegwdT2KzPLPqAbruw7Q
 5fGOLopZ0x4VLo+kXRmLOjBkUb/fMYFF6yGJ6skKxN8L6/6DlXL7GXiZdYZH0u9NyvJtoeoPkuQ
 5
X-Google-Smtp-Source: AGHT+IGv6m8cRcOqjdj1M7D+E0ZNVwCzHfx8v1/3HU4vQwYVgJ630KFdxdjZ9K53rx2V1feOnEgCug==
X-Received: by 2002:a5d:4c44:0:b0:341:906b:3351 with SMTP id
 n4-20020a5d4c44000000b00341906b3351mr1982217wrt.0.1712073985920; 
 Tue, 02 Apr 2024 09:06:25 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.25
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:25 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 011/147] gnu: rust-serde-spanned-0.6: Update to 0.6.5.
Date: Tue,  2 Apr 2024 18:03:23 +0200
Message-ID: <b61bf3aafd73805c2f4b7414fc0d4bd57c8f0102.1712070305.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-serde-spanned-0.6): Update to 0.6.5
and skip build.

Change-Id: I205d5ed7761a8253d8eac337cffad7270bd74f2c
---
 gnu/packages/crates-io.scm | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 60ccfe3c88..843ab8765b 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -60573,16 +60573,18 @@ (define-public rust-serde-repr-0.1
 (define-public rust-serde-spanned-0.6
   (package
     (name "rust-serde-spanned")
-    (version "0.6.4")
+    (version "0.6.5")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "serde_spanned" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
-               (base32 "102ym47sr1y48ml42wjv6aq8y77bij1qckx1j0gb3rbka21jn0hj"))))
+               (base32 "1hgh6s3jjwyzhfk3xwb6pnnr1misq9nflwq0f026jafi37s24dpb"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:cargo-inputs (("rust-serde" ,rust-serde-1))))
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-serde" ,rust-serde-1))))
     (home-page "https://github.com/toml-rs/toml")
     (synopsis "Encoder and decoder of TOML-formatted files and streams")
     (description "This package provides a native Rust encoder and decoder of
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:06:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:06:49 2024
Received: from localhost ([127.0.0.1]:55094 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrget-0006HV-LU
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:49 -0400
Received: from mail-wm1-x331.google.com ([2a00:1450:4864:20::331]:54375)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgeg-0006DD-OE
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:36 -0400
Received: by mail-wm1-x331.google.com with SMTP id
 5b1f17b1804b1-4156a2d1a44so12893025e9.0
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712073984; x=1712678784; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=wORbB7uKf41stFSg6hSz69mE6DT2xWx+0/MpeTZAlNM=;
 b=BeK8FGTikAkpn72ALHCRkkg1ttJNVwNXO7VjsdTXDnTm+JS2NwkPUMn09rTeQqdexr
 kGQjYg/4HPo8mwXvAAzlFntrSXsi1WScmIRzArPpItKXAzAunYXScWC4nHxvUR8k8VU6
 M9/Cy7vrzNu9Dh9BiR3SN/j4RN0UznGxWXC7aNwS/R5IqCPfXYEM0iBG+NeabtZ2SkVk
 E4QRPuRP4aclpRFE7Un+Q73ZVUHztvmpPyPXMnvdvm6m/BZ5MqB5hsPDIQ+67ogkDmXO
 RGxOssNuDN/5GeVC7QNB12yl1smXdPYFUXtvLvWnWVMNegIGWTbfbe58byBdTnT+H3R7
 ObfQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712073984; x=1712678784;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=wORbB7uKf41stFSg6hSz69mE6DT2xWx+0/MpeTZAlNM=;
 b=sejlMvnmnWkHCDAT6SpU8pgsGs1VOJd3oS8r5Qz0cExtOE8rttIvd81j7dEITH0Xce
 eVNmH8Vt/Rd0m3ckG+s/3q4p2mkFd4qPlw0VTCF/tB4DYPY0r7Et9g8bjRrPXImJ1QRG
 n4njO4nnz27hOWxws7lkP4vbpmLQf5FDd2y8LfIF0EkdZ+BBmuMDVDbEprinCMYMJMbF
 tsELoJ+EntoZlx2MGNDdiHp679qt3hsmEVDxYSxZdiHK2IF0oKSuwH6rx3KqPkHPfYCs
 2gdyr5t2y5OFmvuoB4kpewsTdeUtMdU0hwfs1kF3+GUr/6HFOC2gRBcAF8d4j3KFKBa2
 bPpQ==
X-Gm-Message-State: AOJu0YwDkMl1SeMn8L4K0+4YrO5OwbDsmiNx9ZoRlBXqbRMPqwKFr3bD
 4wuvsaiH4OpHg8cNLp16rsOrbh/VZTSZQTEWV7S5aLIKxLsMSkRR0r59uflzcl83bU5ovt0Dn9p
 b
X-Google-Smtp-Source: AGHT+IEaOgD5jOWRluwPSn8eFWOKA8bC1Eu2N4Sb4ERqZkPW1JefxnlH9CkA89cmeSE5DEm4y1r7QA==
X-Received: by 2002:a05:600c:4d95:b0:415:5dd7:4f6d with SMTP id
 v21-20020a05600c4d9500b004155dd74f6dmr6193415wmp.18.1712073984709; 
 Tue, 02 Apr 2024 09:06:24 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.24
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:24 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 010/147] gnu: Add rust-snapbox-0.5.
Date: Tue,  2 Apr 2024 18:03:22 +0200
Message-ID: <604b66f02c7cd2beaf06d94800ad151e4d19ca61.1712070305.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-snapbox-0.5): New variable.
(rust-snapbox-0.4): Inherit from rust-snapbox-0.5.

Change-Id: I6367e71b1f774244acb80e91565b984a54df0e99
---
 gnu/packages/crates-io.scm | 44 ++++++++++++++++++++++++++++++++++----
 1 file changed, 40 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 4ec2a068f2..60ccfe3c88 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -63613,22 +63613,23 @@ (define-public rust-snapbox-macros-0.2
                (base32
                 "0c79lnjcs9yp62y665swv5y5y6088qc256bfr3s7xcnb0izfl7f0"))))))
 
-(define-public rust-snapbox-0.4
+(define-public rust-snapbox-0.5
   (package
     (name "rust-snapbox")
-    (version "0.4.16")
+    (version "0.5.9")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "snapbox" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "1v732vpzkjyawwvcq2xdf5q4s6bxrqmqih8kgc5gada9vwq5l53k"))))
+                "0ajnz1yv53jh667gdj4jpapy3g7sadnkfzyl4f2gcy7nxkhl3i4a"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
        (("rust-anstream" ,rust-anstream-0.6)
         ("rust-anstyle" ,rust-anstyle-1)
+        ("rust-anstyle-svg" ,rust-anstyle-svg-0.1)
         ("rust-backtrace" ,rust-backtrace-0.3)
         ("rust-content-inspector" ,rust-content-inspector-0.2)
         ("rust-document-features" ,rust-document-features-0.2)
@@ -63637,7 +63638,7 @@ (define-public rust-snapbox-0.4
         ("rust-filetime" ,rust-filetime-0.2)
         ("rust-ignore" ,rust-ignore-0.4)
         ("rust-libc" ,rust-libc-0.2)
-        ("rust-libtest-mimic" ,rust-libtest-mimic-0.6)
+        ("rust-libtest-mimic" ,rust-libtest-mimic-0.7)
         ("rust-normalize-line-endings" ,rust-normalize-line-endings-0.3)
         ("rust-os-pipe" ,rust-os-pipe-1)
         ("rust-serde-json" ,rust-serde-json-1)
@@ -63662,6 +63663,41 @@ (define-public rust-snapbox-0.4
 It is also flexible enough to build your own test harness like @code{trycmd}.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-snapbox-0.4
+  (package
+    (inherit rust-snapbox-0.5)
+    (name "rust-snapbox")
+    (version "0.4.16")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "snapbox" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1v732vpzkjyawwvcq2xdf5q4s6bxrqmqih8kgc5gada9vwq5l53k"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-anstream" ,rust-anstream-0.6)
+        ("rust-anstyle" ,rust-anstyle-1)
+        ("rust-backtrace" ,rust-backtrace-0.3)
+        ("rust-content-inspector" ,rust-content-inspector-0.2)
+        ("rust-document-features" ,rust-document-features-0.2)
+        ("rust-dunce" ,rust-dunce-1)
+        ("rust-escargot" ,rust-escargot-0.5)
+        ("rust-filetime" ,rust-filetime-0.2)
+        ("rust-ignore" ,rust-ignore-0.4)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-libtest-mimic" ,rust-libtest-mimic-0.6)
+        ("rust-normalize-line-endings" ,rust-normalize-line-endings-0.3)
+        ("rust-os-pipe" ,rust-os-pipe-1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-similar" ,rust-similar-2)
+        ("rust-snapbox-macros" ,rust-snapbox-macros-0.3)
+        ("rust-tempfile" ,rust-tempfile-3)
+        ("rust-wait-timeout" ,rust-wait-timeout-0.2)
+        ("rust-walkdir" ,rust-walkdir-2)
+        ("rust-windows-sys" ,rust-windows-sys-0.52))))))
+
 (define-public rust-snapbox-0.2
   (package
     (inherit rust-snapbox-0.4)
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:06:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:06:47 2024
Received: from localhost ([127.0.0.1]:55091 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrger-0006Gy-Ec
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:47 -0400
Received: from mail-wr1-x431.google.com ([2a00:1450:4864:20::431]:52694)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgef-0006Cu-BT
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:35 -0400
Received: by mail-wr1-x431.google.com with SMTP id
 ffacd0b85a97d-34356f794a5so1184876f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712073983; x=1712678783; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=qFjHCu84Nu5Y/4ABuMrqDlAXsza8rSlLk8aG1pnKuhI=;
 b=NzJWCrK4Uue266UZzzAJIY23RvlGUsa/pwfWN1c+49HpA9lzV2AwR6x5an7rrAq779
 pmCaZTeNmVqhdihvgCkhSuPV6JQk53n1IVbK32+8ZQ9sA97QrEf3TQXkQ8C+RxQ+B5ws
 MASOPmNFt8/Gm1BqV2Sv5u3k2+GnTgCl9T2gU5mhVZzBz5P6YsDrJu/oYF3YPNl2Po1+
 4YN2qULBajFXCmC8j5f60AhIGmgub3wWIfzryzU9EQKQzJVDe8nmZNKFPYDdh/0tqW02
 iRPMC9bjLQYt2CvEkMWxRi0VSQ3gdC5S/G6q4/qB8KAfQuJywpLoDmXkFf4qrEv/lp+9
 BIhQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712073983; x=1712678783;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=qFjHCu84Nu5Y/4ABuMrqDlAXsza8rSlLk8aG1pnKuhI=;
 b=Bu0YhldQbCbsmass3g3UiFa/2tZGPgqdOtV6+bGmypQGLkLAngLl/M6WzG7+CjNIoX
 R/+xyiwWorXI3hw13dnfdlDNe64JoM/VMUloDVyAXjifQIlMqGARMll5Bc5+iHXmlWpW
 ULHS0Pi9I8IimCSQoVksT9fNJcMHgDEh7CfBRRAz6YHKYZ/im30QiUMFSEvorJ7LFjBC
 H+i8zkMExWtZ82ArjMOzO7BKybJ7cO/kP8L0W/h70rgl/k1hA+/ykInxDM4yWCJBwPmr
 LCJN7FvtAq13jJ2dAG4uEDsqRLZW/+ROuQEKYUas2t6idqQeBQUfTC8Taha5PSK7xD/r
 uYGA==
X-Gm-Message-State: AOJu0YwyKwQENoxwBi7julCMQbEO47xYbcPY7KEt6t8Va4nqYBBhm/gl
 KxaDDn87zlKHdEQbP8Y3NRbNiaB5rP1k8Ak1bDwplLTSWNla6aCD9wtIrJ7m3yxwGr+hN9M/npO
 Z
X-Google-Smtp-Source: AGHT+IEGkzqq6W9tZIKSFVKSLGJZY4ePvSXxHht7mWEu4TTO2XO4+Gz09zW1HHHflXOI30KeP3GpFw==
X-Received: by 2002:adf:f64c:0:b0:33d:c2cb:c18d with SMTP id
 x12-20020adff64c000000b0033dc2cbc18dmr2113682wrp.32.1712073983438; 
 Tue, 02 Apr 2024 09:06:23 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.22
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:23 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 009/147] gnu: rust-snapbox-macros-0.3: Update to 0.3.8.
Date: Tue,  2 Apr 2024 18:03:21 +0200
Message-ID: <ce58e13d9151aba2bfb6220257d29a26e3f14020.1712070305.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-snapbox-macros-0.3): Update to 0.3.8.

Change-Id: I406e7b18d6770dd41262b073f3ffe49f3e2f1a05
---
 gnu/packages/crates-io.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 42e3117da8..4ec2a068f2 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -63574,14 +63574,14 @@ (define-public rust-snap-0.2
 (define-public rust-snapbox-macros-0.3
   (package
     (name "rust-snapbox-macros")
-    (version "0.3.7")
+    (version "0.3.8")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "snapbox-macros" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "0rxn80n3y6h7cp75zd3g3akpw3whh31fhvv9zy20k55dk82xxk3q"))))
+                "0h6yy5h83y17bghi1lq9pw3knbqba1rwns20flian5axn0wbii71"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-anstream" ,rust-anstream-0.6))))
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:06:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:06:45 2024
Received: from localhost ([127.0.0.1]:55087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgep-0006GQ-8H
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:45 -0400
Received: from mail-wm1-x32f.google.com ([2a00:1450:4864:20::32f]:53712)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgee-0006Ci-6T
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:34 -0400
Received: by mail-wm1-x32f.google.com with SMTP id
 5b1f17b1804b1-415523d9824so34787795e9.3
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712073982; x=1712678782; darn=debbugs.gnu.org; 
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=mkZXVkyJZxM/O2fV0iPAnkqai3+C6oIb2frR+Af5Z7s=;
 b=onPc5WBTtp1CHwFAz6e9tT+DYxaQWinMNsVKYKJPhGKzOjKX34qYnX9jSLvLe2W12C
 gxmeRcgoga3yrxdJFfpvOm9nltmJS8Jq4/vF5x0X87X99qQzM86VhP/XJQ10tjFbGEWe
 uLMlmTJoZ37NJOS1Y0p7Hiwcic8OeqeDwTwnpS+lLcDZ9IUy0lx3w9ceh5sKpR5ElWPM
 jTvvTvqFIvEibRCqiCdk3BmV/x8Gk5OK8WkqCYXyZxhXnRHxmYnC11mI3ZQ/VXGWtxDn
 lyeeXrbLdFdRJcjNeHoX63Hn/mg391I36Fin852BYNoc1OZfzDijR7SKQZDRLKSSW9vB
 RERA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712073982; x=1712678782;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=mkZXVkyJZxM/O2fV0iPAnkqai3+C6oIb2frR+Af5Z7s=;
 b=u+KsL9vKWle0Spd+Ii6DLgaQ5susYVrp7WX+HoR8Wv4sppf7afsU/8vPcovI7Pewv7
 55wTZImJ2d5uKiQebnH2p3lCFK/+2snEsBMA8DUQDoA7CWmg/yU0RCSK0OU4MQuIqUhC
 EPN8VID5QTjcDJ8r3cMavH6Drvhbc3BYj0WwhNYuPySVFE1oC6Q3ywgxWWG2o1QXtNGm
 AYFU2/4diqm/N1pZXxwXZBzOL6ndr9wVtOVWRYKOQ1u20aAXg3OX/yKYOuPrO8eo/pwz
 T+t9S56LzEKXrPZt/SgGiu8Yv4i1noe2Fk3Cbo8JajAk6cIV7XKQFzgerGHOf3UsSo9i
 rwjg==
X-Gm-Message-State: AOJu0Yz1o/VOPxXl0VQzrsVZmLk3eObQdqIFvAddNKjfIQzwpEdKo5w1
 eqRQv8uzX3IOsuLMtNE+R+SOC362k085IXNSOlW5iDX6GZNHbB9XEHNA7+RAZrBPXjh1R9nKrAK
 E
X-Google-Smtp-Source: AGHT+IH1w4iVWiI4eBitB/FDfC8leM3DybwqVMPXu0jCLXnRMMmmRE/A8FwuBKqcxdMZIVMZ//lPCA==
X-Received: by 2002:a05:600c:5787:b0:415:533b:1071 with SMTP id
 jx7-20020a05600c578700b00415533b1071mr1676275wmb.19.1712073982150; 
 Tue, 02 Apr 2024 09:06:22 -0700 (PDT)
Received: from jeandudey.home ([89.131.29.87])
 by smtp.gmail.com with ESMTPSA id
 bh8-20020a05600005c800b0033e7a102cfesm8261928wrb.64.2024.04.02.09.06.21
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Apr 2024 09:06:21 -0700 (PDT)
From: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
To: 70146 <at> debbugs.gnu.org
Subject: [PATCH 008/147] gnu: Add rust-libtest-mimic-0.7.
Date: Tue,  2 Apr 2024 18:03:20 +0200
Message-ID: <88aed6bcda89bb79d960d12c499aa83696b3bd58.1712070305.git.jean@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1712070305.git.jean@HIDDEN>
References: <cover.1712070305.git.jean@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: Efraim Flashner <efraim@HIDDEN>
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70146
Cc: Jean-Pierre De Jesus DIAZ <jean@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-libtest-mimic-0.7): New variable.
(rust-libtest-mimic-0.6): Inherit from rust-libtest-mimic-0.7.

Change-Id: I2eab768bdab866aedd64947b09bcc92b05bf3684
---
 gnu/packages/crates-io.scm | 28 +++++++++++++++++++++++++---
 1 file changed, 25 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 29efe5a18d..42e3117da8 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -35238,21 +35238,22 @@ (define-public rust-libssh2-sys-0.2
         ("rust-pkg-config" ,rust-pkg-config-0.3)
         ("rust-vcpkg" ,rust-vcpkg-0.2))))))
 
-(define-public rust-libtest-mimic-0.6
+(define-public rust-libtest-mimic-0.7
   (package
     (name "rust-libtest-mimic")
-    (version "0.6.1")
+    (version "0.7.0")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "libtest-mimic" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                 "1rwwdrzc5hmfisc9c3zcvnab14rgh0zfa636c2jbhv4az5qf73bd"))))
+                 "02y7l5bcwli37hl625bp6l0m95mry8cavwj3nkl55zgc8iplq3vz"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
        (("rust-clap" ,rust-clap-4)
+        ("rust-escape8259" ,rust-escape8259-0.5)
         ("rust-termcolor" ,rust-termcolor-1)
         ("rust-threadpool" ,rust-threadpool-1))
        #:cargo-development-inputs
@@ -35265,6 +35266,27 @@ (define-public rust-libtest-mimic-0.6
 harness used by @code{rustc --test}.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-libtest-mimic-0.6
+  (package
+    (inherit rust-libtest-mimic-0.7)
+    (name "rust-libtest-mimic")
+    (version "0.6.1")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "libtest-mimic" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                 "1rwwdrzc5hmfisc9c3zcvnab14rgh0zfa636c2jbhv4az5qf73bd"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-clap" ,rust-clap-4)
+        ("rust-termcolor" ,rust-termcolor-1)
+        ("rust-threadpool" ,rust-threadpool-1))
+       #:cargo-development-inputs
+       (("rust-fastrand" ,rust-fastrand-1)
+        ("rust-pretty-assertions" ,rust-pretty-assertions-1))))))
+
 (define-public rust-libtest-mimic-0.5
   (package
     (inherit rust-libtest-mimic-0.6)
-- 
2.41.0





Information forwarded to efraim@HIDDEN, guix-patches@HIDDEN:
bug#70146; Package guix-patches. Full text available.

Message received at 70146 <at> debbugs.gnu.org:


Received: (at 70146) by debbugs.gnu.org; 2 Apr 2024 16:06:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 12:06:43 2024
Received: from localhost ([127.0.0.1]:55083 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrgen-0006Fv-40
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:43 -0400
Received: from mail-wr1-x42d.google.com ([2a00:1450:4864:20::42d]:56670)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean@HIDDEN>) id 1rrgec-0006CN-M9
 for 70146 <at> debbugs.gnu.org; Tue, 02 Apr 2024 12:06:32 -0400
Received: by mail-wr1-x42d.google.com with SMTP id
 ffacd0b85a97d-3434275ad73so1188216f8f.1
 for <70146 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 09:06:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=foundation.xyz; s=google; t=1712073981; x=1712678781; d